import _objectDestructuringEmpty from '@babel/runtime/helpers/objectDestructuringEmpty';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import classnames from 'classnames';
import { useEffect } from 'react';
import Inputbox from './index-784d4adc.js';
import Product from './index-75079ab1.js';
import Settings from './index-ecc85fdb.js';
import TabGroup from './index-9bbd0638.js';
import NavigationButtons from './index-30cc40bb.js';
import { useDivaCore } from '@crystaldesign/diva-core';
import BasketActionStandard from './index-d7af0a97.js';
import { observer } from 'mobx-react-lite';
import BasketMobile from './index-02175451.js';
import ProgressBar from './index-8f60e411.js';
import BarrierActions from './index-f9b64766.js';
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import './index-d5750f25.js';
import './index-bec7758a.js';
import './index-f0b13a76.js';
import './index-9e5c6d0b.js';
import './index-f919fe39.js';
import 'react-laag';
import './index-2bdd798a.js';
import './index-6a14c4ba.js';
import './index-9ac352ac.js';
import 'sift';
import './index-03ec1878.js';
import './index-7f563f4a.js';
import './index-dab96ea8.js';
import './index-5ed724e9.js';
import './index.module-8b8e578d.js';
import './index-d9e0b8ab.js';
import 'react-switch';
import './index-a00c316e.js';
import './index-b813b7d7.js';
import './index-227ad099.js';
import 'react-dropdown';
import './index-18e04d12.js';
import './index-d0cb686e.js';
import './index-98a94c2a.js';
import './index-c43b9bf6.js';
import '@crystaldesign/content-box';
import './index-a9750c3d.js';
import './index-576885e5.js';
import './index-ea0c61b7.js';
import './index-118cdb5f.js';
import './index-63a72d8c.js';
import './index-cbdc56a8.js';
import './index-f7d87c9f.js';
import './index-a53f6c9e.js';
import './index-123dc27c.js';
import './index-5317aaf3.js';
import './index-79b89ba2.js';
import './index-60ade46e.js';
import './index-68efdadc.js';
import './index-1e6362c6.js';
import './index-b18bffae.js';
import './index-ab3f39ef.js';
import './index.module-eaa02037.js';
import './index-243b2e2c.js';
import './index-27943660.js';
import './index-ec30cce1.js';
import './index-a3492836.js';
import './index-c6c521c0.js';
import './index-b87282a4.js';
import './index-53b89034.js';
import './index.module-65919b33.js';
import './index-3dac3051.js';
import './index-b4b3a823.js';
import './index-46bea554.js';
import './index-fcc87454.js';
import './index-54442cec.js';
import './index-d7e7bc22.js';
import './index-9309f785.js';
import './index-c8380cdc.js';
import './index.module-13e85f61.js';

var wcConfigurator = "wcConfigurator-YOuy8";
var landscape = "landscape-EyFBs";
var portrait = "portrait-XiOPl";
var wcConfiguratorProduct = "wcConfigurator-product-Ovdqk";
var minExpanded = "min-expanded-aFvtw";
var wcConfiguratorSettingsWrapper = "wc-configurator-settings-wrapper-ymkif";
var expanded = "expanded-LXnio";
var maxExpanded = "max-expanded-Q2hOy";
var wcConfiguratorSettings = "wcConfigurator-settings-OLzdK";
var wcConfiguratorSteps = "wcConfigurator-steps-1--dZ";
var closeButtonVisible = "close-button-visible-y3GY8";
var wcConfiguratorSettingsActions = "wcConfigurator-settings-actions-xqcr5";
var wcConfiguratorAction = "wcConfigurator-action-ycd5b";
var foldedup = "foldedup-Qqnox";
var settingsHidden = "settings-hidden-NnHMW";
var burgerVisible = "burger-visible-AFcf0";
var isOnLastStep = "isOnLastStep-eAWSY";
var progressBar = "progressBar-Izqk1";
var actionOnTop = "action-on-top-UqyK5";
var css_248z = ".wcConfigurator-YOuy8 {\n  position: relative;\n\n  height: 100%;\n  width: 100%;\n  overflow: hidden;\n  font-family: var(--diva-typography-font-family);\n  font-weight: 100;\n  -webkit-touch-callout: none; /* iOS Safari */\n  -webkit-user-select: none; /* Safari */ /* Konqueror HTML */\n  -moz-user-select: none; /* Old versions of Firefox */ /* Internet Explorer/Edge */\n  user-select: none; /* Non-prefixed version, currently*/\n}\n\n.wcConfigurator-YOuy8 *,\n.wcConfigurator-YOuy8 *::before,\n.wcConfigurator-YOuy8 *::after {\n  box-sizing: content-box;\n  box-sizing: initial;\n}\n\n.wcConfigurator-YOuy8.landscape-EyFBs {\n  height: 100%;\n  width: 100%;\n}\n\n.wcConfigurator-YOuy8.portrait-XiOPl {\n  height: 100%;\n  width: 100%;\n}\n\n/******************************************Product*******************************************/\n\n.wcConfigurator-product-Ovdqk {\n  position: absolute;\n  width: 63%;\n  max-width: calc(100% - 564px);\n  left: 0px;\n  top: 0;\n  height: 100%;\n}\n.min-expanded-aFvtw .wcConfigurator-product-Ovdqk {\n  width: calc(100% - 128px - 16px);\n  max-width: none;\n  max-width: initial;\n}\n\n.wc-configurator-settings-wrapper-ymkif {\n  position: absolute;\n  z-index: 600;\n  height: calc(100% - 32px);\n  width: calc(37% - 16px);\n  min-width: 550px;\n  right: 0;\n  padding: 16px 16px 16px 0;\n  background-color: var(--settingsBackgroundColor);\n  transition: width 0.45s;\n  box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.1);\n}\n\n.expanded-LXnio .wc-configurator-settings-wrapper-ymkif {\n  width: 70%;\n}\n\n.min-expanded-aFvtw .wc-configurator-settings-wrapper-ymkif {\n  width: calc(128px);\n  min-width: 0;\n  min-width: initial;\n}\n.max-expanded-Q2hOy .wc-configurator-settings-wrapper-ymkif {\n  width: calc(100% - 16px);\n  z-index: 801;\n}\n\n/**************************************ConfigPalette***************************************/\n.wcConfigurator-settings-OLzdK {\n  position: absolute;\n  width: calc(100% - 128px - 4px - 16px);\n\n  transition:\n    height 0.45s,\n    top 0.45s;\n  overflow-y: hidden;\n  overflow-x: hidden;\n  overflow: visible;\n  z-index: 100;\n  right: calc(128px + 4px + 16px);\n  top: 16px;\n  height: calc(100% - 32px - 4px - 50px);\n}\n\n/**************************************TabGroup********************************************/\n\n.wcConfigurator-steps-1--dZ {\n  position: absolute;\n  z-index: 300;\n  right: 16px;\n  top: 16px;\n  height: calc(100% - 32px - 4px - 50px);\n  width: 128px;\n}\n.close-button-visible-y3GY8 .wcConfigurator-steps-1--dZ {\n  top: 80px;\n  height: calc(100% - 32px - 4px - 50px - 64px);\n}\n\n/************************************Navigaton Buttons*************************************/\n\n.wcConfigurator-settings-actions-xqcr5 {\n  position: absolute;\n  width: calc(100% - 128px - 4px - 16px);\n  height: 50px;\n  right: calc(128px + 4px + 16px);\n  bottom: 16px;\n  z-index: 200;\n}\n\n.min-expanded-aFvtw .wcConfigurator-settings-actions-xqcr5 {\n  overflow: hidden;\n}\n\n/*************************************Basket Button****************************************/\n.wcConfigurator-action-ycd5b {\n  position: absolute;\n  width: 128px;\n  height: 50px;\n  right: 16px;\n  bottom: 16px;\n  z-index: 200;\n}\n\n/****************************************Settings- Expanded *******************************/\n.expanded-LXnio .wcConfigurator-settings-OLzdK,\n.max-expanded-Q2hOy .wcConfigurator-settings-OLzdK,\n.expanded-LXnio .wcConfigurator-settings-actions-xqcr5,\n.max-expanded-Q2hOy .wcConfigurator-settings-actions-xqcr5 {\n  width: calc(100% - 128px - 16px - 4px);\n}\n\n.wcConfigurator-YOuy8.portrait-XiOPl,\n.landscape-EyFBs.wcConfigurator-YOuy8 {\n  padding: 0;\n  padding: initial;\n  overflow: hidden;\n}\n/*********************************************************************Mobile Landscape***********************************************************************/\n\n/**********************3D / 2D Bereich -- Mobile Landscape ****************************/\n.landscape-EyFBs .wcConfigurator-product-Ovdqk {\n  width: 100%;\n  height: 100%;\n  top: 0px;\n  left: 0px;\n  max-width: none;\n  max-width: initial;\n}\n\n/*************************ConfigPalette -- Mobile Landscape ***************************/\n\n.landscape-EyFBs .wcConfigurator-settings-OLzdK {\n  display: none;\n}\n\n/*configuratorPalette wird nach unten aus dem Blickfeld geschoben*/\n/* .landscape.settings-hidden .wcConfigurator-settings {\n  top: 100%;\n} */\n\n/*****************************TabGroup -- Mobile Landscape ****************************/\n\n.landscape-EyFBs .wcConfigurator-steps-1--dZ {\n  display: none;\n}\n\n/******************Navigaton Buttons -- Mobile Landscape ******************************/\n.landscape-EyFBs .wcConfigurator-settings-actions-xqcr5 {\n  display: none;\n}\n\n/*********************Basket Button-- Mobile Landscape*********************************/\n.landscape-EyFBs .wcConfigurator-action-ycd5b {\n  display: none;\n}\n\n/*********************************************************************Mobile Portrait************************************************************************/\n\n/**********************3D / 2D Bereich -- Mobile Portrait *****************************/\n.portrait-XiOPl .wcConfigurator-product-Ovdqk {\n  top: 50px;\n  left: 0;\n  height: 40%;\n  width: 100%;\n  max-width: none;\n  max-width: initial;\n}\n\n.portrait-XiOPl.foldedup-Qqnox .wcConfigurator-product-Ovdqk {\n  z-index: 1;\n}\n\n.portrait-XiOPl.settings-hidden-NnHMW .wcConfigurator-product-Ovdqk {\n  height: calc(100% - 50px);\n}\n\n/*************************ConfigPalette -- Mobile Portrait ****************************/\n\n.portrait-XiOPl .wcConfigurator-settings-OLzdK {\n  left: 0px;\n  top: calc(40% + 50px);\n  height: calc(60% - 50px - var(--configuratorActionHeight) - 6px);\n  width: 100%;\n}\n\n.portrait-XiOPl.settings-hidden-NnHMW .wcConfigurator-settings-OLzdK {\n  top: 100%;\n}\n\n.portrait-XiOPl.foldedup-Qqnox .wcConfigurator-settings-OLzdK {\n  top: 2.5rem;\n  height: calc(100% - 50px);\n}\n\n/*****************************TabGroup -- Mobile Portrait *****************************/\n\n.portrait-XiOPl .wcConfigurator-steps-1--dZ {\n  position: absolute;\n  left: 0px;\n  top: 0;\n  width: calc(100% - 50px);\n  height: 50px;\n}\n\n.portrait-XiOPl .wcConfigurator-steps-1--dZ.burger-visible-AFcf0 {\n  left: 50px;\n  width: calc(100% - 50px - 50px);\n}\n\n.portrait-XiOPl.foldedup-Qqnox .wcConfigurator-steps-1--dZ {\n  top: 0px;\n}\n\n/******************Navigaton Buttons -- Mobile Portrait *******************************/\n\n.portrait-XiOPl .wcConfigurator-settings-actions-xqcr5 {\n  bottom: 0px;\n  width: calc(100% - 10px);\n\n  height: calc(var(--configuratorActionHeight) - 5px);\n  margin: 0 5px 5px 5px;\n  padding-top: 0px;\n  right: 0px;\n}\n.portrait-XiOPl.isOnLastStep-eAWSY .wcConfigurator-settings-actions-xqcr5,\n.portrait-XiOPl.settings-hidden-NnHMW .wcConfigurator-settings-actions-xqcr5 {\n  display: none !important;\n}\n\n/*********************Basket Button-- Mobile Portrait *********************************/\n\n.portrait-XiOPl .wcConfigurator-action-ycd5b,\n.portrait-XiOPl.settings-hidden-NnHMW .wcConfigurator-action-ycd5b {\n  display: none;\n}\n\n.portrait-XiOPl.isOnLastStep-eAWSY .wcConfigurator-action-ycd5b {\n  right: 0px;\n  bottom: 0px;\n  width: calc(100% - 10px);\n\n  height: calc(var(--configuratorActionHeight) - 5px);\n  margin: 0 5px 5px 5px;\n  padding-top: 0px;\n  display: flex;\n}\n\n.portrait-XiOPl .progressBar-Izqk1 {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  top: 50px;\n  left: 0;\n  z-index: 1000;\n  display: flex;\n}\n\n/*********************Basket Button-- Mobile Portrait onTop *********************************/\n\n.action-on-top-UqyK5 {\n  position: absolute;\n  top: 0;\n  right: 0;\n  width: 50px;\n  height: 50px;\n  background: no-repeat url(\"data:image/svg+xml,%3Csvg width%3D%2224%22 height%3D%2222%22 viewBox%3D%220 0 24 22%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M1 1H3.70647C4.17122 1 4.57471 1.32018 4.68031 1.77277L5.66667 6M5.66667 6L7.81969 15.2272C7.92529 15.6798 8.32878 16 8.79353 16H19.7192C20.1781 16 20.5781 15.6877 20.6894 15.2425L22.6894 7.24253C22.8472 6.61139 22.3698 6 21.7192 6H5.66667Z%22 stroke%3D%22white%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Ccircle cx%3D%2210%22 cy%3D%2220%22 r%3D%221.25%22 stroke%3D%22white%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Ccircle cx%3D%2218%22 cy%3D%2220%22 r%3D%221.25%22 stroke%3D%22white%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\") center center var(--primaryColor);\n  background-size: 37%;\n  z-index: 300;\n}\n\n.landscape-EyFBs,\n.portrait-XiOPl {\n  --configuratorActionHeight: 50px;\n}\n\n.wcConfigurator-YOuy8 ::-webkit-scrollbar {\n  width: 5px;\n  height: 5px;\n}\n.wcConfigurator-YOuy8 ::-webkit-scrollbar-track {\n  background: #dfdfdf;\n  border-radius: 3px;\n}\n.wcConfigurator-YOuy8 ::-webkit-scrollbar-thumb {\n  background: #b1b1b1;\n  border-radius: 3px;\n}\n";
styleInject(css_248z);

var Standard = function Standard(_ref) {
  _objectDestructuringEmpty(_ref);
  var viewHandler = useViewHandler();
  var _useDivaCore = useDivaCore(),
    _useDivaCore$state = _useDivaCore.state,
    headerInfos = _useDivaCore$state.headerInfos,
    isFullscreenComponent = _useDivaCore$state.isFullscreenComponent;
  useEffect(function () {
    viewHandler.layoutRendered = true;
    viewHandler.initCSSVariablesObj(cssVariables);
  }, []);
  return /*#__PURE__*/jsxs(Fragment, {
    children: [/*#__PURE__*/jsxs("div", {
      ref: function ref(configuratorRef) {
        return viewHandler.uiState.setConfiguratorRef(configuratorRef);
      },
      style: {
        pointerEvents: viewHandler.uiState.configuratorDisabled ? 'none' : undefined
      },
      hidden: viewHandler.uiState.configuratorHidden,
      id: "wcConfigurator",
      className: classnames(wcConfigurator, viewHandler.uiState.configSettingsIsExpanded ? expanded : undefined, viewHandler.uiState.configSettingsIsFoldedUp ? foldedup : undefined, viewHandler.uiState.isMobileLandscape ? landscape : undefined, viewHandler.uiState.isMobilePortrait ? portrait : undefined, viewHandler.uiState.configSettingsIsHidden ? settingsHidden : undefined, viewHandler.uiState.configSettingsIsMinExpanded ? minExpanded : undefined, viewHandler.uiState.configSettingsIsMaxExpanded ? maxExpanded : undefined, viewHandler.actionButtonState.isOnLastStep ? isOnLastStep : undefined, isFullscreenComponent ? closeButtonVisible : undefined),
      children: [/*#__PURE__*/jsx(Product, {
        className: wcConfiguratorProduct
      }), !viewHandler.uiState.isInMobileView && /*#__PURE__*/jsxs("div", {
        className: wcConfiguratorSettingsWrapper,
        children: [/*#__PURE__*/jsx(TabGroup, {
          className: wcConfiguratorSteps
        }), /*#__PURE__*/jsx(Settings, {
          className: wcConfiguratorSettings
        }), /*#__PURE__*/jsx(NavigationButtons, {
          className: wcConfiguratorSettingsActions,
          showCheckoutButtons: true
        }), /*#__PURE__*/jsx(BasketActionStandard, {
          containerClassName: wcConfiguratorAction,
          showCheckoutButtons: false
        })]
      }), viewHandler.uiState.isInMobileView && /*#__PURE__*/jsxs(Fragment, {
        children: [/*#__PURE__*/jsx(TabGroup, {
          className: classnames(wcConfiguratorSteps, headerInfos.onlyBurgerVisibles || isFullscreenComponent ? burgerVisible : undefined),
          showCloseButtonInMobile: isFullscreenComponent ? 'left' : undefined
        }), viewHandler.uiState.isInMobileView && /*#__PURE__*/jsx(ProgressBar, {
          className: progressBar
        }), /*#__PURE__*/jsx(Settings, {
          className: wcConfiguratorSettings
        }), /*#__PURE__*/jsx(NavigationButtons, {
          className: classnames(wcConfiguratorSettingsActions),
          showCheckoutButtons: true
        }), /*#__PURE__*/jsx(BasketActionStandard, {
          containerClassName: wcConfiguratorAction,
          showCheckoutButtons: viewHandler.uiState.isMobilePortrait
        }), /*#__PURE__*/jsx(BasketMobile, {
          className: actionOnTop
        })]
      })]
    }), /*#__PURE__*/jsx(BarrierActions, {}), viewHandler.settingsState.inputBoxVisible && /*#__PURE__*/jsx(Inputbox, {})]
  });
};
var cssVariables = {
  '--primaryColor': '#d60084',
  '--secondaryColor': '#4b4b4b',
  '--thirdColor': '#e5e5e5; ',
  '--globalBorderRadius': '3px',
  '--articlePosNrRadius': '50%',
  '--articlePosNrSize': '1.5rem',
  '--articlePosNrFontSize': '1.1rem',
  '--galleryItemRadius': '50%',
  '--galleryItemRowCount': '5',
  '--galleryItemMargin': '0.5%',
  '--galleryItemRowCountSmall': '6',
  '--galleryItemMarginSmall': '0.3%',
  '--galleryItemBorder': '0px',
  '--galleryItemBorderColor': '#e8e9ed',
  '--galleryItemBorderSelColor': 'var(--secondaryColor)',
  '--galleryItemBorderHoverColor': 'var(--thirdColor)',
  '--lineHeight1': '20.8px',
  '--fontWeight1': '300',
  '--boxShadowHover': '0px 1px 4px rgba(0, 0, 0, 0.15)',
  '--boxShadowActive': '0px 1px 4px rgba(0, 0, 0, 0.3)',
  '--tabGroupBackground': 'unset',
  '--settingsBackgroundColor': 'rgba(248, 248, 248, 0.9)',
  '--settingsScrollerPaddingTopBottom': '0px',
  '--settingsScrollerPaddingRight': '5px',
  '--settingsScrollerPaddingLeft': '5px',
  '--foldArrowMarginRight': 'calc(50% - 8px)',
  '--configuratorActionHeight': '50px',
  '--configuratorActionForthWidth': 'calc(100% - 56px)',
  '--configuratorActionBackWidth': '50px'
};
var index = observer(Standard);

export { index as default };
