import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { useEffect } from 'react';
import Inputbox from './index-784d4adc.js';
import Product from './index-9168be77.js';
import Settings from './index-ecc85fdb.js';
import TabGroup from './index-9bbd0638.js';
import { observer } from 'mobx-react-lite';
import classnames from 'classnames';
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import '@babel/runtime/helpers/objectDestructuringEmpty';
import './index-6303f649.js';
import './index-d9e0b8ab.js';
import 'react-switch';
import 'react-dropdown';
import './index-22688611.js';
import './index-f4b93084.js';
import './index-2a3b670f.js';
import './index-0b374555.js';
import './index-9eae4b33.js';
import './index.module-93ba7e7a.js';
import './index-e863915f.js';
import './index-cfae8a69.js';
import './index-26008f13.js';
import './index-7f0c8231.js';
import './index-4d2c6f51.js';
import './index-780b98e2.js';
import '@crystaldesign/content-box';
import './index-794f08b4.js';
import './index-dffb0718.js';
import './index-46b86e6c.js';
import 'react-laag';
import './index-39923a1d.js';
import 'react-qr-code';
import './index-cd5a0b3f.js';
import './index-5840610f.js';
import '@crystaldesign/content-item';
import 'react-draggable';
import './index-d5750f25.js';
import './index-bec7758a.js';
import './index-f0b13a76.js';
import './index-9e5c6d0b.js';
import './index-f919fe39.js';
import './index-2bdd798a.js';
import './index-6a14c4ba.js';
import './index-9ac352ac.js';
import 'sift';
import './index-03ec1878.js';
import './index-7f563f4a.js';
import './index-dab96ea8.js';
import './index-5ed724e9.js';
import './index.module-8b8e578d.js';
import './index-a00c316e.js';
import './index-b813b7d7.js';
import './index-227ad099.js';
import './index-18e04d12.js';
import './index-d0cb686e.js';
import './index-98a94c2a.js';
import './index-c43b9bf6.js';
import './index-a9750c3d.js';
import './index-576885e5.js';
import './index-ea0c61b7.js';
import './index-118cdb5f.js';
import './index-63a72d8c.js';
import './index-cbdc56a8.js';
import './index-f7d87c9f.js';
import './index-a53f6c9e.js';
import './index-123dc27c.js';
import './index-5317aaf3.js';
import './index-79b89ba2.js';
import './index-60ade46e.js';
import './index-68efdadc.js';
import './index-1e6362c6.js';
import './index-b18bffae.js';
import './index-ab3f39ef.js';
import './index.module-eaa02037.js';
import './index-243b2e2c.js';
import './index-27943660.js';
import './index-ec30cce1.js';
import './index-a3492836.js';
import './index-c6c521c0.js';
import './index-b87282a4.js';
import './index-53b89034.js';
import './index.module-65919b33.js';
import './index-3dac3051.js';
import './index-b4b3a823.js';
import './index-46bea554.js';
import './index-fcc87454.js';
import './index-54442cec.js';
import './index-d7e7bc22.js';
import './index-9309f785.js';
import './index-c8380cdc.js';

var wcConfigurator = "wcConfigurator-in-ZO";
var wcConfiguratorSteps = "wc-configurator-steps-r4OQd";
var wcConfiguratorProduct = "wc-configurator-product-wB64R";
var productList = "product-list-Xdmjb";
var wcConfiguratorSettings = "wc-configurator-Settings-4Idgb";
var css_248z = "body {\n  margin: 0;\n  overscroll-behavior-x: none;\n}\n\n.wcConfigurator-in-ZO {\n  position: relative;\n  height: 100%;\n  width: 100%;\n  overflow: hidden;\n  font-family: var(--diva-typography-font-family);\n  font-weight: 100;\n  -webkit-font-smoothing: antialiased;\n  -webkit-touch-callout: none; /* iOS Safari */\n  -webkit-user-select: none; /* Safari */ /* Konqueror HTML */\n  -moz-user-select: none; /* Old versions of Firefox */ /* Internet Explorer/Edge */\n  user-select: none; /* Non-prefixed version, currently*/\n\n  position: relative;\n  height: 100%;\n  width: 100%;\n  display: flex;\n}\n\n.wcConfigurator-in-ZO *,\n.wcConfigurator-in-ZO *::before,\n.wcConfigurator-in-ZO *::after {\n  box-sizing: content-box;\n  box-sizing: initial;\n}\n\n.wc-configurator-steps-r4OQd {\n  width: 75px;\n  position: relative;\n}\n.wc-configurator-product-wB64R {\n  width: calc(100% - 501px);\n  position: relative;\n  overflow: auto;\n}\n.wc-configurator-product-wB64R.product-list-Xdmjb {\n  display: none;\n}\n\n.wc-configurator-Settings-4Idgb {\n  width: 426px;\n  position: relative;\n  border-right: 1px solid #e6e6e6;\n}\n\n.wc-configurator-Settings-4Idgb.product-list-Xdmjb {\n  flex-grow: 1;\n  position: relative;\n  overflow: auto;\n}\n\n::-webkit-scrollbar {\n  width: 5px;\n  height: 5px;\n}\n::-webkit-scrollbar-track {\n  background: #dfdfdf;\n  border-radius: 3px;\n}\n::-webkit-scrollbar-thumb {\n  background: #b1b1b1;\n  border-radius: 3px;\n}\n";
styleInject(css_248z);

var Serious = function Serious(props) {
  var _viewHandler$tabGroup;
  var viewHandler = useViewHandler();
  useEffect(function () {
    viewHandler.layoutRendered = true;
    viewHandler.initCSSVariablesObj(cssVariables);
  }, []);
  var currentIsProductList = ((_viewHandler$tabGroup = viewHandler.tabGroupState.curTabGroup) === null || _viewHandler$tabGroup === void 0 ? void 0 : _viewHandler$tabGroup.type) == 'PRODUCTS';
  return /*#__PURE__*/jsxs(Fragment, {
    children: [/*#__PURE__*/jsxs("div", {
      ref: function ref(configuratorRef) {
        return viewHandler.uiState.setConfiguratorRef(configuratorRef);
      },
      style: {
        pointerEvents: viewHandler.uiState.configuratorDisabled ? 'none' : undefined
      },
      hidden: viewHandler.uiState.configuratorHidden,
      id: "wcConfigurator",
      className: wcConfigurator,
      children: [/*#__PURE__*/jsx(TabGroup, {
        className: wcConfiguratorSteps
      }), /*#__PURE__*/jsx(Settings, {
        className: classnames(wcConfiguratorSettings, currentIsProductList ? productList : undefined)
      }), /*#__PURE__*/jsx(Product, {
        className: classnames(wcConfiguratorProduct, currentIsProductList ? productList : undefined),
        contentItemStartPos: "left"
      })]
    }), viewHandler.settingsState.inputBoxVisible && /*#__PURE__*/jsx(Inputbox, {})]
  });
};
var cssVariables = {
  '--primaryColor': '#df2927',
  '--secondaryColor': '#404040',
  '--thirdColor': '#8a8a8a',
  '--globalBorderRadius': '3px',
  '--galleryItemRadius': '3px',
  '--settingsBackgroundColor': '#fefefe',
  '--settingsScrollerPaddingTopBottom': '30px',
  '--settingsScrollerPaddingRight': '30px',
  '--settingsScrollerPaddingLeft': '30px',
  '--tabGroupBackground': 'var(--primaryColor)',
  '--lineHeight1': '36.8px',
  '--fontWeight1': '600',
  '--boxShadowHover': '0px 1px 4px rgba(0, 0, 0, 0.15)',
  '--boxShadowActive': '0px 1px 4px rgba(0, 0, 0, 0.3)'
};
var index = observer(Serious);

export { cssVariables, index as default };
