import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import 'react';
import { observer } from 'mobx-react-lite';
import { DivaUtils } from '@crystaldesign/diva-core';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var priceWrapper = "price-wrapper-MHpbZ";
var right = "right-YJreA";
var additionalPrice = "additional-price-JRJRa";
var css_248z = ".price-wrapper-MHpbZ {\n  padding-top: 0px;\n  width: 90%;\n  margin-left: 4%;\n  height: 100%;\n  background-color: white;\n  padding-left: 5px;\n  padding-right: 5px;\n  overflow: auto;\n}\n.right-YJreA {\n  float: right;\n}\n.additional-price-JRJRa {\n  max-width: 400px;\n  margin: 0;\n  margin: initial;\n  display: inline;\n}\n";
styleInject(css_248z);

var Price = function Price() {
  var _articles$viewHandler, _prices$BasePrices;
  var viewHandler = useViewHandler();
  var articles = viewHandler.divaWebPlanner.getDivaArticles();
  if (!articles) return /*#__PURE__*/jsx(Fragment, {});
  var article = (_articles$viewHandler = articles[viewHandler.settingsState.getSelectedBasketIds[0]]) !== null && _articles$viewHandler !== void 0 ? _articles$viewHandler : articles[Object.keys(articles)[0]];
  var prices = article === null || article === void 0 ? void 0 : article.getConfigPriceData(article.getVariantBasketData());
  if (prices === undefined) return /*#__PURE__*/jsx(Fragment, {});
  return /*#__PURE__*/jsxs("div", {
    className: priceWrapper,
    children: [/*#__PURE__*/jsx("a", {
      children: "Configurations Preise:"
    }), /*#__PURE__*/jsx("br", {}), prices.AdditionalPrices.map(function (AdditionalPrice) {
      return /*#__PURE__*/jsxs(Fragment, {
        children: [/*#__PURE__*/jsx("p", {
          className: additionalPrice,
          children: AdditionalPrice.Title
        }), /*#__PURE__*/jsx("a", {
          className: right,
          children: DivaUtils.formatPrice(AdditionalPrice.Price)
        }), /*#__PURE__*/jsx("br", {})]
      });
    }), /*#__PURE__*/jsx("hr", {}), (_prices$BasePrices = prices.BasePrices) === null || _prices$BasePrices === void 0 ? void 0 : _prices$BasePrices.map(function (p) {
      return /*#__PURE__*/jsxs(Fragment, {
        children: [/*#__PURE__*/jsxs("a", {
          children: ["Basispreis: ", p.BasePriceTitle]
        }), /*#__PURE__*/jsx("a", {
          className: right,
          children: p.BasePrice ? DivaUtils.formatPrice(p.BasePrice) : 'nicht Definiert'
        }), /*#__PURE__*/jsx("br", {})]
      });
    }), /*#__PURE__*/jsx("hr", {}), /*#__PURE__*/jsx("a", {
      children: "Berechneter Preis: "
    }), /*#__PURE__*/jsx("a", {
      className: right,
      children: DivaUtils.formatPrice(article.calcPrice())
    }), /*#__PURE__*/jsx("hr", {}), article.hasPartlistArticle && /*#__PURE__*/jsx(Fragment, {
      children: "Katalog hat St\xFCcklisten Artikel! genaue Preise sind dort Sichtbar"
    })]
  });
};
var Price$1 = observer(Price);

export { Price$1 as default };
