import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import 'react';
import RoomSerious from './index-9fdf3cf5.js';
import { jsx, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var container = "container-IUsXl";
var css_248z = ".container-IUsXl {\n  position: absolute;\n  bottom: 0;\n  left: 0px;\n  z-index: 1000;\n}\n";
styleInject(css_248z);

var RoomListSelection = function RoomListSelection(props) {
  var viewHandler = useViewHandler();
  var items = viewHandler.paletteViewHandler.getRoomList();
  if (!viewHandler.uiState.ViewConfig.roomListInProduct) return /*#__PURE__*/jsx(Fragment, {});
  return /*#__PURE__*/jsx("div", {
    className: container,
    hidden: !viewHandler.settingsState.roomListInitialized,
    children: items.map(function (item, index) {
      return /*#__PURE__*/jsx(RoomSerious, {
        item: item,
        from: viewHandler.settingsState.roomListInitialized
      }, item.codex);
    })
  });
};
var index = observer(RoomListSelection);

export { index as default };
