import { s as styleInject } from './index-e560cd58.js';
import 'react';
import classnames from 'classnames';
import { useTranslation } from '@crystaldesign/diva-core';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var container = "container-ebOfa";
var title = "title--2-cN";
var css_248z = ".container-ebOfa {\n  display: flex;\n  flex-wrap: wrap;\n  flex-direction: column;\n  margin-bottom: 3px;\n  background: rgba(242, 242, 242, 0.6);\n  padding-top: 5px;\n}\n\n.title--2-cN {\n  padding-top: 3px;\n  text-align: center;\n  white-space: nowrap;\n  overflow: visible;\n  font-size: 12px;\n  color: #4b4b4b;\n  width: 100%;\n  overflow: visible;\n  height: 14px;\n  line-height: 14px;\n  font-weight: 600;\n  z-index: 100;\n}\n";
styleInject(css_248z);

var Group = function Group(_ref) {
  var group = _ref.group,
    PaletteComponent = _ref.PaletteComponent,
    paletteId = _ref.paletteId,
    rowCount = _ref.rowCount,
    paletteType = _ref.paletteType,
    contentInnerClassName = _ref.contentInnerClassName;
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  var items = group.items;
  var name = group.name !== 'none' ? group.name : t('configurator.other');
  return /*#__PURE__*/jsx(Fragment, {
    children: items.map(function (item, i) {
      return /*#__PURE__*/jsxs("div", {
        className: classnames(container, contentInnerClassName),
        style: {
          width: 'calc(' + 100 / rowCount + '%' + (i === 0 ? ' - 3px' : '') + ' - 5px)',
          borderRadius: i === items.length - 1 && i === 0 ? '8px' : i === 0 ? '8px 0px 0px 8px' : i === items.length - 1 ? '0px 8px 8px 0px' : undefined,
          marginLeft: i === 0 ? 3 : undefined,
          paddingRight: '5px'
        },
        children: [/*#__PURE__*/jsx(PaletteComponent, {
          paletteId: paletteId,
          item: item,
          paletteType: paletteType,
          style: {
            '--galleryItemRowCount': '1',
            '--galleryItemRowCountSmall': '1',
            paddingTop: 'unset'
          }
        }, i), /*#__PURE__*/jsx("span", {
          className: title,
          children: i === 0 ? name : ''
        })]
      });
    })
  });
};

export { Group as default };
