import './index-e560cd58.js';
import 'react';
import PartListTable from './index-148f1439.js';
import { observer } from 'mobx-react-lite';
import { jsx, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import './index.module-09c60496.js';
import 'react-collapsible';

var AsyncRender = function AsyncRender(_ref) {
  var optionSnapshot = _ref.optionSnapshot,
    onClick = _ref.onClick,
    showDiffOnly = _ref.showDiffOnly,
    allOpen = _ref.allOpen;
  var result = use(optionSnapshot.promise);
  if (result) return /*#__PURE__*/jsx(PartListTable, {
    onClick: onClick,
    articles: result.articleSnapshot,
    price: result.price,
    title: optionSnapshot.title,
    allOpen: allOpen,
    showDiffOnly: showDiffOnly,
    configStepKey: optionSnapshot.key
  });
  return /*#__PURE__*/jsx(Fragment, {});
};
function use(promise) {
  if (promise.status === 'fulfilled') {
    return promise.value;
  } else if (promise.status === 'rejected') {
    throw promise.reason;
  } else if (promise.status === 'pending') {
    throw promise;
  } else {
    promise.status = 'pending';
    promise.then(function (result) {
      promise.status = 'fulfilled';
      promise.value = result;
    }, function (reason) {
      promise.status = 'rejected';
      promise.reason = reason;
    });
    throw promise;
  }
}
var AsyncRender$1 = observer(AsyncRender);

export { AsyncRender$1 as default };
