import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectDestructuringEmpty from '@babel/runtime/helpers/objectDestructuringEmpty';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import 'react';
import { w as wholeWrapper, n as notExpanded } from './index.module-e5cc5bed.js';
import TabGroups from './index-dc516763.js';
import TabGroupOptions from './index-fe6bc7ff.js';
import { observer } from 'mobx-react-lite';
import ProduktDetails from './index-85970525.js';
import Collapsible from 'react-collapsible';
import Price from './index-098552ff.js';
import classnames from 'classnames';
import JsonViewer from './index-bbed3b5e.js';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import './index.module-27830b1f.js';
import 'react-json-view-lite';
import './react-json-viewer-ed11badd.js';

var menuPoint = "menu-point-Bz5zM";
var collapsibleHeader = "collapsibleHeader-lzT9Y";
var tabGroupWrapper = "tab-group-wrapper-mSLB-";
var css_248z = ".menu-point-Bz5zM {\n  font-size: 22px;\n  padding: 0px 0px;\n  padding: 10px 0;\n  background-color: var(--primaryColor);\n  border-bottom: 1px solid;\n  width: 100%;\n  text-align: center;\n  margin-left: 0px;\n  color: white;\n  font-weight: 600;\n}\n.collapsibleHeader-lzT9Y {\n  font-family: var(--diva-typography-font-family);\n  font-weight: 100;\n  text-align: center;\n  background-color: #bbbbbb;\n  color: black;\n  border-radius: 5px;\n  margin: 5% 1% 1% 1%;\n  transition: background-color 0.3s;\n  padding: 1% 0%;\n  cursor: pointer;\n}\n.collapsibleHeader-lzT9Y:hover {\n  background-color: var(--primaryColor);\n  color: white;\n}\n.tab-group-wrapper-mSLB- {\n  width: 90%;\n  margin-left: 4%;\n  background-color: white;\n}\n";
styleInject(css_248z);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var OptionTree = function OptionTree(_ref) {
  var _articles$viewHandler, _hiddenOptions$tabGro, _article$getPlannerCo;
  var props = Object.assign({}, (_objectDestructuringEmpty(_ref), _ref));
  var viewHandler = useViewHandler();
  var configTree = viewHandler.tabGroupState.allTabGroups;
  var articles = viewHandler.divaWebPlanner.getDivaArticles();
  if (!articles) return /*#__PURE__*/jsx(Fragment, {});
  var hiddenOptions = viewHandler.divaWebPlanner.getHiddenOptions();
  var article = (_articles$viewHandler = articles[viewHandler.settingsState.getSelectedBasketIds[0]]) !== null && _articles$viewHandler !== void 0 ? _articles$viewHandler : articles[Object.keys(articles)[0]];
  var tree = Object.values(configTree);
  var hiddenTree = Object.values((_hiddenOptions$tabGro = hiddenOptions === null || hiddenOptions === void 0 ? void 0 : hiddenOptions.tabGroups) !== null && _hiddenOptions$tabGro !== void 0 ? _hiddenOptions$tabGro : {});
  var canClick = false;
  tree = tree.filter(function (item) {
    return item.type == 'OPTION';
  });
  var CollapsibleProps = {
    open: true,
    easing: 'ease-in',
    transitionTime: 200
  };
  if (!article) {
    canClick = true;
  }
  var mat3D = article === null || article === void 0 || (_article$getPlannerCo = article.getPlannerConfigData) === null || _article$getPlannerCo === void 0 ? void 0 : _article$getPlannerCo.call(article, {}).config;
  return /*#__PURE__*/jsxs("div", _objectSpread(_objectSpread({}, props), {}, {
    className: classnames(wholeWrapper, notExpanded, props.className),
    children: [/*#__PURE__*/jsx("a", {
      className: menuPoint,
      children: "Options \xDCbersicht"
    }), /*#__PURE__*/jsx(Collapsible, _objectSpread(_objectSpread({
      trigger: /*#__PURE__*/jsx("div", {
        className: collapsibleHeader,
        children: "Produktdetails"
      })
    }, CollapsibleProps), {}, {
      triggerDisabled: canClick,
      children: !canClick && /*#__PURE__*/jsx(ProduktDetails, {})
    })), /*#__PURE__*/jsx(Collapsible, _objectSpread(_objectSpread({
      trigger: /*#__PURE__*/jsx("div", {
        className: collapsibleHeader,
        children: "Preise"
      })
    }, CollapsibleProps), {}, {
      triggerDisabled: canClick,
      children: /*#__PURE__*/jsx(Price, {})
    })), /*#__PURE__*/jsx(Collapsible, _objectSpread(_objectSpread({
      trigger: /*#__PURE__*/jsx("div", {
        className: collapsibleHeader,
        children: "Optionsbaum"
      })
    }, CollapsibleProps), {}, {
      triggerDisabled: canClick,
      children: /*#__PURE__*/jsx("div", {
        className: tabGroupWrapper,
        children: tree.map(function (tabGroup) {
          return /*#__PURE__*/jsxs("div", {
            children: [/*#__PURE__*/jsx(TabGroups, {
              tabGroup: tabGroup
            }), /*#__PURE__*/jsx("div", {
              children: Object.values(tabGroup.options).map(function (options) {
                return /*#__PURE__*/jsx(TabGroupOptions, {
                  tabGroupOption: options,
                  basketId: article.basketId
                }, options.codex);
              })
            })]
          }, tabGroup.key);
        })
      })
    })), /*#__PURE__*/jsx(Collapsible, _objectSpread(_objectSpread({
      trigger: /*#__PURE__*/jsx("div", {
        className: collapsibleHeader,
        children: "Versteckte Optionen"
      })
    }, CollapsibleProps), {}, {
      triggerDisabled: canClick,
      children: /*#__PURE__*/jsx("div", {
        className: tabGroupWrapper,
        children: hiddenTree.map(function (tabGroup) {
          return /*#__PURE__*/jsxs("div", {
            children: [/*#__PURE__*/jsx(TabGroups, {
              tabGroup: tabGroup
            }), /*#__PURE__*/jsx("div", {
              children: Object.values(tabGroup.options).map(function (options) {
                return /*#__PURE__*/jsx(TabGroupOptions, {
                  tabGroupOption: options,
                  basketId: article.basketId
                }, options.codex);
              })
            })]
          }, tabGroup.key);
        })
      })
    })), /*#__PURE__*/jsx(Collapsible, _objectSpread(_objectSpread({
      trigger: /*#__PURE__*/jsx("div", {
        className: collapsibleHeader,
        children: "3D MAT"
      })
    }, CollapsibleProps), {}, {
      triggerDisabled: canClick,
      children: mat3D && /*#__PURE__*/jsx(JsonViewer, {
        isExpanded: true,
        collapsed: 5,
        json: mat3D
      })
    }))]
  }));
};
var OptionTree$1 = observer(OptionTree);

export { OptionTree$1 as default };
