import _defineProperty from '@babel/runtime/helpers/defineProperty';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import 'react';
import VerticalTabGroupItemStandard from './index-72797c1c.js';
import { useTranslation } from '@crystaldesign/diva-core';
import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import './IconHandler-56fdbe6e.js';

var priceDiv = "price-div-veoFD";
var priceText = "price-text-34sGt";
var css_248z = ".price-div-veoFD {\n  font-size: 22px;\n  font-weight: 300;\n  padding-top: calc(15% - 6px);\n}\n\n.price-text-34sGt {\n  font-size: 14px;\n  padding-top: calc(10% - 6px);\n}\n";
styleInject(css_248z);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var VerticalTabGroupItemMountain = function VerticalTabGroupItemMountain(props) {
  var viewHandler = useViewHandler();
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  return /*#__PURE__*/jsx(VerticalTabGroupItemStandard, _objectSpread(_objectSpread({}, props), {}, {
    lastItemDiv: /*#__PURE__*/jsxs(Fragment, {
      children: [/*#__PURE__*/jsx("div", {
        className: priceText,
        children: t('configurator.PRICE_INFO')
      }), /*#__PURE__*/jsx("div", {
        className: priceDiv,
        children: viewHandler.productState.formatedTotalPrice
      })]
    }),
    minHeight: 65
  }));
};
var index = observer(VerticalTabGroupItemMountain);

export { index as default };
