import './index-e560cd58.js';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import 'react';
import Dropdown from 'react-dropdown';
import { w as wrapper, d as dropdownRoot, a as dropdownControl } from './index.module-8806d92e.js';
import Arrow from './index-98a94c2a.js';
import { jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var OptionsSelector = function OptionsSelector(_ref) {
  var options = _ref.options,
    optionState = _ref.optionState;
  var ArrowElement = /*#__PURE__*/jsx(Arrow, {
    onClick: function onClick() {
      return optionState[1](undefined);
    },
    open: false,
    iconAsDelete: !!optionState[0]
  });
  return /*#__PURE__*/jsx("div", {
    className: wrapper,
    children: /*#__PURE__*/jsx(Dropdown, {
      className: classnames(dropdownRoot),
      controlClassName: dropdownControl,
      options: options.map(function (option) {
        return {
          label: option.name,
          value: option.codex
        };
      }),
      value: optionState[0],
      onChange: function onChange(val) {
        return optionState[1](val.value);
      },
      placeholder: 'Option',
      arrowClosed: ArrowElement,
      arrowOpen: ArrowElement
    })
  });
};
var OptionSelector = observer(OptionsSelector);

export { OptionSelector as default };
