import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { createElement } from 'react';
import { observer } from 'mobx-react-lite';
import classnames from 'classnames';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var svgWrapper = "svg-wrapper-hvaq9";
var css_248z = ".svg-wrapper-hvaq9 {\n  margin-left: 50px;\n  color: rgba(255,255,255,0.42353);\n  height: 100vh;\n}\n.table-GRFj- {\n  display: flex;\n  flex-direction: column;\n  position: relative;\n  width: 100%;\n  height: 100%;\n\n  background-color: rgb(28, 32, 35);\n  font-family: var(--diva-typography-font-family);\n  font-weight: 100;\n  gap: 10px;\n}\n.column-CbeYE {\n  width: 20%;\n  border-bottom: 1px solid;\n}\n.image-zSukX {\n  width: 50px;\n  height: 50px;\n}\n.svg-wrapper-hvaq9 textarea {\n  background-color: rgb(28, 32, 35);\n  color: white;\n  width: 97.7%;\n  height: 100%;\n  padding-top: 2%;\n  padding-left: 2%;\n  overflow: auto;\n}\n.svg-wrapper-hvaq9 .expanded-rBYHe {\n  max-height: 62.1%;\n  transition: max-height 0.5s;\n}\n\n.cur-item-PDYTf {\n  color: black !important;\n}\n\n.cur-item-PDYTf {\n  background-color: rgba(96, 245, 96, 0.377);\n}\n.table-GRFj- img {\n  height: 50px;\n  width: 50px;\n}\n.table-GRFj- tbody {\n  height: 100%;\n  vertical-align: top;\n  overflow-y: auto;\n  overflow-x: hidden;\n}\n.table-GRFj- tr th {\n  width: 4%;\n}\n.table-GRFj- tr th:last-child {\n  width: 90px;\n}\n.table-GRFj- thead {\n  border-bottom: 1px solid white;\n}\n.table-GRFj- tbody th {\n  width: 23px;\n  table-layout: fixed;\n  line-break: anywhere;\n  font-size: 15px;\n}\n.table-GRFj- tbody th:nth-child(1) {\n  width: 35px;\n}\n.table-GRFj- tbody th:last-child {\n  width: 890px;\n  font-size: 9px;\n}\n.selected-cRqzN {\n  background-color: rgba(96, 245, 96, 0.377);\n}\n.collapsibleHeader-7zGnE {\n  top: 10px;\n  width: 47.6%;\n  text-align: center;\n  color: black;\n  background-color: rgba(96, 245, 96, 0.377);\n}\n.collapsible-4mPxe {\n  position: absolute;\n  top: 286px;\n  width: 100%;\n}\n";
styleInject(css_248z);

var _excluded = ["curBox", "isExpanded", "state"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var SVGSourceViewer = function SVGSourceViewer(_ref) {
  var _articles$0$plannerDa, _articles$0$plannerDa2;
  _ref.curBox;
    _ref.isExpanded;
    var state = _ref.state,
    props = _objectWithoutProperties(_ref, _excluded);
  var viewHandler = useViewHandler();
  var articlesLoaded = viewHandler.divaWebPlanner.getDivaArticles();
  if (!articlesLoaded) return /*#__PURE__*/jsx(Fragment, {});
  var articles = Object.values(articlesLoaded).filter(function (a) {
    return a.catalogArticle.catalogPlannerArticle;
  });
  if (!articles.length) return /*#__PURE__*/jsx(Fragment, {});
  var svgBefore = (_articles$0$plannerDa = articles[0].plannerData) === null || _articles$0$plannerDa === void 0 ? void 0 : _articles$0$plannerDa.svgBefore;
  var svgAfter = (_articles$0$plannerDa2 = articles[0].plannerData) === null || _articles$0$plannerDa2 === void 0 ? void 0 : _articles$0$plannerDa2.svgAfter;
  var svg = state == 'before' ? svgBefore : svgAfter;
  return /*#__PURE__*/createElement("div", _objectSpread(_objectSpread({}, props), {}, {
    className: classnames(svgWrapper),
    key: viewHandler.settingsState.configChanged
  }), /*#__PURE__*/jsxs("div", {
    style: {
      height: 500,
      overflow: 'auto'
    },
    children: [/*#__PURE__*/jsx("button", {
      onClick: function onClick() {
        return navigator.clipboard.writeText(svg !== null && svg !== void 0 ? svg : '');
      },
      children: "copy"
    }), /*#__PURE__*/jsx("textarea", {
      readOnly: true,
      value: svg
    })]
  }));
};
var SVGSourceViewer$1 = observer(SVGSourceViewer);

export { SVGSourceViewer$1 as default };
