import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import 'react';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import { useTranslation } from '@crystaldesign/diva-core';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var container = "container-LyqYI";
var hidden = "hidden-TqWZg";
var notHidden = "not-hidden-Wbdom";
var text = "text-022qF";
var css_248z = ".container-LyqYI {\n  bottom: 32px;\n  left: 0px;\n  position: absolute;\n  z-index: 1000;\n  margin-left: 20px;\n  margin-bottom: 20px;\n  opacity: 1;\n  display: flex;\n  align-items: center;\n}\n\n.hidden-TqWZg {\n  opacity: 0;\n}\n\n.not-hidden-Wbdom {\n  transition: opacity 0.5s;\n}\n.text-022qF {\n  margin-left: 10px;\n  font-size: 13px;\n}\n";
styleInject(css_248z);

var RotateIcon = "data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20height%3D%2224px%22%20viewBox%3D%220%200%2024%2024%22%20width%3D%2224px%22%20fill%3D%22%23000000%22%3E%3Cpath%20d%3D%22M0%200h24v24H0V0z%22%20fill%3D%22none%22%2F%3E%3Cpath%20d%3D%22M16.48%202.52c3.27%201.55%205.61%204.72%205.97%208.48h1.5C23.44%204.84%2018.29%200%2012%200l-.66.03%203.81%203.81%201.33-1.32zm-6.25-.77c-.59-.59-1.54-.59-2.12%200L1.75%208.11c-.59.59-.59%201.54%200%202.12l12.02%2012.02c.59.59%201.54.59%202.12%200l6.36-6.36c.59-.59.59-1.54%200-2.12L10.23%201.75zm4.6%2019.44L2.81%209.17l6.36-6.36%2012.02%2012.02-6.36%206.36zm-7.31.29C4.25%2019.94%201.91%2016.76%201.55%2013H.05C.56%2019.16%205.71%2024%2012%2024l.66-.03-3.81-3.81-1.33%201.32z%22%2F%3E%3C%2Fsvg%3E";

var RotateInfo = function RotateInfo(props) {
  var viewHandler = useViewHandler();
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  if (!viewHandler.uiState.isMobileLandscape || viewHandler.uiState.isMobilePortrait || viewHandler.uiState.ViewConfig.disableLandscape) return /*#__PURE__*/jsx(Fragment, {});
  return /*#__PURE__*/jsxs("div", {
    className: classnames(container, !viewHandler.productState.orbitHidden ? hidden : notHidden),
    children: [/*#__PURE__*/jsx("img", {
      src: RotateIcon
    }), /*#__PURE__*/jsx("div", {
      className: text,
      children: t('configurator.rotate_mobile')
    })]
  });
};
var RotateInfo$1 = observer(RotateInfo);

export { RotateInfo$1 as default };
