import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import { useState, useEffect } from 'react';
import { useTranslation, useDivaCore } from '@crystaldesign/diva-core';
import ProductHeaderFunction from './index-4498f013.js';
import { ContentBoxComponent } from '@crystaldesign/content-box';
import ContentItemWrapper from './index-5840610f.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import '@crystaldesign/content-item';
import 'react-draggable';

var wrapper = "wrapper-y4VmL";
var wcConfiguratorProductHeader = "wcConfiguratorProductHeader-W1oWZ";
var portrait = "portrait-Otsjq";
var expanded = "expanded-rNRc-";
var functionWrapper = "functionWrapper-3sgkI";
var landscape = "landscape-TuCY-";
var contentBoxWrapper = "content-box-wrapper-KgSZb";
var maxExpanded = "max-Expanded-4m94C";
var textbackground = "textbackground-F3b8W";
var wcPriceinfo = "wcPriceinfo-Zmaer";
var wcFormattedprice = "wcFormattedprice-sdLxf";
var wcFormattedBruttoPrice = "wc-formatted-brutto-price-MDFl1";
var fullscreen = "fullscreen-94axf";
var room = "room-NxmMf";
var css_248z = "/* Productdaten */\n\n.wrapper-y4VmL {\n  display: flex;\n  flex-direction: row;\n  height: 70px;\n  z-index: 112;\n  transition:\n    width 0.2s ease-in-out,\n    opacity 0.5s ease-in-out;\n  opacity: 1;\n  justify-content: space-between;\n  align-items: flex-start;\n}\n\n.wcConfiguratorProductHeader-W1oWZ {\n  flex-basis: 50%;\n  justify-self: flex-start;\n  z-index: 300;\n  margin: 16px 0 16px 16px;\n  pointer-events: none;\n}\n.portrait-Otsjq .wcConfiguratorProductHeader-W1oWZ {\n  margin: 12px 0 16px 16px;\n}\n\n.expanded-rNRc- .wcConfiguratorProductHeader-W1oWZ {\n  flex-basis: 100%;\n}\n.functionWrapper-3sgkI {\n  flex-basis: 50%;\n}\n\n.functionWrapper-3sgkI {\n  flex-basis: 100%;\n  position: relative;\n  z-index: 112;\n  margin: 16px;\n}\n.portrait-Otsjq .functionWrapper-3sgkI {\n  margin: 6px 12px;\n}\n\n.landscape-TuCY- .functionWrapper-3sgkI {\n  margin: 8px 12px 0px 0px;\n}\n\n.content-box-wrapper-KgSZb {\n  z-index: 112;\n}\n\n.expanded-rNRc-.wrapper-y4VmL {\n  width: calc(55% - 40px - 24px);\n}\n\n.max-Expanded-4m94C.wrapper-y4VmL,\n.settings-Foldedup-HM7JT.wrapper-y4VmL {\n  opacity: 0;\n}\n\n.wrapper-y4VmL h1 {\n  font-weight: 300;\n  font-size: 24px;\n  line-height: 27.2px;\n  text-transform: uppercase;\n  letter-spacing: 0.2px;\n  color: var(--secondaryColor);\n  margin: 0 0 10px;\n  user-select: none;\n  -moz-user-select: none;\n  -webkit-user-drag: none;\n  -webkit-user-select: none;\n  -ms-user-select: none;\n  white-space: nowrap;\n\n  border-radius: 100px;\n  width: -moz-fit-content;\n  width: fit-content;\n}\n.textbackground-F3b8W {\n  border-radius: 0px 0px 12px 0px;\n  padding: 0px 12px 6px 16px;\n  position: absolute;\n  width: -moz-fit-content;\n  width: fit-content;\n  white-space: nowrap;\n  left: 0px;\n}\n\n.portrait-Otsjq .textbackground-F3b8W {\n  margin-top: 5px;\n\n  background-color: transparent;\n}\n\n.expanded-rNRc-.wrapper-y4VmL h1 {\n  max-width: 300px;\n  white-space: nowrap;\n  overflow: hidden;\n  text-overflow: ellipsis;\n}\n\n.wcPriceinfo-Zmaer {\n  color: var(--secondaryColor);\n  font-size: 14px;\n  font-size: var(--priceInfoFontSize, 14px);\n  font-weight: 300;\n  -webkit-text-stroke: 0.4px;\n  user-select: none;\n  -moz-user-select: none;\n  -webkit-user-drag: none;\n  -webkit-user-select: none;\n  -ms-user-select: none;\n}\n\n.wcFormattedprice-sdLxf {\n  color: var(--secondaryColor);\n  font-size: 14px;\n  font-size: var(--priceInfoFontSize, 14px);\n  -webkit-text-stroke: 0.4px;\n  margin: 0px;\n  user-select: none;\n  -moz-user-select: none;\n  -webkit-user-drag: none;\n  -webkit-user-select: none;\n  -ms-user-select: none;\n}\n\n.wc-formatted-brutto-price-MDFl1 {\n  position: relative;\n  color: var(--secondaryColor);\n  font-size: 14px;\n  font-size: var(--priceInfoFontSize, 14px);\n  -webkit-text-stroke: 0.4px;\n  margin: 0px 10px;\n}\n\n.wc-formatted-brutto-price-MDFl1:before {\n  position: absolute;\n  content: '';\n  left: 0;\n  top: 50%;\n  right: 0;\n  border-top: 1px solid;\n  border-color: inherit;\n\n  transform: rotate(5deg);\n}\n\n.landscape-TuCY-.wrapper-y4VmL {\n  margin-left: 2rem;\n  width: calc(100% - 1rem);\n  height: 54.4px;\n}\n\n.fullscreen-94axf.landscape-TuCY-.wrapper-y4VmL {\n  left: 50px;\n  top: 0px;\n  margin-left: 0.5rem;\n  margin-top: 4px;\n  width: calc(100% - 1rem);\n  height: 24.4px;\n}\n\n.landscape-TuCY- h1 {\n  margin: 0px;\n  margin-top: 14.4px;\n  font-size: 22.4px;\n  line-height: 18px;\n  width: 67%;\n}\n.landscape-TuCY- h2 {\n  margin: 0;\n  margin: initial;\n  font-weight: 100;\n  width: 67%;\n  line-height: 0.65;\n  -webkit-text-stroke: 0.3px;\n}\n.landscape-TuCY- .wcPriceinfo-Zmaer {\n  font-size: 15.6px;\n}\n\n.landscape-TuCY- .wcFormattedprice-sdLxf {\n  font-size: 15.6px;\n}\n\n.portrait-Otsjq.wrapper-y4VmL {\n  height: 54.4px;\n  width: calc(100% - 4px);\n}\n\n.portrait-Otsjq h1 {\n  margin: 0px;\n  font-size: 17px;\n  line-height: 20px;\n}\n\n.portrait-Otsjq.room-NxmMf h1,\n.landscape-TuCY-.fullscreen-94axf.room-NxmMf h1 {\n  color: var(--secondaryColor);\n  text-shadow: 3px 4px 15px #000000;\n  font-family: var(--diva-typography-font-family);\n  font-weight: 100;\n}\n\n.portrait-Otsjq.room-NxmMf .wcPriceinfo-Zmaer,\n.landscape-TuCY-.fullscreen-94axf.room-NxmMf .wcPriceinfo-Zmaer,\n.portrait-Otsjq.room-NxmMf .wcFormattedprice-sdLxf,\n.landscape-TuCY-.fullscreen-94axf.room-NxmMf .wcFormattedprice-sdLxf {\n  color: white;\n}\n\n.portrait-Otsjq h2 {\n  margin: 0;\n  margin: initial;\n  font-weight: 100;\n  width: 67%;\n  line-height: 0.65;\n}\n";
styleInject(css_248z);

var ProductHeader = function ProductHeader(_ref) {
  var hidePrice = _ref.hidePrice,
    productClass = _ref.productClass;
  var viewHandler = useViewHandler();
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  var _useDivaCore = useDivaCore(),
    _useDivaCore$state = _useDivaCore.state,
    hidePrices = _useDivaCore$state.hidePrices,
    _useDivaCore$state$di = _useDivaCore$state.dimensions,
    isMobile = _useDivaCore$state$di.isMobile,
    isTablet = _useDivaCore$state$di.isTablet;
  var headerContentBoxProps = viewHandler.getViewConfig().productHeaderContentBox;
  var _useState = useState(),
    _useState2 = _slicedToArray(_useState, 2),
    dimensions = _useState2[0],
    setDimensions = _useState2[1];
  var _useState3 = useState(false),
    _useState4 = _slicedToArray(_useState3, 2),
    dimOnlyForOneArticle = _useState4[0],
    setDimOnlyForOneArticle = _useState4[1];
  var hideWebConfiguratorTitle = viewHandler.getViewConfig().hideWebConfiguratorTitle || viewHandler.getViewConfig().hideWebConfiguratorTitleInMobile && viewHandler.getIsInMobileView();
  useEffect(function () {
    var _viewHandler$productS;
    if (isMobile && !isTablet || !viewHandler.divaWebPlanner.actSet()) return;
    (_viewHandler$productS = viewHandler.productState.customDimensions) === null || _viewHandler$productS === void 0 || _viewHandler$productS.then(function (res) {
      setDimensions(res);
      var dict = res.reduce(function (basketIdsDict, d) {
        if (!basketIdsDict[d.dimensionId]) {
          basketIdsDict[d.dimensionId] = [d.dimension];
        } else if (!basketIdsDict[d.dimensionId].includes(d.dimension)) basketIdsDict[d.dimensionId].push(d.dimension);
        return basketIdsDict;
      }, {});
      setDimOnlyForOneArticle(!Object.values(dict).find(function (v) {
        return v.length > 1;
      }));
    });
  }, [viewHandler.divaWebPlanner.actSet(), viewHandler.settingsState.configChanged]);
  return /*#__PURE__*/jsxs("div", {
    className: classnames(wrapper, productClass, viewHandler.uiState.isMobileLandscape ? landscape : undefined, viewHandler.uiState.isMobilePortrait ? portrait : undefined, viewHandler.uiState.configSettingsIsExpanded ? expanded : undefined, viewHandler.uiState.configSettingsIsMaxExpanded ? maxExpanded : undefined, viewHandler.productState.plannerRenderingIsStaticBG ? room : undefined, fullscreen),
    children: [/*#__PURE__*/jsxs("div", {
      className: wcConfiguratorProductHeader,
      "data-test-id": "configProductHeader",
      children: [!hideWebConfiguratorTitle && /*#__PURE__*/jsx("h1", {
        "data-test-id": "productHeaderTitle",
        children: viewHandler.productState.webConifguratorTitle
      }), /*#__PURE__*/jsxs("div", {
        className: textbackground,
        children: [!hidePrices && !hidePrice && /*#__PURE__*/jsxs("div", {
          children: [/*#__PURE__*/jsxs("span", {
            className: wcPriceinfo,
            "data-test-id": "productHeaderPriceInfo",
            children: [' ', t('configurator.PRICE_INFO'), ':']
          }), /*#__PURE__*/jsxs("span", {
            className: wcFormattedprice,
            "data-test-id": "productHeaderFormattedPrice",
            children: [' ', viewHandler.productState.formatedCurSetPrice]
          }), viewHandler.productState.formatedBruttoPrice && !viewHandler.getViewConfig().hideRabattPrice && /*#__PURE__*/jsxs("span", {
            className: wcFormattedBruttoPrice,
            "data-test-id": "productHeaderFormattedBruttoPrice",
            children: [' ', viewHandler.productState.formatedBruttoPrice]
          })]
        }), !!(dimensions !== null && dimensions !== void 0 && dimensions.length) && dimensions.map(function (dimension) {
          var _dimension$text, _dimension$dimension;
          return /*#__PURE__*/jsxs("div", {
            children: [/*#__PURE__*/jsxs("span", {
              className: wcPriceinfo,
              children: [(_dimension$text = dimension.text) !== null && _dimension$text !== void 0 ? _dimension$text : t('configurator.headerdimension.' + dimension.dimensionId), !dimOnlyForOneArticle && ' (' + dimension.posNrs.join(',') + ')', ":", ' ']
            }), /*#__PURE__*/jsxs("span", {
              className: wcFormattedprice,
              children: [(_dimension$dimension = dimension.dimension) !== null && _dimension$dimension !== void 0 ? _dimension$dimension : 0, " ", dimension.unit]
            })]
          });
        })]
      })]
    }), /*#__PURE__*/jsx("div", {
      className: functionWrapper,
      children: /*#__PURE__*/jsx(ProductHeaderFunction, {})
    }), !viewHandler.uiState.isMobileLandscape && viewHandler.productState.currentBanner && /*#__PURE__*/jsx("div", {
      className: contentBoxWrapper,
      children: /*#__PURE__*/jsx(ContentItemWrapper, {
        noWrapper: true,
        id: viewHandler.productState.currentBanner.contentItemId
      })
    }), headerContentBoxProps && !viewHandler.uiState.isMobileLandscape && !viewHandler.productState.currentBanner && /*#__PURE__*/jsx("div", {
      className: contentBoxWrapper,
      children: /*#__PURE__*/jsx(ContentBoxComponent, {
        settings: {
          contentBoxProps: headerContentBoxProps
        }
      })
    })]
  });
};
var ProductHeader$1 = observer(ProductHeader);

export { ProductHeader$1 as default };
