import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { s as styleInject } from './index-e560cd58.js';
import { useState } from 'react';
import classnames from 'classnames';
import { jsxs, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import 'mobx-react-lite';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var bmmenu = "bmmenu-i0FoF";
var menuWide = "menuWide-Yv3p0";
var backgroundImage = "background-Image-a-mnV";
var header = "header-bQ84L";
var treeIcon = "treeIcon-5qOPl";
var pieceList = "piece-list-l97vC";
var visible = "visible-yE-Az";
var articleList = "article-list-c504K";
var cataloganalysis = "cataloganalysis-lUvm6";
var svgList = "svgList-jK7kq";
var ekText = "ekText-cm5xg";
var catalogMakueUp = "catalogMakueUp-Ruh3p";
var rtvAnalyzer = "rtvAnalyzer-FgYqS";
var css_248z = ".bmmenu-i0FoF {\n  width: 50px !important;\n}\n\n.bmmenu-i0FoF {\n  position: absolute;\n  gap: 30px;\n  display: flex;\n  flex-direction: column;\n  background: #19181d;\n  z-index: 800;\n  transition: width 0.3s ease-in-out, margin-left 0.3s;\n  --animation-delay: 0s;\n}\n\n.menuWide-Yv3p0 {\n  width: 250px !important;\n}\n\n.menuWide-Yv3p0 {\n  transition: width 0.3s ease-in-out;\n}\n.bmmenu-i0FoF p {\n  position: absolute;\n  left: 50px;\n  top: -10px;\n  font-size: 0px;\n  font-family: var(--diva-typography-font-family);\n  font-weight: 100;\n}\n.menuWide-Yv3p0 p {\n  width: auto;\n  width: initial;\n  color: #ffffff;\n  height: auto;\n  height: initial;\n  font-size: inherit;\n  transition: font-size 0s;\n  transition-delay: 0.1s;\n  color: rgb(255, 255, 255);\n  white-space: nowrap;\n  margin: 5%;\n}\n.menuWide-Yv3p0 p:hover {\n  color: rgb(255, 255, 255);\n  transition: color 0.3s;\n  cursor: pointer;\n}\n\n.background-Image-a-mnV {\n  width: 25px;\n  height: 25px;\n  background-size: 25px;\n  background-repeat: no-repeat;\n  transform: rotate(0deg);\n  transition: transform 0.3s;\n}\n.bmmenu-i0FoF button {\n  display: flex;\n  position: relative;\n  margin-top: 10px;\n  border-radius: 40px;\n  border-width: 0px;\n  background-color: rgba(0, 26, 255, 0);\n  transition: background-color var(--animation-delay) ease-in-out, color var(--animation-delay) ease-in-out;\n  margin: 0px 5px;\n  box-sizing: 1px;\n}\n.bmmenu-i0FoF button:hover {\n  background-color: white;\n  cursor: pointer;\n}\n.bmmenu-i0FoF > :first-child {\n  margin-top: 20px;\n}\n.menuWide-Yv3p0 button:hover p {\n  color: black;\n  transition: none 0s ease 0s;\n  transition: initial;\n}\n.bmmenu-i0FoF button:hover div {\n  background-color: black;\n  background-image: none;\n  background-image: initial;\n}\n\n.menuWide-Yv3p0 .header-bQ84L {\n  font-size: 20px !important;\n  transition: font-size 0.1s !important;\n  transition-delay: 0.1s !important;\n}\n\n.menuWide-Yv3p0 .header-bQ84L {\n  font-family: var(--diva-typography-font-family);\n  font-weight: 100;\n  margin-top: 12px;\n  margin-left: 2px;\n  vertical-align: top;\n}\n.treeIcon-5qOPl {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 enable-background%3D%22new 0 0 24 24%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Cg%3E%3Crect fill%3D%22none%22 height%3D%2224%22 width%3D%2224%22%2F%3E%3C%2Fg%3E%3Cg%3E%3Cg%3E%3Cpath d%3D%22M20%2C3H4C2.9%2C3%2C2%2C3.9%2C2%2C5v14c0%2C1.1%2C0.9%2C2%2C2%2C2h16c1.1%2C0%2C2-0.9%2C2-2V5 C22%2C3.9%2C21.1%2C3%2C20%2C3z M20%2C19H4V5h16V19z%22 fill-rule%3D%22evenodd%22%2F%3E%3Cpolygon fill-rule%3D%22evenodd%22 points%3D%2219.41%2C10.42 17.99%2C9 14.82%2C12.17 13.41%2C10.75 12%2C12.16 14.82%2C15%22%2F%3E%3Crect fill-rule%3D%22evenodd%22 height%3D%222%22 width%3D%225%22 x%3D%225%22 y%3D%227%22%2F%3E%3Crect fill-rule%3D%22evenodd%22 height%3D%222%22 width%3D%225%22 x%3D%225%22 y%3D%2211%22%2F%3E%3Crect fill-rule%3D%22evenodd%22 height%3D%222%22 width%3D%225%22 x%3D%225%22 y%3D%2215%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n}\n.bmmenu-i0FoF button:hover .treeIcon-5qOPl {\n  mask: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 enable-background%3D%22new 0 0 24 24%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Cg%3E%3Crect fill%3D%22none%22 height%3D%2224%22 width%3D%2224%22%2F%3E%3C%2Fg%3E%3Cg%3E%3Cg%3E%3Cpath d%3D%22M20%2C3H4C2.9%2C3%2C2%2C3.9%2C2%2C5v14c0%2C1.1%2C0.9%2C2%2C2%2C2h16c1.1%2C0%2C2-0.9%2C2-2V5 C22%2C3.9%2C21.1%2C3%2C20%2C3z M20%2C19H4V5h16V19z%22 fill-rule%3D%22evenodd%22%2F%3E%3Cpolygon fill-rule%3D%22evenodd%22 points%3D%2219.41%2C10.42 17.99%2C9 14.82%2C12.17 13.41%2C10.75 12%2C12.16 14.82%2C15%22%2F%3E%3Crect fill-rule%3D%22evenodd%22 height%3D%222%22 width%3D%225%22 x%3D%225%22 y%3D%227%22%2F%3E%3Crect fill-rule%3D%22evenodd%22 height%3D%222%22 width%3D%225%22 x%3D%225%22 y%3D%2211%22%2F%3E%3Crect fill-rule%3D%22evenodd%22 height%3D%222%22 width%3D%225%22 x%3D%225%22 y%3D%2215%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E\") no-repeat center / contain;\n  -webkit-mask: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 enable-background%3D%22new 0 0 24 24%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Cg%3E%3Crect fill%3D%22none%22 height%3D%2224%22 width%3D%2224%22%2F%3E%3C%2Fg%3E%3Cg%3E%3Cg%3E%3Cpath d%3D%22M20%2C3H4C2.9%2C3%2C2%2C3.9%2C2%2C5v14c0%2C1.1%2C0.9%2C2%2C2%2C2h16c1.1%2C0%2C2-0.9%2C2-2V5 C22%2C3.9%2C21.1%2C3%2C20%2C3z M20%2C19H4V5h16V19z%22 fill-rule%3D%22evenodd%22%2F%3E%3Cpolygon fill-rule%3D%22evenodd%22 points%3D%2219.41%2C10.42 17.99%2C9 14.82%2C12.17 13.41%2C10.75 12%2C12.16 14.82%2C15%22%2F%3E%3Crect fill-rule%3D%22evenodd%22 height%3D%222%22 width%3D%225%22 x%3D%225%22 y%3D%227%22%2F%3E%3Crect fill-rule%3D%22evenodd%22 height%3D%222%22 width%3D%225%22 x%3D%225%22 y%3D%2211%22%2F%3E%3Crect fill-rule%3D%22evenodd%22 height%3D%222%22 width%3D%225%22 x%3D%225%22 y%3D%2215%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E\") no-repeat center / contain;\n}\n.piece-list-l97vC {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Cpath d%3D%22M0 0h24v24H0V0z%22 fill%3D%22none%22%2F%3E%3Cpath d%3D%22M20 2H4c-1.1 0-2 .9-2 2v16c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zM8 20H4v-4h4v4zm0-6H4v-4h4v4zm0-6H4V4h4v4zm6 12h-4v-4h4v4zm0-6h-4v-4h4v4zm0-6h-4V4h4v4zm6 12h-4v-4h4v4zm0-6h-4v-4h4v4zm0-6h-4V4h4v4z%22%2F%3E%3C%2Fsvg%3E\");\n}\n.bmmenu-i0FoF button:hover .piece-list-l97vC {\n  mask: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Cpath d%3D%22M0 0h24v24H0V0z%22 fill%3D%22none%22%2F%3E%3Cpath d%3D%22M20 2H4c-1.1 0-2 .9-2 2v16c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zM8 20H4v-4h4v4zm0-6H4v-4h4v4zm0-6H4V4h4v4zm6 12h-4v-4h4v4zm0-6h-4v-4h4v4zm0-6h-4V4h4v4zm6 12h-4v-4h4v4zm0-6h-4v-4h4v4zm0-6h-4V4h4v4z%22%2F%3E%3C%2Fsvg%3E\") no-repeat center / contain;\n  -webkit-mask: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Cpath d%3D%22M0 0h24v24H0V0z%22 fill%3D%22none%22%2F%3E%3Cpath d%3D%22M20 2H4c-1.1 0-2 .9-2 2v16c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zM8 20H4v-4h4v4zm0-6H4v-4h4v4zm0-6H4V4h4v4zm6 12h-4v-4h4v4zm0-6h-4v-4h4v4zm0-6h-4V4h4v4zm6 12h-4v-4h4v4zm0-6h-4v-4h4v4zm0-6h-4V4h4v4z%22%2F%3E%3C%2Fsvg%3E\") no-repeat center / contain;\n}\n.visible-yE-Az {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Cpath d%3D%22M0 0h24v24H0V0z%22 fill%3D%22none%22%2F%3E%3Cpath d%3D%22M12 6c3.79 0 7.17 2.13 8.82 5.5C19.17 14.87 15.79 17 12 17s-7.17-2.13-8.82-5.5C4.83 8.13 8.21 6 12 6m0-2C7 4 2.73 7.11 1 11.5 2.73 15.89 7 19 12 19s9.27-3.11 11-7.5C21.27 7.11 17 4 12 4zm0 5c1.38 0 2.5 1.12 2.5 2.5S13.38 14 12 14s-2.5-1.12-2.5-2.5S10.62 9 12 9m0-2c-2.48 0-4.5 2.02-4.5 4.5S9.52 16 12 16s4.5-2.02 4.5-4.5S14.48 7 12 7z%22%2F%3E%3C%2Fsvg%3E\");\n}\n.bmmenu-i0FoF button:hover .visible-yE-Az {\n  mask: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Cpath d%3D%22M0 0h24v24H0V0z%22 fill%3D%22none%22%2F%3E%3Cpath d%3D%22M12 6c3.79 0 7.17 2.13 8.82 5.5C19.17 14.87 15.79 17 12 17s-7.17-2.13-8.82-5.5C4.83 8.13 8.21 6 12 6m0-2C7 4 2.73 7.11 1 11.5 2.73 15.89 7 19 12 19s9.27-3.11 11-7.5C21.27 7.11 17 4 12 4zm0 5c1.38 0 2.5 1.12 2.5 2.5S13.38 14 12 14s-2.5-1.12-2.5-2.5S10.62 9 12 9m0-2c-2.48 0-4.5 2.02-4.5 4.5S9.52 16 12 16s4.5-2.02 4.5-4.5S14.48 7 12 7z%22%2F%3E%3C%2Fsvg%3E\") no-repeat center / contain;\n  -webkit-mask: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Cpath d%3D%22M0 0h24v24H0V0z%22 fill%3D%22none%22%2F%3E%3Cpath d%3D%22M12 6c3.79 0 7.17 2.13 8.82 5.5C19.17 14.87 15.79 17 12 17s-7.17-2.13-8.82-5.5C4.83 8.13 8.21 6 12 6m0-2C7 4 2.73 7.11 1 11.5 2.73 15.89 7 19 12 19s9.27-3.11 11-7.5C21.27 7.11 17 4 12 4zm0 5c1.38 0 2.5 1.12 2.5 2.5S13.38 14 12 14s-2.5-1.12-2.5-2.5S10.62 9 12 9m0-2c-2.48 0-4.5 2.02-4.5 4.5S9.52 16 12 16s4.5-2.02 4.5-4.5S14.48 7 12 7z%22%2F%3E%3C%2Fsvg%3E\") no-repeat center / contain;\n}\n.article-list-c504K {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 enable-background%3D%22new 0 0 24 24%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Crect fill%3D%22none%22 height%3D%2224%22 width%3D%2224%22%2F%3E%3Cpath d%3D%22M22%2C11V3h-7v3H9V3H2v8h7V8h2v10h4v3h7v-8h-7v3h-2V8h2v3H22z M7%2C9H4V5h3V9z M17%2C15h3v4h-3V15z M17%2C5h3v4h-3V5z%22%2F%3E%3C%2Fsvg%3E\");\n}\n.bmmenu-i0FoF button:hover .article-list-c504K {\n  mask: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 enable-background%3D%22new 0 0 24 24%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Crect fill%3D%22none%22 height%3D%2224%22 width%3D%2224%22%2F%3E%3Cpath d%3D%22M22%2C11V3h-7v3H9V3H2v8h7V8h2v10h4v3h7v-8h-7v3h-2V8h2v3H22z M7%2C9H4V5h3V9z M17%2C15h3v4h-3V15z M17%2C5h3v4h-3V5z%22%2F%3E%3C%2Fsvg%3E\") no-repeat center / contain;\n  -webkit-mask: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 enable-background%3D%22new 0 0 24 24%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Crect fill%3D%22none%22 height%3D%2224%22 width%3D%2224%22%2F%3E%3Cpath d%3D%22M22%2C11V3h-7v3H9V3H2v8h7V8h2v10h4v3h7v-8h-7v3h-2V8h2v3H22z M7%2C9H4V5h3V9z M17%2C15h3v4h-3V15z M17%2C5h3v4h-3V5z%22%2F%3E%3C%2Fsvg%3E\") no-repeat center / contain;\n}\n.cataloganalysis-lUvm6 {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 enable-background%3D%22new 0 0 24 24%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Cg%3E%3Cpath d%3D%22M0%2C0h24v24H0V0z%22 fill%3D%22none%22%2F%3E%3C%2Fg%3E%3Cg%3E%3Cpolygon points%3D%226.23%2C20.23 8%2C22 18%2C12 8%2C2 6.23%2C3.77 14.46%2C12%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n}\n.bmmenu-i0FoF button:hover .cataloganalysis-lUvm6 {\n  mask: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 enable-background%3D%22new 0 0 24 24%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Cg%3E%3Cpath d%3D%22M0%2C0h24v24H0V0z%22 fill%3D%22none%22%2F%3E%3C%2Fg%3E%3Cg%3E%3Cpolygon points%3D%226.23%2C20.23 8%2C22 18%2C12 8%2C2 6.23%2C3.77 14.46%2C12%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E\") no-repeat center / contain;\n  -webkit-mask: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 enable-background%3D%22new 0 0 24 24%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Cg%3E%3Cpath d%3D%22M0%2C0h24v24H0V0z%22 fill%3D%22none%22%2F%3E%3C%2Fg%3E%3Cg%3E%3Cpolygon points%3D%226.23%2C20.23 8%2C22 18%2C12 8%2C2 6.23%2C3.77 14.46%2C12%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E\") no-repeat center / contain;\n}\n.svgList-jK7kq {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 enable-background%3D%22new 0 0 24 24%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Cg%3E%3Crect fill%3D%22none%22 height%3D%2224%22 width%3D%2224%22%2F%3E%3C%2Fg%3E%3Cg%3E%3Cg%3E%3Cpath d%3D%22M6.36%2C18.78L6.61%2C21l1.62-1.54l2.77-7.6c-0.68-0.17-1.28-0.51-1.77-0.98L6.36%2C18.78z%22%2F%3E%3Cpath d%3D%22M14.77%2C10.88c-0.49%2C0.47-1.1%2C0.81-1.77%2C0.98l2.77%2C7.6L17.39%2C21l0.26-2.22L14.77%2C10.88z%22%2F%3E%3Cpath d%3D%22M15%2C8c0-1.3-0.84-2.4-2-2.82V3h-2v2.18C9.84%2C5.6%2C9%2C6.7%2C9%2C8c0%2C1.66%2C1.34%2C3%2C3%2C3S15%2C9.66%2C15%2C8z M12%2C9c-0.55%2C0-1-0.45-1-1 c0-0.55%2C0.45-1%2C1-1s1%2C0.45%2C1%2C1C13%2C8.55%2C12.55%2C9%2C12%2C9z%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n}\n\n.bmmenu-i0FoF button:hover .svgList-jK7kq {\n  mask: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 enable-background%3D%22new 0 0 24 24%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Cg%3E%3Crect fill%3D%22none%22 height%3D%2224%22 width%3D%2224%22%2F%3E%3C%2Fg%3E%3Cg%3E%3Cg%3E%3Cpath d%3D%22M6.36%2C18.78L6.61%2C21l1.62-1.54l2.77-7.6c-0.68-0.17-1.28-0.51-1.77-0.98L6.36%2C18.78z%22%2F%3E%3Cpath d%3D%22M14.77%2C10.88c-0.49%2C0.47-1.1%2C0.81-1.77%2C0.98l2.77%2C7.6L17.39%2C21l0.26-2.22L14.77%2C10.88z%22%2F%3E%3Cpath d%3D%22M15%2C8c0-1.3-0.84-2.4-2-2.82V3h-2v2.18C9.84%2C5.6%2C9%2C6.7%2C9%2C8c0%2C1.66%2C1.34%2C3%2C3%2C3S15%2C9.66%2C15%2C8z M12%2C9c-0.55%2C0-1-0.45-1-1 c0-0.55%2C0.45-1%2C1-1s1%2C0.45%2C1%2C1C13%2C8.55%2C12.55%2C9%2C12%2C9z%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E\") no-repeat center / contain;\n  -webkit-mask: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 enable-background%3D%22new 0 0 24 24%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Cg%3E%3Crect fill%3D%22none%22 height%3D%2224%22 width%3D%2224%22%2F%3E%3C%2Fg%3E%3Cg%3E%3Cg%3E%3Cpath d%3D%22M6.36%2C18.78L6.61%2C21l1.62-1.54l2.77-7.6c-0.68-0.17-1.28-0.51-1.77-0.98L6.36%2C18.78z%22%2F%3E%3Cpath d%3D%22M14.77%2C10.88c-0.49%2C0.47-1.1%2C0.81-1.77%2C0.98l2.77%2C7.6L17.39%2C21l0.26-2.22L14.77%2C10.88z%22%2F%3E%3Cpath d%3D%22M15%2C8c0-1.3-0.84-2.4-2-2.82V3h-2v2.18C9.84%2C5.6%2C9%2C6.7%2C9%2C8c0%2C1.66%2C1.34%2C3%2C3%2C3S15%2C9.66%2C15%2C8z M12%2C9c-0.55%2C0-1-0.45-1-1 c0-0.55%2C0.45-1%2C1-1s1%2C0.45%2C1%2C1C13%2C8.55%2C12.55%2C9%2C12%2C9z%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E\") no-repeat center / contain;\n}\n\n.ekText-cm5xg {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 fill%3D%22%23FFFFFF%22 height%3D%2248%22 width%3D%2248%22%3E%3Cpath  d%3D%22M6 36v-3h36v3Zm0-10.5v-3h36v3ZM6 15v-3h36v3Z%22%2F%3E%3C%2Fsvg%3E\");\n}\n.bmmenu-i0FoF button:hover .ekText-cm5xg {\n  mask: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 fill%3D%22%23FFFFFF%22 height%3D%2248%22 width%3D%2248%22%3E%3Cpath  d%3D%22M6 36v-3h36v3Zm0-10.5v-3h36v3ZM6 15v-3h36v3Z%22%2F%3E%3C%2Fsvg%3E\") no-repeat center / contain;\n  -webkit-mask: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 fill%3D%22%23FFFFFF%22 height%3D%2248%22 width%3D%2248%22%3E%3Cpath  d%3D%22M6 36v-3h36v3Zm0-10.5v-3h36v3ZM6 15v-3h36v3Z%22%2F%3E%3C%2Fsvg%3E\") no-repeat center / contain;\n}\n\n.catalogMakueUp-Ruh3p {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22  fill%3D%22%23FFFFFF%22  height%3D%2248%22 width%3D%2248%22%3E%3Cpath d%3D%22m9.65 29.65-1.15-2.5L6 26l2.5-1.15 1.15-2.5 1.15 2.5L13.3 26l-2.5 1.15ZM16 41.45l-1.75-3.7-3.7-1.75 3.7-1.75 1.75-3.7 1.75 3.7 3.7 1.75-3.7 1.75Zm0-20-1.75-3.7-3.7-1.75 3.7-1.75 1.75-3.7 1.75 3.7 3.7 1.75-3.7 1.75ZM38 44q-6.05-2.5-9.775-8.125Q24.5 30.25 24.5 24q0-4.55 2.175-9.05Q28.85 10.45 32.6 7h-8.4V4H38v13.8h-3V8.85q-3.45 3.1-5.475 7.175Q27.5 20.1 27.5 24q0 5.05 2.9 9.7 2.9 4.65 7.6 7Z%22%2F%3E%3C%2Fsvg%3E\");\n}\n\n.bmmenu-i0FoF button:hover .catalogMakueUp-Ruh3p {\n  mask: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22  fill%3D%22%23FFFFFF%22  height%3D%2248%22 width%3D%2248%22%3E%3Cpath d%3D%22m9.65 29.65-1.15-2.5L6 26l2.5-1.15 1.15-2.5 1.15 2.5L13.3 26l-2.5 1.15ZM16 41.45l-1.75-3.7-3.7-1.75 3.7-1.75 1.75-3.7 1.75 3.7 3.7 1.75-3.7 1.75Zm0-20-1.75-3.7-3.7-1.75 3.7-1.75 1.75-3.7 1.75 3.7 3.7 1.75-3.7 1.75ZM38 44q-6.05-2.5-9.775-8.125Q24.5 30.25 24.5 24q0-4.55 2.175-9.05Q28.85 10.45 32.6 7h-8.4V4H38v13.8h-3V8.85q-3.45 3.1-5.475 7.175Q27.5 20.1 27.5 24q0 5.05 2.9 9.7 2.9 4.65 7.6 7Z%22%2F%3E%3C%2Fsvg%3E\") no-repeat center / contain;\n  -webkit-mask: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22  fill%3D%22%23FFFFFF%22  height%3D%2248%22 width%3D%2248%22%3E%3Cpath d%3D%22m9.65 29.65-1.15-2.5L6 26l2.5-1.15 1.15-2.5 1.15 2.5L13.3 26l-2.5 1.15ZM16 41.45l-1.75-3.7-3.7-1.75 3.7-1.75 1.75-3.7 1.75 3.7 3.7 1.75-3.7 1.75Zm0-20-1.75-3.7-3.7-1.75 3.7-1.75 1.75-3.7 1.75 3.7 3.7 1.75-3.7 1.75ZM38 44q-6.05-2.5-9.775-8.125Q24.5 30.25 24.5 24q0-4.55 2.175-9.05Q28.85 10.45 32.6 7h-8.4V4H38v13.8h-3V8.85q-3.45 3.1-5.475 7.175Q27.5 20.1 27.5 24q0 5.05 2.9 9.7 2.9 4.65 7.6 7Z%22%2F%3E%3C%2Fsvg%3E\") no-repeat center / contain;\n}\n\n.rtvAnalyzer-FgYqS {\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 height%3D%2224%22 viewBox%3D%220 -960 960 960%22 width%3D%2224%22%3E%3Cpath d%3D%22M440-183v-274L200-596v274l240 139Zm80 0 240-139v-274L520-457v274Zm-40-343 237-137-237-137-237 137 237 137ZM160-252q-19-11-29.5-29T120-321v-318q0-22 10.5-40t29.5-29l280-161q19-11 40-11t40 11l280 161q19 11 29.5 29t10.5 40v318q0 22-10.5 40T800-252L520-91q-19 11-40 11t-40-11L160-252Zm320-228Z%22 fill%3D%22%23FFFFFF%22%2F%3E%3C%2Fsvg%3E\");\n}\n\n.bmmenu-i0FoF button:hover .rtvAnalyzer-FgYqS {\n  mask: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 height%3D%2224%22 viewBox%3D%220 -960 960 960%22 width%3D%2224%22%3E%3Cpath d%3D%22M440-183v-274L200-596v274l240 139Zm80 0 240-139v-274L520-457v274Zm-40-343 237-137-237-137-237 137 237 137ZM160-252q-19-11-29.5-29T120-321v-318q0-22 10.5-40t29.5-29l280-161q19-11 40-11t40 11l280 161q19 11 29.5 29t10.5 40v318q0 22-10.5 40T800-252L520-91q-19 11-40 11t-40-11L160-252Zm320-228Z%22 fill%3D%22%23FFFFFF%22%2F%3E%3C%2Fsvg%3E\") no-repeat center / contain;\n  -webkit-mask: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 height%3D%2224%22 viewBox%3D%220 -960 960 960%22 width%3D%2224%22%3E%3Cpath d%3D%22M440-183v-274L200-596v274l240 139Zm80 0 240-139v-274L520-457v274Zm-40-343 237-137-237-137-237 137 237 137ZM160-252q-19-11-29.5-29T120-321v-318q0-22 10.5-40t29.5-29l280-161q19-11 40-11t40 11l280 161q19 11 29.5 29t10.5 40v318q0 22-10.5 40T800-252L520-91q-19 11-40 11t-40-11L160-252Zm320-228Z%22 fill%3D%22%23FFFFFF%22%2F%3E%3C%2Fsvg%3E\") no-repeat center / contain;\n}\n\n.menuWide-Yv3p0 button:first-of-type div:first-of-type {\n  transform: rotate(180deg);\n  transition: transform 0.3s;\n}\n";
styleInject(css_248z);

var _excluded = ["setCurrentWindowActive", "currentWindowActive"];
var Sidebar = function Sidebar(_ref) {
  var setCurrentWindowActive = _ref.setCurrentWindowActive,
    currentWindowActive = _ref.currentWindowActive,
    props = _objectWithoutProperties(_ref, _excluded);
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    menuState = _useState2[0],
    setMenuState = _useState2[1];
  return /*#__PURE__*/jsxs("div", {
    className: classnames(bmmenu, menuState ? menuWide : undefined, props.className),
    onMouseEnter: function onMouseEnter() {
      return setMenuState(true);
    },
    onMouseLeave: function onMouseLeave() {
      return setMenuState(false);
    },
    children: [/*#__PURE__*/jsxs("button", {
      onClick: function onClick() {
        return setMenuState(!menuState);
      },
      children: [/*#__PURE__*/jsx("div", {
        className: classnames(backgroundImage, cataloganalysis)
      }), /*#__PURE__*/jsx("p", {
        className: header,
        children: "Catalog Analyser"
      })]
    }), /*#__PURE__*/jsxs("button", {
      onClick: function onClick() {
        setCurrentWindowActive('3D/2D');
      },
      children: [/*#__PURE__*/jsx("div", {
        className: classnames(backgroundImage, visible)
      }), /*#__PURE__*/jsx("p", {
        children: "2D/3D"
      })]
    }), /*#__PURE__*/jsxs("button", {
      onClick: function onClick() {
        if (currentWindowActive == 'Options') setCurrentWindowActive('3D/2D');else setCurrentWindowActive('Options');
      },
      children: [/*#__PURE__*/jsx("div", {
        className: classnames(backgroundImage, treeIcon)
      }), /*#__PURE__*/jsx("p", {
        children: "Options\xFCbersicht"
      })]
    }), /*#__PURE__*/jsxs("button", {
      onClick: function onClick() {
        if (currentWindowActive == 'PartList') setCurrentWindowActive('3D/2D');else setCurrentWindowActive('PartList');
      },
      children: [/*#__PURE__*/jsx("div", {
        className: classnames(backgroundImage, pieceList)
      }), /*#__PURE__*/jsx("p", {
        children: "St\xFCckliste"
      })]
    }), /*#__PURE__*/jsxs("button", {
      onClick: function onClick() {
        if (currentWindowActive == 'DecisionAnalyzer') setCurrentWindowActive('3D/2D');else setCurrentWindowActive('DecisionAnalyzer');
      },
      children: [/*#__PURE__*/jsx("div", {
        className: classnames(backgroundImage, pieceList)
      }), /*#__PURE__*/jsx("p", {
        children: "DecisionAnalyzer"
      })]
    }), /*#__PURE__*/jsxs("button", {
      onClick: function onClick() {
        if (currentWindowActive == 'PriceAnalyzer') setCurrentWindowActive('3D/2D');else setCurrentWindowActive('PriceAnalyzer');
      },
      children: [/*#__PURE__*/jsx("div", {
        className: classnames(backgroundImage, pieceList)
      }), /*#__PURE__*/jsx("p", {
        children: "PriceAnalyzer"
      })]
    }), /*#__PURE__*/jsxs("button", {
      onClick: function onClick() {
        if (currentWindowActive == 'Artikelübersicht') setCurrentWindowActive('3D/2D');else setCurrentWindowActive('Artikelübersicht');
      },
      children: [/*#__PURE__*/jsx("div", {
        className: classnames(backgroundImage, articleList)
      }), /*#__PURE__*/jsx("p", {
        children: "Artikel\xFCbersicht"
      })]
    }), /*#__PURE__*/jsxs("button", {
      onClick: function onClick() {
        if (currentWindowActive == 'ekText') setCurrentWindowActive('3D/2D');else setCurrentWindowActive('ekText');
      },
      children: [/*#__PURE__*/jsx("div", {
        className: classnames(backgroundImage, ekText)
      }), /*#__PURE__*/jsx("p", {
        children: "EK-Text"
      })]
    }), /*#__PURE__*/jsxs("button", {
      onClick: function onClick() {
        if (currentWindowActive == 'SVGübersicht') setCurrentWindowActive('3D/2D');else setCurrentWindowActive('SVGübersicht');
      },
      children: [/*#__PURE__*/jsx("div", {
        className: classnames(backgroundImage, svgList)
      }), /*#__PURE__*/jsx("p", {
        children: "SVG - \xDCbersicht"
      })]
    }), /*#__PURE__*/jsxs("button", {
      onClick: function onClick() {
        if (currentWindowActive == 'CatalogMakeup') setCurrentWindowActive('3D/2D');else setCurrentWindowActive('CatalogMakeup');
      },
      children: [/*#__PURE__*/jsx("div", {
        className: classnames(backgroundImage, catalogMakueUp)
      }), /*#__PURE__*/jsx("p", {
        children: "Catalog Makeup"
      })]
    }), /*#__PURE__*/jsxs("button", {
      onClick: function onClick() {
        if (currentWindowActive == 'RTVAnalyzer') setCurrentWindowActive('3D/2D');else setCurrentWindowActive('RTVAnalyzer');
      },
      children: [/*#__PURE__*/jsx("div", {
        className: classnames(backgroundImage, rtvAnalyzer)
      }), /*#__PURE__*/jsx("p", {
        children: "RTV Analyzer"
      })]
    }), /*#__PURE__*/jsxs("button", {
      onClick: function onClick() {
        setCurrentWindowActive('J3DEditor');
      },
      children: [/*#__PURE__*/jsx("div", {
        className: classnames(backgroundImage, treeIcon)
      }), /*#__PURE__*/jsx("p", {
        children: "J3DEditor"
      })]
    }), /*#__PURE__*/jsxs("button", {
      onClick: function onClick() {
        setCurrentWindowActive('PropertiesEditor');
      },
      children: [/*#__PURE__*/jsx("div", {
        className: classnames(backgroundImage, treeIcon)
      }), /*#__PURE__*/jsx("p", {
        children: "Properties Editor"
      })]
    }), /*#__PURE__*/jsxs("button", {
      onClick: function onClick() {
        setCurrentWindowActive('MaskEditor');
      },
      children: [/*#__PURE__*/jsx("div", {
        className: classnames(backgroundImage, treeIcon)
      }), /*#__PURE__*/jsx("p", {
        children: "Mask Editor"
      })]
    })]
  });
};

export { Sidebar as default };
