import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { s as styleInject } from './index-e560cd58.js';
import { useState, useEffect } from 'react';
import Toggle from './index-d9e0b8ab.js';
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';

var wrapper = "wrapper-i5mp2";
var tabs = "tabs-byZxq";
var sel = "sel-J1it3";
var selectionWrapper = "selection-wrapper-BVO4h";
var selectionText = "selection-text-gO6Tv";
var selection = "selection-ZoepK";
var css_248z$1 = ".wrapper-i5mp2 {\n  background-color: rgba(244, 244, 244, 0.8);\n  position: absolute;\n  margin-left: 50px;\n  -webkit-user-select: text;\n     -moz-user-select: text;\n          user-select: text;\n}\n\n.tabs-byZxq {\n  margin: 32px;\n  font-size: 22px;\n  display: flex;\n  gap: 32px;\n}\n\n.tabs-byZxq div {\n  cursor: pointer;\n}\n\n.tabs-byZxq div:hover,\n.sel-J1it3 {\n  border-bottom: var(--primaryColor) 2px solid;\n}\n\n.selection-wrapper-BVO4h {\n  display: flex;\n  position: relative;\n  margin: 8px 32px;\n}\n\n.selection-text-gO6Tv {\n  width: 160px;\n  line-height: 38px;\n}\n.selection-ZoepK {\n  flex-grow: 1;\n}\n\n.selection-wrapper-BVO4h input {\n  flex-grow: 1;\n}\n";
styleInject(css_248z$1);

var tableWrapper = "table-wrapper-NEM-p";
var tableCss = "table-css-Qbpn7";
var css_248z = ".table-wrapper-NEM-p {\n  margin: 16px;\n  overflow: auto;\n  height: calc(100% - 120px);\n}\n.table-css-Qbpn7 {\n}\n.table-css-Qbpn7 td {\n  border: 1px solid black;\n}\n";
styleInject(css_248z);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var Table = function Table(_ref) {
  var properties = _ref.properties,
    data = _ref.data,
    id = _ref.id;
  var _useState = useState({}),
    _useState2 = _slicedToArray(_useState, 2),
    overwrittenProps = _useState2[0],
    setOverwrittenProps = _useState2[1];
  var _useState3 = useState(properties),
    _useState4 = _slicedToArray(_useState3, 2),
    filteredProperties = _useState4[0],
    setFilteredProperties = _useState4[1];
  var _useState5 = useState(),
    _useState6 = _slicedToArray(_useState5, 2),
    searchText = _useState6[0],
    setSearchText = _useState6[1];
  useEffect(function () {
    if (searchText) {
      setFilteredProperties(properties.filter(function (p) {
        return p.codex.toLocaleLowerCase().includes(searchText === null || searchText === void 0 ? void 0 : searchText.toLocaleLowerCase()) || p.type.toLocaleLowerCase().includes(searchText === null || searchText === void 0 ? void 0 : searchText.toLocaleLowerCase());
      }));
    } else {
      setFilteredProperties(properties);
    }
  }, [searchText]);
  useEffect(function () {
    setSearchText('');
    setFilteredProperties(properties);
  }, [id]);
  var onClick = function onClick(key, newVal, type) {
    var newVals = _objectSpread({}, overwrittenProps);
    if (!data) return;
    newVals[key] = newVal;
    if (type == 'Array') {
      data[key] = newVal === null || newVal === void 0 ? void 0 : newVal.split(';');
    } else {
      data[key] = newVal;
    }
    setOverwrittenProps(newVals);
  };
  return /*#__PURE__*/jsxs(Fragment, {
    children: [/*#__PURE__*/jsxs("div", {
      className: selectionWrapper,
      children: [/*#__PURE__*/jsx("div", {
        className: selectionText,
        children: "Suche:"
      }), /*#__PURE__*/jsx("input", {
        type: "text",
        value: searchText,
        onChange: function onChange(e) {
          var _e$target;
          return setSearchText((_e$target = e.target) === null || _e$target === void 0 ? void 0 : _e$target.value);
        }
      })]
    }), /*#__PURE__*/jsx("div", {
      className: tableWrapper,
      children: /*#__PURE__*/jsxs("table", {
        className: tableCss,
        children: [/*#__PURE__*/jsx("th", {
          children: "CODEX"
        }), /*#__PURE__*/jsx("th", {
          children: "Beschreibung"
        }), /*#__PURE__*/jsx("th", {
          children: "Type"
        }), /*#__PURE__*/jsx("th", {
          children: "edit"
        }), filteredProperties.map(function (p) {
          var _overwrittenProps$p$c, _overwrittenProps$p$c2, _overwrittenProps$p$c3;
          return /*#__PURE__*/jsxs("tr", {
            children: [/*#__PURE__*/jsx("td", {
              children: p.codex
            }), /*#__PURE__*/jsx("td", {
              children: p.desc
            }), /*#__PURE__*/jsx("td", {
              children: p.type
            }), /*#__PURE__*/jsxs("td", {
              children: [p.type == 'boolean' && /*#__PURE__*/jsx(Toggle, {
                state: (_overwrittenProps$p$c = overwrittenProps[p.catalogKey]) !== null && _overwrittenProps$p$c !== void 0 ? _overwrittenProps$p$c : data === null || data === void 0 ? void 0 : data[p.catalogKey],
                onChange: function onChange(val) {
                  return onClick(p.catalogKey, val, p.type);
                }
              }), (p.type == 'string' || p.type == 'Array') && /*#__PURE__*/jsx("input", {
                value: (_overwrittenProps$p$c2 = overwrittenProps[p.catalogKey]) !== null && _overwrittenProps$p$c2 !== void 0 ? _overwrittenProps$p$c2 : data === null || data === void 0 ? void 0 : data[p.catalogKey],
                onChange: function onChange(e) {
                  return onClick(p.catalogKey, e.target.value, p.type);
                },
                type: "text"
              }), p.type == 'number' && /*#__PURE__*/jsx("input", {
                value: (_overwrittenProps$p$c3 = overwrittenProps[p.catalogKey]) !== null && _overwrittenProps$p$c3 !== void 0 ? _overwrittenProps$p$c3 : data === null || data === void 0 ? void 0 : data[p.catalogKey],
                onChange: function onChange(e) {
                  return onClick(p.catalogKey, e.target.value, p.type);
                },
                type: "number"
              })]
            })]
          }, p.codex);
        })]
      })
    })]
  });
};

var index = /*#__PURE__*/Object.freeze({
  __proto__: null,
  'default': Table
});

export { Table as T, selectionWrapper as a, selectionText as b, selection as c, index as i, sel as s, tabs as t, wrapper as w };
