import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import classnames from 'classnames';
import { useEffect } from 'react';
import Inputbox from './index-784d4adc.js';
import Product from './index-75079ab1.js';
import Settings from './index-ecc85fdb.js';
import NavigationButtons from './index-30cc40bb.js';
import BasketAction from './index-0224a06e.js';
import TabGroup from './index-9bbd0638.js';
import { observer } from 'mobx-react-lite';
import BarrierActions from './index-f9b64766.js';
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import '@babel/runtime/helpers/objectDestructuringEmpty';
import './index-d5750f25.js';
import './index-bec7758a.js';
import './index-f0b13a76.js';
import './index-9e5c6d0b.js';
import './index-f919fe39.js';
import 'react-laag';
import './index-2bdd798a.js';
import './index-6a14c4ba.js';
import './index-9ac352ac.js';
import 'sift';
import './index-03ec1878.js';
import './index-7f563f4a.js';
import './index-dab96ea8.js';
import './index-5ed724e9.js';
import './index.module-8b8e578d.js';
import './index-d9e0b8ab.js';
import 'react-switch';
import './index-a00c316e.js';
import './index-b813b7d7.js';
import './index-227ad099.js';
import 'react-dropdown';
import './index-18e04d12.js';
import './index-d0cb686e.js';
import './index-98a94c2a.js';
import './index-c43b9bf6.js';
import '@crystaldesign/content-box';
import './index-a9750c3d.js';
import './index-576885e5.js';
import './index-ea0c61b7.js';
import './index-118cdb5f.js';
import './index-63a72d8c.js';
import './index-cbdc56a8.js';
import './index-f7d87c9f.js';
import './index-a53f6c9e.js';
import './index-123dc27c.js';
import './index-5317aaf3.js';
import './index-79b89ba2.js';
import './index-60ade46e.js';
import './index-68efdadc.js';
import './index-1e6362c6.js';
import './index-b18bffae.js';
import './index-ab3f39ef.js';
import './index.module-eaa02037.js';
import './index-243b2e2c.js';
import './index-27943660.js';
import './index-ec30cce1.js';
import './index-a3492836.js';
import './index-c6c521c0.js';
import './index-b87282a4.js';
import './index-53b89034.js';
import './index.module-65919b33.js';
import './index-3dac3051.js';
import './index-b4b3a823.js';
import './index-46bea554.js';
import './index-fcc87454.js';
import './index-54442cec.js';
import './index-d7e7bc22.js';
import './index-9309f785.js';
import './index-c8380cdc.js';

var wcConfigurator = "wcConfigurator-8WNGD";
var landscape = "landscape-fycCb";
var portrait = "portrait-mcAF6";
var wcConfiguratorProduct = "wcConfigurator-product-RWY1l";
var wcConfiguratorSettings = "wcConfigurator-settings-St4gK";
var wcConfiguratorSteps = "wcConfigurator-steps-fRfjC";
var wcConfiguratorSettingsActions = "wcConfigurator-settings-actions--47XW";
var wcConfiguratorAction = "wcConfigurator-action-9vcgt";
var expanded = "expanded-tbaDC";
var foldedup = "foldedup-INA5E";
var settingsHidden = "settings-hidden-dySS8";
var css_248z = ".wcConfigurator-8WNGD {\n  position: relative;\n  height: calc(100% - 60px);\n  width: 100%;\n  margin: 30px 0;\n  overflow: hidden;\n  font-family: var(--diva-typography-font-family);\n  font-weight: 300;\n  letter-spacing: 0.5px;\n  -webkit-font-smoothing: antialiased;\n  -webkit-text-stroke: 0.1px;\n  -webkit-touch-callout: none; /* iOS Safari */\n  -webkit-user-select: none; /* Safari */ /* Konqueror HTML */\n  -moz-user-select: none; /* Old versions of Firefox */ /* Internet Explorer/Edge */\n  user-select: none; /* Non-prefixed version, currently*/\n}\n\n.wcConfigurator-8WNGD *,\n.wcConfigurator-8WNGD *::before,\n.wcConfigurator-8WNGD *::after {\n  box-sizing: content-box;\n  box-sizing: initial;\n}\n\n.wcConfigurator-8WNGD.landscape-fycCb {\n  height: 100%;\n  width: 100%;\n  margin: 0;\n}\n\n.wcConfigurator-8WNGD.portrait-mcAF6 {\n  height: 100%;\n  width: 100%;\n  margin: 0;\n}\n\n/******************************************Product*******************************************/\n\n.wcConfigurator-product-RWY1l {\n  position: absolute;\n  width: 69%;\n  top: calc(56px + 20px);\n  height: calc(100% - 56px - 20px);\n}\n\n/**************************************ConfigPalette***************************************/\n.wcConfigurator-settings-St4gK {\n  position: absolute;\n  width: 31%;\n  overflow: visible;\n  z-index: 500;\n  right: 0px;\n  top: calc(56px + 20px);\n  height: calc(100% - 60px - 56px - 70px - 40px);\n  transition: width 0.2s ease-in-out;\n}\n\n/**************************************TabGroup********************************************/\n\n.wcConfigurator-steps-fRfjC {\n  position: absolute;\n  z-index: 300;\n  height: 56px;\n  width: 100%;\n  transition: width 0.2s ease-in-out;\n}\n\n/************************************Navigaton Buttons*************************************/\n\n.wcConfigurator-settings-actions--47XW {\n  position: absolute;\n  width: calc(31% - var(--settingsScrollerPaddingRight) - var(--settingsScrollerPaddingLeft));\n  height: 80px;\n  right: 0px;\n  bottom: calc(40px + 20px);\n  padding-top: 10px;\n  z-index: 500;\n  transition: width 0.2s ease-in-out;\n  padding-right: var(--settingsScrollerPaddingRight);\n  padding-left: var(--settingsScrollerPaddingLeft);\n  background-color: var(--settingsBackgroundColor);\n}\n\n/*************************************Basket Button****************************************/\n.wcConfigurator-action-9vcgt {\n  position: absolute;\n  width: calc(31% - var(--settingsScrollerPaddingRight) - var(--settingsScrollerPaddingLeft));\n  height: 40px;\n  right: 0px;\n  bottom: 0px;\n  padding-top: 20px;\n  z-index: 500;\n  transition: width 0.2s ease-in-out;\n  font-weight: 700;\n  padding-right: var(--settingsScrollerPaddingRight);\n  padding-left: var(--settingsScrollerPaddingLeft);\n}\n\n/****************************************Settings- Expanded *******************************/\n.expanded-tbaDC .wcConfigurator-settings-St4gK {\n  width: 62%;\n}\n\n.expanded-tbaDC .wcConfigurator-action-9vcgt,\n.expanded-tbaDC .wcConfigurator-settings-actions--47XW {\n  width: calc(62% - var(--settingsScrollerPaddingRight) - var(--settingsScrollerPaddingLeft));\n}\n\n.wcConfigurator-8WNGD.portrait-mcAF6,\n.landscape-fycCb.wcConfigurator-8WNGD {\n  padding: 0;\n  padding: initial;\n  overflow: hidden;\n} /*********************************************************************Mobile Landscape***********************************************************************/\n\n/**********************3D / 2D Bereich -- Mobile Landscape ****************************/\n.landscape-fycCb .wcConfigurator-product-RWY1l {\n  width: 100%;\n  height: 100%;\n  top: 0px;\n  left: 0px;\n  max-width: none;\n  max-width: initial;\n}\n\n/*************************ConfigPalette -- Mobile Landscape ***************************/\n\n.landscape-fycCb .wcConfigurator-settings-St4gK {\n  display: none;\n}\n\n/*configuratorPalette wird nach unten aus dem Blickfeld geschoben*/\n/* .landscape.settings-hidden .wcConfigurator-settings {\n  top: 100%;\n} */\n\n/*****************************TabGroup -- Mobile Landscape ****************************/\n\n.landscape-fycCb .wcConfigurator-steps-fRfjC {\n  display: none;\n}\n\n/******************Navigaton Buttons -- Mobile Landscape ******************************/\n.landscape-fycCb .wcConfigurator-settings-actions--47XW {\n  display: none;\n}\n\n/*********************Basket Button-- Mobile Landscape*********************************/\n.landscape-fycCb .wcConfigurator-action-9vcgt {\n  display: none;\n}\n\n/*********************************************************************Mobile Portrait************************************************************************/\n\n/**********************3D / 2D Bereich -- Mobile Portrait *****************************/\n.portrait-mcAF6 .wcConfigurator-product-RWY1l {\n  top: 50px;\n  left: 0;\n  height: 40%;\n  width: 100%;\n  max-width: none;\n  max-width: initial;\n}\n\n.portrait-mcAF6.foldedup-INA5E .wcConfigurator-product-RWY1l {\n  z-index: 1;\n}\n\n.portrait-mcAF6.settings-hidden-dySS8 .wcConfigurator-product-RWY1l {\n  height: calc(100% - 50px);\n}\n\n/*************************ConfigPalette -- Mobile Portrait ****************************/\n\n.portrait-mcAF6 .wcConfigurator-settings-St4gK {\n  left: 0px;\n  top: calc(40% + 50px);\n  height: calc(60% - 50px - var(--configuratorActionHeight) - 32px - 12px);\n  width: 100%;\n}\n\n.portrait-mcAF6.settings-hidden-dySS8 .wcConfigurator-settings-St4gK {\n  top: 100%;\n}\n\n.portrait-mcAF6.foldedup-INA5E .wcConfigurator-settings-St4gK {\n  top: 2.5rem;\n  height: calc(100% - 50px);\n}\n\n/*****************************TabGroup -- Mobile Portrait *****************************/\n\n.portrait-mcAF6 .wcConfigurator-steps-fRfjC {\n  position: absolute;\n  left: 0px;\n  top: 0;\n  width: 100%;\n  height: 50px;\n}\n\n.portrait-mcAF6.foldedup-INA5E .wcConfigurator-steps-fRfjC {\n  top: 0px;\n}\n\n/******************Navigaton Buttons -- Mobile Portrait *******************************/\n\n.portrait-mcAF6 .wcConfigurator-settings-actions--47XW {\n  bottom: 45px;\n  width: calc(100% - 10px);\n  height: 38px;\n  padding-top: 0px;\n  right: 0px;\n  padding: 0 5px 1px 5px;\n}\n\n.portrait-mcAF6.isOnLastStep-2g8Xc .wcConfigurator-settings-actions--47XW,\n.portrait-mcAF6.settings-hidden-dySS8 .wcConfigurator-settings-actions--47XW {\n  display: none !important;\n}\n\n/*********************Basket Button-- Mobile Portrait *********************************/\n\n.portrait-mcAF6.settings-hidden-dySS8 .wcConfigurator-action-9vcgt {\n  display: none;\n}\n.portrait-mcAF6 .wcConfigurator-action-9vcgt,\n.portrait-mcAF6.isOnLastStep-2g8Xc .wcConfigurator-action-9vcgt {\n  right: 0px;\n  bottom: 0px;\n  width: calc(100% - 10px);\n  height: 40px;\n  margin: 0 5px 5px 5px;\n  padding: 0px;\n  display: flex;\n}\n\n.portrait-mcAF6 .progressBar-dd1Kl {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  top: 50px;\n  left: 0;\n  z-index: 1000;\n  display: flex;\n}\n\n::-webkit-scrollbar {\n  width: 5px;\n  height: 5px;\n}\n::-webkit-scrollbar-track {\n  background: #dfdfdf;\n  border-radius: 3px;\n}\n::-webkit-scrollbar-thumb {\n  background: #b1b1b1;\n  border-radius: 3px;\n}\n";
styleInject(css_248z);

var Ralph = function Ralph(props) {
  var viewHandler = useViewHandler();
  useEffect(function () {
    viewHandler.layoutRendered = true;
    viewHandler.initCSSVariablesObj(cssVariables);
  }, []);
  return /*#__PURE__*/jsxs(Fragment, {
    children: [/*#__PURE__*/jsxs("div", {
      ref: function ref(configuratorRef) {
        return viewHandler.uiState.setConfiguratorRef(configuratorRef);
      },
      style: {
        pointerEvents: viewHandler.uiState.configuratorDisabled ? 'none' : undefined
      },
      hidden: viewHandler.uiState.configuratorHidden,
      id: "wcConfigurator",
      className: classnames(wcConfigurator, viewHandler.uiState.configSettingsIsExpanded ? expanded : undefined, viewHandler.uiState.configSettingsIsFoldedUp ? foldedup : undefined, viewHandler.uiState.configSettingsIsHidden ? settingsHidden : undefined, viewHandler.uiState.isMobileLandscape ? landscape : undefined, viewHandler.uiState.isMobilePortrait ? portrait : undefined),
      children: [/*#__PURE__*/jsx(TabGroup, {
        className: wcConfiguratorSteps,
        showCloseButtonInMobile: 'right'
      }), /*#__PURE__*/jsx(Product, {
        className: wcConfiguratorProduct
      }), /*#__PURE__*/jsx(Settings, {
        className: wcConfiguratorSettings
      }), /*#__PURE__*/jsx(NavigationButtons, {
        className: wcConfiguratorSettingsActions,
        showCheckoutButtons: viewHandler.uiState.isMobilePortrait
      }), /*#__PURE__*/jsx(BasketAction, {
        containerClassName: wcConfiguratorAction,
        showCheckoutButtons: true
      })]
    }), viewHandler.settingsState.inputBoxVisible && /*#__PURE__*/jsx(Inputbox, {}), /*#__PURE__*/jsx(BarrierActions, {})]
  });
};
var cssVariables = {
  '--primaryColor': '#a81e1e',
  '--secondaryColor': '#4a4a4a',
  '--thirdColor': '#f3f3f3',
  '--globalBorderRadius': '3px',
  '--articlePosNrRadius': '3px',
  '--articlePosNrSize': '20.8px',
  '--articlePosNrFontSize': '16px',
  '--galleryItemRadius': '3px',
  '--galleryItemRowCount': '4',
  '--galleryItemMargin': '1%',
  '--galleryItemRowCountSmall': '3',
  '--galleryItemMarginSmall': '0.5%',
  '--galleryItemBorderColor': '#e8e9ed83',
  '--galleryItemBorderSelColor': 'var(--secondaryColor)',
  '--galleryItemBorderHoverColor': 'var(--thirdColor)',
  '--galleryItemBorder': '1px',
  '--settingsBackgroundColor': 'rgba(242, 242, 242, 0.9)',
  '--settingsScrollerPaddingTopBottom': '0px',
  '--settingsScrollerPaddingRight': '10px',
  '--settingsScrollerPaddingLeft': '10px',
  '--tabGroupBackground': 'var(--thirdColor)',
  '--foldArrowMarginRight': '16px',
  '--configuratorActionHeight': '40px',
  '--lineHeight1': '36.8px',
  '--fontWeight1': '600',
  '--boxShadowHover': '0px 1px 4px rgba(0, 0, 0, 0.15)',
  '--boxShadowActive': '0px 1px 4px rgba(0, 0, 0 , 0.3)'
};
var index = observer(Ralph);

export { index as default };
