import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { useEffect } from 'react';
import Inputbox from './index-784d4adc.js';
import Settings from './index-ecc85fdb.js';
import TabGroup from './index-9bbd0638.js';
import { observer } from 'mobx-react-lite';
import classnames from 'classnames';
import Toolbar from './index-937d3306.js';
import NavigationButtons from './index-30cc40bb.js';
import ContentItemWrapper from './index-5840610f.js';
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import '@babel/runtime/helpers/objectDestructuringEmpty';
import './index-d5750f25.js';
import './index-bec7758a.js';
import './index-f0b13a76.js';
import './index-9e5c6d0b.js';
import './index-f919fe39.js';
import 'react-laag';
import './index-2bdd798a.js';
import './index-6a14c4ba.js';
import './index-9ac352ac.js';
import 'sift';
import './index-03ec1878.js';
import './index-7f563f4a.js';
import './index-dab96ea8.js';
import './index-5ed724e9.js';
import './index.module-8b8e578d.js';
import './index-d9e0b8ab.js';
import 'react-switch';
import './index-a00c316e.js';
import './index-b813b7d7.js';
import './index-227ad099.js';
import 'react-dropdown';
import './index-18e04d12.js';
import './index-d0cb686e.js';
import './index-98a94c2a.js';
import './index-c43b9bf6.js';
import '@crystaldesign/content-box';
import './index-a9750c3d.js';
import './index-576885e5.js';
import './index-ea0c61b7.js';
import './index-118cdb5f.js';
import './index-63a72d8c.js';
import './index-cbdc56a8.js';
import './index-f7d87c9f.js';
import './index-a53f6c9e.js';
import './index-123dc27c.js';
import './index-5317aaf3.js';
import './index-79b89ba2.js';
import './index-60ade46e.js';
import './index-68efdadc.js';
import './index-1e6362c6.js';
import './index-b18bffae.js';
import './index-ab3f39ef.js';
import './index.module-eaa02037.js';
import './index-243b2e2c.js';
import './index-27943660.js';
import './index-ec30cce1.js';
import './index-a3492836.js';
import './index-c6c521c0.js';
import './index-b87282a4.js';
import './index-53b89034.js';
import './index.module-65919b33.js';
import './index-3dac3051.js';
import './index-b4b3a823.js';
import './index-46bea554.js';
import './index-fcc87454.js';
import './index-54442cec.js';
import './index-d7e7bc22.js';
import './index-9309f785.js';
import './index-c8380cdc.js';
import './index-4cca5326.js';
import './index-3149a590.js';
import './index.module-e5cc5bed.js';
import './index-dc516763.js';
import './index-fe6bc7ff.js';
import './index-85970525.js';
import 'react-collapsible';
import './index-098552ff.js';
import './index-bbed3b5e.js';
import './index.module-27830b1f.js';
import 'react-json-view-lite';
import './react-json-viewer-ed11badd.js';
import './index-6ec1e2d8.js';
import './index.module-09c60496.js';
import './DecisionVizualizer-5fd20957.js';
import 'react-draggable';
import './index-2e0d8ffb.js';
import './index-148f1439.js';
import './index-c761c9ae.js';
import 'jsoneditor';
import './index-3f4573b4.js';
import './index-a5a35a65.js';
import './index-76e01c42.js';
import './index-363d60d0.js';
import './index-4008c20a.js';
import './index-8a17202a.js';
import './index-99f2670a.js';
import './index-3aa270fc.js';
import './index.module-8806d92e.js';
import './index-5431bb3a.js';
import './index-abb51d3b.js';
import './index-e1eb89c3.js';
import 'react-select';
import './index-e6d14062.js';
import './index-fdff31e1.js';
import './index-3b53b8af.js';
import './index-02358a12.js';
import './index-eeaeb0ef.js';
import './index-679accfc.js';
import './CatalogProperties-e8824fd5.js';
import './ArticleProperties-f0aadcc2.js';
import './OptionProperties-a5e2a157.js';
import './OptionValueProperties-d068ecbe.js';
import '@crystaldesign/content-item';

var wcConfigurator = "wcConfigurator-XqlAg";
var wcConfiguratorSteps = "wc-configurator-steps-KdP9s";
var mobile = "mobile-PPTgR";
var wcConfiguratorSettings = "wc-configurator-Settings-dVmBR";
var wcConfiguratorSettingsActions = "wcConfigurator-settings-actions-yVOyu";
var css_248z = ".wcConfigurator-XqlAg {\n  position: relative;\n  height: 100%;\n  width: 100%;\n  overflow: hidden;\n  font-family: var(--diva-typography-font-family);\n  font-weight: 100;\n  -webkit-font-smoothing: antialiased;\n  -webkit-touch-callout: none; /* iOS Safari */\n  -webkit-user-select: none; /* Safari */ /* Konqueror HTML */\n  -moz-user-select: none; /* Old versions of Firefox */ /* Internet Explorer/Edge */\n  user-select: none; /* Non-prefixed version, currently*/\n\n  position: relative;\n  height: 100%;\n  width: 100%;\n  display: flex;\n  flex-direction: column;\n}\n\n.wcConfigurator-XqlAg *,\n.wcConfigurator-XqlAg *::before,\n.wcConfigurator-XqlAg *::after {\n  box-sizing: content-box;\n  box-sizing: initial;\n}\n\n.wc-configurator-steps-KdP9s {\n  height: 56px;\n  position: relative;\n  display: flex;\n  justify-content: center;\n  margin: 0 8px;\n}\n.mobile-PPTgR .wc-configurator-steps-KdP9s {\n  height: 40px;\n}\n\n.wc-configurator-Settings-dVmBR {\n  height: calc(100% - 56px - 42px - 40px);\n  position: relative;\n  border-right: 1px solid #e6e6e6;\n}\n\n.mobile-PPTgR .wc-configurator-Settings-dVmBR {\n  height: calc(100% - 40px - 42px - 40px);\n}\n\n.wcConfigurator-settings-actions-yVOyu {\n  height: 40px;\n  z-index: 1001;\n}\n";
styleInject(css_248z);

var Wysiwyg = function Wysiwyg(props) {
  var viewHandler = useViewHandler();
  useEffect(function () {
    viewHandler.layoutRendered = true;
    viewHandler.initCSSVariablesObj(cssVariables);
  }, []);
  return /*#__PURE__*/jsxs(Fragment, {
    children: [/*#__PURE__*/jsxs("div", {
      ref: function ref(configuratorRef) {
        return viewHandler.uiState.setConfiguratorRef(configuratorRef);
      },
      style: {
        pointerEvents: viewHandler.uiState.configuratorDisabled ? 'none' : undefined
      },
      hidden: viewHandler.uiState.configuratorHidden,
      id: "wcConfigurator",
      className: classnames(wcConfigurator, viewHandler.getIsInMobileView() ? mobile : undefined),
      children: [/*#__PURE__*/jsx(TabGroup, {
        className: wcConfiguratorSteps
      }), /*#__PURE__*/jsx(Settings, {
        className: wcConfiguratorSettings
      }), /*#__PURE__*/jsx(NavigationButtons, {
        className: wcConfiguratorSettingsActions,
        showBackButtonText: true,
        showCheckoutButtons: false
      }), /*#__PURE__*/jsx(Toolbar, {}), viewHandler.settingsState.contentItemId && /*#__PURE__*/jsx(ContentItemWrapper, {
        id: viewHandler.settingsState.contentItemId,
        startPos: "right"
      })]
    }), viewHandler.settingsState.inputBoxVisible && /*#__PURE__*/jsx(Inputbox, {})]
  });
};
var cssVariables = {
  '--primaryColor': '#df2927',
  '--secondaryColor': '#404040',
  '--thirdColor': '#8a8a8a',
  '--globalBorderRadius': '3px',
  '--galleryItemRadius': '3px',
  '--articlePosNrRadius': '3px',
  '--articlePosNrSize': '20.8px',
  '--articlePosNrFontSize': '16px',
  '--settingsBackgroundColor': '#fefefe',
  '--settingsScrollerPaddingTopBottom': '30px',
  '--settingsScrollerPaddingRight': '30px',
  '--settingsScrollerPaddingLeft': '30px',
  '--tabGroupBackground': 'var(--thirdColor)',
  '--foldArrowMarginRight': '16px',
  '--configuratorActionForthWidth': 'calc(50% - 3px)',
  '--configuratorActionBackWidth': 'calc(50% - 3px)',
  '--lineHeight1': '36.8px',
  '--fontWeight1': '600',
  '--boxShadowHover': '0px 1px 4px rgba(0, 0, 0, 0.15)',
  '--boxShadowActive': '0px 1px 4px rgba(0, 0, 0, 0.3)'
};
var index = observer(Wysiwyg);

export { cssVariables, index as default };
