import _objectDestructuringEmpty from '@babel/runtime/helpers/objectDestructuringEmpty';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import 'react';
import { observer } from 'mobx-react-lite';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var productDetailWrapper = "product-detail-wrapper-sb1Re";
var left = "left-qcwue";
var css_248z = ".product-detail-wrapper-sb1Re {\n  padding-top: 15px;\n  width: 90%;\n  margin-left: 4%;\n  height: 100%;\n  background-color: white;\n  padding-left: 5px;\n  padding-right: 5px;\n  overflow: auto;\n}\n.left-qcwue {\n  float: right;\n}\n";
styleInject(css_248z);

var ProduktDetails = function ProduktDetails(_ref) {
  var _articles$viewHandler;
  Object.assign({}, (_objectDestructuringEmpty(_ref), _ref));
  var viewHandler = useViewHandler();
  var articles = viewHandler.divaWebPlanner.getDivaArticles();
  if (!articles) return /*#__PURE__*/jsx(Fragment, {});
  var article = (_articles$viewHandler = articles[viewHandler.settingsState.getSelectedBasketIds[0]]) !== null && _articles$viewHandler !== void 0 ? _articles$viewHandler : articles[Object.keys(articles)[0]];
  return /*#__PURE__*/jsxs("div", {
    className: productDetailWrapper,
    children: [/*#__PURE__*/jsx("a", {
      children: "ArtNr:"
    }), /*#__PURE__*/jsx("a", {
      className: left,
      children: article.configArticleCodex
    }), /*#__PURE__*/jsx("br", {}), article.configArticleCodex != article.articleCodex && /*#__PURE__*/jsxs(Fragment, {
      children: [/*#__PURE__*/jsx("a", {
        children: "ArtCodex:"
      }), /*#__PURE__*/jsx("a", {
        className: left,
        children: article.articleCodex
      })]
    }), /*#__PURE__*/jsx("hr", {}), /*#__PURE__*/jsx("a", {
      children: "Name:"
    }), /*#__PURE__*/jsx("a", {
      className: left,
      children: article.catalogArticleName
    }), /*#__PURE__*/jsx("hr", {}), /*#__PURE__*/jsx("a", {
      children: "Ma\xDFe:"
    }), /*#__PURE__*/jsx("a", {
      className: left,
      children: article.actSizeText
    }), /*#__PURE__*/jsx("hr", {}), /*#__PURE__*/jsx("a", {
      children: "Bestell-Nr:"
    }), /*#__PURE__*/jsx("a", {
      className: left,
      children: article.retailArticleNr || article.typeNr
    }), /*#__PURE__*/jsx("hr", {}), /*#__PURE__*/jsx("a", {
      children: "Modell:"
    }), /*#__PURE__*/jsx("a", {
      className: left,
      children: article.CatalogData.catalogName + ' (' + article.catalogCodex + ')'
    }), /*#__PURE__*/jsx("hr", {})]
  });
};
var ProduktDetails$1 = observer(ProduktDetails);

export { ProduktDetails$1 as default };
