import _defineProperty from '@babel/runtime/helpers/defineProperty';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import 'react';
import ActionNavigation from './index-d0f67e02.js';
import PriceSumm from './index-7dd50f24.js';
import classnames from 'classnames';
import { jsxs, jsx } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import './index.module-13e85f61.js';

var container = "container-jfAym";
var backOverwrite = "back-overwrite--AJgH";
var forthOverwrite = "forth-overwrite-l0e3R";
var actionNavigationClass = "action-navigation-class-jX4Hl";
var css_248z = ".container-jfAym .back-overwrite--AJgH,\n.container-jfAym .forth-overwrite-l0e3R {\n  border: 1px #262626 solid !important;\n  background-color: var(--thirdColor) !important;\n  color: #262626 !important;\n  font-weight: 700 !important;\n}\n\n.container-jfAym .back-overwrite--AJgH,\n.container-jfAym .forth-overwrite-l0e3R {\n  cursor: pointer;\n  width: 50%;\n  flex-grow: 1;\n}\n\n.action-navigation-class-jX4Hl {\n  height: 100%;\n}\n";
styleInject(css_248z);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var ActionNavigationRalph = function ActionNavigationRalph(props) {
  var viewHandler = useViewHandler();
  return /*#__PURE__*/jsxs("div", _objectSpread(_objectSpread({}, props), {}, {
    children: [!viewHandler.getIsInMobileView() && /*#__PURE__*/jsx(PriceSumm, {}), /*#__PURE__*/jsx(ActionNavigation, {
      className: classnames(viewHandler.getIsInMobileView() ? actionNavigationClass : undefined, container),
      showBackButtonText: true,
      forthOverwrite: forthOverwrite,
      backOverwrite: backOverwrite
    })]
  }));
};
var index = observer(ActionNavigationRalph);

export { index as default };
