import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectDestructuringEmpty from '@babel/runtime/helpers/objectDestructuringEmpty';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import 'react';
import { observer } from 'mobx-react-lite';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var doneBar = "doneBar-xosJY";
var todoBar = "todoBar-sVQM-";
var css_248z = ".doneBar-xosJY {\n  background: var(--secondaryColor);\n  border-radius: 0 2px 2px 0;\n  transition: width 0.35s ease-in-out;\n}\n\n.todoBar-sVQM- {\n  background: var(--thirdColor);\n  transition: width 0.35s ease-in-out;\n}\n";
styleInject(css_248z);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var ProgressBar = function ProgressBar(_ref) {
  var props = Object.assign({}, (_objectDestructuringEmpty(_ref), _ref));
  var viewHandler = useViewHandler();
  var lastStep = viewHandler.configuratorStructureHandler.lastConfigStep;
  var currentStep = viewHandler.tabGroupState.curConfigStep;
  if (!lastStep || !currentStep) return /*#__PURE__*/jsx(Fragment, {});
  var current = currentStep.posNr - 1;
  var total = lastStep.posNr - 1;
  var doneInPercent = Math.round(current / total * 100);
  var todoInPercent = 100 - doneInPercent;
  return /*#__PURE__*/jsxs("div", _objectSpread(_objectSpread({}, props), {}, {
    children: [/*#__PURE__*/jsx("div", {
      className: doneBar,
      style: {
        width: doneInPercent + '%'
      }
    }), /*#__PURE__*/jsx("div", {
      className: todoBar,
      style: {
        width: todoInPercent + '%'
      }
    })]
  }));
};
var ProgressBar$1 = observer(ProgressBar);

export { ProgressBar$1 as default };
