import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { useEffect } from 'react';
import { observer } from 'mobx-react-lite';
import ToolContainer from './index-4cca5326.js';
import { useDivaCore } from '@crystaldesign/diva-core';
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import '@babel/runtime/helpers/objectDestructuringEmpty';
import './index-3149a590.js';
import './index.module-e5cc5bed.js';
import './index-dc516763.js';
import './index-fe6bc7ff.js';
import './index-85970525.js';
import 'react-collapsible';
import './index-098552ff.js';
import './index-bbed3b5e.js';
import './index.module-27830b1f.js';
import 'react-json-view-lite';
import './react-json-viewer-ed11badd.js';
import './index-6ec1e2d8.js';
import './index.module-09c60496.js';
import './DecisionVizualizer-5fd20957.js';
import 'react-draggable';
import './index-d9e0b8ab.js';
import 'react-switch';
import './index-2e0d8ffb.js';
import './index-148f1439.js';
import './index-c761c9ae.js';
import 'jsoneditor';
import './index-3f4573b4.js';
import './index-a5a35a65.js';
import './index-76e01c42.js';
import './index-363d60d0.js';
import './index-4008c20a.js';
import './index-8a17202a.js';
import './index-99f2670a.js';
import './index-3aa270fc.js';
import 'react-dropdown';
import './index.module-8806d92e.js';
import './index-98a94c2a.js';
import './index-5431bb3a.js';
import './index-abb51d3b.js';
import './index-e1eb89c3.js';
import 'react-select';
import './index-e6d14062.js';
import './index-fdff31e1.js';
import './index-3b53b8af.js';
import './index-02358a12.js';
import './index-eeaeb0ef.js';
import './index-679accfc.js';
import './CatalogProperties-e8824fd5.js';
import './ArticleProperties-f0aadcc2.js';
import './OptionProperties-a5e2a157.js';
import './OptionValueProperties-d068ecbe.js';

var container = "container-43rJg";
var item = "item-JRY9h";
var css_248z = ".container-43rJg {\n  display: flex;\n  height: 42px;\n  gap: 12px;\n  justify-content: space-around;\n  overflow: auto;\n  align-items: center;\n  background-color: #f3f3f3;\n}\n\n.item-JRY9h {\n  cursor: pointer;\n  min-width: 80px;\n  padding-left: 12px;\n  padding-right: 12px;\n  text-align: center;\n}\n";
styleInject(css_248z);

var Toolbar = function Toolbar(props) {
  var _viewHandler$divaWebP, _viewHandler$divaWebP2;
  var viewHandler = useViewHandler();
  var _useDivaCore = useDivaCore(),
    wwsClient = _useDivaCore.state.organization.settings.wwsClient;
  var changeVal = function changeVal(newValue) {
    var value = newValue === viewHandler.uiState.activeCatalogSection ? '3D/2D' : newValue;
    localStorage.setItem('lastWindow', value);
    viewHandler.uiState.setActiveCatalogSection(value);
  };
  var partlistsExist = !!Object.values((_viewHandler$divaWebP = (_viewHandler$divaWebP2 = viewHandler.divaWebPlanner.actSet()) === null || _viewHandler$divaWebP2 === void 0 ? void 0 : _viewHandler$divaWebP2.CatalogData.allCatalogArticles) !== null && _viewHandler$divaWebP !== void 0 ? _viewHandler$divaWebP : {}).find(function (a) {
    return a.partlistArticlesRules;
  });
  useEffect(function () {
    //reset the view
    if (wwsClient != 'Pfister' && viewHandler.uiState.activeCatalogSection == 'ekText' || !partlistsExist && viewHandler.uiState.activeCatalogSection == 'PartList' || viewHandler.uiState.activeCatalogSection !== '3D/2D') {
      changeVal('3D/2D');
    }
  }, []);
  return /*#__PURE__*/jsxs(Fragment, {
    children: [viewHandler.uiState.activeCatalogSection != '3D/2D' && /*#__PURE__*/jsx(ToolContainer, {}), /*#__PURE__*/jsxs("div", {
      className: container,
      children: [/*#__PURE__*/jsx("div", {
        className: item,
        children: viewHandler.productState.formatedTotalPrice
      }), partlistsExist && /*#__PURE__*/jsx("div", {
        className: item,
        onClick: function onClick() {
          return changeVal('PartList');
        },
        children: "St\xFCckliste"
      }), /*#__PURE__*/jsx("div", {
        className: item,
        onClick: function onClick() {
          return changeVal('PriceAnalyzer');
        },
        children: "Preise"
      }), /*#__PURE__*/jsx("div", {
        className: item,
        onClick: function onClick() {
          return changeVal('DecisionAnalyzer');
        },
        children: "Decisions"
      }), wwsClient == 'Pfister' && /*#__PURE__*/jsx("div", {
        className: item,
        onClick: function onClick() {
          return changeVal('ekText');
        },
        children: "Ek Text"
      })]
    })]
  });
};
var Toolbar$1 = observer(Toolbar);

export { Toolbar$1 as default };
