import './index-e560cd58.js';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import 'react';
import { jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var RotationClockwise = function RotationClockwise(_ref) {
  var item = _ref.item,
    rect = _ref.rect,
    onElement = _ref.onElement,
    plannerUIProps = _ref.plannerUIProps;
  return /*#__PURE__*/jsx("div", {
    ref: function ref(elem) {
      return onElement(elem);
    },
    onClick: function onClick() {
      var _item$clickFunction;
      (_item$clickFunction = item.clickFunction) === null || _item$clickFunction === void 0 || _item$clickFunction.call(item, item.setId, Number(item.elementId));
    },
    style: {
      left: rect.left + 'px',
      top: rect.top + 'px'
    },
    className: classnames(plannerUIProps.classes.rotation.rotClock, plannerUIProps.classes.buttonGeneral),
    children: item.posNr
  });
};
var RotationClockwise$1 = observer(RotationClockwise);

export { RotationClockwise$1 as default };
