import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { s as styleInject } from './index-e560cd58.js';
import 'react';
import classnames from 'classnames';
import { jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import 'mobx-react-lite';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wcFoldArrow = "wcFoldArrow-sIgSx";
var wcCancelArrow = "wcCancelArrow-PZ86-";
var wcOpenArrow = "wcOpenArrow-TZzZy";
var wcClosedArrow = "wcClosedArrow-fWMiX";
var css_248z = ".wcFoldArrow-sIgSx {\n  transition: transform 0.35s ease, width 0.5s ease, height 0.5s ease;\n  background-repeat: no-repeat;\n  background-position: center center;\n  position: absolute;\n  background-size: contain;\n  right: 10px;\n  top: 8px;\n  width: 12px;\n  height: 12px;\n  transform: rotateZ(0deg);\n}\n.wcCancelArrow-PZ86- {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2210%22 height%3D%2210%22 viewBox%3D%220 0 10 10%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M1 1L9 9M9 1L1 9%22 stroke%3D%22%236F6F6F%22 stroke-linecap%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n}\n\n.wcCancelArrow-PZ86-:hover {\n  transform: rotateZ(90deg);\n}\n\n.wcOpenArrow-TZzZy {\n  transform: rotateZ(180deg);\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2211%22 height%3D%227%22 viewBox%3D%220 0 11 7%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M10.4375 0.688354L6.15179 5.68835L1.4375 0.688354%22 stroke%3D%22%236F6F6F%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n}\n\n.wcClosedArrow-fWMiX {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2211%22 height%3D%227%22 viewBox%3D%220 0 11 7%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M10.4375 0.688354L6.15179 5.68835L1.4375 0.688354%22 stroke%3D%22%236F6F6F%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n}\n";
styleInject(css_248z);

var _excluded = ["onClick", "iconAsDelete", "open"];
var Arrow = function Arrow(_ref) {
  var onClick = _ref.onClick,
    iconAsDelete = _ref.iconAsDelete,
    open = _ref.open,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsx("span", {
    onClick: onClick,
    onTouchEnd: onClick,
    className: classnames(wcFoldArrow, iconAsDelete ? wcCancelArrow : undefined, !iconAsDelete ? open ? wcOpenArrow : wcClosedArrow : undefined, props.className)
  });
};

export { Arrow as default };
