import { s as styleInject } from './index-e560cd58.js';
import 'react';
import PlannerUI from './index-f4979347.js';
import { c as wc3DOutlineSvg, d as wc3DOutlinePolygon, e as wc3DOutlinePolygonContours, f as wc3DOutlinePolygonContoursSel } from './index.module-4137c096.js';
import { jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import './index-93bd143d.js';
import './index-831b8abe.js';
import './index-1c76201d.js';
import './index-48300bf2.js';
import './index-b47706ce.js';
import './index-951a070a.js';
import './index-ff286eac.js';
import './index-7c069afc.js';
import './index-3ba6d4ce.js';
import './index-c8bb81dc.js';
import './index-221a1630.js';
import './index-de8c491e.js';
import './index-adbd3100.js';
import 'react-draggable';
import './index-b3e8cff0.js';
import './index-7435b475.js';
import './index-a8b51921.js';

var hidden = "hidden-75j7C";
var css_248z = ".hidden-75j7C {\n  display: none;\n}\n";
styleInject(css_248z);

var HiddenPlannerUI = function HiddenPlannerUI() {
  var plannerUIProps = {
    classes: {
      buttonGeneral: hidden,
      dockingPoint: {
        AVL: {
          avl: '',
          avlSel: ''
        },
        AVR: {
          avr: '',
          avrSel: ''
        },
        DPACC: {
          dp2DAccDocking: '',
          dp2DAccNotDocking: '',
          dp2DAccNotDockingSel: '',
          dp3DAccDocking: '',
          dp3DAccNotDocking: '',
          dp3DAccNotDockingSel: ''
        }
      },
      copy: {
        BoxPlannerCopy: {
          copyGlobal: '',
          copyLeft: '',
          copyTop: '',
          copyRight: ''
        },
        ElementCopy: ''
      },
      outline: {
        outline3D: {
          outlineSVG: wc3DOutlineSvg,
          outlinePolygon: wc3DOutlinePolygon,
          outlinePolygonContours: wc3DOutlinePolygonContours,
          outlinePolygonContoursSel: wc3DOutlinePolygonContoursSel
        },
        outline2D: {
          draggable: '',
          draggableActive: '',
          selectable: ''
        }
      },
      posNr: {
        posNr: '',
        posNrAcc: '',
        posNrSelectable: '',
        posNrSelectableArea: '',
        posNrSelected: '',
        posNrUnSelectable: '',
        posNrOnHover: ''
      },
      rotation: {
        rotClock: '',
        rotCounterClock: '',
        rot3DGrid: ''
      },
      move3DGrid: {
        move3DGrid: ''
      },
      trash: {
        boxplanner: '',
        trashClass: ''
      },
      dimension: {
        distanceToGround: '',
        distanceToGroundIcon: ''
      }
    }
  };
  return /*#__PURE__*/jsx(PlannerUI, {
    plannerUIProps: plannerUIProps
  });
};

export { HiddenPlannerUI as default };
