import _objectDestructuringEmpty from '@babel/runtime/helpers/objectDestructuringEmpty';
import { u as useViewHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import 'react';
import { useTranslation } from '@crystaldesign/diva-core';
import { w as wcConfiguratorSettingsHeaderActElements, S as SettingsPosNr$1 } from './index-f919fe39.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import 'react-laag';
import './index-2bdd798a.js';

var SettingsPosNrContainer = function SettingsPosNrContainer(_ref) {
  _objectDestructuringEmpty(_ref);
  var viewHandler = useViewHandler();
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  var allAreActive = true;
  for (var key in viewHandler.settingsState.articleInfos) {
    if (!viewHandler.settingsState.articleInfos[key].isActive) {
      allAreActive = false;
    }
  }
  var keys = Object.keys(viewHandler.settingsState.articleInfos).map(function (key) {
    return Number(key);
  });
  return /*#__PURE__*/jsxs("div", {
    className: wcConfiguratorSettingsHeaderActElements,
    children: [t('configurator.ARTICLE_INFOS_DATA'), keys.sort(function (a, b) {
      return a - b;
    }).map(function (key) {
      return /*#__PURE__*/jsx(SettingsPosNr$1, {
        allAreActive: allAreActive,
        id: key.toString()
      }, key);
    })]
  });
};
var SettingsPosNr = observer(SettingsPosNrContainer);

export { SettingsPosNr as default };
