import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { useState } from 'react';
import { observer } from 'mobx-react-lite';
import { S as SettingsItem } from './index-9ac352ac.js';
import classnames from 'classnames';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import 'sift';
import './index-03ec1878.js';
import './index-bec7758a.js';
import './index-7f563f4a.js';
import './index-dab96ea8.js';
import './index-5ed724e9.js';
import './index.module-8b8e578d.js';
import './index-d9e0b8ab.js';
import 'react-switch';
import './index-a00c316e.js';
import './index-b813b7d7.js';
import './index-227ad099.js';
import 'react-dropdown';
import './index-18e04d12.js';
import '@babel/runtime/helpers/objectDestructuringEmpty';
import './index-d0cb686e.js';
import './index-98a94c2a.js';
import './index-c43b9bf6.js';
import '@crystaldesign/content-box';
import './index-a9750c3d.js';
import './index-576885e5.js';
import './index-ea0c61b7.js';
import './index-118cdb5f.js';
import './index-63a72d8c.js';
import './index-cbdc56a8.js';
import 'react-laag';
import './index-f7d87c9f.js';
import './index-a53f6c9e.js';
import './index-123dc27c.js';
import './index-5317aaf3.js';
import './index-79b89ba2.js';
import './index-60ade46e.js';
import './index-68efdadc.js';
import './index-1e6362c6.js';
import './index-b18bffae.js';
import './index-ab3f39ef.js';
import './index.module-eaa02037.js';
import './index-243b2e2c.js';
import './index-27943660.js';
import './index-ec30cce1.js';
import './index-a3492836.js';
import './index-c6c521c0.js';
import './index-b87282a4.js';
import './index-53b89034.js';
import './index.module-65919b33.js';
import './index-3dac3051.js';
import './index-b4b3a823.js';

var productSettingsWrapper = "product-settings-wrapper-KOweX";
var scrollWrapper = "scroll-wrapper-DI3EF";
var closed = "closed-CfRyN";
var button = "button-ITCqz";
var move = "move-28sqU";
var css_248z = ".product-settings-wrapper-KOweX {\n  position: absolute;\n  top: 16px;\n  right: 0px;\n  margin-top: 0px;\n  max-height: 100%;\n  z-index: 290;\n  display: flex;\n}\n\n.scroll-wrapper-DI3EF {\n  overflow: auto;\n  height: auto;\n  background: var(--settingsBackgroundColor);\n  padding: 0 16px;\n  border-radius: var(--globalBorderRadius);\n  width: 270px;\n  transition: width 350ms ease;\n}\n\n.closed-CfRyN .scroll-wrapper-DI3EF {\n  padding: 0;\n  padding: initial;\n}\n\n.button-ITCqz {\n  position: absolute;\n  left: -32px;\n  width: 32px;\n  height: 38px;\n  border-radius: 5px 0 0 5px;\n  transform: rotate(180deg);\n  border-radius: 0 var(--globalBorderRadius) var(--globalBorderRadius) 0;\n  background: var(--secondaryColor) center center / 16px no-repeat url(\"data:image/svg+xml,%3C%3Fxml version%3D%221.0%22 encoding%3D%22utf-8%22%3F%3E%3C!-- Generator%3A Adobe Illustrator 22.0.0%2C SVG Export Plug-In . SVG Version%3A 6.00 Build 0)  --%3E%3Csvg version%3D%221.1%22 id%3D%22Ebene_1%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22 x%3D%220px%22 y%3D%220px%22%09 viewBox%3D%220 0 8 13.5%22 style%3D%22enable-background%3Anew 0 0 8 13.5%3B%22 xml%3Aspace%3D%22preserve%22%3E%3Cstyle type%3D%22text%2Fcss%22%3E%09.st0%7Bfill%3A%23FFFFFF%3B%7D%3C%2Fstyle%3E%3Cg%3E%09%3Cpath class%3D%22st0%22 d%3D%22M6.5%2C11.7c-0.1%2C0-0.2%2C0-0.3-0.1l-5-4.3C1.1%2C7.2%2C1%2C7.1%2C1%2C7c0-0.1%2C0.1-0.3%2C0.2-0.4l5-4.7c0.2-0.2%2C0.5-0.2%2C0.7%2C0%09%09c0.2%2C0.2%2C0.2%2C0.5%2C0%2C0.7L2.3%2C6.9l4.6%2C3.9C7%2C11%2C7.1%2C11.4%2C6.9%2C11.6C6.8%2C11.7%2C6.7%2C11.7%2C6.5%2C11.7z%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n}\n\n.closed-CfRyN .button-ITCqz {\n  position: relative;\n  left: auto;\n  left: initial;\n  border-radius: var(--globalBorderRadius) 0 0 var(--globalBorderRadius);\n  transform: rotate(0deg);\n  background: var(--secondaryColor) center center / 25px no-repeat url(\"data:image/svg+xml,%3Csvg fill%3D%22%23fff%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22  viewBox%3D%220 0 50 50%22 width%3D%2250px%22 height%3D%2250px%22%3E%3Cpath d%3D%22M 22.199219 2 A 1.0001 1.0001 0 0 0 21.214844 2.8339844 L 20.205078 8.796875 C 19.01608 9.1476749 17.903339 9.6072866 16.835938 10.173828 L 11.875 6.6816406 A 1.0001 1.0001 0 0 0 10.59375 6.7929688 L 6.6933594 10.693359 A 1.0001 1.0001 0 0 0 6.5820312 11.974609 L 10.076172 16.939453 C 9.5032306 17.983292 9.0447681 19.109183 8.6992188 20.298828 L 2.8457031 21.212891 A 1.0001 1.0001 0 0 0 2 22.199219 L 2 27.699219 A 1.0001 1.0001 0 0 0 2.8339844 28.685547 L 8.7949219 29.693359 C 9.1451119 30.880887 9.6045402 31.990547 10.169922 33.056641 L 6.6875 37.917969 A 1.0001 1.0001 0 0 0 6.7929688 39.207031 L 10.693359 43.107422 A 1.0001 1.0001 0 0 0 11.974609 43.21875 L 16.939453 39.724609 C 17.985462 40.298683 19.114316 40.757752 20.306641 41.103516 L 21.314453 47.066406 A 1.0001 1.0001 0 0 0 22.300781 47.900391 L 27.800781 47.900391 A 1.0001 1.0001 0 0 0 28.783203 47.082031 L 29.884766 41.107422 C 31.077734 40.756262 32.193186 40.294742 33.263672 39.726562 L 38.224609 43.21875 A 1.0001 1.0001 0 0 0 39.507812 43.107422 L 43.40625 39.207031 A 1.0001 1.0001 0 0 0 43.509766 37.914062 L 39.931641 32.957031 C 40.500209 31.91951 40.957756 30.82106 41.300781 29.693359 L 47.169922 28.685547 A 1.0001 1.0001 0 0 0 48 27.699219 L 48 22.199219 A 1.0001 1.0001 0 0 0 47.166016 21.214844 L 41.199219 20.203125 C 40.855563 19.074235 40.397841 17.973827 39.828125 16.935547 L 43.318359 11.974609 A 1.0001 1.0001 0 0 0 43.207031 10.693359 L 39.306641 6.7929688 A 1.0001 1.0001 0 0 0 38.013672 6.6894531 L 33.052734 10.273438 C 32.009656 9.7017023 30.885686 9.2413677 29.697266 8.8964844 L 28.685547 2.8359375 A 1.0001 1.0001 0 0 0 27.699219 2 L 22.199219 2 z M 23.044922 4 L 26.853516 4 L 27.814453 9.7636719 A 1.0001 1.0001 0 0 0 28.556641 10.570312 C 30.07104 10.948913 31.478126 11.514935 32.675781 12.251953 A 1.0001 1.0001 0 0 0 33.785156 12.210938 L 38.494141 8.8085938 L 41.197266 11.511719 L 37.882812 16.224609 A 1.0001 1.0001 0 0 0 37.847656 17.324219 C 38.584675 18.521874 39.154586 19.937607 39.533203 21.357422 A 1.0001 1.0001 0 0 0 40.333984 22.085938 L 46 23.044922 L 46 26.857422 L 40.429688 27.814453 A 1.0001 1.0001 0 0 0 39.632812 28.542969 C 39.254196 29.962783 38.686237 31.378517 37.949219 32.576172 A 1.0001 1.0001 0 0 0 37.990234 33.685547 L 41.390625 38.394531 L 38.6875 41.097656 L 33.974609 37.78125 A 1.0001 1.0001 0 0 0 32.904297 37.732422 C 31.566632 38.496802 30.2627 39.053466 28.757812 39.429688 A 1.0001 1.0001 0 0 0 28.017578 40.21875 L 26.966797 45.900391 L 23.144531 45.900391 L 22.185547 40.232422 A 1.0001 1.0001 0 0 0 21.443359 39.429688 C 19.92896 39.051088 18.521874 38.485065 17.324219 37.748047 A 1.0001 1.0001 0 0 0 16.224609 37.78125 L 11.511719 41.097656 L 8.8066406 38.392578 L 12.113281 33.783203 A 1.0001 1.0001 0 0 0 12.167969 32.703125 C 11.403582 31.365465 10.846925 30.061529 10.470703 28.556641 A 1.0001 1.0001 0 0 0 9.6660156 27.814453 L 4 26.855469 L 4 23.056641 L 9.5546875 22.1875 A 1.0001 1.0001 0 0 0 10.371094 21.443359 C 10.749694 19.92896 11.313763 18.521874 12.050781 17.324219 A 1.0001 1.0001 0 0 0 12.017578 16.224609 L 8.7011719 11.511719 L 11.412109 8.8027344 L 16.125 12.117188 A 1.0001 1.0001 0 0 0 17.195312 12.167969 C 18.532978 11.403589 19.836909 10.846925 21.341797 10.470703 A 1.0001 1.0001 0 0 0 22.085938 9.6660156 L 23.044922 4 z M 25 17 C 20.570085 17 17 20.570085 17 25 C 17 29.429915 20.570085 33 25 33 C 29.429915 33 33 29.429915 33 25 C 33 20.570085 29.429915 17 25 17 z M 25 19 C 28.370085 19 31 21.629915 31 25 C 31 28.370085 28.370085 31 25 31 C 21.629915 31 19 28.370085 19 25 C 19 21.629915 21.629915 19 25 19 z%22%2F%3E%3C%2Fsvg%3E\");\n}\n\n.move-28sqU {\n  width: 0px;\n  overflow: hidden;\n}\n";
styleInject(css_248z);

var ProductSettings = function ProductSettings(props) {
  var viewHandler = useViewHandler();
  var _useState = useState(viewHandler.getIsInMobileView()),
    _useState2 = _slicedToArray(_useState, 2),
    isHidden = _useState2[0],
    setIsHidden = _useState2[1];
  if (!viewHandler.uiState.ItemsPaletteInProductVisible) return /*#__PURE__*/jsx(Fragment, {});
  return /*#__PURE__*/jsxs("div", {
    className: classnames(productSettingsWrapper, isHidden ? closed : undefined),
    children: [/*#__PURE__*/jsx("div", {
      className: classnames(button),
      onClick: function onClick() {
        return setIsHidden(!isHidden);
      }
    }), /*#__PURE__*/jsx("div", {
      className: classnames(scrollWrapper, isHidden ? move : undefined),
      children: viewHandler.settingsState.itemPaletteInProduct.map(function (item, key) {
        return /*#__PURE__*/jsx(SettingsItem, {
          item: item.palette,
          id: item.id
        });
      })
    })]
  });
};
var ProductSettings$1 = observer(ProductSettings);

export { ProductSettings$1 as default };
