import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { u as useViewHandler } from './index-e560cd58.js';
import 'react';
import { observer } from 'mobx-react-lite';
import { r as reactJson, a as reactJsonExpanded } from './index.module-27830b1f.js';
import classnames from 'classnames';
import { JsonView, darkStyles } from 'react-json-view-lite';
import './react-json-viewer-ed11badd.js';
import { jsx, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var _excluded = ["json", "isExpanded", "collapsed"];
var JsonViewer = function JsonViewer(_ref) {
  var json = _ref.json,
    isExpanded = _ref.isExpanded;
    _ref.collapsed;
    _objectWithoutProperties(_ref, _excluded);
  var viewHandler = useViewHandler();
  return /*#__PURE__*/jsx(Fragment, {
    children: /*#__PURE__*/jsx("div", {
      className: classnames(reactJson, isExpanded ? reactJsonExpanded : undefined),
      style: {
        zIndex: 9999
      },
      children: /*#__PURE__*/jsx(JsonView, {
        data: json,
        style: darkStyles
      }, viewHandler.settingsState.configChanged)
    })
  });
};
var JsonViewer$1 = observer(JsonViewer);

export { JsonViewer$1 as default };
