import { s as styleInject } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import React from 'react';
import QRCode from 'react-qr-code';
import classnames from 'classnames';
import { useTranslation } from '@crystaldesign/diva-core';
import { jsxs, jsx, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var fullscreen = "fullscreen-dVNtA";
var errorWrapper = "error-wrapper-4Kfuq";
var errorText = "error-text-aG0TS";
var errorQrCodeWrapper = "error-qr-code-wrapper-WRr2H";
var wrapper = "wrapper-uzZ9r";
var textWrapper = "text-wrapper-rIzGz";
var header = "header-sWWoX";
var text = "text-OkwbY";
var stepsWrapper = "steps-wrapper-4x10n";
var stepWrapper = "step-wrapper-HY2sH";
var stepTextWrapper = "step-text-wrapper-S-m1m";
var stepTitle = "step-title-M7iLu";
var stepText = "step-text-LPg7J";
var icon = "icon-K4UgE";
var step1 = "step1-F9IIG";
var step2 = "step2-ELycW";
var step3 = "step3-plnlc";
var buttonWrapper = "button-wrapper-t88VM";
var arButton = "ar-button-e122r";
var disabled = "disabled-5mNQN";
var qrCodeWrapper = "qr-code-wrapper-gox11";
var loader = "loader-5y0Dw";
var css_248z = ".fullscreen-dVNtA {\n  position: absolute;\n  top: 0px;\n  right: 0px;\n  width: 100%;\n  height: 100%;\n  z-index: 100000;\n}\n\n.error-wrapper-4Kfuq {\n  display: flex;\n  gap: 48px;\n  flex-wrap: wrap;\n  justify-content: center;\n}\n.error-text-aG0TS {\n  max-width: 400px;\n}\n.error-qr-code-wrapper-WRr2H {\n  display: flex;\n  justify-content: center;\n  align-items: center;\n}\n\n.wrapper-uzZ9r {\n  display: flex;\n  flex-direction: column;\n  margin: 48px 32px;\n  gap: 42px;\n  color: #000;\n}\n\n.text-wrapper-rIzGz {\n  display: flex;\n  flex-direction: column;\n  gap: 32px;\n}\n\n.header-sWWoX {\n  max-width: calc(100% - 32px);\n  font-weight: 600;\n  font-size: 20px;\n  line-height: 19px;\n}\n\n.text-OkwbY {\n  font-weight: 300;\n  font-size: 18px;\n  line-height: 130%;\n}\n\n.steps-wrapper-4x10n {\n  display: flex;\n  flex-direction: column;\n  gap: 8px;\n}\n\n.step-wrapper-HY2sH {\n  display: flex;\n  gap: 12px;\n}\n\n.step-text-wrapper-S-m1m {\n  display: flex;\n  flex-direction: column;\n  gap: 4px;\n  justify-content: center;\n}\n\n.step-title-M7iLu {\n  font-weight: 300;\n  font-size: 16px;\n  color: #7b7b7b;\n}\n\n.step-text-LPg7J {\n  font-size: 14px;\n  color: #000000;\n}\n\n.icon-K4UgE {\n  border-radius: 50%;\n  background-color: #f2f2f2;\n  width: 56px;\n  height: 56px;\n}\n\n.step1-F9IIG {\n  background: center / 50% no-repeat #f2f2f2 url(\"data:image/svg+xml,%3Csvg width%3D%2224%22 height%3D%2224%22 viewBox%3D%220 0 24 24%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cmask id%3D%22mask0_300_30100%22 style%3D%22mask-type%3Aalpha%22 maskUnits%3D%22userSpaceOnUse%22 x%3D%220%22 y%3D%220%22 width%3D%2224%22 height%3D%2224%22%3E%3Crect width%3D%2224%22 height%3D%2224%22 fill%3D%22%23D9D9D9%22%2F%3E%3C%2Fmask%3E%3Cg mask%3D%22url(%23mask0_300_30100)%22%3E%3Cpath d%3D%22M4.54815 19.5C4.04302 19.5 3.61545 19.325 3.26545 18.975C2.91547 18.625 2.74048 18.1974 2.74048 17.6923V6.30773C2.74048 5.8026 2.91547 5.37503 3.26545 5.02503C3.61545 4.67503 4.04302 4.50003 4.54815 4.50003H15.9327C16.4378 4.50003 16.8654 4.67503 17.2154 5.02503C17.5654 5.37503 17.7404 5.8026 17.7404 6.30773V10.8847L21.2596 7.36546V16.6346L17.7404 13.1154V17.6923C17.7404 18.1974 17.5654 18.625 17.2154 18.975C16.8654 19.325 16.4378 19.5 15.9327 19.5H4.54815ZM4.54815 18H15.9327C16.0225 18 16.0962 17.9712 16.1539 17.9135C16.2116 17.8558 16.2404 17.782 16.2404 17.6923V6.30773C16.2404 6.21798 16.2116 6.14426 16.1539 6.08656C16.0962 6.02886 16.0225 6.00001 15.9327 6.00001H4.54815C4.4584 6.00001 4.38468 6.02886 4.32698 6.08656C4.26928 6.14426 4.24043 6.21798 4.24043 6.30773V17.6923C4.24043 17.782 4.26928 17.8558 4.32698 17.9135C4.38468 17.9712 4.4584 18 4.54815 18Z%22 fill%3D%22%231C1B1F%22%2F%3E%3Cpath d%3D%22M5 11.75L8.90383 15.6539L15.6269 8.93078L14.573 7.87695L8.90383 13.5462L6.05383 10.6962L5 11.75Z%22 fill%3D%22%231C1B1F%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n}\n.step2-ELycW {\n  background: center / 50% no-repeat #f2f2f2 url(\"data:image/svg+xml,%3Csvg width%3D%2224%22 height%3D%2224%22 viewBox%3D%220 0 24 24%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cmask id%3D%22mask0_300_30110%22 style%3D%22mask-type%3Aalpha%22 maskUnits%3D%22userSpaceOnUse%22 x%3D%220%22 y%3D%220%22 width%3D%2224%22 height%3D%2224%22%3E%3Crect width%3D%2224%22 height%3D%2224%22 fill%3D%22%23D9D9D9%22%2F%3E%3C%2Fmask%3E%3Cg mask%3D%22url(%23mask0_300_30110)%22%3E%3Cpath d%3D%22M12 20.9422C11.5987 20.9422 11.2439 20.8365 10.9356 20.6249C10.6272 20.4134 10.4115 20.1358 10.2884 19.7922H9.99997C9.59101 19.7922 9.23877 19.6445 8.94327 19.349C8.64776 19.0535 8.5 18.7012 8.5 18.2923V15.0115C7.49103 14.4 6.69712 13.5801 6.11827 12.5519C5.53942 11.5237 5.25 10.4231 5.25 9.25001C5.25 7.36797 5.90448 5.77246 7.21345 4.46348C8.52243 3.15451 10.1179 2.50003 12 2.50003C13.882 2.50003 15.4775 3.15451 16.7865 4.46348C18.0955 5.77246 18.75 7.36797 18.75 9.25001C18.75 10.4436 18.4605 11.5494 17.8817 12.5673C17.3028 13.5853 16.5089 14.4 15.5 15.0115V18.2923C15.5 18.7012 15.3522 19.0535 15.0567 19.349C14.7612 19.6445 14.4089 19.7922 14 19.7922H13.7115C13.5884 20.1358 13.3727 20.4134 13.0644 20.6249C12.7561 20.8365 12.4013 20.9422 12 20.9422ZM9.99997 18.2923H14V17.3538H9.99997V18.2923ZM9.99997 16.4692H14V15.5H9.99997V16.4692ZM9.79997 14H11.4038V11.0885L9.26153 8.94616L10.1 8.10771L12 10.0077L13.9 8.10771L14.7384 8.94616L12.5961 11.0885V14H14.2C15.1 13.5667 15.8333 12.9292 16.4 12.0875C16.9666 11.2458 17.25 10.3 17.25 9.25001C17.25 7.78334 16.7416 6.54167 15.725 5.52501C14.7083 4.50834 13.4666 4.00001 12 4.00001C10.5333 4.00001 9.29164 4.50834 8.27497 5.52501C7.25831 6.54167 6.74997 7.78334 6.74997 9.25001C6.74997 10.3 7.03331 11.2458 7.59997 12.0875C8.16664 12.9292 8.89997 13.5667 9.79997 14Z%22 fill%3D%22%231C1B1F%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n}\n.step3-plnlc {\n  background: center / 40% no-repeat #f2f2f2 url(\"data:image/svg+xml,%3Csvg width%3D%2220%22 height%3D%2220%22 viewBox%3D%220 0 20 20%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M10 19.6538L6.09619 15.75L7.16539 14.6808L9.25004 16.7654V12.25H10.75V16.7501L12.8192 14.6654L13.9038 15.75L10 19.6538ZM4.25002 13.9038L0.346191 10L4.23464 6.11158L5.30384 7.18078L3.23459 9.25003H7.74999V10.75H3.24997L5.33462 12.8192L4.25002 13.9038ZM15.75 13.9038L14.6808 12.8346L16.7654 10.75H12.25V9.25003H16.7501L14.6654 7.18078L15.75 6.09618L19.6538 10L15.75 13.9038ZM9.25004 7.74998V3.23458L7.16539 5.3192L6.09619 4.25L10 0.346176L13.9038 4.25L12.8346 5.3192L10.75 3.23458V7.74998H9.25004Z%22 fill%3D%22%231C1B1F%22%2F%3E%3C%2Fsvg%3E\");\n}\n.button-wrapper-t88VM {\n  display: flex;\n  justify-content: center;\n  align-items: center;\n}\n.ar-button-e122r {\n  display: flex;\n  flex-direction: row;\n  justify-content: center;\n  align-items: center;\n  padding: 10px 21px;\n  gap: 10px;\n  background-color: var(--primaryColor);\n  border-radius: 3px;\n  cursor: pointer;\n  transition: box-shadow 0.3s, background-color 0.3s ease, color 0.3s ease;\n  font-weight: 600;\n  letter-spacing: 0.8px;\n  color: #fff;\n  height: 38px;\n}\n.disabled-5mNQN {\n  cursor: wait;\n  background-color: var(--secondaryColor);\n}\n\n.ar-button-e122r:hover {\n  box-shadow: 0px 1px 4px #707070;\n}\n.ar-button-e122r.disabled-5mNQN:hover {\n  box-shadow: none;\n}\n\n.qr-code-wrapper-gox11 {\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  padding-bottom: 64px;\n}\n\n.loader-5y0Dw {\n  border: 3px solid #f3f3f3;\n  border-radius: 50%;\n  border-top: 3px solid #aaa;\n  width: 25px;\n  height: 25px;\n  animation: spinner-mDqax 2s linear infinite;\n}\n\n@keyframes spinner-mDqax {\n  0% {\n    transform: rotate(0deg);\n  }\n  100% {\n    transform: rotate(360deg);\n  }\n}\n";
styleInject(css_248z);

var FullscreenAr = function FullscreenAr(_ref) {
  var url = _ref.url,
    isArCompatible = _ref.isArCompatible,
    broswerSupportAR = _ref.broswerSupportAR,
    activateAR = _ref.activateAR;
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  if (isArCompatible == false || !broswerSupportAR) {
    return /*#__PURE__*/jsxs("div", {
      className: errorWrapper,
      children: [/*#__PURE__*/jsx("div", {
        className: errorText,
        dangerouslySetInnerHTML: {
          __html: t('arviewer.failed')
        }
      }), /*#__PURE__*/jsxs("div", {
        className: errorQrCodeWrapper,
        children: [" ", url && /*#__PURE__*/React.createElement(QRCode, {
          value: url,
          size: 220
        })]
      })]
    });
  }
  return /*#__PURE__*/jsx("div", {
    className: fullscreen,
    children: /*#__PURE__*/jsxs("div", {
      className: wrapper,
      children: [/*#__PURE__*/jsxs("div", {
        className: textWrapper,
        children: [/*#__PURE__*/jsx("div", {
          className: header,
          children: t('configurator.ar_qr_title')
        }), /*#__PURE__*/jsx("div", {
          className: text,
          children: t('configurator.ar_qr_text')
        })]
      }), /*#__PURE__*/jsxs("div", {
        className: stepsWrapper,
        children: [/*#__PURE__*/jsxs("div", {
          className: stepWrapper,
          children: [/*#__PURE__*/jsx("div", {
            className: classnames(icon, step1)
          }), /*#__PURE__*/jsxs("div", {
            className: stepTextWrapper,
            children: [/*#__PURE__*/jsx("div", {
              className: stepTitle,
              children: t('configurator.ar_qr_step') + ' 1'
            }), /*#__PURE__*/jsx("div", {
              className: stepText,
              children: t('configurator.ar_qr_step1')
            })]
          })]
        }), /*#__PURE__*/jsxs("div", {
          className: stepWrapper,
          children: [/*#__PURE__*/jsx("div", {
            className: classnames(icon, step2)
          }), /*#__PURE__*/jsxs("div", {
            className: stepTextWrapper,
            children: [/*#__PURE__*/jsx("div", {
              className: stepTitle,
              children: t('configurator.ar_qr_step') + ' 2'
            }), /*#__PURE__*/jsx("div", {
              className: stepText,
              children: t('configurator.ar_qr_step2')
            })]
          })]
        }), /*#__PURE__*/jsxs("div", {
          className: stepWrapper,
          children: [/*#__PURE__*/jsx("div", {
            className: classnames(icon, step3)
          }), /*#__PURE__*/jsxs("div", {
            className: stepTextWrapper,
            children: [/*#__PURE__*/jsx("div", {
              className: stepTitle,
              children: t('configurator.ar_qr_step') + ' 3'
            }), /*#__PURE__*/jsx("div", {
              className: stepText,
              children: t('configurator.ar_qr_step3')
            })]
          })]
        })]
      }), /*#__PURE__*/jsx("div", {
        className: buttonWrapper,
        children: /*#__PURE__*/jsx("div", {
          "aria-disabled": !activateAR,
          className: classnames(arButton, !activateAR ? disabled : undefined),
          onClick: function onClick() {
            return activateAR === null || activateAR === void 0 ? void 0 : activateAR();
          },
          children: activateAR ? t('configurator.open_ar') : /*#__PURE__*/jsxs(Fragment, {
            children: [/*#__PURE__*/jsx("div", {
              className: loader
            }), t('arviewer.initializing')]
          })
        })
      }), /*#__PURE__*/jsx("div", {
        className: text,
        children: t('configurator.ar_qr_bottom_text')
      }), url && /*#__PURE__*/jsxs("div", {
        className: qrCodeWrapper,
        children: [" ", url && /*#__PURE__*/React.createElement(QRCode, {
          value: url,
          size: 220
        })]
      })]
    })
  });
};
var FullscreenAr$1 = observer(FullscreenAr);

export { FullscreenAr$1 as default };
