import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectDestructuringEmpty from '@babel/runtime/helpers/objectDestructuringEmpty';
import { u as useViewHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import { useEffect, createElement } from 'react';
import Product from './index-502da53a.js';
import Sidebar from './index-65d88ad9.js';
import OptionTree from './index-3149a590.js';
import PartListTable from './index-6ec1e2d8.js';
import MaskEditor from './index-c761c9ae.js';
import SVGAnalyzer from './index-a5a35a65.js';
import { l as list } from './index.module-e5cc5bed.js';
import EkTextViewer from './index-8a17202a.js';
import CatalogMakeup from './index-99f2670a.js';
import DecisionAnalyzer from './index-abb51d3b.js';
import RTVAnalyzer from './index-e6d14062.js';
import J3DEditor from './index-fdff31e1.js';
import PropertiesEditor from './index-eeaeb0ef.js';
import ArticleOverview from './index-3f4573b4.js';
import PriceAnalyzer from './index-02358a12.js';
import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import './index-e3eefbe6.js';
import './index-5840610f.js';
import '@crystaldesign/content-item';
import 'react-draggable';
import './index-a9e7ae3a.js';
import './index-9ac352ac.js';
import 'sift';
import './index-03ec1878.js';
import './index-bec7758a.js';
import './index-7f563f4a.js';
import './index-dab96ea8.js';
import './index-5ed724e9.js';
import './index.module-8b8e578d.js';
import './index-d9e0b8ab.js';
import 'react-switch';
import './index-a00c316e.js';
import './index-b813b7d7.js';
import './index-227ad099.js';
import 'react-dropdown';
import './index-18e04d12.js';
import './index-d0cb686e.js';
import './index-98a94c2a.js';
import './index-c43b9bf6.js';
import '@crystaldesign/content-box';
import './index-a9750c3d.js';
import './index-576885e5.js';
import './index-ea0c61b7.js';
import './index-118cdb5f.js';
import './index-63a72d8c.js';
import './index-cbdc56a8.js';
import 'react-laag';
import './index-f7d87c9f.js';
import './index-a53f6c9e.js';
import './index-123dc27c.js';
import './index-5317aaf3.js';
import './index-79b89ba2.js';
import './index-60ade46e.js';
import './index-68efdadc.js';
import './index-1e6362c6.js';
import './index-b18bffae.js';
import './index-ab3f39ef.js';
import './index.module-eaa02037.js';
import './index-243b2e2c.js';
import './index-27943660.js';
import './index-ec30cce1.js';
import './index-a3492836.js';
import './index-c6c521c0.js';
import './index-b87282a4.js';
import './index-53b89034.js';
import './index.module-65919b33.js';
import './index-3dac3051.js';
import './index-b4b3a823.js';
import './index-f4b93084.js';
import './index-2a3b670f.js';
import './index-0b374555.js';
import './index-9eae4b33.js';
import './index.module-93ba7e7a.js';
import './index-e863915f.js';
import './index-cfae8a69.js';
import './index-26008f13.js';
import './index-7f0c8231.js';
import './index-4d2c6f51.js';
import './index-780b98e2.js';
import './index-794f08b4.js';
import './index-dffb0718.js';
import './index-46b86e6c.js';
import './index-39923a1d.js';
import 'react-qr-code';
import './index-cd5a0b3f.js';
import './index-3b9e0a7d.js';
import './index-12f39bd1.js';
import './index-dc516763.js';
import './index-fe6bc7ff.js';
import './index-85970525.js';
import 'react-collapsible';
import './index-098552ff.js';
import './index-bbed3b5e.js';
import './index.module-27830b1f.js';
import 'react-json-view-lite';
import './react-json-viewer-ed11badd.js';
import './index.module-09c60496.js';
import './DecisionVizualizer-5fd20957.js';
import './index-2e0d8ffb.js';
import './index-148f1439.js';
import 'jsoneditor';
import './index-76e01c42.js';
import './index-363d60d0.js';
import './index-4008c20a.js';
import './index-3aa270fc.js';
import './index.module-8806d92e.js';
import './index-5431bb3a.js';
import './index-e1eb89c3.js';
import 'react-select';
import './index-3b53b8af.js';
import './index-679accfc.js';
import './CatalogProperties-e8824fd5.js';
import './ArticleProperties-f0aadcc2.js';
import './OptionProperties-a5e2a157.js';
import './OptionValueProperties-d068ecbe.js';

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var CatalogProduct = function CatalogProduct(_ref) {
  var props = Object.assign({}, (_objectDestructuringEmpty(_ref), _ref));
  var viewHandler = useViewHandler();
  var changeVal = function changeVal(newValue) {
    localStorage.setItem('lastWindow', newValue);
    viewHandler.uiState.setActiveCatalogSection(newValue);
  };
  useEffect(function () {
    switch (viewHandler.uiState.activeCatalogSection) {
      case 'Options':
        viewHandler.uiState.setConfigSettingsIsExpanded(true);
        break;
      case 'ekText':
      case '3D/2D':
      case 'PartList':
      case 'Artikelübersicht':
      case 'SVGübersicht':
      case 'DecisionAnalyzer':
      case 'CatalogMakeup':
      case 'RTVAnalyzer':
      case 'J3DEditor':
      case 'PropertiesEditor':
      case 'MaskEditor':
        viewHandler.uiState.setConfigSettingsIsExpanded(false);
        break;
    }
  }, [viewHandler.uiState.activeCatalogSection]);
  useEffect(function () {
    if (viewHandler.getIsInMobileView()) viewHandler.uiState.setActiveCatalogSection('3D/2D');
  }, []);
  var activeWindow = undefined;
  var classname = props.className + ' ' + list;
  switch (viewHandler.uiState.activeCatalogSection) {
    case 'Options':
      activeWindow = /*#__PURE__*/jsx(OptionTree, _objectSpread(_objectSpread({}, props), {}, {
        style: {
          zIndex: 700
        }
      }));
      break;
    case 'PartList':
      activeWindow = /*#__PURE__*/jsx(PartListTable, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'DecisionAnalyzer':
      activeWindow = /*#__PURE__*/jsx(DecisionAnalyzer, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'PriceAnalyzer':
      activeWindow = /*#__PURE__*/jsx(PriceAnalyzer, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'Artikelübersicht':
      activeWindow = /*#__PURE__*/jsx(ArticleOverview, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'SVGübersicht':
      activeWindow = /*#__PURE__*/jsx(SVGAnalyzer, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'ekText':
      activeWindow = /*#__PURE__*/jsx(EkTextViewer, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'CatalogMakeup':
      activeWindow = /*#__PURE__*/jsx(CatalogMakeup, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'RTVAnalyzer':
      activeWindow = /*#__PURE__*/jsx(RTVAnalyzer, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'J3DEditor':
      activeWindow = /*#__PURE__*/jsx(J3DEditor, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'PropertiesEditor':
      activeWindow = /*#__PURE__*/jsx(PropertiesEditor, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
    case 'MaskEditor':
      activeWindow = /*#__PURE__*/jsx(MaskEditor, _objectSpread(_objectSpread({}, props), {}, {
        className: classname
      }));
      break;
  }
  return /*#__PURE__*/jsxs(Fragment, {
    children: [!viewHandler.uiState.isInMobileView && /*#__PURE__*/jsx(Sidebar, _objectSpread(_objectSpread({}, props), {}, {
      currentWindowActive: viewHandler.uiState.activeCatalogSection,
      setCurrentWindowActive: changeVal
    })), /*#__PURE__*/createElement(Product, _objectSpread(_objectSpread({}, props), {}, {
      style: {
        boxSizing: 'border-box',
        borderLeft: !viewHandler.uiState.isInMobileView ? '50px solid transparent' : undefined
      },
      key: 'product'
    })), activeWindow]
  });
};
var index = observer(CatalogProduct);

export { index as default };
