import _toConsumableArray from '@babel/runtime/helpers/toConsumableArray';
import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { useState, useEffect } from 'react';
import Collapsible from 'react-collapsible';
import SubTabGroupHeader from './index-fc676393.js';
import { S as SettingsItem } from './index-9ac352ac.js';
import { observer } from 'mobx-react-lite';
import { jsx, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import 'sift';
import './index-03ec1878.js';
import './index-bec7758a.js';
import './index-7f563f4a.js';
import './index-dab96ea8.js';
import './index-5ed724e9.js';
import './index.module-8b8e578d.js';
import './index-d9e0b8ab.js';
import 'react-switch';
import './index-a00c316e.js';
import './index-b813b7d7.js';
import './index-227ad099.js';
import 'react-dropdown';
import './index-18e04d12.js';
import '@babel/runtime/helpers/objectDestructuringEmpty';
import './index-d0cb686e.js';
import './index-98a94c2a.js';
import './index-c43b9bf6.js';
import '@crystaldesign/content-box';
import './index-a9750c3d.js';
import './index-576885e5.js';
import './index-ea0c61b7.js';
import './index-118cdb5f.js';
import './index-63a72d8c.js';
import './index-cbdc56a8.js';
import 'react-laag';
import './index-f7d87c9f.js';
import './index-a53f6c9e.js';
import './index-123dc27c.js';
import './index-5317aaf3.js';
import './index-79b89ba2.js';
import './index-60ade46e.js';
import './index-68efdadc.js';
import './index-1e6362c6.js';
import './index-b18bffae.js';
import './index-ab3f39ef.js';
import './index.module-eaa02037.js';
import './index-243b2e2c.js';
import './index-27943660.js';
import './index-ec30cce1.js';
import './index-a3492836.js';
import './index-c6c521c0.js';
import './index-b87282a4.js';
import './index-53b89034.js';
import './index.module-65919b33.js';
import './index-3dac3051.js';
import './index-b4b3a823.js';

var collapsableOuter = "collapsable-outer-udXIP";
var css_248z = ".collapsable-outer-udXIP {\n  overflow: visible !important;\n}\n.collapsable-outer-udXIP {\n  height: auto;\n  transition: none 0s ease 0s;\n}\n";
styleInject(css_248z);

var SubTabgroup = function SubTabgroup(_ref) {
  var _viewHandler$getViewC, _viewHandler$getViewC2;
  var itemPalettesOfArticle = _ref.itemPalettesOfArticle;
  var viewHandler = useViewHandler();
  var _useState = useState(!!((_viewHandler$getViewC = viewHandler.getViewConfig()) !== null && _viewHandler$getViewC !== void 0 && _viewHandler$getViewC.selectAccessoiresWithToggle)),
    _useState2 = _slicedToArray(_useState, 2),
    isOpen = _useState2[0],
    setIsOpen = _useState2[1];
  var basketIds = Object.keys(itemPalettesOfArticle);
  var _useState3 = useState('ALL'),
    _useState4 = _slicedToArray(_useState3, 2),
    curTab = _useState4[0],
    setCurTab = _useState4[1];
  var _useState5 = useState([]),
    _useState6 = _slicedToArray(_useState5, 2),
    tabs = _useState6[0],
    setTabs = _useState6[1];
  var _useState7 = useState(itemPalettesOfArticle[basketIds[0]]),
    _useState8 = _slicedToArray(_useState7, 2),
    itemPalettes = _useState8[0],
    setItemPalettes = _useState8[1];
  useEffect(function () {
    var _itemPalettesOfArticl;
    var actPalettes = (_itemPalettesOfArticl = itemPalettesOfArticle[curTab == 'ALL' ? basketIds[0] : curTab]) !== null && _itemPalettesOfArticl !== void 0 ? _itemPalettesOfArticl : {};
    Object.values(actPalettes).map(function (p) {
      return p.configAllMode = curTab == 'ALL' ? basketIds : undefined;
    });
    setItemPalettes(actPalettes);
    setTabs(['ALL'].concat(_toConsumableArray(basketIds.length > 1 ? basketIds : [])));
    if (!tabs.includes(curTab)) setCurTab(tabs[0]);
  }, [itemPalettesOfArticle, curTab]);
  return /*#__PURE__*/jsx(Collapsible, {
    trigger: (_viewHandler$getViewC2 = viewHandler.getViewConfig()) !== null && _viewHandler$getViewC2 !== void 0 && _viewHandler$getViewC2.selectAccessoiresWithToggle ? /*#__PURE__*/jsx(Fragment, {}) : /*#__PURE__*/jsx(SubTabGroupHeader, {
      tabs: tabs,
      openState: [isOpen, setIsOpen],
      curState: [curTab, setCurTab]
    }),
    contentOuterClassName: isOpen ? collapsableOuter : undefined,
    easing: "ease",
    open: isOpen,
    triggerDisabled: isOpen,
    children: Object.values(itemPalettes).map(function (item, index) {
      return /*#__PURE__*/jsx(SettingsItem, {
        item: item,
        id: item.id
      }, index);
    })
  });
};
var SubTabGroup = observer(SubTabgroup);

export { SubTabGroup as default };
