import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import 'react';
import Select from 'react-select';
import { jsx, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var select = "select-8bXXP";
var css_248z = ".select-8bXXP {\n  width: 200px;\n  font-size: 12px;\n}\n.select-8bXXP div {\n  border-color: grey !important;\n}\n.select-8bXXP div {\n  box-shadow: none;\n  box-shadow: initial;\n}\n";
styleInject(css_248z);

var ArticleSelector = function ArticleSelector(_ref) {
  var _viewHandler$divaWebP;
  var _ref$articleState = _slicedToArray(_ref.articleState, 2),
    article = _ref$articleState[0],
    setArticle = _ref$articleState[1];
  var viewHandler = useViewHandler();
  var articles = Object.values((_viewHandler$divaWebP = viewHandler.divaWebPlanner.getDivaArticles(undefined, true)) !== null && _viewHandler$divaWebP !== void 0 ? _viewHandler$divaWebP : {});
  var options = articles.map(function (a) {
    return {
      value: a.basketId,
      label: a.name + ' ' + a.posNr
    };
  });
  var onChange = function onChange(a) {
    setArticle(articles.find(function (p) {
      return p.basketId == a.value;
    }));
  };
  if (options.length == 1 || options.length == 0) return /*#__PURE__*/jsx(Fragment, {});
  return /*#__PURE__*/jsx(Select, {
    value: options.find(function (o) {
      return o.value === (article === null || article === void 0 ? void 0 : article.basketId);
    }),
    options: options,
    onChange: onChange,
    className: select
  });
};

export { ArticleSelector as default };
