import _typeof from '@babel/runtime/helpers/typeof';
import { s as styleInject } from './index-e560cd58.js';
import { useDivaCore, useTranslation } from '@crystaldesign/diva-core';
import 'react';
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import 'flat';
import '@crystaldesign/widget-contact-form';

var shareOption = "share-option-tqy8P";
var shareText = "share-text-grps7";
var loader = "loader-KG6ip";
var facebookIcon = "facebook-icon-1-Vop";
var emailIcon = "email-icon-AWH8x";
var whatsappIcon = "whatsapp-icon-I2GLz";
var telegramIcon = "telegram-icon-0jmu8";
var css_248z = ".share-option-tqy8P {\n  display: flex;\n  flex-direction: row;\n  cursor: pointer;\n  border: solid 0.1px;\n  border-radius: 5px;\n  margin-top: 1%;\n}\n\n.share-text-grps7 {\n  align-self: center;\n  margin: auto;\n}\n\n.loader-KG6ip {\n  margin: 0 auto;\n  display: inline-block;\n  position: relative;\n  width: 80px;\n  height: 80px;\n  box-sizing: border-box;\n  display: block;\n  position: absolute;\n  width: 64px;\n  height: 64px;\n  margin: 8px;\n  border: 8px solid #b6b6b6;\n  border-radius: 50%;\n  animation: spin-FpWtQ 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;\n  border-color: #b6b6b6 transparent transparent transparent;\n}\n\n/* Safari */\n\n@keyframes spin-FpWtQ {\n  0% {\n    transform: rotate(0deg);\n  }\n  100% {\n    transform: rotate(360deg);\n  }\n}\n\n.share-option-tqy8P:hover {\n  color: black;\n}\n\n.facebook-icon-1-Vop {\n  margin-left: 1%;\n  background-position-y: top;\n  background-image: url(\"data:image/svg+xml,%3C%3Fxml version%3D%221.0%22 encoding%3D%22utf-8%22%3F%3E%3C!-- Uploaded to%3A SVG Repo%2C www.svgrepo.com%2C Generator%3A SVG Repo Mixer Tools --%3E%3Csvg fill%3D%22%23000000%22 width%3D%22800px%22 height%3D%22800px%22 viewBox%3D%220 0 512 512%22 id%3D%22Layer_1%22 data-name%3D%22Layer 1%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M480%2C257.35c0-123.7-100.3-224-224-224s-224%2C100.3-224%2C224c0%2C111.8%2C81.9%2C204.47%2C189%2C221.29V322.12H164.11V257.35H221V208c0-56.13%2C33.45-87.16%2C84.61-87.16%2C24.51%2C0%2C50.15%2C4.38%2C50.15%2C4.38v55.13H327.5c-27.81%2C0-36.51%2C17.26-36.51%2C35v42h62.12l-9.92%2C64.77H291V478.66C398.1%2C461.85%2C480%2C369.18%2C480%2C257.35Z%22 fill-rule%3D%22evenodd%22%2F%3E%3C%2Fsvg%3E\");\n  background-repeat: no-repeat;\n  width: 32px;\n  height: 32px;\n  cursor: pointer;\n  background-size: contain;\n}\n\n.email-icon-AWH8x {\n  margin-left: 1%;\n  background-position-y: -1px;\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 height%3D%2240%22 viewBox%3D%220 -960 960 960%22 width%3D%2240%22%3E%3Cpath d%3D%22M174.461-180q-31.417 0-53.606-22.189-22.188-22.188-22.188-53.606v-448.41q0-31.418 22.188-53.606Q143.044-780 174.461-780h611.078q31.417 0 53.606 22.189 22.188 22.188 22.188 53.606v448.41q0 31.418-22.188 53.606Q816.956-180 785.539-180H174.461ZM480-467.359l330.154-215.359-12.308-46.103-317.846 208-317.846-208-12.308 46.103L480-467.359Z%22%2F%3E%3C%2Fsvg%3E\");\n  background-repeat: no-repeat;\n  width: 32px;\n  height: 32px;\n  cursor: pointer;\n  background-size: contain;\n}\n\n.whatsapp-icon-I2GLz {\n  margin-left: 1%;\n  background-position-y: top;\n  background-image: url(\"data:image/svg+xml,%3Csvg viewBox%3D%220 0 20 20%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22m0 0h20v20h-20z%22 fill%3D%22none%22%2F%3E%3Cpath d%3D%22m16.8 5.7c-2.4-3.7-7.3-4.8-11.1-2.5-3.7 2.3-4.9 7.3-2.5 11l.2.3-.8 3 3-.8.3.2c1.3.7 2.7 1.1 4.1 1.1 1.5 0 3-.4 4.3-1.2 3.7-2.4 4.8-7.3 2.5-11.1zm-2.1 7.7c-.4.6-.9 1-1.6 1.1-.4 0-.9.2-2.9-.6-1.7-.8-3.1-2.1-4.1-3.6-.6-.7-.9-1.6-1-2.5 0-.8.3-1.5.8-2 .2-.2.4-.3.6-.3h.5c.2 0 .4 0 .5.4.2.5.7 1.7.7 1.8.1.1.1.3 0 .4.1.2 0 .4-.1.5s-.2.3-.3.4c-.2.1-.3.3-.2.5.4.6.9 1.2 1.4 1.7.6.5 1.2.9 1.9 1.2.2.1.4.1.5-.1s.6-.7.8-.9.3-.2.5-.1l1.6.8c.2.1.4.2.5.3.1.3.1.7-.1 1z%22%2F%3E%3C%2Fsvg%3E\");\n  background-repeat: no-repeat;\n  width: 32px;\n  height: 32px;\n  cursor: pointer;\n  background-size: contain;\n}\n\n.telegram-icon-0jmu8 {\n  margin-left: 1%;\n  background-position-y: top;\n  background-image: url(\"data:image/svg+xml,%3Csvg height%3D%2232%22 viewBox%3D%220 0 32 32%22 width%3D%2232%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22m16 .5c-8.563 0-15.5 6.938-15.5 15.5s6.938 15.5 15.5 15.5c8.563 0 15.5-6.938 15.5-15.5s-6.938-15.5-15.5-15.5zm7.613 10.619-2.544 11.988c-.188.85-.694 1.056-1.4.656l-3.875-2.856-1.869 1.8c-.206.206-.381.381-.781.381l.275-3.944 7.181-6.488c.313-.275-.069-.431-.482-.156l-8.875 5.587-3.825-1.194c-.831-.262-.85-.831.175-1.231l14.944-5.763c.694-.25 1.3.169 1.075 1.219z%22%2F%3E%3C%2Fsvg%3E\");\n  background-repeat: no-repeat;\n  width: 32px;\n  height: 32px;\n  cursor: pointer;\n  background-size: contain;\n}\n";
styleInject(css_248z);

var Share = (function (props) {
  var _useDivaCore = useDivaCore(),
    isMobile = _useDivaCore.state.isMobile;
  var _useTranslation = useTranslation(),
    t = _useTranslation.t,
    language = _useTranslation.i18n.language;
  if (_typeof(props.url) == 'object') props.url = props.url[language];
  var url = props.url.replace('{{DivaNr}}', props.divaNr);
  url = url;
  var text = t('configurator.sharemessage');
  function onShare(type) {
    switch (type) {
      case 'facebook':
        window.open("https://www.facebook.com/sharer/sharer.php?u=".concat(encodeURIComponent(url)), '_blank');
        break;
      case 'email':
        window.open("mailto:?body=".concat(encodeURIComponent(text + ' ' + url)), '_blank');
        break;
      case 'telegram':
        window.open("https://telegram.me/share/url?url=".concat(encodeURIComponent(url), "&text=").concat(encodeURIComponent(text)), '_blank');
        break;
      case 'whatsapp':
        window.open("https://api.whatsapp.com/send?text=".concat(encodeURIComponent(text + ' ' + url)), '_blank');
        break;
    }
  }
  return /*#__PURE__*/jsxs(Fragment, {
    children: [props.loading && /*#__PURE__*/jsxs(Fragment, {
      children: [/*#__PURE__*/jsx("div", {
        style: {
          position: 'absolute',
          left: 0,
          right: 0,
          marginLeft: 'auto',
          marginRight: 'auto',
          width: 100
        },
        children: /*#__PURE__*/jsx("div", {
          className: loader
        })
      }), /*#__PURE__*/jsx("div", {
        style: {
          position: 'absolute',
          bottom: 0
        },
        children: t('configurator.shareloadinginfo')
      })]
    }), /*#__PURE__*/jsxs("div", {
      style: {
        display: 'flex',
        flexDirection: 'column',
        gap: 10,
        visibility: props.loading ? 'hidden' : 'visible'
      },
      children: [/*#__PURE__*/jsx("div", {
        dangerouslySetInnerHTML: {
          __html: t('configurator.sharedescription')
        }
      }), /*#__PURE__*/jsxs("div", {
        className: shareOption,
        onClick: function onClick() {
          return onShare('email');
        },
        children: [/*#__PURE__*/jsx("div", {
          className: emailIcon
        }), /*#__PURE__*/jsx("div", {
          className: shareText,
          children: t('configurator.shareemail')
        })]
      }), /*#__PURE__*/jsxs("div", {
        className: shareOption,
        onClick: function onClick() {
          return onShare('facebook');
        },
        children: [/*#__PURE__*/jsx("div", {
          className: facebookIcon
        }), /*#__PURE__*/jsx("div", {
          className: shareText,
          children: t('configurator.sharefacebook')
        })]
      }), isMobile && /*#__PURE__*/jsxs(Fragment, {
        children: [/*#__PURE__*/jsxs("div", {
          className: shareOption,
          onClick: function onClick() {
            return onShare('whatsapp');
          },
          children: [/*#__PURE__*/jsx("div", {
            className: whatsappIcon
          }), /*#__PURE__*/jsx("div", {
            className: shareText,
            children: t('configurator.sharewhatsapp')
          })]
        }), /*#__PURE__*/jsxs("div", {
          className: shareOption,
          onClick: function onClick() {
            return onShare('telegram');
          },
          children: [/*#__PURE__*/jsx("div", {
            className: telegramIcon
          }), /*#__PURE__*/jsx("div", {
            className: shareText,
            children: t('configurator.sharetelegram')
          })]
        })]
      })]
    })]
  });
});

export { Share as default };
