import { s as styleInject } from './index-e560cd58.js';
import classnames from 'classnames';
import 'react';
import { jsx, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wcStepInfo = "wcStepInfo-IuGTY";
var error = "error-PdtJS";
var warning = "warning-fB-89";
var info = "info-bs86-";
var css_248z = ".wcStepInfo-IuGTY {\n  margin-top: 10px;\n  margin-left: 5px;\n  font-size: 15px;\n  line-height: 17px;\n}\n\n.error-PdtJS {\n  color: #dc3545;\n}\n\n.warning-fB-89 {\n  color: #ffc107;\n}\n\n.info-bs86- {\n  color: #828282;\n}\n";
styleInject(css_248z);

var StepInfo = function StepInfo(_ref) {
  var stepInfo = _ref.stepInfo;
  if (!stepInfo) return /*#__PURE__*/jsx(Fragment, {});
  var text = stepInfo.text,
    type = stepInfo.type;
  return /*#__PURE__*/jsx("div", {
    className: classnames(wcStepInfo, type === 'ERROR' ? error : undefined, type === 'INFO' ? info : undefined, type === 'WARNING' ? warning : undefined),
    dangerouslySetInnerHTML: {
      __html: text
    }
  });
};

export { StepInfo as default };
