import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import SettingsHeader from './index-bec7758a.js';
import { useDivaCore } from '@crystaldesign/diva-core';
import { useState, useEffect } from 'react';
import Dropdown from 'react-dropdown';
import MobileDropdown from './index-e9ac55b9.js';
import { observer } from 'mobx-react-lite';
import InfoIcon from './index-a00c316e.js';
import PricePreview from './index-b813b7d7.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import './index-98a94c2a.js';

var wrapper = "wrapper-xpzd5";
var wcDropDownSelect = "wcDropDownSelect-sB9TS";
var dropDownArea = "dropDownArea-2LjDI";
var image = "image-Ox-79";
var label = "label-l3TV3";
var css_248z = ".wrapper-xpzd5 {\n  display: flex;\n  position: relative;\n}\n.wcDropDownSelect-sB9TS {\n  padding: 10.2px 24px 7px 16px !important;\n}\n.wcDropDownSelect-sB9TS {\n  height: 39px;\n  padding: 8px;\n  -webkit-appearance: none;\n  -moz-appearance: none;\n  appearance: none;\n  border: 1px solid #cacaca;\n  border-radius: 4px;\n  background-color: #fefefe;\n  font-family: inherit;\n  letter-spacing: 0pt;\n  color: #0a0a0a;\n  background-origin: content-box;\n  background-position: right -16px center;\n  background-repeat: no-repeat;\n  background-size: 9px 6px;\n  padding-right: 24px;\n  transition:\n    box-shadow 0.5s,\n    border-color 0.25s ease-in-out;\n\n  font-weight: 300;\n}\n\n.wcDropDownSelect-sB9TS > div > div {\n  text-overflow: ellipsis;\n  overflow: hidden;\n  white-space: nowrap;\n}\n\n.dropDownArea-2LjDI {\n  max-height: 520px;\n\n  right: 0;\n  width: 100%;\n  min-width: 150px;\n  letter-spacing: 0px;\n  font-size: 13px;\n  font-weight: 300;\n}\n\n.dropDownArea-2LjDI .dropOption-lwWxd {\n  white-space: nowrap;\n}\n\n.row-fy2V4 {\n  width: 100%;\n  height: -moz-fit-content;\n  height: fit-content;\n  position: relative;\n  display: flex;\n  padding-bottom: 4px;\n  padding-top: 4px;\n}\n\n.title-KdLW7 {\n  text-align: right;\n  padding-bottom: 9px;\n  padding-top: 9px;\n}\n\n.colum-yG36- {\n  width: 50%;\n  margin: 15px;\n}\n\n.image-Ox-79 {\n  width: 45%;\n}\n\n.label-l3TV3 {\n  position: relative;\n  padding-right: 64px;\n}\n";
styleInject(css_248z);

function _createForOfIteratorHelper(r, e) { var t = "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (!t) { if (Array.isArray(r) || (t = _unsupportedIterableToArray(r)) || e && r && "number" == typeof r.length) { t && (r = t); var _n = 0, F = function F() {}; return { s: F, n: function n() { return _n >= r.length ? { done: !0 } : { done: !1, value: r[_n++] }; }, e: function e(r) { throw r; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var o, a = !0, u = !1; return { s: function s() { t = t.call(r); }, n: function n() { var r = t.next(); return a = r.done, r; }, e: function e(r) { u = !0, o = r; }, f: function f() { try { a || null == t["return"] || t["return"](); } finally { if (u) throw o; } } }; }
function _unsupportedIterableToArray(r, a) { if (r) { if ("string" == typeof r) return _arrayLikeToArray(r, a); var t = {}.toString.call(r).slice(8, -1); return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0; } }
function _arrayLikeToArray(r, a) { (null == a || a > r.length) && (a = r.length); for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e]; return n; }
var DropDowmText = function DropDowmText(_ref) {
  var _item$selectedElement;
  var item = _ref.item,
    paletteId = _ref.paletteId,
    style = _ref.style;
  var viewHandler = useViewHandler();
  var _useDivaCore = useDivaCore(),
    isMobile = _useDivaCore.state.dimensions.isMobile;
  var allItemsP = item.groups.flatMap(function (group) {
    return group.items;
  });
  var allItems = allItemsP;
  var sel = allItems.find(function (item) {
    return item.sel;
  });
  var options = [];
  var selOption = undefined;
  var onChange = function onChange(val) {
    setActValue(val.value);
  };
  var mobileOptions = [];
  var selectedMobileOption = undefined;
  var onChangeMobile = function onChangeMobile(e) {
    setActValue(e.target.value);
  };
  var _useState = useState(sel === null || sel === void 0 ? void 0 : sel.text),
    _useState2 = _slicedToArray(_useState, 2),
    actValue = _useState2[0],
    setActValue = _useState2[1];
  useEffect(function () {
    var val = allItems.find(function (item) {
      return item.codex == actValue;
    });
    if (val) viewHandler.paletteViewHandler.clickedOnConfigPalette(val, undefined, paletteId);
  }, [actValue]);
  useEffect(function () {
    if (viewHandler.uiState.configSettingsIsHidden) setActValue(undefined);
  }, [viewHandler.uiState.configSettingsIsHidden]);
  var _iterator = _createForOfIteratorHelper(allItems),
    _step;
  try {
    for (_iterator.s(); !(_step = _iterator.n()).done;) {
      var _item = _step.value;
      mobileOptions.push({
        text: _item.text,
        codex: _item.codex
      });
      var option = {
        label: /*#__PURE__*/jsxs("div", {
          className: label,
          children: [_item.text, _item.pricePreviewPromise !== undefined && /*#__PURE__*/jsx(PricePreview, {
            asyncPricePreview: _item.pricePreviewPromise,
            sel: _item.sel
          })]
        }),
        text: _item.text,
        value: _item.codex
      };
      if (_item.sel) {
        selOption = {
          label: /*#__PURE__*/jsx("div", {
            className: label,
            children: _item.text
          }),
          value: _item.codex
        };
        selectedMobileOption = _item.codex;
      }
      options.push(option);
    }
  } catch (err) {
    _iterator.e(err);
  } finally {
    _iterator.f();
  }
  var paletteIsLastPalette = false;
  if (paletteId) {
    var nextPalette = viewHandler.settingsState.itemPalettes.get(paletteId + 1);
    if (!(nextPalette !== null && nextPalette !== void 0 && nextPalette.visible)) {
      paletteIsLastPalette = true;
    }
  }
  return /*#__PURE__*/jsxs("div", {
    ref: function ref(_ref2) {
      return item.htmlRef = _ref2;
    },
    style: style,
    children: [/*#__PURE__*/jsxs("div", {
      className: wrapper,
      children: [/*#__PURE__*/jsx(SettingsHeader, {
        isInScroller: true,
        isSettingsHeader: false,
        item: item
      }), ((_item$selectedElement = item.selectedElements) === null || _item$selectedElement === void 0 ? void 0 : _item$selectedElement[0].contentItemId) && /*#__PURE__*/jsx(InfoIcon, {
        item: item.selectedElements[0],
        style: {
          position: 'relative',
          bottom: -16
        }
      }, item.selectedElements[0].codex)]
    }), isMobile ? /*#__PURE__*/jsx(MobileDropdown, {
      id: 'wcConfigurator-mobiledropdown-' + item.id,
      onChange: onChangeMobile,
      mobileOptions: mobileOptions,
      selectedOption: selectedMobileOption
    }) : /*#__PURE__*/jsx(Dropdown, {
      className: 'wcConfigurator-dropdown-' + item.id,
      controlClassName: wcDropDownSelect,
      menuClassName: dropDownArea,
      options: options,
      value: selOption,
      onChange: onChange
    }), item.type == 'DROPDOWN_IMAGE' && (sel === null || sel === void 0 ? void 0 : sel.image) && /*#__PURE__*/jsx("img", {
      className: image,
      src: sel.image.replace('_gal.', '.')
    }), paletteIsLastPalette && /*#__PURE__*/jsx("div", {
      style: {
        height: options.length * 32 + 10
      }
    })]
  });
};
var index = observer(DropDowmText);

export { index as default };
