import { u as useViewHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import React, { Suspense } from 'react';
import Planner2DGrid from './index-2a3b670f.js';
import Planner3DImage from './index-0b374555.js';
import { w as wcConfiguratorProductCenter, p as portrait, l as landscape, s as settingsHidden, i as inGridVisible, f as fullscreen, a as wcConfiguratorArticleImage, c as center, b as foldback, d as foldbackLeft, e as foldup } from './index.module-93ba7e7a.js';
import classnames from 'classnames';
import Planner3DGrid from './index-cfae8a69.js';
import PlannerMsgContainer from './index-26008f13.js';
import PlannerUIVariant from './index-7f0c8231.js';
import RotateInfo from './index-4d2c6f51.js';
import PromotedOpvs from './index-780b98e2.js';
import OrbitInteraction from './index-794f08b4.js';
import MobileNavIcons from './index-dffb0718.js';
import { jsxs, jsx, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import './index-9eae4b33.js';
import './index-e863915f.js';
import '@crystaldesign/content-box';
import './index-46b86e6c.js';
import 'react-laag';
import './index-39923a1d.js';
import 'react-qr-code';
import './index-cd5a0b3f.js';

var Planner3D = /*#__PURE__*/React.lazy(function () {
  return import('./index-8c24cd90.js');
});
var PlannerRTV = /*#__PURE__*/React.lazy(function () {
  return import('./index-ac1eb76e.js');
});
var ProductCenter = function ProductCenter(_ref) {
  var style = _ref.style,
    _ref$folderPosition = _ref.folderPosition,
    folderPosition = _ref$folderPosition === void 0 ? 'right' : _ref$folderPosition;
  var viewHandler = useViewHandler();
  var showFolderButton = !viewHandler.uiState.ViewConfig.hideMobileFolder || viewHandler.uiState.ViewConfig.showSettingsFolder && viewHandler.productState.promotionVisible;
  var showFoldup = !viewHandler.uiState.ViewConfig.hideMobileFolder && !viewHandler.uiState.configSettingsIsFoldedUp && !viewHandler.uiState.configSettingsIsHidden && viewHandler.uiState.isMobilePortrait && !viewHandler.productState.roomListExpanded;
  var showFoldDown = viewHandler.uiState.configSettingsIsHidden && viewHandler.uiState.isInMobileView || viewHandler.uiState.ViewConfig.showSettingsFolder && viewHandler.productState.promotionVisible;
  var showOrbitCube = viewHandler.productState.doShowRenderImage && (!viewHandler.uiState.ViewConfig.dontShowOrbitInMobile || !viewHandler.getIsInMobileView()) && viewHandler.viewPlannerHandler.getCurPlannerViewMode() == '3DImage' && viewHandler.productState.doShowRenderImage && !viewHandler.productState.plannerRenderingIsStaticBG;
  return /*#__PURE__*/jsxs("div", {
    style: style,
    className: classnames(wcConfiguratorProductCenter, viewHandler.uiState.isMobilePortrait ? portrait : undefined, viewHandler.uiState.isMobileLandscape ? landscape : undefined, viewHandler.uiState.configSettingsIsHidden ? settingsHidden : undefined, viewHandler.productState.doShowGrid ? inGridVisible : undefined, fullscreen),
    children: [/*#__PURE__*/jsx(PlannerMsgContainer, {}), /*#__PURE__*/jsx(Planner3DImage, {}), viewHandler.productState.allow3DComb && viewHandler.isParentViewVisible && /*#__PURE__*/jsx(Suspense, {
      fallback: /*#__PURE__*/jsx(Fragment, {}),
      children: /*#__PURE__*/jsx(Planner3D, {})
    }), /*#__PURE__*/jsx(Planner3DGrid, {}), (viewHandler.productState.allowRTV || viewHandler.productState.allowQRCodeAR) && viewHandler.isParentViewVisible && /*#__PURE__*/jsx(Suspense, {
      fallback: /*#__PURE__*/jsx(Fragment, {}),
      children: /*#__PURE__*/jsx(PlannerRTV, {})
    }), showOrbitCube && /*#__PURE__*/jsx(OrbitInteraction, {}), /*#__PURE__*/jsx(Planner2DGrid, {}), viewHandler.uiState.isInMobileView && /*#__PURE__*/jsx(MobileNavIcons, {}), /*#__PURE__*/jsx(RotateInfo, {}), /*#__PURE__*/jsx(PromotedOpvs, {}), !viewHandler.productState.hidePlannerUiIcons && !(viewHandler.productState.doShowRTV || viewHandler.productState.doShow3DComb) && /*#__PURE__*/jsx(PlannerUIVariant, {}), viewHandler.productState.plannerMode == 'No' && /*#__PURE__*/jsx("div", {
      className: wcConfiguratorArticleImage,
      children: viewHandler.productState.articleImage && /*#__PURE__*/jsx("img", {
        src: viewHandler.productState.articleImage,
        className: center
      })
    }), showFolderButton && /*#__PURE__*/jsxs(Fragment, {
      children: [showFoldDown && /*#__PURE__*/jsx("div", {
        className: classnames(foldback, folderPosition === 'left' ? foldbackLeft : undefined),
        onClick: viewHandler.uiState.onClickHideConfigSettings,
        id: "btnFoldDown"
      }), showFoldup && /*#__PURE__*/jsx("div", {
        id: "btnFoldUp",
        className: classnames(foldup),
        onClick: viewHandler.uiState.onClickFoldupConfigSettings
      })]
    })]
  });
};
var ProductCenter$1 = observer(ProductCenter);

export { ProductCenter$1 as default };
