import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { u as useViewHandler } from './index-e560cd58.js';
import { useEffect } from 'react';
import { observer } from 'mobx-react-lite';
import ItemVariant from './index-54442cec.js';
import { jsx, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var TabGroupHorizontal = function TabGroupHorizontal(props) {
  var viewHandler = useViewHandler();
  useEffect(function () {
    if (!viewHandler.tabGroupState.curTabGroup) return;
    var curTabGroup = viewHandler.tabGroupState.tabGroupItems.get(viewHandler.tabGroupState.curTabGroup.key);
    if (!viewHandler.tabGroupState.tabGroupScroller || !curTabGroup) return;
    var offsetToRight = viewHandler.tabGroupState.tabGroupScroller.getBoundingClientRect().width / 100 * 20; //  das Active Div soll 20% in der Breite nach links positioniert sein
    var actDivPos = curTabGroup.getBoundingClientRect().left - viewHandler.tabGroupState.tabGroupScroller.getBoundingClientRect().left; //     dies ist die Position des activen Divs relative dazu wie gerade gescrollt ist
    var actScrollVal = viewHandler.tabGroupState.tabGroupScroller.scrollLeft; //           soweit ist aktuell gescrollt

    var toScrollLeft = actDivPos - (viewHandler.uiState.isInMobileView ? 0 : offsetToRight) + actScrollVal;
    viewHandler.tabGroupState.tabGroupScroller.scrollTo({
      left: toScrollLeft,
      top: 0,
      behavior: 'smooth'
    });
  }, [viewHandler.tabGroupState.curTabGroup]);
  if (!viewHandler.tabGroupState.allTabGroups) return /*#__PURE__*/jsx(Fragment, {});
  return /*#__PURE__*/jsx(Fragment, {
    children: Object.entries(viewHandler.tabGroupState.allTabGroups).map(function (_ref) {
      var _viewHandler$tabGroup, _viewHandler$tabGroup2;
      var _ref2 = _slicedToArray(_ref, 2),
        key = _ref2[0],
        tabGroup = _ref2[1];
      return /*#__PURE__*/jsx(ItemVariant, {
        tabGroup: tabGroup,
        width: 'calc(' + ((_viewHandler$tabGroup = (_viewHandler$tabGroup2 = viewHandler.tabGroupState) === null || _viewHandler$tabGroup2 === void 0 || (_viewHandler$tabGroup2 = _viewHandler$tabGroup2.tabGroupScroller) === null || _viewHandler$tabGroup2 === void 0 ? void 0 : _viewHandler$tabGroup2.getBoundingClientRect().width) !== null && _viewHandler$tabGroup !== void 0 ? _viewHandler$tabGroup : 0) + 'px / ' + Object.entries(viewHandler.tabGroupState.allTabGroups).length + ')'
      }, key);
    })
  });
};
var TabGroupHorizontal$1 = observer(TabGroupHorizontal);

export { TabGroupHorizontal$1 as default };
