import React from 'react';
type Props = {
    url: string;
    config: {
        title?: string;
        text?: string;
    };
};
type SocialPlatform = 'facebook' | 'twitter' | 'linkedin' | 'whatsapp' | 'telegram';
interface ShareContent {
    url: string;
    title: string;
    text: string;
    hashtags?: string;
    via?: string;
}
declare const ShareViaSocialMedias: ({ url, config: { title: ti, text: te } }: Props) => React.JSX.Element;
export declare const shareSocial: (platform: SocialPlatform, content: ShareContent, qrCode?: boolean) => void;
export default ShareViaSocialMedias;
//# sourceMappingURL=index.d.ts.map