import React from 'react';
import { DecisionObject, OptionSnapshot } from '..';
import { Decision, DivaArticle, IDMDecision } from '@crystaldesign/web-planner-logic';
export type Props = {
    onClick: (obj: DecisionObject) => void;
    optionSnapshot: OptionSnapshot;
    allOpen: boolean;
    showDiffOnly: boolean;
};
type PropsNoPromise = {
    onClick: (obj: DecisionObject) => void;
    articles: {
        [basketId: string]: DivaArticle;
    };
    price: number;
    title: string;
    configStepKey: string;
    allOpen: boolean;
    showDiffOnly: boolean;
};
export interface PartlistArticle {
    name: string;
    price: number;
    retailArticleNr: string;
    retailPrefix: string;
    quantity: number;
    ruleDesc: string;
    rule?: string;
    catalogCodex: string;
    codex: string;
    articleCodex: string;
    visible?: boolean;
    decision?: Decision | IDMDecision;
    partlistRule?: {
        [opt: string]: string;
    };
}
declare const _default: (({ onClick, articles, price, title, allOpen, configStepKey, showDiffOnly }: PropsNoPromise) => React.JSX.Element) & {
    displayName: string;
};
export default _default;
//# sourceMappingURL=index.d.ts.map