import React, { ComponentProps } from 'react';
import { DivaArticle, Decision, IDMDecision } from '@crystaldesign/web-planner-logic';
interface Props extends ComponentProps<'div'> {
}
export interface DecisionObject {
    decision: Decision | IDMDecision;
    rule?: {
        [opt: string]: string;
    };
}
export interface OptionSnapshot {
    promise: Promise<{
        articleSnapshot: {
            [basketId: string]: DivaArticle;
        };
        price: number;
    }>;
    title: string;
    key: string;
}
declare const _default: (({ onMouseDown, ...props }: Props) => React.JSX.Element) & {
    displayName: string;
};
export default _default;
//# sourceMappingURL=index.d.ts.map