

import './publicPath';
import React from 'react';
import { InitMode, SupplierColor, CatalogMask, Configuration } from '@crystaldesign/web-planner-logic';
import { ComponentDefinition, ComponentProps } from '@crystaldesign/diva-core';
export interface InitObject {
    eventSubscriber: (fn: (event: any) => void) => void;
    eventUnsubscriber: (fn: (event: any) => void) => void;
    basketData?: any;
    setId?: string;
    accountId?: string;
    accountGuid?: string;
    accountSessionGuid?: string;
    supplierColors?: SupplierColor[];
    smSupplierNr?: string;
    catalogMask?: CatalogMask;
    no3DConnection?: boolean;
    catalogCodex?: string;
    catalogGuid?: string;
    articleCodexes?: string[];
    isIDMData?: string;
    packageId?: string;
    serieId?: string;
    variantValues?: {
        [key: string]: string;
    };
    differentOptions?: string[];
    resetArticle?: number;
    forceReload?: string;
    divaNr?: string;
    productId?: string;
    customProductId?: string;
    initMode?: InitMode;
    opt?: string;
    opv?: string;
    configuratorTitle?: string;
    assignNewDivaNr?: boolean;
    initEmptyPlanner?: boolean;
    used_logged_in?: boolean;
    addDivaNr?: string;
    startDivaNr?: string;
    jsonCacheData?: any;
    settings: any;
    initProductFolded?: boolean;
}
export declare const WebPlannerReact: React.FC<ComponentProps<Configuration>>;
declare const componentConfig: ComponentDefinition<Configuration>;
export default componentConfig;
//# sourceMappingURL=index.d.ts.map
  