import { Actions } from '@crystaldesign/diva-core';
import { BasketEvent, BarrierConfigType, DivaBasketHandler } from '@crystaldesign/web-planner-logic';
import UIState from './States/UIState';
export default class BarrierHandler {
    private uiState;
    private actions?;
    constructor(uiState: UIState, actions?: Actions | undefined);
    openLeafeltBarrier(divaBasketHandler: DivaBasketHandler, config: BarrierConfigType | undefined, product?: any): Promise<{
        event: BasketEvent | undefined;
        saveBasket: boolean;
    }>;
    private setReportConfig;
    private getLoginType;
    private openAffiliate;
    openContactForm(divaBasketHandler: DivaBasketHandler): void;
    private setEmailConfig;
}
//# sourceMappingURL=BarrierHandler.d.ts.map