import { ArticleOptionValueView } from '@crystaldesign/web-planner-logic';
import { PaletteItemsFilter } from '../../../types';
export default class ConfigItems {
    private configItems;
    private actColorFilterText?;
    private actSearchFitlerText?;
    private defaultFilterText?;
    private isRendered;
    private configStepKey;
    constructor(i: number);
    set IsRendered(isRendered: boolean);
    get IsRendered(): boolean;
    get ConfigStepKey(): string;
    set ConfigStepKey(configStepKey: string);
    setConfigItems(itemsArr: ArticleOptionValueView[]): void;
    getAllItems(paletteId: number): ArticleOptionValueView[];
    updateSearchFreeText(searchText: string): void;
    updateColorFilterText(codex?: string): void;
    clearFilters(): void;
    getActFilterItems(filterType: string, actColorFilterText?: string): void;
    calcFilter(paletteId: number): PaletteItemsFilter;
}
//# sourceMappingURL=ConfigItems.d.ts.map