import ConfiguratorStructureHandler from '../TabGroup/ConfiguratorStructureHandler';
import SettingsState from '../States/UIState/Settings';
export default class VisitStepsHandler {
    private configuratorStructureHandler;
    private settingsState;
    private getState;
    private defineArticlesOnOptions;
    constructor(configuratorStructureHandler: ConfiguratorStructureHandler, settingsState: SettingsState, getState: any, defineArticlesOnOptions: (basketIdsOnOptions: {
        [basketId: string]: string[];
    }) => void);
    /**
     * this function sets a Variable called Visited for all the act Visible Steps in the DOM. This information is used know if we have to scroll to a not visited Step or can actually jump to the next tabGroup
     */
    visitActVisibleSteps(): void;
    defineOptionOfConfigStepKey(configStepKey: string): void;
    /**
     * this function checks if there are steps not already visited
     */
    wereAllStepsVisited(): boolean;
    getFirstUnvisitedStepIndex(): number;
}
//# sourceMappingURL=VisitStepsHandler.d.ts.map