import { DockingPoint } from '@crystaldesign/web-planner-logic';
export default interface IViewPlannerUIHandler {
    onElementSelected: (setId: string, elementId: number, dp?: DockingPoint) => void;
    onElementDeleted: (setId: string, elementId: number) => void;
    onElementRotationClockwise: (setId: string, elementId: number) => void;
    onElementRotationCounterClockwise: (setId: string, elementId: number) => void;
    onDockingPointInteraction: (setId: string, elementId: number, dpId: string, dpSelected: boolean, onDockingElementId: number | undefined) => void;
    onElementCopy: (setId: string, elementId: number, copyDir: 'LEFT' | 'RIGHT' | 'TOP' | 'STD') => void;
    getPosNrByBasketId: (basketId: string) => number;
}
//# sourceMappingURL=IViewPlannerUIHandler.d.ts.map