import React from 'react';
import { WebPlannerConfigParams } from '@crystaldesign/web-planner-logic';
import DivaViewHandler from './DivaViewHandler';
interface Props {
    children: React.ReactElement;
    plannerConfig: WebPlannerConfigParams;
    isVisible: boolean;
}
export declare const ViewHandlerProvider: ({ children, plannerConfig, isVisible }: Props) => React.JSX.Element;
export declare const useViewHandler: () => DivaViewHandler;
export declare const usePlannerUIHandler: () => import("./Planner/UI/PlannerUI").default;
export {};
//# sourceMappingURL=index.d.ts.map