import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { s as styleInject } from './index-e560cd58.js';
import { useRef, useState, useEffect } from 'react';
import { JsonView, darkStyles } from 'react-json-view-lite';
import classnames from 'classnames';
import Draggable from 'react-draggable';
import { jsx, jsxs, Fragment } from 'react/jsx-runtime';

var table = "table-iqWqM";
var column = "column-0LUrX";
var bold = "bold-lbVn7";
var filter = "filter-7DtTa";
var closeIcon = "close-icon-oV-p5";
var scrollable = "scrollable-g4Mgr";
var header = "header-4-lJa";
var decision = "decision-d8i43";
var idmContainer = "idm-container-j98CM";
var idmTitle = "idm-title-LFQMP";
var idmSubtitle = "idm-subtitle-jkOPl";
var idmTable = "idm-table-CZGdO";
var css_248z = ".table-iqWqM {\n  position: relative;\n  width: 100%;\n  height: 100%;\n  background-color: #ffffff;\n  border-collapse: collapse;\n  border-width: 0px;\n  border-color: #e7eaf8;\n  border-style: solid;\n  color: #000000;\n  font-weight: normal;\n  font-family: var(--diva-typography-font-family);\n  font-weight: 100;\n  overflow-y: auto;\n  top: 73px;\n  -webkit-user-select: text;\n     -moz-user-select: text;\n          user-select: text;\n}\n.table-iqWqM thead {\n  font-weight: bold !important;\n}\n.table-iqWqM thead {\n  border-bottom: 1px solid;\n  background-color: var(--thirdColor);\n  font-size: 16px;\n  padding-top: 1%;\n  color: white;\n}\n.column-0LUrX {\n  text-align: left;\n}\n.column-0LUrX:first-child {\n  height: 20px;\n}\n.bold-lbVn7 {\n  font-weight: bold;\n}\n.filter-7DtTa {\n  height: 12px;\n  font-size: 10px;\n}\n\n.close-icon-oV-p5 {\n  position: absolute;\n  right: 12px;\n  top: 12px;\n  z-index: 1002;\n  width: -moz-max-content;\n  width: max-content;\n  width: 36px;\n  height: 36px;\n  background-repeat: no-repeat;\n  background-position: center center;\n  background-size: 28%;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2210%22 height%3D%2210%22 viewBox%3D%220 0 10 10%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M1.35355 0.646447C1.15829 0.451184 0.841709 0.451184 0.646447 0.646447C0.451184 0.841709 0.451184 1.15829 0.646447 1.35355L1.35355 0.646447ZM8.64645 9.35355C8.84171 9.54882 9.15829 9.54882 9.35355 9.35355C9.54882 9.15829 9.54882 8.84171 9.35355 8.64645L8.64645 9.35355ZM9.35355 1.35355C9.54882 1.15829 9.54882 0.841709 9.35355 0.646447C9.15829 0.451184 8.84171 0.451184 8.64645 0.646447L9.35355 1.35355ZM0.646447 8.64645C0.451185 8.84171 0.451185 9.15829 0.646447 9.35355C0.841709 9.54881 1.15829 9.54881 1.35355 9.35355L0.646447 8.64645ZM0.646447 1.35355L8.64645 9.35355L9.35355 8.64645L1.35355 0.646447L0.646447 1.35355ZM8.64645 0.646447L0.646447 8.64645L1.35355 9.35355L9.35355 1.35355L8.64645 0.646447Z%22 fill%3D%22%234F4F4F%22%2F%3E%3C%2Fsvg%3E\");\n  transition: background-size 100ms ease-in;\n  cursor: pointer;\n}\n.column-0LUrX th {\n  border-bottom: 1px solid;\n  padding-right: 10px;\n  margin-bottom: 1%;\n  font-weight: normal;\n}\n.scrollable-g4Mgr {\n  overflow: auto;\n  left: 50px;\n}\n.header-4-lJa {\n  height: 8%;\n  width: 100%;\n  padding-top: 0.7%;\n  text-align: center;\n  position: absolute;\n  background-color: var(--primaryColor);\n  font-size: 30px;\n  color: white;\n  font-weight: 600;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  gap: 10px;\n}\n\n.decision-d8i43 {\n  z-index: 100;\n  position: fixed;\n  top: 60px;\n  right: 0px;\n  z-index: 100000;\n  width: 800px;\n  height: calc(100vh - 60px);\n  background-color: #fff;\n  overflow: auto;\n}\n\n.idm-container-j98CM {\n  padding: 16px;\n  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);\n  border: 1px solid #ddd;\n  border-radius: 8px;\n  pointer-events: all;\n  background-color: #fff;\n  width: 600px;\n  -webkit-user-select: text;\n     -moz-user-select: text;\n          user-select: text;\n}\n\n.idm-container-j98CM h2 {\n  cursor: move;\n}\n\n.idm-title-LFQMP {\n  font-size: 1.5em;\n  font-weight: bold;\n}\n\n.idm-subtitle-jkOPl {\n  margin-top: 16px;\n  font-size: 1.2em;\n  font-weight: bold;\n}\n\n.idm-table-CZGdO {\n  width: 100%;\n  border-collapse: collapse;\n  margin-top: 8px;\n}\n\n.idm-table-CZGdO th,\n.idm-table-CZGdO td {\n  border: 1px solid #ddd;\n  padding: 8px;\n  text-align: left;\n  line-break: anywhere;\n}\n\n.idm-table-CZGdO th {\n  background-color: #f2f2f2;\n}\n";
styleInject(css_248z);

var DecisionVisualization = function DecisionVisualization(_ref) {
  var d = _ref.decision,
    snapshots = _ref.snapshots,
    _ref$matchingOptions = _ref.matchingOptions,
    matchingOptions = _ref$matchingOptions === void 0 ? {} : _ref$matchingOptions,
    anyData = _ref.anyData,
    onClose = _ref.onClose;
  var draggable = useRef(null);
  // Helper function to check if a value exists
  var _useState = useState(),
    _useState2 = _slicedToArray(_useState, 2),
    snapshotDiff = _useState2[0],
    setSnapshotDiff = _useState2[1];
  var renderIfDefined = function renderIfDefined(value, label) {
    if (value !== undefined && value !== null && value !== '') {
      return /*#__PURE__*/jsxs("p", {
        children: [/*#__PURE__*/jsxs("strong", {
          children: [label, label ? ':' : '']
        }), Array.isArray(value) ? value.join(', ') : value]
      });
    }
    return null;
  };
  useEffect(function () {
    if (!snapshots) {
      setSnapshotDiff(undefined);
      return;
    }
    var diff = {};
    var _loop = function _loop() {
      var before = snapshots.before[_opt];
      var after = snapshots.after[_opt];
      diff[_opt] = {
        after: after,
        before: before,
        removedOpvs: before.visibleOPVs.filter(function (opv) {
          return !after.visibleOPVs.includes(opv);
        })
      };
    };
    for (var _opt in snapshots.before) {
      _loop();
    }
    setSnapshotDiff(diff);
  }, [snapshots]);
  var isExpanded = function isExpanded(level, value, field) {
    var key = field;
    if (field === undefined || ['removedOpvs', 'after', 'before'].includes(field)) return true;
    if (snapshotDiff && key && snapshotDiff[key] && JSON.stringify(snapshotDiff[key].before) !== JSON.stringify(snapshotDiff[key].after)) {
      return true;
    }
    return false;
  };
  if (d.priceFeatureGroupNo !== undefined) {
    var _priceFeatureGroup$pr, _priceFeatureGroup$fi;
    var priceFeatureGroup = d;
    return /*#__PURE__*/jsx(Draggable, {
      nodeRef: draggable,
      handle: ".handle",
      bounds: "parent",
      defaultPosition: undefined,
      children: /*#__PURE__*/jsxs("div", {
        className: idmContainer,
        ref: draggable,
        children: [/*#__PURE__*/jsxs("h2", {
          className: classnames(idmTitle, 'handle'),
          children: ["PriceFeatureGroup #", priceFeatureGroup.priceFeatureGroupNo]
        }), /*#__PURE__*/jsx("div", {
          className: closeIcon,
          onClick: function onClick() {
            return onClose === null || onClose === void 0 ? void 0 : onClose();
          }
        }), /*#__PURE__*/jsxs("div", {
          children: [renderIfDefined(priceFeatureGroup.catalogId, 'Catalog ID'), renderIfDefined(priceFeatureGroup._id, 'priceFeatureGroup ID'), renderIfDefined((_priceFeatureGroup$pr = priceFeatureGroup.priceFeatureGroupText) === null || _priceFeatureGroup$pr === void 0 ? void 0 : _priceFeatureGroup$pr.DE, 'priceFeatureGroupText'), renderIfDefined(priceFeatureGroup.percentageSurcharges, 'percentageSurcharges'), renderIfDefined(priceFeatureGroup.isPercentage, 'isPercentage'), renderIfDefined(priceFeatureGroup.comment, 'comment'), renderIfDefined(priceFeatureGroup.featureNos, 'Feature References'), renderIfDefined(priceFeatureGroup.additionalPrice, 'Additional Price'), renderIfDefined(priceFeatureGroup.activeCombination, 'Active Combination Seqence')]
        }), /*#__PURE__*/jsx("h3", {
          className: idmSubtitle,
          children: "Option Combinations"
        }), /*#__PURE__*/jsxs("table", {
          className: idmTable,
          children: [/*#__PURE__*/jsx("thead", {
            children: /*#__PURE__*/jsxs("tr", {
              children: [/*#__PURE__*/jsx("th", {
                children: "Sequence"
              }), /*#__PURE__*/jsx("th", {
                children: "condition"
              }), /*#__PURE__*/jsx("th", {
                children: "priceField"
              })]
            })
          }), /*#__PURE__*/jsx("tbody", {
            children: (_priceFeatureGroup$fi = priceFeatureGroup.finishes) === null || _priceFeatureGroup$fi === void 0 ? void 0 : _priceFeatureGroup$fi.map(function (option) {
              return /*#__PURE__*/jsxs("tr", {
                className: classnames(option.sequence === priceFeatureGroup.activeCombination ? bold : undefined),
                children: [/*#__PURE__*/jsx("td", {
                  children: option.sequence
                }), /*#__PURE__*/jsx("td", {
                  children: JSON.stringify(option.optionsSetRefs)
                }), /*#__PURE__*/jsxs("td", {
                  children: ["PRFG", priceFeatureGroup.priceFeatureGroupNo + '_' + option.priceField]
                })]
              }, option._id);
            })
          })]
        }), /*#__PURE__*/jsx("br", {}), !!Object.values(matchingOptions).length && /*#__PURE__*/jsxs(Fragment, {
          children: ["matching conditions", Object.keys(matchingOptions).map(function (opt) {
            return renderIfDefined(opt + ': ' + matchingOptions[opt], '');
          }), /*#__PURE__*/jsx("br", {})]
        }), !!snapshotDiff && /*#__PURE__*/jsxs(Fragment, {
          children: ["snapshot", /*#__PURE__*/jsx(JsonView, {
            shouldExpandNode: isExpanded,
            data: snapshotDiff,
            style: darkStyles
          })]
        }), !!anyData && /*#__PURE__*/jsx(JsonView, {
          data: anyData,
          style: darkStyles
        })]
      })
    });
  }
  if (d.Number !== undefined) {
    var decision = d;
    return /*#__PURE__*/jsx(Draggable, {
      nodeRef: draggable,
      handle: ".handle",
      bounds: "parent",
      defaultPosition: undefined,
      children: /*#__PURE__*/jsxs("div", {
        ref: draggable,
        style: {
          userSelect: 'text'
        },
        children: [/*#__PURE__*/jsx("div", {
          className: closeIcon,
          onClick: function onClick() {
            return onClose === null || onClose === void 0 ? void 0 : onClose();
          }
        }), /*#__PURE__*/jsxs("h2", {
          className: "handle",
          children: [" Decision Details ", renderIfDefined(decision.Number, 'Number')]
        }), renderIfDefined(decision.Type, 'Type'), renderIfDefined(decision.Prio, 'Priority'), renderIfDefined(decision.Options, 'Options'), renderIfDefined(decision.enabled ? 'Yes' : 'No', 'Enabled'), renderIfDefined(decision.Number, 'Decision Number'), renderIfDefined(decision.activeCombination, 'Active Combination Index'), renderIfDefined(decision.disableHistory, 'Disabled History'), decision.DOC && decision.DOC.length > 0 && /*#__PURE__*/jsxs(Fragment, {
          children: [/*#__PURE__*/jsx("h3", {
            children: "Decision Option Combinations:"
          }), decision.DOC.map(function (doc, docIndex) {
            var _doc$Row;
            return /*#__PURE__*/jsxs("div", {
              className: "decision-option-combination",
              children: [renderIfDefined(docIndex, 'doc Index'), renderIfDefined(doc.JsFormula, 'Formula'), Object.values((_doc$Row = doc.Row) !== null && _doc$Row !== void 0 ? _doc$Row : {}).map(function (row) {
                return /*#__PURE__*/jsx(Fragment, {
                  children: renderIfDefined(row.join(';'), 'Doc Row')
                });
              }), doc.DA && doc.DA.length > 0 && /*#__PURE__*/jsxs("div", {
                children: [/*#__PURE__*/jsx("h6", {
                  children: "Decision Actions:"
                }), /*#__PURE__*/jsx("ul", {
                  children: doc.DA.map(function (action, actionIndex) {
                    return /*#__PURE__*/jsxs("li", {
                      children: [renderIfDefined(action.Type, 'Action Type'), renderIfDefined(action.FeatureRef, 'Feature Ref'), renderIfDefined(action.OptionCodex, 'OptionCodex'), renderIfDefined(action.OptionRef, 'OptionRef'), renderIfDefined(action.OptionRefCodex, 'OptionRefCodex'), renderIfDefined(action.OptionValueRefCodex, 'OptionValueRefCodex'), renderIfDefined(action.DecisionNr, 'DecisionNr')]
                    }, actionIndex);
                  })
                })]
              }), renderIfDefined(doc.ValidOptionValues, 'Valid Option Values'), renderIfDefined(doc.RefLevel, 'RefLevel'), renderIfDefined(doc.ValidOptions, 'Valid Options')]
            }, docIndex);
          })]
        }), renderIfDefined(decision.disableHistory, 'Disabled History'), /*#__PURE__*/jsx("strong", {
          children: "Is Valid DOC:"
        }), " ", decision.DOC && decision.DOC.length > 0 ? 'Yes' : 'No', /*#__PURE__*/jsx("br", {}), !!Object.values(matchingOptions).length && /*#__PURE__*/jsxs(Fragment, {
          children: ["matching conditions", Object.keys(matchingOptions).map(function (opt) {
            return renderIfDefined(opt + ': ' + matchingOptions[opt], '');
          }), /*#__PURE__*/jsx("br", {})]
        }), !!snapshotDiff && /*#__PURE__*/jsxs(Fragment, {
          children: ["snapshot", /*#__PURE__*/jsx(JsonView, {
            shouldExpandNode: isExpanded,
            data: snapshotDiff,
            style: darkStyles
          })]
        }), !!anyData && /*#__PURE__*/jsx(JsonView, {
          data: anyData,
          style: darkStyles
        })]
      })
    });
  } else {
    var _decision$optionCombi;
    var _decision = d;
    return /*#__PURE__*/jsx(Draggable, {
      nodeRef: draggable,
      handle: ".handle",
      bounds: "parent",
      defaultPosition: undefined,
      children: /*#__PURE__*/jsxs("div", {
        ref: draggable,
        className: idmContainer,
        children: [/*#__PURE__*/jsx("div", {
          className: closeIcon,
          onClick: function onClick() {
            return onClose === null || onClose === void 0 ? void 0 : onClose();
          }
        }), /*#__PURE__*/jsxs("h2", {
          className: classnames(idmTitle, 'handle'),
          children: ["Decision #", _decision.decisionNo]
        }), /*#__PURE__*/jsxs("div", {
          children: [renderIfDefined(_decision.catalogId, 'Catalog ID'), renderIfDefined(_decision._id, 'Decision ID'), renderIfDefined(_decision.prio, 'Priority'), renderIfDefined(_decision.decisionType, 'Decision Type'), renderIfDefined(_decision.enabled ? 'Enabled' : 'Disabled', 'Status'), renderIfDefined(_decision.deleted ? 'Yes' : 'No', 'Deleted'), renderIfDefined(_decision.featureRefs, 'Feature References'), renderIfDefined(_decision.disableHistory, 'Disable History'), renderIfDefined(_decision.activeCombination, 'Active Combination Seqence')]
        }), /*#__PURE__*/jsx("h3", {
          className: idmSubtitle,
          children: "Option Combinations"
        }), /*#__PURE__*/jsxs("table", {
          className: idmTable,
          children: [/*#__PURE__*/jsx("thead", {
            children: /*#__PURE__*/jsxs("tr", {
              children: [/*#__PURE__*/jsx("th", {
                children: "Sequence"
              }), /*#__PURE__*/jsx("th", {
                children: "Actions"
              }), /*#__PURE__*/jsx("th", {
                children: "Options Set References"
              })]
            })
          }), /*#__PURE__*/jsx("tbody", {
            children: (_decision$optionCombi = _decision.optionCombinations) === null || _decision$optionCombi === void 0 ? void 0 : _decision$optionCombi.map(function (option) {
              return /*#__PURE__*/jsxs("tr", {
                children: [/*#__PURE__*/jsx("td", {
                  children: option.sequence
                }), /*#__PURE__*/jsx("td", {
                  children: JSON.stringify(option.projectActions)
                }), /*#__PURE__*/jsx("td", {
                  children: JSON.stringify(option.optionsSetRefs)
                })]
              }, option._id);
            })
          })]
        }), /*#__PURE__*/jsx("br", {}), !!Object.values(matchingOptions).length && /*#__PURE__*/jsxs(Fragment, {
          children: ["matching conditions", Object.keys(matchingOptions).map(function (opt) {
            return renderIfDefined(opt + ': ' + matchingOptions[opt], '');
          }), /*#__PURE__*/jsx("br", {})]
        }), !!snapshotDiff && /*#__PURE__*/jsxs(Fragment, {
          children: ["snapshot", /*#__PURE__*/jsx(JsonView, {
            shouldExpandNode: isExpanded,
            data: snapshotDiff,
            style: darkStyles
          })]
        }), !!anyData && /*#__PURE__*/jsx(JsonView, {
          data: anyData,
          style: darkStyles
        })]
      })
    });
  }
};

var DecisionVizualizer = /*#__PURE__*/Object.freeze({
  __proto__: null,
  'default': DecisionVisualization
});

export { DecisionVisualization as D, DecisionVizualizer as a, column as c, decision as d, filter as f, header as h, scrollable as s, table as t };
