import './index-e560cd58.js';

var getIconOfTabGroup = function getIconOfTabGroup(tabGroup, baseCdnUrl, tabGroupObj) {
  var sirvURL = baseCdnUrl + '/static/images/TabIcons/';
  if (tabGroupObj) {
    if (tabGroupObj[tabGroup.toLowerCase()]) return sirvURL + tabGroupObj[tabGroup.toLowerCase()];else if (tabGroupObj[tabGroup]) return sirvURL + tabGroupObj[tabGroup];
  }
  switch (tabGroup) {
    case 'StaticRoomList':
      return sirvURL + 'room.svg';
    case 'Planner':
    case 'PRODUCTS':
    case 'PROMOTED':
      return sirvURL + 'planner.svg';
    case 'Summary':
      return sirvURL + 'summary.svg';
    case 'Piede':
    case 'pieds':
    case 'Fuss':
    case 'Fuß':
    case 'Fu':
    case 'Fsse':
      return sirvURL + 'feet.svg';
    case 'Testiera':
    case 'tte de lit':
    case 'Kopfteil':
    case 'Headboard':
      return sirvURL + 'bed_headboard.svg';
    case 'materasso':
    case 'matelas':
    case 'Matratze':
    case 'Matratze Zubehr':
      return sirvURL + 'mattress.svg';
    case 'dimensioni':
    case 'dimension':
    case 'Grsse':
      return sirvURL + 'dimensions.svg';
    case 'Topper':
    case 'surmatelas':
      return sirvURL + 'topper.svg';
    case 'Telaio inferiore':
    case 'box':
    case 'Untergestell':
    case 'Box/Untergestell':
    case 'BoxUntergestell':
    case 'Box  Bettrahmen':
    case 'box  cadre de lit':
    case 'Box':
    case 'Box inkl Grsse':
      return sirvURL + 'bed_underframe.svg';
    case 'Visualizzazione':
    case 'visualisation':
    case 'Visualisierung':
      return sirvURL + 'bed_visualization.svg';
    case 'Rivestimento':
    case 'tissu dco':
    case 'Bezug':
    case 'Stoff':
      return sirvURL + 'upholstery.svg';
    case 'Sitz':
    case 'Sitztiefe':
      return sirvURL + 'seat.svg';
    case 'Armlehne':
      return sirvURL + 'armrest.svg';
    case 'ACCESSOIRES':
      return sirvURL + 'additionalArticles.svg';
    case 'Rcken':
      return sirvURL + 'sofaBackrest.svg';
    case 'Konfiguration':
      return sirvURL + 'material_config.svg';
    case 'Zustand':
      return sirvURL + 'settings_suggest.svg';
  }
  return undefined;
};

export { getIconOfTabGroup as g };
