import './index-e560cd58.js';
import 'react';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var properties = [{
  catalogKey: 'url',
  codex: 'INFO_URL',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "URL um eine Webseite bei OptionsWert zu hinterlegen f\xFCr info. Dieses Feld \xFCberschreibt das selbe auf Optionsebene"
  }),
  type: 'string'
}, {
  catalogKey: 'pdfUrl',
  codex: 'INFO_PDF',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "URL um eine PDF bei OptionWert zu hinterlegen f\xFCr pdf info. Dieses Feld \xFCberschreibt das selbe auf Optionsebene"
  }),
  type: 'string'
}, {
  catalogKey: 'contentItemId',
  codex: 'CONTENT_ITEM',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "contentItemId reference"
  }),
  type: 'string'
}, {
  catalogKey: 'isNotRelevant',
  codex: 'IS_NOT_RELEVANT',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "ist die OPV eine deaktivierende opv -w dessen Option ausgeblendet wird."
  }),
  type: 'boolean'
}, {
  catalogKey: 'groupContentItemId',
  codex: 'GROUP_CONTENT_ITEM',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "contentItemId reference for the group of the opv"
  }),
  type: 'string'
}, {
  catalogKey: 'sameopv',
  codex: 'SAME_OPV',
  desc: /*#__PURE__*/jsxs(Fragment, {
    children: ["zu hintelegen ist hier den codex einer semantisch identischen OPV welche aus dummen gr\xFCnden \"gesplittet\" wurde. Usecase Fuss Kufe beim Willi schillig ist bei longchair und 2 Sitzer eine andere OPV obwohl sie f\xFCr die slebe Kufe stehen.", ' ']
  }),
  type: 'string'
}, {
  catalogKey: 'onlyVisibleIfNotDocked',
  codex: 'ONLY_VISIBLE_IF_NOT_UNDOCK',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Amalfi usecase"
  }),
  deprecated: true,
  type: 'boolean'
}, {
  catalogKey: 'defaultValue',
  codex: 'DEFAULT_VALUE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "dieser OptionsWert ist DefaultValue"
  }),
  type: 'boolean'
}, {
  catalogKey: 'summaryCodex',
  codex: 'SUMMARY_CODEX',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Codex welcher in der Zusammenfassung angezeigt wird. L\xFCck usecase"
  }),
  type: 'string'
}, {
  catalogKey: 'viewPointName',
  codex: 'VIEWPOINTNAME',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "ViewPoint kann hinterlegt werden. Z.B. Kirchner Nachtkasten Links oder rechts. Blickpunkt wechselt dementsprechend"
  }),
  type: 'string'
}, {
  catalogKey: 'hideInSummary',
  codex: 'HIDE_IN_SUMMARY',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "ist dieser Optionswert gesetzt wird diese Option in der Zusammenfassung und PDF nicht sichtbar"
  }),
  type: 'boolean'
}, {
  catalogKey: 'setName',
  codex: 'SETNAME',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Alternativen text zu hinterlegen wenn der optionswerttext nicht passend ist f\xFCr der SETNAME logic auf Optionsebene"
  }),
  type: 'string'
}, {
  catalogKey: 'setConfig',
  codex: 'SET_CONFIG',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Kopfteil silence"
  }),
  deprecated: true,
  type: 'string'
}, {
  catalogKey: 'onRule',
  codex: 'ON_RULE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Kopfteil silence"
  }),
  deprecated: true,
  type: 'string'
}, {
  catalogKey: 'setByRule',
  codex: 'SET_BY_RULE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Kopfteil silence"
  }),
  deprecated: true,
  type: 'string'
}, {
  catalogKey: 'customDimension',
  codex: 'CUSTOM_DIMENSION',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Diese OPV wird als Custom Dimenstion im PDF & UI angezeigt"
  }),
  deprecated: true,
  type: 'boolean'
}, {
  catalogKey: 'addToMeasure',
  codex: 'ADD_TO_MEASURE',
  desc: /*#__PURE__*/jsx(Fragment, {
    children: "Hier wird das Ma\xDF bzw. die Menge einer Option erg\xE4nzt mit verschiedenene rechenoperationen"
  }),
  deprecated: true,
  type: 'complicated'
}];

export { properties as default };
