import { u as useViewHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import 'react';
import NavBar from './index-9eae4b33.js';
import { g as wcConfigurator3Dimage, h as imageCenterOrbit, j as imageCenterStatic } from './index.module-93ba7e7a.js';
import Logo from './index-e863915f.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var Planner3DImage = function Planner3DImage(props) {
  var viewHandler = useViewHandler();
  return /*#__PURE__*/jsxs("div", {
    ref: function ref(_ref) {
      return viewHandler.productState.setImage3DElement(_ref);
    },
    className: wcConfigurator3Dimage,
    id: "3DImage-Container",
    style: {
      // backgroundImage: viewHandler.productState.RenderImageURL,
      visibility: viewHandler.productState.doShowRenderImage ? 'visible' : 'hidden'
    },
    children: [/*#__PURE__*/jsx(NavBar, {}), /*#__PURE__*/jsx("img", {
      className: !viewHandler.productState.plannerRenderingIsStaticBG ? imageCenterOrbit : imageCenterStatic,
      id: "diva3dImg",
      draggable: "false",
      src: viewHandler.productState.diva3dImgSrc
    }), /*#__PURE__*/jsx(Logo, {})]
  });
};
var Planner3DImage$1 = observer(Planner3DImage);

export { Planner3DImage$1 as default };
