import { s as styleInject } from './index-e560cd58.js';
import 'react';
import { w as wcBoxPlannerAddElement, a as wcBoxPlannerAddElementLeft, b as wcBoxPlannerAddElementTop, c as wcBoxPlannerAddElementRight, h as wc2DRotClock, i as wc2DRotCounterClock, d as wcPlanner3DRot, e as wcPlanner3DMove, f as wcPlannerDistanceToGround, g as wcPlannerArrowDistanceToGround } from './index.module-cdf408a6.js';
import { w as wcUi2DOutlineDraggable, a as wcUi2DOutlineDraggableActive, b as wcUi2DOutlineSelectable, c as wc3DOutlineSvg, d as wc3DOutlinePolygon, e as wc3DOutlinePolygonContours, f as wc3DOutlinePolygonContoursSel } from './index.module-4137c096.js';
import PlannerUI from './index-f4979347.js';
import { useDivaCore } from '@crystaldesign/diva-core';
import classnames from 'classnames';
import { jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import './index-93bd143d.js';
import './index-831b8abe.js';
import './index-1c76201d.js';
import './index-48300bf2.js';
import './index-b47706ce.js';
import './index-951a070a.js';
import './index-ff286eac.js';
import './index-7c069afc.js';
import './index-3ba6d4ce.js';
import './index-c8bb81dc.js';
import './index-221a1630.js';
import './index-de8c491e.js';
import './index-adbd3100.js';
import 'react-draggable';
import './index-b3e8cff0.js';
import './index-7435b475.js';
import './index-a8b51921.js';

var wcPlannerButton = "wcPlannerButton-hPp4U";
var mobile = "mobile-ZE7fr";
var css_248z$6 = ".wcPlannerButton-hPp4U {\n  position: absolute;\n  background-repeat: no-repeat;\n  transition: background-image 0.2s ease-in-out;\n  --globalSize: 40px;\n  --posNrSize: var(--globalSize);\n  --trashSize: var(--globalSize);\n  --rotSize: var(--globalSize);\n  --copySize: var(--globalSize);\n  --fontSize: 26px;\n  --copyArrowSize: var(--globalSize);\n}\n\n.mobile-ZE7fr {\n  --globalSize: 28px;\n  --fontSize: 17px;\n}\n";
styleInject(css_248z$6);

var wcUi2DDpAvl = "wcUI2D_DP_AVL-iHhPw";
var wcUi2DDpAvlSel = "wcUI2D_DP_AVL_SEL-SFLkk";
var css_248z$5 = "/*STANDARD*/\n\n.wcUI2D_DP_AVL-iHhPw {\n  height: 40px;\n  width: 40px;\n\n  margin-top: -20px;\n  margin-left: -20px;\n\n  border-radius: 50%;\n  background-color: rgba(0, 0, 0, 0);\n  background-position: center center;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Ccircle opacity%3D%220.5%22 cx%3D%2220%22 cy%3D%2220%22 r%3D%2220%22 transform%3D%22rotate(-180 20 20)%22 fill%3D%22%23E5E5E5%22%2F%3E%3Cpath d%3D%22M7 20L20 20%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M13 14L7 20.0606L13 26%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Ccircle cx%3D%2220%22 cy%3D%2220%22 r%3D%224%22 transform%3D%22rotate(-180 20 20)%22 fill%3D%22%234B4B4B%22%2F%3E%3C%2Fsvg%3E\");\n  cursor: pointer;\n  z-index: 263;\n}\n\n.wcUI2D_DP_AVL-iHhPw:hover {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Ccircle opacity%3D%220.5%22 cx%3D%2220%22 cy%3D%2220%22 r%3D%2220%22 transform%3D%22rotate(-180 20 20)%22 fill%3D%22%23C4C4C4%22%2F%3E%3Cpath d%3D%22M7 20L20 20%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M13 14L7 20.0606L13 26%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Ccircle cx%3D%2220%22 cy%3D%2220%22 r%3D%224%22 transform%3D%22rotate(-180 20 20)%22 fill%3D%22%234B4B4B%22%2F%3E%3C%2Fsvg%3E\");\n}\n\n.wcUI2D_DP_AVL_SEL-SFLkk::after {\n  position: absolute;\n  width: 40px;\n  height: 40px;\n  content: '';\n  background-color: var(--primaryColor);\n  border-radius: var(--articlePosNrRadius);\n  opacity: 0.3;\n}\n";
styleInject(css_248z$5);

var wcUi2DDpAvr = "wcUI2D_DP_AVR-exJDT";
var wcUi2DDpAvrSel = "wcUI2D_DP_AVR_SEL-RiZkU";
var css_248z$4 = "/*STANDARD*/\n\n.wcUI2D_DP_AVR-exJDT {\n  height: 40px;\n  width: 40px;\n  border-radius: 50%;\n  background-color: rgba(0, 0, 0, 0);\n\n  margin-top: -20px;\n  margin-left: -20px;\n\n  background-position: center center;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Ccircle opacity%3D%220.5%22 cx%3D%2220%22 cy%3D%2220%22 r%3D%2220%22 fill%3D%22%23E5E5E5%22%2F%3E%3Cpath d%3D%22M33 20L20 20%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M27 26L33 19.9394L27 14%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Ccircle cx%3D%2220%22 cy%3D%2220%22 r%3D%224%22 fill%3D%22%234B4B4B%22%2F%3E%3C%2Fsvg%3E\");\n  cursor: pointer;\n  z-index: 263;\n}\n\n.wcUI2D_DP_AVR-exJDT:hover {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Ccircle opacity%3D%220.5%22 cx%3D%2220%22 cy%3D%2220%22 r%3D%2220%22 fill%3D%22%23C4C4C4%22%2F%3E%3Cpath d%3D%22M33 20L20 20%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M27 26L33 19.9394L27 14%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Ccircle cx%3D%2220%22 cy%3D%2220%22 r%3D%224%22 fill%3D%22%234B4B4B%22%2F%3E%3C%2Fsvg%3E\");\n}\n.wcUI2D_DP_AVR_SEL-RiZkU::after {\n  width: 40px;\n  height: 40px;\n  content: '';\n  background-color: var(--primaryColor);\n  border-radius: var(--articlePosNrRadius);\n  opacity: 0.3;\n}\n";
styleInject(css_248z$4);

var wcUi2DDpAvDocking = "wcUI2D_DP_AV_DOCKING-B4pye";
var wcUi2DDpAvNotDocking = "wcUI2D_DP_AV_NOT_DOCKING-lVgqL";
var wcUi2DDpAvNotDockingSel = "wcUI2D_DP_AV_NOT_DOCKING_SEL-IB1dU";
var wcUi3DDpAvDocking = "wcUI3D_DP_AV_DOCKING-WVzbw";
var wcUi3DDpAvNotDocking = "wcUI3D_DP_AV_NOT_DOCKING-knDpA";
var wcUi3DDpAvNotDockingSel = "wcUI3D_DP_AV_NOT_DOCKING_SEL-gFJW1";
var css_248z$3 = "/*STANDARD*/\n.wcUI2D_DP_AV_DOCKING-B4pye {\n  background-size: 100%;\n  background-position: center center;\n  border-radius: 50%;\n  background-color: #f2f2f2;\n  height: var(--globalSize);\n  width: var(--globalSize);\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Crect width%3D%2240%22 height%3D%2240%22 rx%3D%2220%22 fill%3D%22%23F5F5F5%22%2F%3E%3Cpath d%3D%22M27 20L13 20%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  cursor: pointer;\n  margin-top: calc(var(--globalSize) * -0.5);\n  margin-left: calc(var(--globalSize) * -0.5);\n  z-index: 263;\n}\n.wcUI2D_DP_AV_NOT_DOCKING-lVgqL {\n  background-size: 100%;\n  background-position: center center;\n  border-radius: 50%;\n  background-color: #f2f2f2;\n  height: var(--globalSize);\n  width: var(--globalSize);\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Crect width%3D%2240%22 height%3D%2240%22 rx%3D%2220%22 fill%3D%22%23F5F5F5%22%2F%3E%3Cpath d%3D%22M27 20L13 20%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M20 27L20 13%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  cursor: pointer;\n  margin-top: calc(var(--globalSize) * -0.5);\n  margin-left: calc(var(--globalSize) * -0.5);\n  z-index: 263;\n}\n.wcUI2D_DP_AV_NOT_DOCKING-lVgqL:hover {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Crect width%3D%2240%22 height%3D%2240%22 rx%3D%2220%22 fill%3D%22%23C4C4C4%22%2F%3E%3Cpath d%3D%22M27 20L13 20%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M20 27L20 13%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n}\n\n.wcUI2D_DP_AV_NOT_DOCKING_SEL-IB1dU::after {\n  position: absolute;\n  width: var(--globalSize);\n  height: var(--globalSize);\n  background-color: var(--primaryColor);\n  border-radius: var(--articlePosNrRadius);\n  opacity: 0.5;\n}\n\n.wcUI3D_DP_AV_DOCKING-WVzbw {\n  background-size: 100%;\n  background-position: center center;\n  border-radius: 50%;\n  background-color: #f2f2f2;\n  height: var(--globalSize);\n  width: var(--globalSize);\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Crect width%3D%2240%22 height%3D%2240%22 rx%3D%2220%22 fill%3D%22%23F5F5F5%22%2F%3E%3Cpath d%3D%22M27 20L13 20%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  cursor: pointer;\n  margin-top: calc(var(--globalSize) * -0.5);\n  margin-left: 0px;\n  z-index: 270;\n}\n\n.wcUI3D_DP_AV_DOCKING-WVzbw:hover {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Crect width%3D%2240%22 height%3D%2240%22 rx%3D%2220%22 fill%3D%22%23C4C4C4%22%2F%3E%3Cpath d%3D%22M27 20L13 20%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n}\n\n.wcUI3D_DP_AV_NOT_DOCKING-knDpA {\n  background-size: 100%;\n  background-position: center center;\n  border-radius: 50%;\n  background-color: #f2f2f2;\n  height: var(--globalSize);\n  width: var(--globalSize);\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Crect width%3D%2240%22 height%3D%2240%22 rx%3D%2220%22 fill%3D%22%23F5F5F5%22%2F%3E%3Cpath d%3D%22M27 20L13 20%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M20 27L20 13%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  cursor: pointer;\n  margin-top: calc(var(--globalSize) * -0.5);\n  margin-left: 0px;\n  z-index: 270;\n}\n.wcUI3D_DP_AV_NOT_DOCKING-knDpA:hover {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Crect width%3D%2240%22 height%3D%2240%22 rx%3D%2220%22 fill%3D%22%23C4C4C4%22%2F%3E%3Cpath d%3D%22M27 20L13 20%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M20 27L20 13%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n}\n\n.wcUI3D_DP_AV_NOT_DOCKING_SEL-gFJW1::after {\n  position: absolute;\n  width: var(--globalSize);\n  height: var(--globalSize);\n  content: '';\n  border-radius: var(--articlePosNrRadius);\n  opacity: 0.5;\n}\n";
styleInject(css_248z$3);

var wcUiCopy = "wcUI_Copy-zGN0x";
var css_248z$2 = "/*STANDARD*/\n.wcUI_Copy-zGN0x {\n  width: var(--copySize);\n  height: var(--copySize);\n  border-radius: 50%;\n  background: #f5f5f5;\n  background-repeat: no-repeat;\n  text-align: center;\n  cursor: pointer;\n  background-size: 70%;\n  margin-top: calc(var(--copySize) / -2);\n  margin-left: calc(var(--copySize) / -2);\n  background-position: center center;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2226%22 height%3D%2226%22 viewBox%3D%220 0 26 26%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M20.6426 6.40527H8.20862V22.9839H20.6426V6.40527Z%22 stroke%3D%22%23555050%22 stroke-width%3D%221.5%22%2F%3E%3Cpath d%3D%22M4.75452 19.5298V2.95117H17.1885%22 stroke%3D%22%23555050%22 stroke-width%3D%221.5%22%2F%3E%3C%2Fsvg%3E\");\n  z-index: 262;\n}\n\n.wcUI_Copy-zGN0x:hover {\n  background-color: #c4c4c4;\n}\n";
styleInject(css_248z$2);

var wcUiDel = "wcUI_Del-S-iQr";
var boxplanner = "boxplanner-8JTKR";
var css_248z$1 = "/*STANDARD*/\n.wcUI_Del-S-iQr {\n  width: var(--trashSize);\n  height: var(--trashSize);\n  border-radius: 50%;\n  background: #f5f5f5;\n  text-align: center;\n  cursor: pointer;\n  margin-top: calc(var(--trashSize) / -2);\n  margin-left: calc(var(--trashSize) / -2);\n  background-position: center center;\n  background-size: 110%;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Ccircle cx%3D%2220%22 cy%3D%2220%22 r%3D%2220%22 fill%3D%22%23F5F5F5%22%2F%3E%3Cpath d%3D%22M11 13.7127L29 13.7124M14.2348 28.9391L13.2581 14.2008V13.9969L13.2987 13.7127H26.7004L26.7419 13.9969V14.1602L25.7644 28.9391C23.9718 29.0203 16.2719 29.0203 14.2348 28.9391ZM17.0933 13.712H22.9067V11H17.0933V13.712Z%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M21.8885 16.8988V25.8406M18.0547 16.8721V25.8139V16.8721Z%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  z-index: 262;\n}\n\n.wcUI_Del-S-iQr:hover {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Ccircle cx%3D%2220%22 cy%3D%2220%22 r%3D%2220%22 fill%3D%22%23C4C4C4%22%2F%3E%3Cpath d%3D%22M11 13.7127L29 13.7124M14.2348 28.9391L13.2581 14.2008V13.9969L13.2987 13.7127H26.7004L26.7419 13.9969V14.1602L25.7644 28.9391C23.9718 29.0203 16.2719 29.0203 14.2348 28.9391ZM17.0933 13.712H22.9067V11H17.0933V13.712Z%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M21.8885 16.8988V25.8406M18.0547 16.8721V25.8139V16.8721Z%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n}\n\n.boxplanner-8JTKR.wcUI_Del-S-iQr {\n  margin-left: calc(var(--trashSize) * -0.8);\n  margin-top: calc(var(--trashSize) * 0.3);\n}\n";
styleInject(css_248z$1);

var wcPlannerPosNr = "wcPlanner_PosNr-I5lrs";
var wcPlannerPosNrSelectableArea = "wcPlanner_PosNr_Selectable_Area-mxnmd";
var wcPlannerPosNrSelected = "wcPlanner_PosNr_Selected-VNG2p";
var wcPlannerPosNrSelectable = "wcPlanner_PosNr_Selectable-XKr-h";
var wcPlannerPosNrUnSelectable = "wcPlanner_PosNr_UnSelectable-Tm4HU";
var wcPlannerPosNrOnHover = "wcPlanner_PosNr_OnHover-uUbHT";
var css_248z = "/*Standard*/\n\n.wcPlanner_PosNr-I5lrs {\n  width: var(--posNrSize);\n  height: var(--posNrSize);\n  border-radius: 50%;\n  font-size: var(--fontSize);\n  line-height: var(--posNrSize);\n  text-align: center;\n  margin-top: calc(var(--posNrSize) / -2);\n  margin-left: calc(var(--posNrSize) / -2);\n  cursor: pointer;\n  z-index: 262;\n}\n\n.wcPlanner_PosNr-I5lrs:hover {\n  background: #c4c4c4;\n}\n\n.wcPlanner_PosNr_Selectable_Area-mxnmd {\n  width: var(--posNrSize);\n  height: var(--posNrSize);\n  position: absolute;\n  background-color: rgba(100, 100, 100, 0);\n  cursor: pointer;\n}\n.wcPlanner_PosNr_Selected-VNG2p {\n  background: var(--primaryColor);\n  color: #ffffff;\n}\n.wcPlanner_PosNr_Selectable-XKr-h {\n  background: #f5f5f5;\n  color: #4b4b4b;\n}\n\n.wcPlanner_PosNr_UnSelectable-Tm4HU {\n  background: #dfdfdf;\n  color: rgb(175, 172, 172);\n  cursor: inherit;\n}\n\n.wcPlanner_PosNr_UnSelectable-Tm4HU:hover {\n  background: #dfdfdf;\n}\n\n.wcPlanner_PosNr_OnHover-uUbHT {\n  background-color: #a3a3a3;\n  transition: background-color 0.15s ease;\n}\n";
styleInject(css_248z);

var StandardPlannerUI = function StandardPlannerUI() {
  var _useDivaCore = useDivaCore(),
    isMobile = _useDivaCore.state.dimensions.isMobile;
  var plannerUIProps = {
    classes: {
      buttonGeneral: classnames(wcPlannerButton, isMobile ? mobile : undefined),
      dockingPoint: {
        AVL: {
          avl: wcUi2DDpAvl,
          avlSel: wcUi2DDpAvlSel
        },
        AVR: {
          avr: wcUi2DDpAvr,
          avrSel: wcUi2DDpAvrSel
        },
        DPACC: {
          dp2DAccDocking: wcUi2DDpAvDocking,
          dp2DAccNotDocking: wcUi2DDpAvNotDocking,
          dp2DAccNotDockingSel: wcUi2DDpAvNotDockingSel,
          dp3DAccDocking: wcUi3DDpAvDocking,
          dp3DAccNotDocking: wcUi3DDpAvNotDocking,
          dp3DAccNotDockingSel: wcUi3DDpAvNotDockingSel
        }
      },
      copy: {
        BoxPlannerCopy: {
          copyGlobal: wcBoxPlannerAddElement,
          copyLeft: wcBoxPlannerAddElementLeft,
          copyTop: wcBoxPlannerAddElementTop,
          copyRight: wcBoxPlannerAddElementRight
        },
        ElementCopy: wcUiCopy
      },
      outline: {
        outline2D: {
          draggable: wcUi2DOutlineDraggable,
          draggableActive: wcUi2DOutlineDraggableActive,
          selectable: wcUi2DOutlineSelectable
        },
        outline3D: {
          outlineSVG: wc3DOutlineSvg,
          outlinePolygon: wc3DOutlinePolygon,
          outlinePolygonContours: wc3DOutlinePolygonContours,
          outlinePolygonContoursSel: wc3DOutlinePolygonContoursSel
        }
      },
      posNr: {
        posNr: wcPlannerPosNr,
        posNrAcc: '',
        posNrSelectable: wcPlannerPosNrSelectable,
        posNrSelectableArea: wcPlannerPosNrSelectableArea,
        posNrSelected: wcPlannerPosNrSelected,
        posNrUnSelectable: wcPlannerPosNrUnSelectable,
        posNrOnHover: wcPlannerPosNrOnHover
      },
      rotation: {
        rotClock: wc2DRotClock,
        rotCounterClock: wc2DRotCounterClock,
        rot3DGrid: wcPlanner3DRot
      },
      move3DGrid: {
        move3DGrid: wcPlanner3DMove
      },
      trash: {
        trashClass: wcUiDel,
        boxplanner: boxplanner
      },
      dimension: {
        distanceToGround: wcPlannerDistanceToGround,
        distanceToGroundIcon: wcPlannerArrowDistanceToGround
      }
    }
  };
  return /*#__PURE__*/jsx(PlannerUI, {
    plannerUIProps: plannerUIProps
  });
};

export { StandardPlannerUI as default };
