import { u as useViewHandler } from './index-e560cd58.js';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import 'react';
import { useTranslation } from '@crystaldesign/diva-core';
import { p as paletteItem, w as wcSize, a as wcSizeNormal, b as wcImage, t as textContainer, c as wcConfiguratorSettingsTitle } from './index.module-eaa02037.js';
import IsActive from './index-243b2e2c.js';
import { jsx, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var Room = function Room(_ref) {
  var itemP = _ref.item,
    from = _ref.from;
  var item = itemP;
  var viewHandler = useViewHandler();
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  return /*#__PURE__*/jsx("div", {
    className: paletteItem,
    onClick: function onClick() {
      return viewHandler.paletteViewHandler.clickedOnStaticRoomPalette(item, !!from);
    },
    children: /*#__PURE__*/jsxs("div", {
      className: classnames(wcSize, wcSizeNormal),
      children: [item.sel && /*#__PURE__*/jsx(IsActive, {}), /*#__PURE__*/jsx("div", {
        className: wcImage,
        style: {
          backgroundImage: "url(".concat(item.url, ")")
        }
      }), /*#__PURE__*/jsx("div", {
        className: textContainer,
        children: /*#__PURE__*/jsx("div", {
          className: wcConfiguratorSettingsTitle,
          children: t('configurator.' + item.N)
        })
      })]
    })
  });
};
var index = observer(Room);

export { index as default };
