import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import 'react';
import { useTranslation } from '@crystaldesign/diva-core';
import { observer } from 'mobx-react-lite';
import ArQrCodeIcon from './index-46b86e6c.js';
import ProductRoomList from './index-27d2d386.js';
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import 'react-laag';
import './index-39923a1d.js';
import 'react-qr-code';
import './index-cd5a0b3f.js';

var wcNav3DToolbar = "wc_Nav3DToolbar-NM2CK";
var wcZoomIn = "wcZoomIn-7oss5";
var wcZoomOut = "wcZoomOut-4EF8K";
var wcViews = "wcViews-k2gyz";
var wc3DDimLine = "wc3DDimLine-ERDw2";
var wcFullScreen = "wcFullScreen-FuayU";
var wc3DGridPlannerMode = "wc3DGridPlannerMode-2fAed";
var css_248z = ".wc_Nav3DToolbar-NM2CK {\n  display: inline;\n  z-index: 601;\n  margin: 0;\n  position: absolute;\n  bottom: 60px;\n  left: -1.6rem;\n}\n\n.wc_Nav3DToolbar-NM2CK li {\n  width: 40px;\n  height: 40px;\n  margin: 0 auto 8px auto;\n  display: block;\n  background-color: rgba(223, 223, 223, 0.8);\n  background-repeat: no-repeat;\n  background-position: center center;\n  border-radius: 50%;\n  transition: background-color 0.15s ease;\n  cursor: pointer;\n}\n\n.wc_Nav3DToolbar-NM2CK li:hover {\n  background-color: rgba(210, 210, 210, 0.8);\n}\n.wc_Nav3DToolbar-NM2CK li:active {\n  background-color: rgba(197, 197, 197, 0.8);\n}\n\n/*------------------------Nav Icons--------------------------------------*/\n\n/* standard */\n\n.wcZoomIn-7oss5 {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Ccircle cx%3D%2220%22 cy%3D%2220%22 r%3D%2220%22 fill%3D%22%23F5F5F5%22%2F%3E%3Cpath d%3D%22M25.7363 24.7891L29.9993 28.1047%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M15.7896 19.6841H23.58%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M19.686 15.7891L19.686 23.5795%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Ccircle cx%3D%2219.5786%22 cy%3D%2219.5786%22 r%3D%227.57858%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n}\n.wcZoomIn-7oss5:hover {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Ccircle cx%3D%2220%22 cy%3D%2220%22 r%3D%2220%22 fill%3D%22%23C4C4C4%22%2F%3E%3Cpath d%3D%22M25.7363 24.7891L29.9993 28.1047%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M15.7896 19.6841H23.58%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M19.686 15.7891L19.686 23.5795%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Ccircle cx%3D%2219.5786%22 cy%3D%2219.5786%22 r%3D%227.57858%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n}\n.wcZoomOut-4EF8K {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Ccircle cx%3D%2220%22 cy%3D%2220%22 r%3D%2220%22 fill%3D%22%23F5F5F5%22%2F%3E%3Cpath d%3D%22M24.7362 24.7889L28.9991 28.1045M15.0002 19.9999H22.7907M26.1572 19.5786C26.1572 23.7641 22.7641 27.1572 18.5786 27.1572C14.393 27.1572 11 23.7641 11 19.5786C11 15.393 14.393 12 18.5786 12C22.7641 12 26.1572 15.393 26.1572 19.5786Z%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n}\n.wcZoomOut-4EF8K:hover {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Ccircle cx%3D%2220%22 cy%3D%2220%22 r%3D%2220%22 fill%3D%22%23C4C4C4%22%2F%3E%3Cpath d%3D%22M24.7362 24.7889L28.9991 28.1045M15.0002 19.9999H22.7907M26.1572 19.5786C26.1572 23.7641 22.7641 27.1572 18.5786 27.1572C14.393 27.1572 11 23.7641 11 19.5786C11 15.393 14.393 12 18.5786 12C22.7641 12 26.1572 15.393 26.1572 19.5786Z%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n}\n.wcViews-k2gyz {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Ccircle cx%3D%2220%22 cy%3D%2220%22 r%3D%2220%22 fill%3D%22%23F5F5F5%22%2F%3E%3Cpath d%3D%22M11 14.3811L20 19.0909M11 14.3811L20 10L29 14.3811M11 14.3811V25.0649L20 30M20 19.0909L29 14.3811M20 19.0909V30M29 14.3811V25.0649L20 30%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n}\n.wcViews-k2gyz:hover {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2240%22 height%3D%2240%22 viewBox%3D%220 0 40 40%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Ccircle cx%3D%2220%22 cy%3D%2220%22 r%3D%2220%22 fill%3D%22%23C4C4C4%22%2F%3E%3Cpath d%3D%22M11 14.3811L20 19.0909M11 14.3811L20 10L29 14.3811M11 14.3811V25.0649L20 30M20 19.0909L29 14.3811M20 19.0909V30M29 14.3811V25.0649L20 30%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n}\n.wc3DDimLine-ERDw2 {\n  background-color: #f5f5f5 !important;\n}\n.wc3DDimLine-ERDw2 {\n  background-size: 80%;\n  background-image: url(\"data:image/svg+xml,%3C%3Fxml version%3D%221.0%22 encoding%3D%22utf-8%22%3F%3E%3C!-- Generator%3A Adobe Illustrator 22.0.0%2C SVG Export Plug-In . SVG Version%3A 6.00 Build 0)  --%3E%3Csvg version%3D%221.1%22 id%3D%22Ebene_1%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22 x%3D%220px%22 y%3D%220px%22%09 viewBox%3D%220 0 15 12%22 style%3D%22enable-background%3Anew 0 0 15 12%3B%22 xml%3Aspace%3D%22preserve%22%3E%3Cstyle type%3D%22text%2Fcss%22%3E%09.st0%7Bfill%3Anone%3B %7D%3C%2Fstyle%3E%3Cpath class%3D%22st0%22 d%3D%22M14.8%2C1.3c0-0.6-0.5-1.2-1.2-1.2H1.4c-0.6%2C0-1.2%2C0.5-1.2%2C1.2v9.4c0%2C0.6%2C0.5%2C1.2%2C1.2%2C1.2h12.2%09c0.6%2C0%2C1.2-0.5%2C1.2-1.2C14.8%2C10.7%2C14.8%2C1.3%2C14.8%2C1.3z%22%2F%3E%3Cg%3E%09%3Cpath stroke%3D%22%234B4B4B%22 stroke-width%3D%220.2%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22 d%3D%22M12.9%2C2.9c-0.1%2C0-0.2%2C0.1-0.2%2C0.2v5.8c0%2C0.1%2C0.1%2C0.2%2C0.2%2C0.2S13%2C9%2C13%2C8.9V3.1C13%2C3%2C12.9%2C2.9%2C12.9%2C2.9z%22%2F%3E%09%3Cpath stroke%3D%22%234B4B4B%22 stroke-width%3D%220.2%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22 d%3D%22M2.1%2C2.9C2.1%2C2.9%2C2%2C3%2C2%2C3.1v5.8C2%2C9%2C2.1%2C9.1%2C2.1%2C9.1c0.1%2C0%2C0.2-0.1%2C0.2-0.2V3.1C2.3%2C3%2C2.2%2C2.9%2C2.1%2C2.9z%22%2F%3E%09%3Cpath stroke%3D%22%234B4B4B%22 stroke-width%3D%220.2%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22 d%3D%22M10.3%2C4.9c-0.1%2C0-0.1%2C0-0.2%2C0C10.1%2C5%2C10%2C5%2C10%2C5.1v0.8H5V5.1C5%2C5%2C4.9%2C5%2C4.9%2C4.9c-0.1%2C0-0.1%2C0-0.2%2C0l-1.5%2C1%09%09c0%2C0-0.1%2C0.1-0.1%2C0.1c0%2C0.1%2C0%2C0.1%2C0.1%2C0.1l1.5%2C1c0%2C0%2C0.1%2C0%2C0.1%2C0c0%2C0%2C0.1%2C0%2C0.1%2C0C4.9%2C7.1%2C5%2C7.1%2C5%2C7V6.2H10V7c0%2C0.1%2C0%2C0.1%2C0.1%2C0.1%09%09c0%2C0%2C0.1%2C0%2C0.1%2C0c0%2C0%2C0.1%2C0%2C0.1%2C0l1.5-1c0%2C0%2C0.1-0.1%2C0.1-0.1c0-0.1%2C0-0.1-0.1-0.1L10.3%2C4.9z M4.6%2C6.7L3.6%2C6l1-0.6V6.7z M10.4%2C6.7%09%09V5.4l1%2C0.6L10.4%2C6.7z%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n}\n@media (hover: hover) {\n  .wc3DDimLine-ERDw2:hover {\n    background-color: #c4c4c4 !important;\n  }\n}\n\n.wc3DDimLine-ERDw2:active {\n  background-color: #c4c4c4 !important;\n}\n.portrait-Znfkx.wc_Nav3DToolbar-NM2CK li.wc3DDimLine-ERDw2 {\n  display: block;\n}\n\n.wc_Nav3DToolbar-NM2CK .wcFullScreen-FuayU {\n  background-size: 55%;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2224%22 height%3D%2224%22 viewBox%3D%220 0 24 24%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M12 1H2C1.44772 1 1 1.44772 1 2V22C1 22.5523 1.44772 23 2 23H21.9999C22.5522 23 22.9999 22.5523 22.9999 22V12M16.0078 1H21.9989C22.5512 1 22.9989 1.44772 22.9989 2V7.99114M22.5002 1.5L13.3195 10.68%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  background-color: #f5f5f5;\n}\n.wcFullScreen-FuayU:hover {\n  background-color: #c4c4c4;\n}\n\n.diva-pseudo-fullscreen .wc_Nav3DToolbar-NM2CK .wcFullScreen-FuayU {\n  display: none;\n}\n.wc_Nav3DToolbar-NM2CK li.wc3DGridPlannerMode-2fAed {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2231%22 height%3D%2231%22 viewBox%3D%220 0 31 31%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M5.24023 19.5242L2.10094 15.7308L5.24023 12.1436%22 stroke%3D%22white%22 stroke-opacity%3D%220.87%22 stroke-width%3D%221.5%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M2.18441 15.7428L11.2067 15.7428%22 stroke%3D%22white%22 stroke-opacity%3D%220.87%22 stroke-width%3D%221.5%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M25.759 11.759L28.8983 15.5525L25.759 19.1397%22 stroke%3D%22white%22 stroke-opacity%3D%220.87%22 stroke-width%3D%221.5%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M28.8989 15.5395L19.7925 15.5395%22 stroke%3D%22white%22 stroke-opacity%3D%220.87%22 stroke-width%3D%221.5%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M19.3847 25.9001L15.5912 29.0393L12.004 25.9001%22 stroke%3D%22white%22 stroke-opacity%3D%220.87%22 stroke-width%3D%221.5%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M15.5917 29.0395L15.6033 19.9331%22 stroke%3D%22white%22 stroke-opacity%3D%220.87%22 stroke-width%3D%221.5%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M11.6175 5.38248L15.411 2.24319L18.9982 5.38248%22 stroke%3D%22white%22 stroke-opacity%3D%220.87%22 stroke-width%3D%221.5%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Cpath d%3D%22M15.4106 2.24438L15.3991 11.3508%22 stroke%3D%22white%22 stroke-opacity%3D%220.87%22 stroke-width%3D%221.5%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  background-color: var(--primaryColor);\n  width: 55px;\n  height: 55px;\n  cursor: pointer;\n  padding: 0;\n  cursor: pointer;\n}\n\n.wc_Nav3DToolbar-NM2CK.portrait-Znfkx li.wc3DGridPlannerMode-2fAed {\n  width: 48px;\n  height: 48px;\n}\n\n.ar-absolute-IJps2#ar-icon {\n  position: absolute;\n  left: 12px;\n  bottom: 64px;\n  z-index: 1000;\n  width: 48px;\n  height: 48px;\n}\n\n#ar-icon {\n  width: 55px;\n  height: 55px;\n  cursor: pointer;\n  padding: 0;\n  border-radius: 50%;\n  background-size: 70%;\n  background-image: url(\"data:image/svg+xml,%3C%3Fxml version%3D%221.0%22 encoding%3D%22utf-8%22%3F%3E%3Csvg viewBox%3D%220 0 30 30%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E  %3Cpath fill-rule%3D%22evenodd%22 clip-rule%3D%22evenodd%22 d%3D%22M 17.88 1.861 L 14.94 0.471 C 14.79 0.401 14.62 0.401 14.47 0.471 L 11.52 1.861 C 11.1 2.061 10.91 2.571 11.11 2.991 C 11.25 3.301 11.56 3.481 11.88 3.481 C 12 3.481 12.12 3.451 12.24 3.401 L 13.85 2.641 L 13.85 4.711 C 13.85 5.181 14.23 5.561 14.7 5.561 C 15.17 5.561 15.55 5.181 15.55 4.711 L 15.55 2.641 L 17.16 3.401 C 17.58 3.601 18.09 3.421 18.29 2.991 C 18.49 2.561 18.31 2.061 17.88 1.861 Z M 17.161 7.591 L 14.701 8.751 L 12.241 7.591 C 11.821 7.391 11.311 7.571 11.111 8.001 C 10.911 8.421 11.091 8.931 11.521 9.131 L 13.821 10.211 C 13.821 10.231 13.816 10.248 13.811 10.266 C 13.806 10.283 13.801 10.301 13.801 10.321 L 13.801 12.401 C 13.801 12.871 14.181 13.251 14.651 13.251 C 15.121 13.251 15.501 12.871 15.501 12.401 L 15.501 10.321 C 15.501 10.311 15.498 10.301 15.496 10.291 C 15.493 10.281 15.491 10.271 15.491 10.261 L 17.891 9.131 C 18.311 8.931 18.501 8.421 18.301 8.001 C 18.091 7.581 17.581 7.391 17.161 7.591 Z M 21.051 3.421 L 23.681 4.681 C 23.881 4.771 24.001 4.971 24.001 5.181 L 24.001 8.211 C 24.001 8.681 23.621 9.061 23.151 9.061 C 22.681 9.061 22.301 8.681 22.301 8.211 L 22.301 7.091 L 20.911 7.741 C 20.791 7.791 20.671 7.821 20.551 7.821 C 20.231 7.821 19.921 7.641 19.781 7.331 C 19.581 6.911 19.771 6.401 20.191 6.201 L 21.571 5.551 L 20.321 4.951 C 19.901 4.751 19.721 4.241 19.921 3.821 C 20.121 3.401 20.631 3.221 21.051 3.421 Z M 9.21 6.201 L 7.83 5.551 L 9.08 4.951 C 9.5 4.751 9.68 4.241 9.48 3.821 C 9.28 3.391 8.77 3.211 8.35 3.421 L 5.72 4.681 C 5.52 4.771 5.4 4.971 5.4 5.181 L 5.4 8.201 C 5.4 8.671 5.78 9.051 6.25 9.051 C 6.72 9.051 7.1 8.681 7.1 8.211 L 7.1 7.081 L 8.49 7.731 C 8.61 7.791 8.73 7.821 8.85 7.821 C 9.17 7.821 9.48 7.641 9.62 7.331 C 9.821 6.911 9.64 6.401 9.21 6.201 Z M 22.301 13.081 C 22.301 12.611 22.681 12.231 23.151 12.231 C 23.621 12.231 24.001 12.611 24.011 13.081 L 24.011 16.101 C 24.011 16.321 23.881 16.521 23.691 16.611 L 21.061 17.871 C 20.941 17.921 20.811 17.951 20.691 17.951 C 20.371 17.951 20.071 17.771 19.921 17.471 C 19.721 17.051 19.901 16.541 20.321 16.341 L 21.571 15.741 L 20.191 15.091 C 19.761 14.891 19.581 14.391 19.781 13.961 C 19.981 13.531 20.491 13.351 20.911 13.551 L 22.301 14.201 L 22.301 13.081 Z M 9.62 13.951 C 9.42 13.531 8.91 13.341 8.49 13.541 L 7.1 14.201 L 7.1 13.081 C 7.1 12.611 6.72 12.231 6.25 12.231 C 5.78 12.231 5.4 12.611 5.4 13.081 L 5.4 16.111 C 5.4 16.321 5.52 16.521 5.71 16.611 L 8.34 17.871 C 8.46 17.931 8.58 17.951 8.71 17.951 C 9.03 17.951 9.33 17.771 9.48 17.471 C 9.68 17.051 9.5 16.541 9.08 16.341 L 7.83 15.741 L 9.21 15.091 C 9.64 14.891 9.821 14.381 9.62 13.951 Z M 15.551 18.511 L 17.161 17.751 C 17.581 17.551 18.091 17.731 18.291 18.161 C 18.491 18.581 18.301 19.091 17.881 19.291 L 14.941 20.671 C 14.791 20.741 14.611 20.741 14.461 20.671 L 11.521 19.291 C 11.091 19.091 10.911 18.581 11.111 18.161 C 11.311 17.731 11.821 17.551 12.241 17.751 L 13.851 18.511 L 13.851 16.441 C 13.851 15.971 14.231 15.591 14.701 15.591 C 15.171 15.591 15.551 15.971 15.551 16.441 L 15.551 18.511 Z%22 fill%3D%22white%22%2F%3E  %3Ctext style%3D%22fill%3A rgb(255%2C 255%2C 255)%3B font-family%3A Arial%2C sans-serif%3B font-size%3A 10px%3B font-weight%3A 700%3B letter-spacing%3A 1.9px%3B word-spacing%3A -6.7px%3B white-space%3A pre%3B%22 x%3D%227.235%22 y%3D%2228.446%22%3EAR%3C%2Ftext%3E%3C%2Fsvg%3E\");\n  background-color: var(--primaryColor);\n  background-repeat: no-repeat;\n  background-position: center center;\n  display: block;\n  transition: background-color 0.15s ease;\n}\n\ndiv .portrait-Znfkx.wc_Nav3DToolbar-NM2CK #ar-icon {\n  display: block;\n}\n";
styleInject(css_248z);

var NavBar = function NavBar() {
  var viewHandler = useViewHandler();
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  return /*#__PURE__*/jsxs(Fragment, {
    children: [/*#__PURE__*/jsxs("ul", {
      id: "navBarControls",
      className: wcNav3DToolbar,
      children: [(viewHandler.productState.doShowNav3D || viewHandler.productState.doShowNav3DCOMB) && !viewHandler.productState.roomListExpanded && !viewHandler.uiState.isInMobileView && /*#__PURE__*/jsxs(Fragment, {
        children: [viewHandler.productState.doShow3DZoom && /*#__PURE__*/jsxs(Fragment, {
          children: [/*#__PURE__*/jsx("li", {
            id: "nav3DZoomIn",
            onClick: function onClick() {
              return viewHandler.productState.onNav3DMenuSelect('Nav3DZoomIn');
            },
            className: wcZoomIn,
            title: t('configurator.NAV3DZOOMIN_TT')
          }), /*#__PURE__*/jsx("li", {
            id: "nav3DZoomOut",
            onClick: function onClick() {
              return viewHandler.productState.onNav3DMenuSelect('Nav3DZoomOut');
            },
            className: wcZoomOut,
            title: t('configurator.NAV3DZOOMOUT_TT')
          })]
        }), /*#__PURE__*/jsx("li", {
          id: "nav3DViews",
          onClick: function onClick() {
            return viewHandler.productState.onNav3DMenuSelect('Nav3DViews');
          },
          className: wcViews,
          title: t('configurator.NAV3DVIEWS_TT')
        }), /*#__PURE__*/jsx("li", {
          id: "nav3DFullScreen",
          onClick: function onClick() {
            return viewHandler.productState.onNav3DMenuSelect('Nav3DFullScreen');
          },
          className: wcFullScreen,
          title: t('configurator.NAV3DFULLSCREEN_TT')
        }), viewHandler.productState.doEnableToShow3DDimensionLines && /*#__PURE__*/jsx("li", {
          id: "nav3DDimLine",
          onClick: function onClick() {
            return viewHandler.productState.onNav3DMenuSelect('Nav3DDimLine');
          },
          className: wc3DDimLine,
          title: t('configurator.NAV3DDIMLINE_TT')
        }), viewHandler.productState.doShowNav3DPlannerMode && viewHandler.tabGroupState.hasPlanner && /*#__PURE__*/jsx("li", {
          id: "nav3DPlannerMode",
          onClick: function onClick() {
            return viewHandler.productState.onNav3DMenuSelect('Nav3DPlannerMode');
          },
          className: wc3DGridPlannerMode,
          title: t('configurator.NAV3DPLANNERMODE_TT')
        }), viewHandler.productState.allowQRCodeAR && /*#__PURE__*/jsx(ArQrCodeIcon, {})]
      }), !viewHandler.uiState.isInMobileView && /*#__PURE__*/jsx(ProductRoomList, {})]
    }), viewHandler.uiState.isInMobileView && /*#__PURE__*/jsx(ProductRoomList, {})]
  });
};
var index = observer(NavBar);

export { index as default };
