import _defineProperty from '@babel/runtime/helpers/defineProperty';
import { s as styleInject } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import 'react';
import { useDivaCore } from '@crystaldesign/diva-core';
import { jsxs, jsx, Fragment } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wcPosNrTooltip = "wcPosNrTooltip-8hudU";
var wcPosNrTooltipText = "wcPosNrTooltipText-1gUN3";
var css_248z = ".wcPosNrTooltip-8hudU {\n  display: block;\n  background-color: rgba(242, 242, 242, 0.9);\n  box-shadow: 0px 1px 4px rgba(0, 0, 0, 0.4);\n  border-radius: var(--globalBorderRadius);\n  height: -moz-fit-content;\n  height: fit-content;\n  width: 320px;\n  height: fit-content;\n  font-family: var(--diva-typography-font-family);\n  font-weight: 100;\n  letter-spacing: 0.5px;\n  -webkit-font-smoothing: antialiased;\n  -webkit-text-stroke: 0.1px;\n  z-index: 2147483650;\n}\n.wcPosNrTooltip-8hudU img {\n  width: 90%;\n  max-height: 77%;\n  margin: 5%;\n}\n\n.wcPosNrTooltipText-1gUN3 {\n  text-align: center;\n}\n";
styleInject(css_248z);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var SettingsPosNrToolTip = function SettingsPosNrToolTip(_ref) {
  var _theme$typography, _article$image;
  var layerProps = _ref.layerProps,
    article = _ref.article;
  var _useDivaCore = useDivaCore(),
    theme = _useDivaCore.state.theme;
  return /*#__PURE__*/jsxs("div", _objectSpread(_objectSpread({
    className: wcPosNrTooltip
  }, layerProps), {}, {
    style: _objectSpread(_objectSpread({}, {
      fontFamily: theme === null || theme === void 0 || (_theme$typography = theme.typography) === null || _theme$typography === void 0 ? void 0 : _theme$typography.fontFamily
    }), layerProps.style),
    children: [/*#__PURE__*/jsx("img", {
      src: (_article$image = article.image) === null || _article$image === void 0 ? void 0 : _article$image.replace('_gal', ''),
      alt: article.name
    }), /*#__PURE__*/jsxs("div", {
      style: {
        padding: '0 20px'
      },
      className: wcPosNrTooltipText,
      children: [article.name, /*#__PURE__*/jsx("br", {}), article.formattedSize && /*#__PURE__*/jsxs(Fragment, {
        children: [article.formattedSize, " ", /*#__PURE__*/jsx("br", {})]
      }), article.formattedPrice && /*#__PURE__*/jsxs("div", {
        style: {
          marginTop: '5px'
        },
        children: [article.formattedPrice, " ", /*#__PURE__*/jsx("br", {})]
      })]
    })]
  }));
};
var SettingsPosNrToolTip$1 = observer(SettingsPosNrToolTip);

export { SettingsPosNrToolTip$1 as default };
