import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import 'react';
import PlannerMsgItem from './index-cd429f5c.js';
import { jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wcPlannerMsgContainerParent = "wcPlanner_MsgContainerParent-WfaBR";
var expanded = "expanded-U8H0E";
var wcPlannerMsgContainer = "wcPlanner_MsgContainer-pAU-r";
var wcPlannerInfoContainer = "wcPlanner_InfoContainer-31NTl";
var wcPlannerWarningContainer = "wcPlanner_WarningContainer-iDg2J";
var wcPlannerMsgImg = "wcPlanner_msgImg-QHnJP";
var wcPlannerInfoImg = "wcPlanner_InfoImg-E-1pp";
var wcPlannerWarningImg = "wcPlanner_WarningImg-Jbeq8";
var wcPlannerMsgText = "wcPlanner_MsgText-JYxg8";
var wcPlannerWarningText = "wcPlanner_WarningText-byrqX";
var wcPlannerInfoText = "wcPlanner_InfoText-qP0nc";
var wcClose = "wcClose-zokxf";
var wcPlannerInfoContainerCollapsed = "wcPlanner_InfoContainerCollapsed-6uydm";
var css_248z = ".wcPlanner_MsgContainerParent-WfaBR {\n  position: absolute;\n  top: 9%;\n  left: 50%;\n  max-width: 80%;\n  z-index: 101;\n}\n\n.expanded-U8H0E.wcPlanner_MsgContainerParent-WfaBR {\n  left: 27%;\n  max-width: 30%;\n}\n.wcPlanner_MsgContainer-pAU-r {\n  width: -moz-fit-content;\n  width: fit-content;\n  height: -moz-fit-content;\n  height: fit-content;\n  min-height: 35px;\n  transform: translate(-50%, 0);\n  background-color: rgba(255, 255, 255, 0.7);\n  padding: 1.2rem;\n  padding-right: calc(1.2rem + 20px); /* Safari, Chrome and Opera > 12.1 */ /* Firefox < 16 */ /* Internet Explorer */ /* Opera < 12.1 */\n  animation: fadein-3hKT0 0.5s;\n}\n\n.wcPlanner_MsgContainer_Hide-d6Efu {\n  animation: cssAnimation-PxysF 5s forwards;\n}\n\n@keyframes fadein-3hKT0 {\n  from {\n    opacity: 0;\n  }\n  to {\n    opacity: 1;\n  }\n}\n\n/* Firefox < 16 */\n\n/* Safari, Chrome and Opera > 12.1 */\n\n/* Internet Explorer */\n\n/* Opera < 12.1 */\n@keyframes cssAnimation-PxysF {\n  0% {\n    opacity: 1;\n  }\n  90% {\n    opacity: 0.8;\n  }\n  100% {\n    opacity: 0;\n  }\n}\n.wcPlanner_InfoContainer-31NTl {\n  border: 1px solid #3792cb;\n  float: left;\n}\n.wcPlanner_WarningContainer-iDg2J {\n  margin-bottom: 16px;\n  border: 1px solid #dfdfdf;\n}\n\n.wcPlanner_msgImg-QHnJP {\n  height: 30px;\n  width: 30px;\n  background-repeat: no-repeat;\n  background-size: contain;\n  top: calc(50% - 15px);\n  left: 10px;\n  position: absolute;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2226%22 height%3D%2226%22 viewBox%3D%220 0 26 26%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Ccircle cx%3D%2213.0412%22 cy%3D%2213.2417%22 r%3D%2211.7995%22 stroke%3D%22%23A81E1E%22%2F%3E%3Cpath d%3D%22M13.041 14.9186L13.041 7.09164%22 stroke%3D%22%23A81E1E%22 stroke-linecap%3D%22round%22%2F%3E%3Ccircle cx%3D%2213.0409%22 cy%3D%2218.6145%22 r%3D%220.77696%22 transform%3D%22rotate(-180 13.0409 18.6145)%22 fill%3D%22%23A81E1E%22%2F%3E%3C%2Fsvg%3E\");\n}\n\n.wcPlanner_InfoImg-E-1pp {\n  background-image: url(\"data:image/svg+xml,%3C%3Fxml version%3D%221.0%22 encoding%3D%22utf-8%22%3F%3E%3C!-- Generator%3A Adobe Illustrator 22.0.0%2C SVG Export Plug-In . SVG Version%3A 6.00 Build 0)  --%3E%3Csvg version%3D%221.1%22 id%3D%22Ebene_1%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22 x%3D%220px%22 y%3D%220px%22%09 viewBox%3D%220 0 26 26%22 style%3D%22enable-background%3Anew 0 0 26 26%3B%22 xml%3Aspace%3D%22preserve%22%3E%3Cstyle type%3D%22text%2Fcss%22%3E%09.st0%7Bfill%3Anone%3Bstroke%3A%23000000%3B%7D%09.st1%7Bfill%3Anone%3Bstroke%3A%23000000%3Bstroke-linecap%3Around%3B%7D%3C%2Fstyle%3E%3Ccircle class%3D%22st0%22 cx%3D%2213%22 cy%3D%2213.2%22 r%3D%2211.8%22%2F%3E%3Cpath class%3D%22st1%22 d%3D%22M13%2C11.6v7.8%22%2F%3E%3Ccircle cx%3D%2213%22 cy%3D%227.9%22 r%3D%220.8%22%2F%3E%3C%2Fsvg%3E\");\n}\n\n.wcPlanner_WarningImg-Jbeq8 {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2226%22 height%3D%2226%22 viewBox%3D%220 0 26 26%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Ccircle cx%3D%2213.0412%22 cy%3D%2213.2417%22 r%3D%2211.7995%22 stroke%3D%22%23A81E1E%22%2F%3E%3Cpath d%3D%22M13.041 14.9186L13.041 7.09164%22 stroke%3D%22%23A81E1E%22 stroke-linecap%3D%22round%22%2F%3E%3Ccircle cx%3D%2213.0409%22 cy%3D%2218.6145%22 r%3D%220.77696%22 transform%3D%22rotate(-180 13.0409 18.6145)%22 fill%3D%22%23A81E1E%22%2F%3E%3C%2Fsvg%3E\");\n}\n.wcPlanner_MsgText-JYxg8 {\n  font-size: 17px;\n  line-height: 20px;\n  word-break: break-word;\n  margin-left: 30px;\n  -webkit-text-stroke: 0.3px;\n  max-height: 200px;\n  overflow: auto;\n}\n\n.wcConfigurator-is-mobile-landscape--lWJs .wcPlanner_MsgText-JYxg8,\n.wcConfigurator-is-mobile-portrait-ipbTW .wcPlanner_MsgText-JYxg8 {\n  max-height: 70px;\n  overflow: auto;\n}\n\n.wcPlanner_WarningText-byrqX {\n  color: var(--primaryColor);\n}\n.wcPlanner_InfoText-qP0nc {\n  color: black;\n}\n\n.wcPlanner_MsgContainerParent-WfaBR .wcClose-zokxf {\n  position: absolute;\n  top: 20px;\n  right: 10px;\n  color: #747474;\n  width: 20px;\n  height: calc(100% - 40px);\n  cursor: pointer;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2213%22 height%3D%2238%22 viewBox%3D%220 0 13 38%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M12 1L0.999998 19.1818L12 37%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.2%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  background-repeat: no-repeat;\n  background-position: center center;\n  background-size: 70%;\n}\n\n.wcPlanner_InfoContainerCollapsed-6uydm .wcClose-zokxf {\n  transform: rotate(180deg);\n}\n\n.wcPlanner_InfoContainerCollapsed-6uydm {\n  width: 10px;\n}\n\n.wcPlanner_InfoContainerCollapsed-6uydm .wcPlanner_InfoText-qP0nc {\n  display: none;\n}\n\n/* pfister style */\n.wcPlanner_MsgContainerParent-WfaBR .wcClose-zokxf {\n  display: none;\n}\n";
styleInject(css_248z);

var PlannerMsgContainer = function PlannerMsgContainer(_ref) {
  var _ref$wcPlannerMsgCont = _ref.wcPlannerMsgContainerParentClass,
    wcPlannerMsgContainerParentClass = _ref$wcPlannerMsgCont === void 0 ? wcPlannerMsgContainerParent : _ref$wcPlannerMsgCont,
    _ref$wcPlannerMsgCont2 = _ref.wcPlannerMsgContainerClass,
    wcPlannerMsgContainerClass = _ref$wcPlannerMsgCont2 === void 0 ? wcPlannerMsgContainer : _ref$wcPlannerMsgCont2,
    _ref$wcPlannerWarning = _ref.wcPlannerWarningContainerClass,
    wcPlannerWarningContainerClass = _ref$wcPlannerWarning === void 0 ? wcPlannerWarningContainer : _ref$wcPlannerWarning,
    _ref$wcPlannerInfoCon = _ref.wcPlannerInfoContainerClass,
    wcPlannerInfoContainerClass = _ref$wcPlannerInfoCon === void 0 ? wcPlannerInfoContainer : _ref$wcPlannerInfoCon,
    _ref$wcPlannerInfoCon2 = _ref.wcPlannerInfoContainerCollapsedClass,
    wcPlannerInfoContainerCollapsedClass = _ref$wcPlannerInfoCon2 === void 0 ? wcPlannerInfoContainerCollapsed : _ref$wcPlannerInfoCon2,
    _ref$wcPlannerMsgImgC = _ref.wcPlannerMsgImgClass,
    wcPlannerMsgImgClass = _ref$wcPlannerMsgImgC === void 0 ? wcPlannerMsgImg : _ref$wcPlannerMsgImgC,
    _ref$wcPlannerMsgText = _ref.wcPlannerMsgTextClass,
    wcPlannerMsgTextClass = _ref$wcPlannerMsgText === void 0 ? wcPlannerMsgText : _ref$wcPlannerMsgText,
    _ref$wcPlannerWarning2 = _ref.wcPlannerWarningImgClass,
    wcPlannerWarningImgClass = _ref$wcPlannerWarning2 === void 0 ? wcPlannerWarningImg : _ref$wcPlannerWarning2,
    _ref$wcPlannerInfoImg = _ref.wcPlannerInfoImgClass,
    wcPlannerInfoImgClass = _ref$wcPlannerInfoImg === void 0 ? wcPlannerInfoImg : _ref$wcPlannerInfoImg,
    _ref$wcPlannerWarning3 = _ref.wcPlannerWarningTextClass,
    wcPlannerWarningTextClass = _ref$wcPlannerWarning3 === void 0 ? wcPlannerWarningText : _ref$wcPlannerWarning3,
    _ref$wcPlannerInfoTex = _ref.wcPlannerInfoTextClass,
    wcPlannerInfoTextClass = _ref$wcPlannerInfoTex === void 0 ? wcPlannerInfoText : _ref$wcPlannerInfoTex,
    _ref$wcCloseClass = _ref.wcCloseClass,
    wcCloseClass = _ref$wcCloseClass === void 0 ? wcClose : _ref$wcCloseClass,
    _ref$wcCloseButtonCla = _ref.wcCloseButtonClass,
    wcCloseButtonClass = _ref$wcCloseButtonCla === void 0 ? '' : _ref$wcCloseButtonCla,
    _ref$landscapeClass = _ref.landscapeClass,
    landscapeClass = _ref$landscapeClass === void 0 ? '' : _ref$landscapeClass,
    _ref$portraitClass = _ref.portraitClass,
    portraitClass = _ref$portraitClass === void 0 ? '' : _ref$portraitClass,
    _ref$expandedClass = _ref.expandedClass,
    expandedClass = _ref$expandedClass === void 0 ? expanded : _ref$expandedClass;
  var viewHandler = useViewHandler();
  return /*#__PURE__*/jsx("div", {
    className: classnames(wcPlannerMsgContainerParentClass, viewHandler.uiState.configSettingsIsExpanded ? expandedClass : undefined, viewHandler.uiState.isMobileLandscape ? landscapeClass : undefined, viewHandler.uiState.isMobilePortrait ? portraitClass : undefined),
    children: viewHandler.productState.plannerMessagesArr.map(function (item) {
      return /*#__PURE__*/jsx(PlannerMsgItem, {
        wcPlannerMsgContainer: wcPlannerMsgContainerClass,
        wcPlannerWarningContainer: wcPlannerWarningContainerClass,
        wcPlannerInfoContainer: wcPlannerInfoContainerClass,
        wcPlannerInfoContainerCollapsed: wcPlannerInfoContainerCollapsedClass,
        wcPlannerMsgImg: wcPlannerMsgImgClass,
        wcPlannerMsgText: wcPlannerMsgTextClass,
        wcPlannerWarningImg: wcPlannerWarningImgClass,
        wcPlannerInfoImg: wcPlannerInfoImgClass,
        wcPlannerWarningText: wcPlannerWarningTextClass,
        wcPlannerInfoText: wcPlannerInfoTextClass,
        wcClose: wcCloseClass,
        wcCloseButton: wcCloseButtonClass,
        item: item[1],
        codex: item[0]
      }, item[0]);
    })
  });
};
var index = observer(PlannerMsgContainer);

export { index as default };
