import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import 'react';
import classnames from 'classnames';
import StepInfo from './index-ec30cce1.js';
import SettingsHeader from './index-bec7758a.js';
import ReplaceSwitch from './index-b4b3a823.js';
import { observer } from 'mobx-react-lite';
import { jsxs, jsx, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wcConfiguratorConfigPaletteContainer = "wcConfigurator-ConfigPaletteContainer-uKDCv";
var css_248z = ".wcConfigurator-ConfigPaletteContainer-uKDCv {\n  width: 100%;\n  margin-bottom: 24px;\n}\n";
styleInject(css_248z);

var ItemWrapper = function ItemWrapper(_ref) {
  var item = _ref.item,
    style = _ref.style,
    children = _ref.children;
  var viewHandler = useViewHandler();
  return /*#__PURE__*/jsxs("div", {
    style: style,
    className: classnames(wcConfiguratorConfigPaletteContainer, {
      wcFilterVisible: item.filterVisible
    }),
    ref: function ref(_ref2) {
      return item.htmlRef = _ref2;
    },
    id: item.configStepKey,
    children: [/*#__PURE__*/jsx(StepInfo, {
      stepInfo: item.info
    }), !item.isHeader && !item.hideHeader ? /*#__PURE__*/jsx(SettingsHeader, {
      isInScroller: true,
      isSettingsHeader: false,
      item: item
    }) : /*#__PURE__*/jsx(Fragment, {}), item.type == 'ART' && viewHandler.settingsState.doShowReplaceMode && (!viewHandler.paletteViewHandler.plannerItems.DoShowAdditionalPlannerElements || item.id == 2) && /*#__PURE__*/jsx(ReplaceSwitch, {}), children]
  });
};
var ItemWrapper$1 = observer(ItemWrapper);

export { ItemWrapper$1 as default };
