import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _asyncToGenerator from '@babel/runtime/helpers/asyncToGenerator';
import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import _regeneratorRuntime from '@babel/runtime/regenerator';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { useState, useEffect } from 'react';
import { n as notExpanded } from './index.module-e5cc5bed.js';
import { observer } from 'mobx-react-lite';
import classnames from 'classnames';
import { DivaUtils } from '@crystaldesign/diva-core';
import { jsxs, jsx } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var table = "table-jksgC";
var column = "column-g-8AC";
var scrollable = "scrollable-thuFz";
var header = "header-hKjpS";
var css_248z = ".table-jksgC {\n  position: relative;\n  width: 100%;\n  height: -moz-fit-content;\n  height: fit-content;\n  background-color: #ffffff;\n  border-collapse: collapse;\n  border-width: 0px;\n  border-color: #e7eaf8;\n  border-style: solid;\n  color: #000000;\n  font-weight: normal;\n  font-family: var(--diva-typography-font-family);\n  font-weight: 100;\n  overflow-y: auto;\n  -webkit-user-select: text;\n     -moz-user-select: text;\n          user-select: text;\n}\n.table-jksgC thead {\n  font-weight: bold !important;\n}\n.table-jksgC thead {\n  border-bottom: 1px solid;\n  /* min-width: 20px; */\n  background-color: var(--thirdColor);\n  font-size: 16px;\n  padding-top: 1%;\n  color: black;\n}\n.column-g-8AC {\n  text-align: left;\n  height: 20px;\n}\n.column-g-8AC th:nth-child(1) {\n  width: 40%;\n  border-bottom: 1px solid;\n}\n.column-g-8AC th {\n  border-bottom: 1px solid;\n  padding-right: 10px;\n  margin-bottom: 1%;\n  font-weight: normal;\n}\n.column-g-8AC th:last-child {\n  font-size: 12px;\n}\n.scrollable-thuFz {\n  overflow: auto;\n  left: 50px;\n  display: flex;\n  flex-direction: column;\n  height: auto;\n}\n.header-hKjpS {\n  height: 46px;\n  width: 100%;\n  padding-top: 0.7%;\n  text-align: center;\n  background-color: var(--primaryColor);\n  font-size: 30px;\n  color: white;\n  font-weight: 600;\n  cursor: ns-resize;\n}\n";
styleInject(css_248z);

var _excluded = ["onMouseDown"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var ArticleOverview = function ArticleOverview(_ref) {
  var _viewHandler$divaWebP;
  var onMouseDown = _ref.onMouseDown,
    props = _objectWithoutProperties(_ref, _excluded);
  var viewHandler = useViewHandler();
  var articles = Object.values((_viewHandler$divaWebP = viewHandler.divaWebPlanner.getDivaArticles()) !== null && _viewHandler$divaWebP !== void 0 ? _viewHandler$divaWebP : {});
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    rerender = _useState2[0],
    setRerender = _useState2[1];
  useEffect(function () {
    var asyncFunct = /*#__PURE__*/function () {
      var _ref2 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime.mark(function _callee() {
        return _regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) switch (_context.prev = _context.next) {
            case 0:
              _context.next = 2;
              return DivaUtils.Sleep(1000);
            case 2:
              setRerender(!rerender);
            case 3:
            case "end":
              return _context.stop();
          }
        }, _callee);
      }));
      return function asyncFunct() {
        return _ref2.apply(this, arguments);
      };
    }();
    asyncFunct();
  }, [viewHandler.settingsState.configChanged]);
  viewHandler.productState.formatedTotalPrice;
  return /*#__PURE__*/jsxs("div", _objectSpread(_objectSpread({}, props), {}, {
    className: classnames(props.className, scrollable, viewHandler.uiState.configSettingsIsExpanded ? notExpanded : undefined),
    children: [/*#__PURE__*/jsx("a", {
      className: header,
      onMouseDown: onMouseDown,
      children: "Artikel \xDCbersicht"
    }), /*#__PURE__*/jsxs("table", {
      className: table,
      children: [/*#__PURE__*/jsx("thead", {
        children: /*#__PURE__*/jsxs("tr", {
          className: column,
          children: [/*#__PURE__*/jsx("th", {
            children: "Name"
          }), /*#__PURE__*/jsx("th", {
            children: "ArticleCodex"
          }), /*#__PURE__*/jsx("th", {
            children: "CatalogCodex"
          }), /*#__PURE__*/jsx("th", {
            children: "Preis"
          }), /*#__PURE__*/jsx("th", {
            children: "Bruttopreis"
          }), /*#__PURE__*/jsx("th", {
            children: "Discount Prozent"
          }), /*#__PURE__*/jsx("th", {
            children: "Menge"
          })]
        })
      }), /*#__PURE__*/jsx("tbody", {
        children: Object.values(articles).map(function (article, index) {
          var _article$price, _article$bruttoCalcPr, _article$discountPerc;
          return /*#__PURE__*/jsxs("tr", {
            className: column,
            children: [/*#__PURE__*/jsxs("th", {
              children: [" ", article.name]
            }), /*#__PURE__*/jsxs("th", {
              children: [article.articleCodex, " "]
            }), /*#__PURE__*/jsxs("th", {
              children: [article.catalogCodex, " "]
            }), /*#__PURE__*/jsxs("th", {
              children: [" ", (_article$price = article.price) !== null && _article$price !== void 0 ? _article$price : 0, " "]
            }), /*#__PURE__*/jsxs("th", {
              children: [" ", (_article$bruttoCalcPr = article.bruttoCalcPrice) !== null && _article$bruttoCalcPr !== void 0 ? _article$bruttoCalcPr : 0, " "]
            }), /*#__PURE__*/jsxs("th", {
              children: [" ", (_article$discountPerc = article.discountPercentage) !== null && _article$discountPerc !== void 0 ? _article$discountPerc : 0, " "]
            }), /*#__PURE__*/jsxs("th", {
              children: [article.quantity, " "]
            })]
          }, article.basketId);
        })
      })]
    })]
  }));
};
var ArticleOverview$1 = observer(ArticleOverview);

export { ArticleOverview$1 as default };
