import _defineProperty from '@babel/runtime/helpers/defineProperty';
import { u as useViewHandler } from './index-e560cd58.js';
import { useRef, useEffect } from 'react';
import ProductHeader from './index-e3eefbe6.js';
import ContentItemWrapper from './index-5840610f.js';
import ProductSettings from './index-a9e7ae3a.js';
import ProductCenter from './index-f4b93084.js';
import ProductFooter from './index-3b9e0a7d.js';
import ProductInfo from './index-12f39bd1.js';
import { observer } from 'mobx-react-lite';
import { jsxs, jsx } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import '@crystaldesign/content-item';
import 'react-draggable';
import './index-9ac352ac.js';
import 'sift';
import './index-03ec1878.js';
import './index-bec7758a.js';
import './index-7f563f4a.js';
import './index-dab96ea8.js';
import './index-5ed724e9.js';
import './index.module-8b8e578d.js';
import './index-d9e0b8ab.js';
import 'react-switch';
import './index-a00c316e.js';
import './index-b813b7d7.js';
import './index-227ad099.js';
import 'react-dropdown';
import './index-18e04d12.js';
import '@babel/runtime/helpers/objectDestructuringEmpty';
import './index-d0cb686e.js';
import './index-98a94c2a.js';
import './index-c43b9bf6.js';
import '@crystaldesign/content-box';
import './index-a9750c3d.js';
import './index-576885e5.js';
import './index-ea0c61b7.js';
import './index-118cdb5f.js';
import './index-63a72d8c.js';
import './index-cbdc56a8.js';
import 'react-laag';
import './index-f7d87c9f.js';
import './index-a53f6c9e.js';
import './index-123dc27c.js';
import './index-5317aaf3.js';
import './index-79b89ba2.js';
import './index-60ade46e.js';
import './index-68efdadc.js';
import './index-1e6362c6.js';
import './index-b18bffae.js';
import './index-ab3f39ef.js';
import './index.module-eaa02037.js';
import './index-243b2e2c.js';
import './index-27943660.js';
import './index-ec30cce1.js';
import './index-a3492836.js';
import './index-c6c521c0.js';
import './index-b87282a4.js';
import './index-53b89034.js';
import './index.module-65919b33.js';
import './index-3dac3051.js';
import './index-b4b3a823.js';
import './index-2a3b670f.js';
import './index-0b374555.js';
import './index-9eae4b33.js';
import './index.module-93ba7e7a.js';
import './index-e863915f.js';
import './index-cfae8a69.js';
import './index-26008f13.js';
import './index-7f0c8231.js';
import './index-4d2c6f51.js';
import './index-780b98e2.js';
import './index-794f08b4.js';
import './index-dffb0718.js';
import './index-46b86e6c.js';
import './index-39923a1d.js';
import 'react-qr-code';
import './index-cd5a0b3f.js';

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var Product = function Product(props) {
  var viewHandler = useViewHandler();
  var productElement = useRef(null);
  useEffect(function () {
    if (!productElement) return;
    viewHandler.productState.setProductElement(productElement.current);
  }, [productElement]);
  return /*#__PURE__*/jsxs("div", _objectSpread(_objectSpread({}, props), {}, {
    ref: productElement,
    children: [/*#__PURE__*/jsx(ProductHeader, {}), /*#__PURE__*/jsx(ProductCenter, {}), viewHandler.productState.footerVisible.length > 1 && /*#__PURE__*/jsx(ProductFooter, {}), /*#__PURE__*/jsx(ProductInfo, {}), /*#__PURE__*/jsx(ProductSettings, {}), viewHandler.settingsState.contentItemVisible && viewHandler.settingsState.contentItemId && /*#__PURE__*/jsx(ContentItemWrapper, {
      id: viewHandler.settingsState.contentItemId,
      startPos: "right"
    })]
  }));
};
var Product$1 = observer(Product);

export { Product$1 as default };
