import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import { useState } from 'react';
import { w as wcFavoriteSel, a as wcFavorite } from './index.module-65919b33.js';
import { useHover, useLayer } from 'react-laag';
import GenericToolTip from './index-a53f6c9e.js';
import MetaData from './index-f7d87c9f.js';
import { useDivaCore } from '@crystaldesign/diva-core';
import InfoIcon from './index-a00c316e.js';
import PricePreview from './index-b813b7d7.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var paletteItem = "PaletteItem-C-fa2";
var wcVCodexText = "wcVCodexText-GN3-8";
var sel = "sel-3ZIRz";
var imageWrapper = "imageWrapper-QwsRE";
var small = "small-Ynrzj";
var wcImage = "wcImage-eveCj";
var title = "title-mFBM6";
var big = "big-wADuy";
var css_248z = "/*Size Normal */\n\n.PaletteItem-C-fa2 {\n  border-radius: var(--globalBorderRadius);\n  position: relative;\n  z-index: 100;\n  transition: all 0.15s ease;\n  cursor: pointer;\n}\n\n.PaletteItem-C-fa2:active,\n.PaletteItem-C-fa2:hover {\n  z-index: 200;\n  transition: 0.15s ease;\n}\n\n.wcVCodexText-GN3-8 {\n  position: absolute;\n  line-height: 104px;\n  width: 100%;\n  color: white;\n  display: none;\n  text-align: center;\n}\n\n.PaletteItem-C-fa2:hover .wcVCodexText-GN3-8,\n.sel-3ZIRz .wcVCodexText-GN3-8 {\n  display: block;\n}\n\n.imageWrapper-QwsRE {\n  border-radius: 50%;\n  border: 1px rgb(230, 230, 230) solid;\n  display: flex;\n  transition: 0.15s ease;\n  position: relative;\n}\n.imageWrapper-QwsRE:hover {\n  box-shadow: 0px 1px 4px rgba(68, 49, 49, 0.15);\n  border: 1px var(--primaryColor) solid;\n  border: 1px var(--optionItemBorderSelColor, var(--primaryColor)) solid;\n}\n.sel-3ZIRz .imageWrapper-QwsRE:hover,\n.small-Ynrzj.sel-3ZIRz .imageWrapper-QwsRE:hover {\n  box-shadow: 0px 1px 4px rgba(68, 49, 49, 0.15);\n  border: 1px rgb(230, 230, 230) solid;\n}\n.sel-3ZIRz .imageWrapper-QwsRE,\n.small-Ynrzj.sel-3ZIRz .imageWrapper-QwsRE {\n  box-shadow: 0px 1px 4px rgba(68, 49, 49, 0.15);\n}\n\n.wcImage-eveCj {\n  width: calc(100% - 8px);\n  aspect-ratio: 1;\n  border: 4px white solid;\n  border-radius: 50%;\n  user-select: none;\n  -moz-user-select: none;\n  -webkit-user-drag: none;\n  -webkit-user-select: none;\n  -ms-user-select: none;\n}\n.sel-3ZIRz .wcImage-eveCj,\n.small-Ynrzj.sel-3ZIRz .wcImage-eveCj {\n  border: 4px var(--primaryColor) solid;\n  border: 4px var(--optionItemBorderSelColor, var(--primaryColor)) solid;\n}\n\n.hexColor-NBrjx {\n  width: 80px;\n  height: 80px;\n}\n\n.title-mFBM6 {\n  margin-top: 4px;\n  text-align: center;\n  float: left;\n  max-height: 64px;\n  min-height: 16px;\n  width: 100%;\n  font-size: 14px;\n  line-height: 16px;\n  overflow: hidden;\n  display: -webkit-box;\n  word-wrap: break-word;\n  -webkit-box-orient: vertical;\n  -webkit-hyphens: auto;\n  hyphens: auto;\n  -webkit-line-clamp: 2;\n  position: relative;\n  -webkit-hyphens: auto;\n  hyphens: auto;\n  user-select: none;\n  -moz-user-select: none;\n  -webkit-user-drag: none;\n  -webkit-user-select: none;\n  -ms-user-select: none;\n  z-index: 400;\n}\n\n.PaletteItem-C-fa2:hover .title-mFBM6,\n.small-Ynrzj .PaletteItem-C-fa2:hover .title-mFBM6 {\n  max-height: 608px;\n  -webkit-line-clamp: 30;\n  overflow: visible;\n  z-index: 200;\n}\n\n/* Size Small */\n\n.small-Ynrzj .wcVCodexText-GN3-8 {\n  line-height: 58px;\n  font-size: 12px;\n}\n\n.small-Ynrzj .title-mFBM6 {\n  font-size: 12px;\n  margin-top: 6px;\n  -webkit-line-clamp: 1;\n}\n/* Size very Small */\n\n.very-small-XTQPS .wcVCodexText-GN3-8 {\n  line-height: 48px;\n  font-size: 10px;\n}\n\n.very-small-XTQPS .title-mFBM6 {\n  font-size: 10px;\n  margin-top: 5px;\n  -webkit-line-clamp: 1;\n}\n\n/* Size big */\n\n.big-wADuy .wcVCodexText-GN3-8 {\n  line-height: 158px;\n  font-size: 15px;\n}\n\n.big-wADuy .title-mFBM6 {\n  font-size: 15px;\n  margin-top: 10px;\n  -webkit-line-clamp: 2;\n}\n";
styleInject(css_248z);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var Option = function Option(_ref) {
  var _item$hexColor, _renderLayer;
  var itemP = _ref.item,
    type = _ref.type,
    paletteId = _ref.paletteId,
    hidePricePreview = _ref.hidePricePreview;
  var item = itemP;
  var viewHandler = useViewHandler();
  var _useState = useState(''),
    _useState2 = _slicedToArray(_useState, 2),
    metaDataVisible = _useState2[0],
    setMetaDataVisible = _useState2[1];
  var onClick = function onClick() {
    viewHandler.paletteViewHandler.clickedOnConfigPalette(item, undefined, paletteId);
  };
  var _useDivaCore = useDivaCore(),
    _useDivaCore$state$di = _useDivaCore.state.dimensions,
    isMobile = _useDivaCore$state$di.isMobile,
    isTablet = _useDivaCore$state$di.isTablet;

  /* tool tip stuff*/
  var triggerProps = {};
  var layerProps = {};
  var renderLayer = undefined;
  var isOver = false;
  var hoverProps = {};
  var hover = useHover({
    delayEnter: 600,
    hideOnScroll: true
  });
  var tooltip = useLayer({
    isOpen: hover[0],
    auto: true,
    placement: viewHandler.getViewConfig().tooltipPosition || 'left-center'
  });
  if (!isMobile && !isTablet && !viewHandler.getViewConfig().hideTooltip && (item.image || item.hexColor) && !item.contentItemId) {
    isOver = hover[0];
    hoverProps = hover[1];
    triggerProps = tooltip.triggerProps;
    layerProps = tooltip.layerProps;
    renderLayer = tooltip.renderLayer;
  }
  return /*#__PURE__*/jsxs("div", _objectSpread(_objectSpread(_objectSpread({
    id: item.codex,
    className: classnames(type == 'small' ? small : undefined, type == 'big' ? big : undefined, paletteItem, item.sel ? sel : undefined),
    onClick: onClick
  }, triggerProps), hoverProps), {}, {
    children: [/*#__PURE__*/jsxs("div", {
      className: classnames(imageWrapper),
      children: [item.vCodex && /*#__PURE__*/jsx("div", {
        className: classnames(wcVCodexText),
        children: item.vCodex
      }), item.image ? /*#__PURE__*/jsx("img", {
        className: classnames(wcImage),
        src: item.image
      }) : /*#__PURE__*/jsx("div", {
        className: classnames(wcImage),
        style: {
          backgroundColor: '#' + ((_item$hexColor = item.hexColor) !== null && _item$hexColor !== void 0 ? _item$hexColor : 'dfdfdf')
        }
      }), item.contentItemId && /*#__PURE__*/jsx(InfoIcon, {
        item: item
      }, item.codex)]
    }), /*#__PURE__*/jsx("div", {
      className: title,
      dangerouslySetInnerHTML: {
        __html: item.text
      }
    }), item.doShowFav && /*#__PURE__*/jsx("div", {
      className: item.isFav ? wcFavoriteSel : wcFavorite,
      onClick: function onClick() {
        return viewHandler.paletteViewHandler.clickedOnFavIcon(item);
      }
    }), /*#__PURE__*/jsx(MetaData, {
      style: {
        position: 'relative',
        "float": 'left',
        display: 'none'
      },
      metaData: item.metaData,
      visible: [metaDataVisible, setMetaDataVisible]
    }, item.codex), !hidePricePreview && item.pricePreviewPromise !== undefined && /*#__PURE__*/jsx(PricePreview, {
      asyncPricePreview: item.pricePreviewPromise,
      sel: item.sel,
      style: type == 'small' ? {
        fontSize: 9
      } : undefined
    }), isOver && ((_renderLayer = renderLayer) === null || _renderLayer === void 0 ? void 0 : _renderLayer(/*#__PURE__*/jsx(GenericToolTip, {
      text: item.text + (item.freeText ? item.freeText : ''),
      hexColor: item.hexColor,
      desciption: metaDataVisible,
      pricePreviewPromise: item.pricePreviewPromise,
      image: item.image,
      layerProps: layerProps
    }, item.codex)))]
  }));
};
var GalleryText = observer(Option);

export { GalleryText as default };
