import { s as styleInject } from './index-e560cd58.js';
import 'react';
import classnames from 'classnames';
import { jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var isActive = "is-active-bp70x";
var listenToVariablesOptionClass = "listen-to-variables-option-class-rPBBX";
var listenToVariablesGalleryClass = "listen-to-variables-gallery-class-dRVC6";
var css_248z = ".is-active-bp70x {\n  position: absolute;\n  left: 4px;\n  top: 4px;\n  height: 19.2px;\n  width: 19.2px;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2221%22 height%3D%2221%22 viewBox%3D%220 0 21 21%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Ccircle cx%3D%2210.3408%22 cy%3D%2210.781%22 r%3D%2210%22 fill%3D%22%234A4A4A%22%2F%3E%3Cpath d%3D%22M5.68848 10.7237L9.86816 15.3262L14.9932 8.18604%22 stroke%3D%22white%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  background-repeat: no-repeat;\n  border-radius: 20px;\n  border: 1px solid #d5d5d5;\n  background-position: center;\n  z-index: 100;\n}\n.listen-to-variables-option-class-rPBBX {\n  opacity: 1;\n  opacity: var(--hideOptionSelActive, 1);\n}\n\n.listen-to-variables-gallery-class-dRVC6 {\n  opacity: 1;\n  opacity: var(--hideGallerySelActive, 1);\n}\n";
styleInject(css_248z);

var IsActive = function IsActive(_ref) {
  var listenToGalleryVariables = _ref.listenToGalleryVariables,
    listenToOptionVariables = _ref.listenToOptionVariables;
  return /*#__PURE__*/jsx("div", {
    className: classnames(isActive, listenToOptionVariables ? listenToVariablesOptionClass : undefined, listenToGalleryVariables ? listenToVariablesGalleryClass : undefined)
  });
};

export { IsActive as default };
