import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import 'react';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wcConfiguratorProductFooter = "wcConfigurator-product-footer-BQAEt";
var portrait = "portrait-dDB1V";
var settingsHidden = "settings-hidden-p8yxj";
var landscape = "landscape-U5rkX";
var expanded = "expanded-ENaC6";
var wcButton = "wcButton-ejK-0";
var wcFoto = "wcFoto-w00Jj";
var sel = "sel-BDwTn";
var wcGrid = "wcGrid-W7T4M";
var wcAccessorie = "wcAccessorie-pXi-s";
var wcRtv = "wcRtv-AT3Rr";
var wcViewAs = "wc_ViewAs-pTwrO";
var css_248z = "/* footer */\n\n.wcConfigurator-product-footer-BQAEt {\n  text-align: center;\n  z-index: 350;\n}\n\n.wcConfigurator-product-footer-BQAEt {\n  position: absolute;\n  bottom: 0px;\n  left: 50%;\n  transform: translate(-50%, 0);\n}\n\n.portrait-dDB1V.wcConfigurator-product-footer-BQAEt {\n  display: none;\n}\n\n.portrait-dDB1V.settings-hidden-p8yxj.wcConfigurator-product-footer-BQAEt {\n  position: absolute;\n  display: block;\n  height: 40px;\n}\n\n.portrait-dDB1V.settings-hidden-p8yxj.wcConfigurator-product-footer-BQAEt {\n  bottom: 20px;\n}\n\n.landscape-U5rkX.settings-hidden-p8yxj.wcConfigurator-product-footer-BQAEt {\n  position: absolute;\n  display: block;\n  bottom: 20px;\n  height: 40px;\n}\n\n.expanded-ENaC6.wcConfigurator-product-footer-BQAEt {\n  left: 20%;\n  transform: translate(-40%, 0);\n}\n\n.wcConfigurator-product-footer-BQAEt .wcButton-ejK-0 {\n  width: 60px;\n  height: 60px;\n  border-radius: 50%;\n  background-repeat: no-repeat;\n  min-width: 0;\n  min-width: initial;\n  margin: 0 0.5rem;\n  background-size: contain;\n  background-position: center center;\n  cursor: pointer;\n  transition: background-color 0.4s;\n  background-size: 80%;\n}\n\n.landscape-U5rkX .wcButton-ejK-0 {\n  width: 40px;\n  height: 40px;\n}\n\n.wcConfigurator-product-footer-BQAEt .wcButton-ejK-0:hover {\n  box-shadow: var(--boxShadowHover);\n}\n\n.wcConfigurator-product-footer-BQAEt .wcButton-ejK-0.wcFoto-w00Jj {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2237%22 height%3D%2236%22 viewBox%3D%220 0 37 36%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M8.14907 22.7265C8.1201 22.474 8.10558 22.2201 8.10557 21.966V14.034C8.09599 12.3106 8.77144 10.654 9.9833 9.42865C11.1952 8.20328 12.8442 7.50952 14.5676 7.5H22.6436C24.367 7.50952 26.016 8.20328 27.2278 9.42865C28.4397 10.654 29.1151 12.3106 29.1056 14.034V21.966C29.1151 23.6894 28.4397 25.346 27.2278 26.5714C26.016 27.7967 24.367 28.4905 22.6436 28.5H14.5676C11.2725 28.4843 8.51236 26.0015 8.14907 22.7265ZM8.14907 22.7265C8.95396 22.005 9.7017 21.2222 10.3856 20.3851C11.3976 19.0159 13.191 18.4778 14.7896 19.0636C18.5756 20.2636 21.9551 24.6721 25.1966 22.3801C26.387 21.4717 27.3084 20.2569 27.8621 18.8656C28.1879 18.1013 28.6054 17.3795 29.1056 16.7161M14.1851 12.8189C14.1851 13.2389 13.8446 13.5794 13.4246 13.5794C13.0046 13.5794 12.6641 13.2389 12.6641 12.8189C12.6641 12.3989 13.0046 12.0584 13.4246 12.0584C13.8446 12.0584 14.1851 12.3989 14.1851 12.8189Z%22 stroke%3D%22%234F4F4F%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  border: 1px solid #c0c0c0;\n}\n\n.wcConfigurator-product-footer-BQAEt .wcButton-ejK-0.wcFoto-w00Jj:hover {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2237%22 height%3D%2237%22 viewBox%3D%220 0 37 37%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M8.14907 23.0289C8.1201 22.7764 8.10558 22.5225 8.10557 22.2684V14.3364C8.09599 12.613 8.77144 10.9564 9.9833 9.73101C11.1952 8.50565 12.8442 7.81189 14.5676 7.80237H22.6436C24.367 7.81189 26.016 8.50565 27.2278 9.73101C28.4397 10.9564 29.1151 12.613 29.1056 14.3364V22.2684C29.1151 23.9918 28.4397 25.6484 27.2278 26.8737C26.016 28.0991 24.367 28.7928 22.6436 28.8024H14.5676C11.2725 28.7867 8.51236 26.3039 8.14907 23.0289ZM8.14907 23.0289C8.95396 22.3073 9.7017 21.5246 10.3856 20.6874C11.3976 19.3183 13.191 18.7802 14.7896 19.3659C18.5756 20.5659 21.9551 24.9744 25.1966 22.6824C26.387 21.774 27.3084 20.5593 27.8621 19.1679C28.1879 18.4037 28.6054 17.6819 29.1056 17.0184M14.1851 13.1213C14.1851 13.5413 13.8446 13.8818 13.4246 13.8818C13.0046 13.8818 12.6641 13.5413 12.6641 13.1213C12.6641 12.7013 13.0046 12.3608 13.4246 12.3608C13.8446 12.3608 14.1851 12.7013 14.1851 13.1213Z%22 stroke%3D%22white%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  background-color: #7b7b7b;\n  border: 1px solid #7b7b7b;\n}\n\n.wcConfigurator-product-footer-BQAEt .wcButton-ejK-0.wcFoto-w00Jj:active,\n.wcConfigurator-product-footer-BQAEt .wcButton-ejK-0.wcFoto-w00Jj.sel-BDwTn {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2237%22 height%3D%2237%22 viewBox%3D%220 0 37 37%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M8.14907 23.0289C8.1201 22.7764 8.10558 22.5225 8.10557 22.2684V14.3364C8.09599 12.613 8.77144 10.9564 9.9833 9.73101C11.1952 8.50565 12.8442 7.81189 14.5676 7.80237H22.6436C24.367 7.81189 26.016 8.50565 27.2278 9.73101C28.4397 10.9564 29.1151 12.613 29.1056 14.3364V22.2684C29.1151 23.9918 28.4397 25.6484 27.2278 26.8737C26.016 28.0991 24.367 28.7928 22.6436 28.8024H14.5676C11.2725 28.7867 8.51236 26.3039 8.14907 23.0289ZM8.14907 23.0289C8.95396 22.3073 9.7017 21.5246 10.3856 20.6874C11.3976 19.3183 13.191 18.7802 14.7896 19.3659C18.5756 20.5659 21.9551 24.9744 25.1966 22.6824C26.387 21.774 27.3084 20.5593 27.8621 19.1679C28.1879 18.4037 28.6054 17.6819 29.1056 17.0184M14.1851 13.1213C14.1851 13.5413 13.8446 13.8818 13.4246 13.8818C13.0046 13.8818 12.6641 13.5413 12.6641 13.1213C12.6641 12.7013 13.0046 12.3608 13.4246 12.3608C13.8446 12.3608 14.1851 12.7013 14.1851 13.1213Z%22 stroke%3D%22white%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  border: 1px solid #4f4f4f;\n  background-color: #4f4f4f;\n}\n\n.wcConfigurator-product-footer-BQAEt .wcButton-ejK-0.wcGrid-W7T4M {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2235%22 height%3D%2218%22 viewBox%3D%220 0 35 18%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M25.3008 13L17.3008 17L9.30078 13M25.3008 13L17.3008 9M25.3008 13L33.3008 9L25.3008 5M9.30078 13L17.3008 9M9.30078 13L1.30078 9L9.30078 5M17.3008 9L25.3008 5M17.3008 9L9.30078 5M25.3008 5L17.3008 1L9.30078 5%22 stroke%3D%22%234F4F4F%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  border: 1px solid #c0c0c0;\n}\n\n.wcConfigurator-product-footer-BQAEt .wcButton-ejK-0.wcGrid-W7T4M:hover {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2235%22 height%3D%2219%22 viewBox%3D%220 0 35 19%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M25.3008 13.3024L17.3008 17.3024L9.30078 13.3024M25.3008 13.3024L17.3008 9.30237M25.3008 13.3024L33.3008 9.30237L25.3008 5.30237M9.30078 13.3024L17.3008 9.30237M9.30078 13.3024L1.30078 9.30237L9.30078 5.30237M17.3008 9.30237L25.3008 5.30237M17.3008 9.30237L9.30078 5.30237M25.3008 5.30237L17.3008 1.30237L9.30078 5.30237%22 stroke%3D%22white%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  background-color: #7b7b7b;\n  border: 1px solid #7b7b7b;\n}\n.wcConfigurator-product-footer-BQAEt .wcButton-ejK-0.wcGrid-W7T4M:active,\n.wcConfigurator-product-footer-BQAEt .wcButton-ejK-0.wcGrid-W7T4M.sel-BDwTn {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2235%22 height%3D%2219%22 viewBox%3D%220 0 35 19%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M25.3008 13.3024L17.3008 17.3024L9.30078 13.3024M25.3008 13.3024L17.3008 9.30237M25.3008 13.3024L33.3008 9.30237L25.3008 5.30237M9.30078 13.3024L17.3008 9.30237M9.30078 13.3024L1.30078 9.30237L9.30078 5.30237M17.3008 9.30237L25.3008 5.30237M17.3008 9.30237L9.30078 5.30237M25.3008 5.30237L17.3008 1.30237L9.30078 5.30237%22 stroke%3D%22white%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  border: 1px solid #4f4f4f;\n  background-color: #4f4f4f;\n}\n\n.wcConfigurator-product-footer-BQAEt .wcAccessorie-pXi-s.wcButton-ejK-0 {\n  background-image: url(\"data:image/svg+xml,%3C%3Fxml version%3D%221.0%22 encoding%3D%22utf-8%22%3F%3E%3C!-- Generator%3A Adobe Illustrator 22.0.0%2C SVG Export Plug-In . SVG Version%3A 6.00 Build 0)  --%3E%3Csvg version%3D%221.1%22 id%3D%22Ebene_1%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22 x%3D%220px%22 y%3D%220px%22%09 viewBox%3D%220 0 55 55%22 style%3D%22enable-background%3Anew 0 0 55 55%3B%22 xml%3Aspace%3D%22preserve%22%3E%3Cstyle type%3D%22text%2Fcss%22%3E%09.st0%7Bfill%3A%23F5F5F5%3B%7D%09.st1%7Bfill%3Anone%3B%7D%09.st2%7Benable-background%3Anew    %3B%7D%09.st3%7Bfill%3A%234B4B4B%3B%7D%3C%2Fstyle%3E%3Ccircle class%3D%22st0%22 cx%3D%2227.5%22 cy%3D%2227.5%22 r%3D%2227.5%22%2F%3E%3Crect x%3D%2211.8%22 y%3D%224%22 class%3D%22st1%22 width%3D%2243.5%22 height%3D%2251.5%22%2F%3E%3Cg class%3D%22st2%22%3E%09%3Cpath class%3D%22st3%22 d%3D%22M25.3%2C40V29.6H15v-4.3h10.3V15h4.4v10.3H40v4.3H29.7V40H25.3z%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n  border: 1px solid #c0c0c0;\n}\n\n.wcConfigurator-product-footer-BQAEt .wcButton-ejK-0.wcAccessorie-pXi-s:hover {\n  background-image: url(\"data:image/svg+xml,%3C%3Fxml version%3D%221.0%22 encoding%3D%22utf-8%22%3F%3E%3C!-- Generator%3A Adobe Illustrator 22.0.0%2C SVG Export Plug-In . SVG Version%3A 6.00 Build 0)  --%3E%3Csvg version%3D%221.1%22 id%3D%22Ebene_1%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22 x%3D%220px%22 y%3D%220px%22%09 viewBox%3D%220 0 55 55%22 style%3D%22enable-background%3Anew 0 0 55 55%3B%22 xml%3Aspace%3D%22preserve%22%3E%3Cstyle type%3D%22text%2Fcss%22%3E%09.st0%7Bfill%3A%234B4B4B%3B%7D%09.st1%7Bfill%3Anone%3B%7D%09.st2%7Benable-background%3Anew    %3B%7D%09.st3%7Bfill%3A%23FFFFFF%3B%7D%3C%2Fstyle%3E%3Ccircle class%3D%22st0%22 cx%3D%2227.5%22 cy%3D%2227.5%22 r%3D%2227.5%22%2F%3E%3Crect x%3D%2211.9%22 y%3D%224%22 class%3D%22st1%22 width%3D%2243.5%22 height%3D%2251.5%22%2F%3E%3Cg class%3D%22st2%22%3E%09%3Cpath class%3D%22st3%22 d%3D%22M25.3%2C40V29.6H15v-4.3h10.3V15h4.4v10.3H40v4.3H29.7V40H25.3z%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n  background-color: #7b7b7b;\n  border: 1px solid #7b7b7b;\n}\n.wcConfigurator-product-footer-BQAEt .wcButton-ejK-0.wcAccessorie-pXi-s:active,\n.wcConfigurator-product-footer-BQAEt .wcButton-ejK-0.wcAccessorie-pXi-s.sel-BDwTn {\n  background-image: url(\"data:image/svg+xml,%3C%3Fxml version%3D%221.0%22 encoding%3D%22utf-8%22%3F%3E%3C!-- Generator%3A Adobe Illustrator 22.0.0%2C SVG Export Plug-In . SVG Version%3A 6.00 Build 0)  --%3E%3Csvg version%3D%221.1%22 id%3D%22Ebene_1%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22 x%3D%220px%22 y%3D%220px%22%09 viewBox%3D%220 0 55 55%22 style%3D%22enable-background%3Anew 0 0 55 55%3B%22 xml%3Aspace%3D%22preserve%22%3E%3Cstyle type%3D%22text%2Fcss%22%3E%09.st0%7Bfill%3A%234B4B4B%3B%7D%09.st1%7Bfill%3Anone%3B%7D%09.st2%7Benable-background%3Anew    %3B%7D%09.st3%7Bfill%3A%23FFFFFF%3B%7D%3C%2Fstyle%3E%3Ccircle class%3D%22st0%22 cx%3D%2227.5%22 cy%3D%2227.5%22 r%3D%2227.5%22%2F%3E%3Crect x%3D%2211.9%22 y%3D%224%22 class%3D%22st1%22 width%3D%2243.5%22 height%3D%2251.5%22%2F%3E%3Cg class%3D%22st2%22%3E%09%3Cpath class%3D%22st3%22 d%3D%22M25.3%2C40V29.6H15v-4.3h10.3V15h4.4v10.3H40v4.3H29.7V40H25.3z%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n  border: 1px solid white;\n  border: 1px solid #4f4f4f;\n  background-color: #4f4f4f;\n}\n\n.wcConfigurator-product-footer-BQAEt .wcRtv-AT3Rr.wcButton-ejK-0 {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2236%22 height%3D%2236%22 viewBox%3D%220 0 36 36%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M17.5 15.3039V20.413M17.5 15.3039L13.8478 13.9348M17.5 15.3039L21.1522 13.9348M7 11.6526V16.3039M7 11.6526L10.6522 13.0217M7 11.6526L9.39674 10.7395M28 16.3039V11.6526M28 11.6526L24.3478 13.0217M28 11.6526L25.0326 10.5221M17.5 8V11.6522M17.5 8L13.8478 9.39148M17.5 8L21.1522 9.39148M28 24.4789V20M28 24.4789L24.3478 22.7994M28 24.4789L25.6033 25.599M7 20V24.4789M7 24.4789L10.6522 22.7994M7 24.4789L9.96739 25.8657M17.5 28.9594V24.4794M17.5 28.9594L21.1522 27.2525M17.5 28.9594L13.8478 27.2525%22 stroke%3D%22%234F4F4F%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  border: 1px solid #c0c0c0;\n}\n\n.wcConfigurator-product-footer-BQAEt .wcButton-ejK-0.wcRtv-AT3Rr:hover {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2236%22 height%3D%2237%22 viewBox%3D%220 0 36 37%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M17.5 15.6063V20.7154M17.5 15.6063L13.8478 14.2372M17.5 15.6063L21.1522 14.2372M7 11.955V16.6063M7 11.955L10.6522 13.3241M7 11.955L9.39674 11.0418M28 16.6063V11.955M28 11.955L24.3478 13.3241M28 11.955L25.0326 10.8244M17.5 8.30237V11.9545M17.5 8.30237L13.8478 9.69385M17.5 8.30237L21.1522 9.69385M28 24.7812V20.3023M28 24.7812L24.3478 23.1018M28 24.7812L25.6033 25.9014M7 20.3023V24.7812M7 24.7812L10.6522 23.1018M7 24.7812L9.96739 26.1681M17.5 29.2618V24.7818M17.5 29.2618L21.1522 27.5549M17.5 29.2618L13.8478 27.5549%22 stroke%3D%22white%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  background-color: #7b7b7b;\n  border: 1px solid #7b7b7b;\n}\n\n.wcConfigurator-product-footer-BQAEt .wcButton-ejK-0.wcRtv-AT3Rr:active,\n.wcConfigurator-product-footer-BQAEt .wcButton-ejK-0.wcRtv-AT3Rr.sel-BDwTn {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2236%22 height%3D%2237%22 viewBox%3D%220 0 36 37%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M17.5 15.6063V20.7154M17.5 15.6063L13.8478 14.2372M17.5 15.6063L21.1522 14.2372M7 11.955V16.6063M7 11.955L10.6522 13.3241M7 11.955L9.39674 11.0418M28 16.6063V11.955M28 11.955L24.3478 13.3241M28 11.955L25.0326 10.8244M17.5 8.30237V11.9545M17.5 8.30237L13.8478 9.69385M17.5 8.30237L21.1522 9.69385M28 24.7812V20.3023M28 24.7812L24.3478 23.1018M28 24.7812L25.6033 25.9014M7 20.3023V24.7812M7 24.7812L10.6522 23.1018M7 24.7812L9.96739 26.1681M17.5 29.2618V24.7818M17.5 29.2618L21.1522 27.5549M17.5 29.2618L13.8478 27.5549%22 stroke%3D%22white%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  border: 1px solid #4f4f4f;\n  background-color: #4f4f4f;\n}\n/* ViewAs  */\n.wc_ViewAs-pTwrO {\n  text-align: center;\n  z-index: 10;\n  margin: 0;\n  margin-bottom: 16px;\n  padding: 0;\n  list-style: none;\n  white-space: nowrap;\n  display: inline-flex;\n  flex-direction: row;\n  vertical-align: middle;\n  position: relative;\n  flex-wrap: nowrap;\n}\n\n.wc_ViewAs-pTwrO li {\n  display: block;\n  float: left;\n}\n";
styleInject(css_248z);

var ProductFooter = function ProductFooter(props) {
  var _viewHandler$divaWebP, _viewHandler$tabGroup, _viewHandler$tabGroup2;
  var viewHandler = useViewHandler();
  var renderings = (_viewHandler$divaWebP = viewHandler.divaWebPlanner.getAlternateRenderingsForSummary()) !== null && _viewHandler$divaWebP !== void 0 ? _viewHandler$divaWebP : [];
  if (viewHandler.productState.footerVisible.length <= 1 && (((_viewHandler$tabGroup = viewHandler.tabGroupState.curTabGroup) === null || _viewHandler$tabGroup === void 0 ? void 0 : _viewHandler$tabGroup.type) != 'SUMMARY' || !renderings.length)) return /*#__PURE__*/jsx(Fragment, {});
  if (viewHandler.uiState.ViewConfig.roomListInProduct && viewHandler.productState.roomListExpanded && viewHandler.settingsState.roomListInitialized) return /*#__PURE__*/jsx(Fragment, {});
  return /*#__PURE__*/jsx("div", {
    className: classnames(wcConfiguratorProductFooter, viewHandler.uiState.isMobileLandscape ? landscape : undefined, viewHandler.uiState.isMobilePortrait ? portrait : undefined, viewHandler.uiState.configSettingsIsHidden ? settingsHidden : undefined, viewHandler.uiState.configSettingsIsExpanded ? expanded : undefined),
    children: /*#__PURE__*/jsxs("ul", {
      className: wcViewAs,
      children: [viewHandler.productState.allow3DComb && /*#__PURE__*/jsx("li", {
        className: classnames(wcButton, wcFoto, viewHandler.productState.doShow3DComb ? sel : undefined),
        onClick: function onClick() {
          return viewHandler.productState.onChangePlannerView('3DCOMB');
        }
      }), viewHandler.productState.allowRendering && /*#__PURE__*/jsxs(Fragment, {
        children: [/*#__PURE__*/jsx("li", {
          className: classnames(wcButton, wcFoto, viewHandler.productState.doShowRenderImage && viewHandler.productState.curAlternateRendering === undefined ? sel : undefined),
          onClick: function onClick() {
            return viewHandler.productState.onChangePlannerView('3D');
          }
        }), ((_viewHandler$tabGroup2 = viewHandler.tabGroupState.curTabGroup) === null || _viewHandler$tabGroup2 === void 0 ? void 0 : _viewHandler$tabGroup2.type) == 'SUMMARY' && renderings.map(function (rendering) {
          var _viewHandler$productS;
          return /*#__PURE__*/jsx("li", {
            className: classnames(wcButton, wcAccessorie, viewHandler.productState.doShowRenderImage && ((_viewHandler$productS = viewHandler.productState.curAlternateRendering) === null || _viewHandler$productS === void 0 ? void 0 : _viewHandler$productS.imageCodex) === rendering.imageCodex ? sel : undefined),
            onClick: function onClick() {
              return viewHandler.productState.onChangePlannerView('3D', rendering);
            }
          });
        })]
      }), viewHandler.productState.allowGrid && /*#__PURE__*/jsx("li", {
        className: classnames(wcButton, wcGrid, viewHandler.productState.doShowGrid ? sel : undefined),
        onClick: function onClick() {
          return viewHandler.productState.onChangePlannerView('2D');
        }
      }), viewHandler.productState.allowRTV && /*#__PURE__*/jsx("li", {
        className: classnames(wcButton, wcRtv, viewHandler.productState.doShowRTV ? sel : undefined),
        onClick: function onClick() {
          return viewHandler.productState.onChangePlannerView('RTV');
        }
      })]
    })
  });
};
var index = observer(ProductFooter);

export { index as default };
