import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _asyncToGenerator from '@babel/runtime/helpers/asyncToGenerator';
import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import _regeneratorRuntime from '@babel/runtime/regenerator';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import { useState, useEffect } from 'react';
import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wrapper = "wrapper-J9tZI";
var scrollable = "scrollable-8uAoc";
var header = "header-kOQCg";
var ekTextClass = "ekTextClass-w-J0r";
var table = "table-4dpdq";
var column = "column-25QWm";
var css_248z = ".wrapper-J9tZI {\n  display: flex;\n  flex-direction: column;\n  width: calc(100% - 5px);\n\n  -webkit-user-select: text;\n\n     -moz-user-select: text;\n\n          user-select: text;\n  background-color: #fff;\n}\n.scrollable-8uAoc {\n  overflow: auto;\n  left: 50px;\n}\n.header-kOQCg {\n  height: 8%;\n  width: 100%;\n  padding-top: 0.7%;\n  text-align: center;\n  background-color: var(--primaryColor);\n  font-size: 30px;\n  color: white;\n  font-weight: 600;\n}\n\n.ekTextClass-w-J0r {\n  margin-left: 200px;\n  background-color: #fff;\n  font-weight: 600;\n  max-height: 92%;\n  height: auto;\n  -webkit-user-select: text;\n     -moz-user-select: text;\n          user-select: text;\n}\n\n.table-4dpdq {\n  position: relative;\n  width: 100%;\n  height: 100%;\n  background-color: #ffffff;\n  border-collapse: collapse;\n  border-color: #e7eaf8;\n  border-style: solid;\n  border-width: 0px;\n  color: #000000;\n  font-weight: normal;\n  font-family: var(--diva-typography-font-family);\n  font-weight: 100;\n  overflow-y: auto;\n}\n.table-4dpdq thead {\n  font-weight: bold !important;\n}\n.table-4dpdq thead {\n  border-bottom: 1px solid;\n  /* min-width: 20px; */\n  background-color: var(--thirdColor);\n  font-size: 16px;\n  padding-top: 1%;\n}\n.column-25QWm {\n  text-align: left;\n}\n.column-25QWm:first-child {\n  height: 20px;\n}\n.column-25QWm th:nth-child(1) {\n  width: 40%;\n  border-bottom: 1px solid;\n}\n.column-25QWm th {\n  border-bottom: 1px solid;\n  padding-right: 10px;\n  margin-bottom: 1%;\n  font-weight: normal;\n}\n.column-25QWm th:last-child {\n  font-size: 12px;\n}\n";
styleInject(css_248z);

var _excluded = ["onMouseDown"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var EkTextViewer = function EkTextViewer(_ref) {
  var onMouseDown = _ref.onMouseDown,
    props = _objectWithoutProperties(_ref, _excluded);
  var viewHandler = useViewHandler();
  var _useState = useState(''),
    _useState2 = _slicedToArray(_useState, 2),
    ekText = _useState2[0],
    setEkText = _useState2[1];
  var _useState3 = useState([]),
    _useState4 = _slicedToArray(_useState3, 2),
    sapOrderLines = _useState4[0],
    setSapOrderLines = _useState4[1];
  var getEkText = /*#__PURE__*/function () {
    var _ref2 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime.mark(function _callee() {
      var _basket$getEKText, _basket$SAPOrderLines;
      var basket;
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return viewHandler.divaWebPlanner.getBasketDataWithEkText();
          case 2:
            basket = _context.sent;
            if (basket) {
              _context.next = 5;
              break;
            }
            return _context.abrupt("return");
          case 5:
            setEkText((_basket$getEKText = basket.getEKText()) !== null && _basket$getEKText !== void 0 ? _basket$getEKText : '');
            setSapOrderLines((_basket$SAPOrderLines = basket.SAPOrderLines) !== null && _basket$SAPOrderLines !== void 0 ? _basket$SAPOrderLines : []);
          case 7:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function getEkText() {
      return _ref2.apply(this, arguments);
    };
  }();
  useEffect(function () {
    getEkText();
  }, [viewHandler.settingsState.configChanged]);
  return /*#__PURE__*/jsx("div", _objectSpread(_objectSpread({}, props), {}, {
    className: classnames(props.className, scrollable),
    children: /*#__PURE__*/jsxs("div", {
      className: wrapper,
      children: [/*#__PURE__*/jsx("a", {
        className: header,
        onMouseDown: onMouseDown,
        children: "EkText \xDCbersicht"
      }), !!sapOrderLines.length && /*#__PURE__*/jsxs(Fragment, {
        children: [/*#__PURE__*/jsx("h3", {
          children: "SapOrderLines"
        }), /*#__PURE__*/jsxs("table", {
          className: table,
          children: [/*#__PURE__*/jsx("thead", {
            children: /*#__PURE__*/jsxs("tr", {
              className: column,
              children: [/*#__PURE__*/jsx("th", {
                children: "Name"
              }), /*#__PURE__*/jsx("th", {
                children: "EkText"
              }), /*#__PURE__*/jsx("th", {
                children: "Preis"
              }), /*#__PURE__*/jsx("th", {
                children: "Artikle Nr."
              }), /*#__PURE__*/jsx("th", {
                children: "Retail Artikle Nr."
              }), /*#__PURE__*/jsx("th", {
                children: "Prefix"
              }), /*#__PURE__*/jsx("th", {
                children: "Menge"
              }), /*#__PURE__*/jsx("th", {
                children: "PosNr"
              })]
            })
          }), /*#__PURE__*/jsx("tbody", {
            children: sapOrderLines.map(function (sol, index) {
              var _sol$Price;
              return /*#__PURE__*/jsxs("tr", {
                className: column,
                children: [/*#__PURE__*/jsxs("th", {
                  children: [" ", sol.Name]
                }), sol.OrderText ? /*#__PURE__*/jsx("th", {
                  dangerouslySetInnerHTML: {
                    __html: sol.OrderText.replace(/\r\n/g, '<br>')
                  }
                }) : /*#__PURE__*/jsx("th", {}), /*#__PURE__*/jsxs("th", {
                  children: [" ", (_sol$Price = sol.Price) !== null && _sol$Price !== void 0 ? _sol$Price : 0, " "]
                }), /*#__PURE__*/jsxs("th", {
                  children: [" ", sol.ArticleNr, " "]
                }), /*#__PURE__*/jsxs("th", {
                  children: [" ", sol.RetailArticleName, " "]
                }), /*#__PURE__*/jsxs("th", {
                  children: [sol.ArticleNrPrefix, " "]
                }), /*#__PURE__*/jsxs("th", {
                  children: [sol.Quantity, " "]
                }), /*#__PURE__*/jsx("th", {
                  children: sol.PosNr
                })]
              }, index);
            })
          })]
        })]
      }), /*#__PURE__*/jsxs("div", {
        children: [/*#__PURE__*/jsx("button", {
          onClick: function onClick() {
            var _navigator;
            return (_navigator = navigator) === null || _navigator === void 0 || (_navigator = _navigator.clipboard) === null || _navigator === void 0 ? void 0 : _navigator.writeText(ekText);
          },
          children: "kopieren"
        }), /*#__PURE__*/jsx("div", {
          className: ekTextClass,
          dangerouslySetInnerHTML: {
            __html: ekText.replace(/\r\n/g, '<br>')
          }
        })]
      })]
    })
  }));
};
var EkTextViewer$1 = observer(EkTextViewer);

export { EkTextViewer$1 as default };
