import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import 'react';
import Group from './index-137a559f.js';
import { useDivaCore } from '@crystaldesign/diva-core';
import StandradGroup from './index-4029c325.js';
import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import './index-41f29148.js';
import 'react-collapsible';
import './index-a00c316e.js';
import './index-b813b7d7.js';

var container = "container-IOQq6";
var css_248z = ".container-IOQq6 {\n  display: flex;\n  flex-wrap: wrap;\n  position: relative;\n  width: 100%;\n}\n";
styleInject(css_248z);

var PaletteGroup = function PaletteGroup(_ref) {
  var itemPalette = _ref.itemPalette,
    groups = _ref.groups,
    PaletteComponent = _ref.PaletteComponent,
    contentInnerClassName = _ref.contentInnerClassName,
    _ref$rowCount = _ref.rowCount,
    rowCount = _ref$rowCount === void 0 ? 12 : _ref$rowCount;
  var viewHandler = useViewHandler();
  if (!viewHandler.uiState.isInMobileView) return /*#__PURE__*/jsx(StandradGroup, {
    contentInnerClassName: contentInnerClassName,
    itemPalette: itemPalette,
    groups: groups,
    PaletteComponent: PaletteComponent,
    rowCount: rowCount
  });
  var _useDivaCore = useDivaCore(),
    width = _useDivaCore.state.dimensions.width;
  var itemCount = 0;
  if (width) while (width / rowCount < 60) {
    rowCount = rowCount - 1;
  }
  return /*#__PURE__*/jsx("div", {
    className: container,
    children: groups.map(function (group) {
      var renderEmptyBox = false;
      if (itemCount % rowCount === rowCount - 1 && group.items.length > 1) {
        renderEmptyBox = true;
        itemCount++;
      }
      itemCount = itemCount + group.items.length;
      return /*#__PURE__*/jsxs(Fragment, {
        children: [renderEmptyBox && /*#__PURE__*/jsx("div", {
          style: {
            background: 'rgba(242, 242, 242, 0.6)',
            width: 100 / rowCount + '%'
          }
        }), /*#__PURE__*/jsx(Group, {
          PaletteComponent: PaletteComponent,
          contentInnerClassName: contentInnerClassName,
          paletteType: itemPalette.type,
          group: group,
          paletteId: itemPalette.id,
          rowCount: rowCount
        })]
      });
    })
  });
};
var index = observer(PaletteGroup);

export { index as default };
