import './index-e560cd58.js';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import 'react';
import { jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var DistanceToGround = function DistanceToGround(_ref) {
  var item = _ref.item,
    plannerUIProps = _ref.plannerUIProps;
  return /*#__PURE__*/jsx("div", {
    style: {
      left: item.position.x + '%',
      top: 100 - item.position.y + '%'
    },
    id: "distanceToGround",
    className: classnames(plannerUIProps.classes.dimension.distanceToGround),
    children: /*#__PURE__*/jsx("div", {
      children: item.dimensionVal + ' cm'
    })
  });
};
var DistanceToGround$1 = observer(DistanceToGround);

export { DistanceToGround$1 as default };
