import { s as styleInject } from './index-e560cd58.js';
import 'react';
import { w as wcBoxPlannerAddElement, a as wcBoxPlannerAddElementLeft, b as wcBoxPlannerAddElementTop, c as wcBoxPlannerAddElementRight, d as wcPlanner3DRot, e as wcPlanner3DMove, f as wcPlannerDistanceToGround, g as wcPlannerArrowDistanceToGround } from './index.module-cdf408a6.js';
import { w as wcUi2DOutlineDraggable, a as wcUi2DOutlineDraggableActive, b as wcUi2DOutlineSelectable, c as wc3DOutlineSvg, d as wc3DOutlinePolygon, e as wc3DOutlinePolygonContours, f as wc3DOutlinePolygonContoursSel } from './index.module-4137c096.js';
import PlannerUI from './index-f4979347.js';
import { useDivaCore } from '@crystaldesign/diva-core';
import classnames from 'classnames';
import { jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import './index-93bd143d.js';
import './index-831b8abe.js';
import './index-1c76201d.js';
import './index-48300bf2.js';
import './index-b47706ce.js';
import './index-951a070a.js';
import './index-ff286eac.js';
import './index-7c069afc.js';
import './index-3ba6d4ce.js';
import './index-c8bb81dc.js';
import './index-221a1630.js';
import './index-de8c491e.js';
import './index-adbd3100.js';
import 'react-draggable';
import './index-b3e8cff0.js';
import './index-7435b475.js';
import './index-a8b51921.js';

var wcPlannerButton = "wcPlannerButton-7VWLs";
var mobile = "mobile-JpBZv";
var css_248z$6 = ".wcPlannerButton-7VWLs {\n  position: absolute;\n  background-repeat: no-repeat;\n  transition: background-image 0.2s ease-in-out;\n  --globalSize: 28px;\n  --posNrSize: var(--globalSize) --trashSize: var(--globalSize);\n  --rotSize: 35px;\n  --copySize: var(--globalSize);\n  --fontSize: 26px;\n  --copyArrowSize: 40px;\n}\n.mobile-JpBZv {\n  --globalSize: 18px;\n  --fontSize: 17px;\n  --rotSize: 18px;\n  --copyArrowSize: var(--globalSize);\n}\n";
styleInject(css_248z$6);

var wcUi2DDpAvl = "wcUI2D_DP_AVL-w776P";
var wcUi2DDpAvlSel = "wcUI2D_DP_AVL_SEL-zCEhK";
var css_248z$5 = "/*.wcPlannerButton {\n  position: absolute;\n  background-repeat: no-repeat;\n  -webkit-transition: background-image 0.2s ease-in-out;\n  transition: background-image 0.2s ease-in-out;\n}\n*/\n\n.wcUI2D_DP_AVL-w776P {\n  border-radius: 0px !important;\n}\n\n.wcUI2D_DP_AVL-w776P {\n  height: 50px;\n  width: 50px;\n  background-color: rgba(0, 0, 0, 0);\n  background-size: 20px;\n\n  background-position: center right;\n  background-position-x: 26px;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2214%22 height%3D%2225%22 viewBox%3D%220 0 14 25%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M1.47657 13.1203C1.15196 12.7895 0.989658 12.6242 0.989658 12.4198C0.989658 12.2154 1.15196 12.0501 1.47657 11.7193L11.8254 1.17541C12.5534 0.433651 12.9174 0.0627729 13.2282 0.189821C13.5391 0.316868 13.5391 0.836538 13.5391 1.87588L13.5391 22.9637C13.5391 24.0031 13.5391 24.5227 13.2282 24.6498C12.9174 24.7768 12.5534 24.4059 11.8254 23.6642L1.47657 13.1203Z%22 fill%3D%22%234A4A4A%22%2F%3E%3C%2Fsvg%3E\");\n  cursor: pointer;\n  transform-origin: top left;\n  z-index: 263;\n}\n\n.wcUI2D_DP_AVL_SEL-zCEhK {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2214%22 height%3D%2225%22 viewBox%3D%220 0 14 25%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M1.14125 13.1203C0.816636 12.7895 0.654331 12.6242 0.654331 12.4198C0.654331 12.2154 0.816636 12.0501 1.14125 11.7193L11.4901 1.17541C12.2181 0.433651 12.5821 0.0627729 12.8929 0.189821C13.2037 0.316868 13.2037 0.836538 13.2037 1.87588L13.2037 22.9637C13.2037 24.0031 13.2037 24.5227 12.8929 24.6498C12.5821 24.7768 12.2181 24.4059 11.4901 23.6642L1.14125 13.1203Z%22 fill%3D%22%23272727%22%2F%3E%3C%2Fsvg%3E\") !important;\n}\n";
styleInject(css_248z$5);

var wcUi2DDpAvr = "wcUI2D_DP_AVR-oYj8A";
var wcUi2DDpAvrSel = "wcUI2D_DP_AVR_SEL-XRrsh";
var css_248z$4 = ".wcUI2D_DP_AVR-oYj8A {\n  border-radius: 0px !important;\n}\n\n.wcUI2D_DP_AVR-oYj8A {\n  height: 50px;\n  width: 50px;\n  background-color: rgba(0, 0, 0, 0);\n  background-size: 20px;\n  background-position: center left;\n  background-position-x: 4px;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2214%22 height%3D%2225%22 viewBox%3D%220 0 14 25%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M13.0291 11.7193C13.3537 12.0501 13.516 12.2154 13.516 12.4198C13.516 12.6242 13.3537 12.7895 13.0291 13.1203L2.68029 23.6642C1.95226 24.4059 1.58825 24.7768 1.27743 24.6498C0.966613 24.5227 0.966613 24.0031 0.966613 22.9637L0.966614 1.87588C0.966614 0.836538 0.966614 0.316868 1.27743 0.18982C1.58825 0.0627725 1.95226 0.43365 2.68029 1.17541L13.0291 11.7193Z%22 fill%3D%22%234A4A4A%22%2F%3E%3C%2Fsvg%3E\");\n  cursor: pointer;\n  transform-origin: top left;\n  z-index: 263;\n}\n\n.wcUI2D_DP_AVR_SEL-XRrsh {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2214%22 height%3D%2225%22 viewBox%3D%220 0 14 25%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M12.6938 11.7193C13.0184 12.0501 13.1808 12.2154 13.1808 12.4198C13.1808 12.6242 13.0184 12.7895 12.6938 13.1203L2.34503 23.6642C1.617 24.4059 1.25298 24.7768 0.942164 24.6498C0.631346 24.5227 0.631346 24.0031 0.631347 22.9637L0.631347 1.87588C0.631348 0.836538 0.631348 0.316868 0.942165 0.18982C1.25298 0.0627725 1.617 0.43365 2.34503 1.17541L12.6938 11.7193Z%22 fill%3D%22%23272727%22%2F%3E%3C%2Fsvg%3E\") !important;\n}\n";
styleInject(css_248z$4);

var wcUi2DDpAvDocking = "wcUI2D_DP_AV_DOCKING-dykAB";
var wcUi2DDpAvNotDocking = "wcUI2D_DP_AV_NOT_DOCKING-4AvG7";
var wcUi2DDpAvNotDockingSel = "wcUI2D_DP_AV_NOT_DOCKING_SEL-vuwqN";
var wcUi3DDpAvDocking = "wcUI3D_DP_AV_DOCKING--4iHA";
var wcUi3DDpAvNotDocking = "wcUI3D_DP_AV_NOT_DOCKING-NwAjs";
var wcUi3DDpAvNotDockingSel = "wcUI3D_DP_AV_NOT_DOCKING_SEL--PDLM";
var css_248z$3 = ".wcUI2D_DP_AV_DOCKING-dykAB {\n  background-size: 100%;\n  background-position: center center;\n  border-radius: calc(var(--globalSize) * 0.5);\n  background-color: #f2f2f2;\n  height: 40px;\n  width: 40px;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2223%22 height%3D%2223%22 viewBox%3D%220 0 23 23%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M11.5618 22.3251C17.474 22.3251 22.2668 17.5323 22.2668 11.6201C22.2668 5.70789 17.474 0.9151 11.5618 0.9151C5.64957 0.9151 0.856781 5.70789 0.856781 11.6201C0.856781 17.5323 5.64957 22.3251 11.5618 22.3251Z%22 fill%3D%22%23F2F2F2%22%2F%3E%3Cpath d%3D%22M5.85678 11.715H17.4568%22 stroke%3D%22%234A4A4A%22 stroke-width%3D%222%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  cursor: pointer;\n  margin-top: calc(var(--globalSize) * -0.5);\n  margin-left: calc(var(--globalSize) * -0.5);\n  z-index: 263;\n}\n\n.wcUI2D_DP_AV_NOT_DOCKING-4AvG7 {\n  background-size: 100%;\n  background-position: center center;\n  border-radius: calc(var(--globalSize) * 0.5);\n  background-color: #f2f2f2;\n  height: var(--globalSize);\n  width: var(--globalSize);\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2222%22 height%3D%2222%22 viewBox%3D%220 0 22 22%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M11.1518 21.4198C17.064 21.4198 21.8568 16.627 21.8568 10.7148C21.8568 4.80262 17.064 0.00982666 11.1518 0.00982666C5.23957 0.00982666 0.446777 4.80262 0.446777 10.7148C0.446777 16.627 5.23957 21.4198 11.1518 21.4198Z%22 fill%3D%22%23F2F2F2%22%2F%3E%3Cpath d%3D%22M11.2469 5.00983V16.6098%22 stroke%3D%22%234A4A4A%22 stroke-width%3D%222%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3Cpath d%3D%22M5.44678 10.8097H17.0468%22 stroke%3D%22%234A4A4A%22 stroke-width%3D%222%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  cursor: pointer;\n  margin-top: calc(var(--globalSize) * -0.5);\n  margin-left: calc(var(--globalSize) * -0.5);\n  z-index: 263;\n}\n.wcUI2D_DP_AV_NOT_DOCKING_SEL-vuwqN {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2223%22 height%3D%2222%22 viewBox%3D%220 0 23 22%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M11.5498 21.4198C17.4621 21.4198 22.2548 16.627 22.2548 10.7148C22.2548 4.80262 17.4621 0.00982666 11.5498 0.00982666C5.63764 0.00982666 0.844849 4.80262 0.844849 10.7148C0.844849 16.627 5.63764 21.4198 11.5498 21.4198Z%22 fill%3D%22%23DFDFDF%22%2F%3E%3Cpath d%3D%22M11.645 5.00983V16.6098%22 stroke%3D%22%234A4A4A%22 stroke-width%3D%222%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3Cpath d%3D%22M5.84485 10.8097H17.4448%22 stroke%3D%22%234A4A4A%22 stroke-width%3D%222%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3C%2Fsvg%3E\") !important;\n  background-color: #dfdfdf !important;\n}\n\n.wcUI3D_DP_AV_DOCKING--4iHA {\n  background-size: 100%;\n  background-position: center center;\n  border-radius: calc(var(--globalSize) * 0.5);\n  background-color: #f2f2f2;\n  height: var(--globalSize);\n  width: var(--globalSize);\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2223%22 height%3D%2223%22 viewBox%3D%220 0 23 23%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M11.5618 22.3251C17.474 22.3251 22.2668 17.5323 22.2668 11.6201C22.2668 5.70789 17.474 0.9151 11.5618 0.9151C5.64957 0.9151 0.856781 5.70789 0.856781 11.6201C0.856781 17.5323 5.64957 22.3251 11.5618 22.3251Z%22 fill%3D%22%23F2F2F2%22%2F%3E%3Cpath d%3D%22M5.85678 11.715H17.4568%22 stroke%3D%22%234A4A4A%22 stroke-width%3D%222%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  cursor: pointer;\n  margin-top: calc(var(--globalSize) * -0.5);\n  margin-left: 0px;\n  z-index: 270;\n}\n.wcUI3D_DP_AV_NOT_DOCKING-NwAjs {\n  background-size: 100%;\n  background-position: center center;\n  border-radius: calc(var(--globalSize) * 0.5);\n  background-color: #f2f2f2;\n  height: var(--globalSize);\n  width: var(--globalSize);\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2222%22 height%3D%2222%22 viewBox%3D%220 0 22 22%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M11.1518 21.4198C17.064 21.4198 21.8568 16.627 21.8568 10.7148C21.8568 4.80262 17.064 0.00982666 11.1518 0.00982666C5.23957 0.00982666 0.446777 4.80262 0.446777 10.7148C0.446777 16.627 5.23957 21.4198 11.1518 21.4198Z%22 fill%3D%22%23F2F2F2%22%2F%3E%3Cpath d%3D%22M11.2469 5.00983V16.6098%22 stroke%3D%22%234A4A4A%22 stroke-width%3D%222%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3Cpath d%3D%22M5.44678 10.8097H17.0468%22 stroke%3D%22%234A4A4A%22 stroke-width%3D%222%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  cursor: pointer;\n  margin-top: calc(var(--globalSize) * -0.5);\n  margin-left: 0px;\n  z-index: 270;\n}\n.wcUI3D_DP_AV_NOT_DOCKING_SEL--PDLM {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2223%22 height%3D%2222%22 viewBox%3D%220 0 23 22%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M11.5498 21.4198C17.4621 21.4198 22.2548 16.627 22.2548 10.7148C22.2548 4.80262 17.4621 0.00982666 11.5498 0.00982666C5.63764 0.00982666 0.844849 4.80262 0.844849 10.7148C0.844849 16.627 5.63764 21.4198 11.5498 21.4198Z%22 fill%3D%22%23DFDFDF%22%2F%3E%3Cpath d%3D%22M11.645 5.00983V16.6098%22 stroke%3D%22%234A4A4A%22 stroke-width%3D%222%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3Cpath d%3D%22M5.84485 10.8097H17.4448%22 stroke%3D%22%234A4A4A%22 stroke-width%3D%222%22 stroke-miterlimit%3D%2210%22 stroke-linecap%3D%22round%22%2F%3E%3C%2Fsvg%3E\") !important;\n  background-color: #dfdfdf !important;\n}\n";
styleInject(css_248z$3);

var wc2DRotClock = "wc2DRot_Clock-n78aC";
var wc2DRotCounterClock = "wc2DRot_CounterClock-nWr4L";
var css_248z$2 = ".wc2DRot_Clock-n78aC {\n  background-size: 100%;\n  width: var(--rotSize);\n  height: var(--rotSize);\n  background-position: center center;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2233%22 height%3D%2233%22 viewBox%3D%220 0 33 33%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M16.6421 32.4198C7.80553 32.4198 0.642092 25.2564 0.642092 16.4198C0.642092 7.58326 7.80553 0.419815 16.6421 0.419815C25.4786 0.419815 32.6421 7.58326 32.6421 16.4198C32.6421 25.2564 25.4786 32.4198 16.6421 32.4198Z%22 fill%3D%22%234A4A4A%22%2F%3E%3Cpath fill-rule%3D%22evenodd%22 clip-rule%3D%22evenodd%22 d%3D%22M19.5435 10.5015C19.6332 10.5811 19.6332 10.7212 19.5435 10.8008L15.7327 14.1809C15.6036 14.2954 15.3999 14.2038 15.3999 14.0313V11.5247C12.5284 12.1012 10.3655 14.6372 10.3655 17.6785C10.3655 21.145 13.1757 23.9551 16.6422 23.9551C20.1087 23.9551 22.9188 21.145 22.9188 17.6785C22.9188 17.4576 23.0979 17.2785 23.3188 17.2785H24.3188C24.4249 17.2785 24.5267 17.3207 24.6017 17.3957C24.6767 17.4707 24.7188 17.5725 24.7188 17.6785C24.7188 22.1391 21.1028 25.7551 16.6422 25.7551C12.1816 25.7551 8.5655 22.1391 8.5655 17.6785C8.5655 13.6404 11.5292 10.2944 15.3999 9.69677V7.27096C15.3999 7.09849 15.6036 7.00689 15.7327 7.12134L19.5435 10.5015Z%22 fill%3D%22white%22%2F%3E%3C%2Fsvg%3E\");\n  cursor: pointer;\n  z-index: 260;\n  transform: translate(-50%, -50%);\n}\n.wc2DRot_CounterClock-nWr4L {\n  background-size: 100%;\n  width: var(--rotSize);\n  height: var(--rotSize);\n  background-position: center center;\n  cursor: pointer;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2233%22 height%3D%2233%22 viewBox%3D%220 0 33 33%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M16.6421 32.4198C25.4786 32.4198 32.6421 25.2564 32.6421 16.4198C32.6421 7.58326 25.4786 0.419815 16.6421 0.419815C7.80553 0.419815 0.64209 7.58326 0.64209 16.4198C0.64209 25.2564 7.80553 32.4198 16.6421 32.4198Z%22 fill%3D%22%234A4A4A%22%2F%3E%3Cpath fill-rule%3D%22evenodd%22 clip-rule%3D%22evenodd%22 d%3D%22M13.7407 10.5015C13.6509 10.5811 13.6509 10.7212 13.7407 10.8008L17.5515 14.1809C17.6805 14.2954 17.8842 14.2038 17.8842 14.0313V11.5247C20.7557 12.1012 22.9187 14.6372 22.9187 17.6785C22.9187 21.145 20.1085 23.9551 16.642 23.9551C13.1755 23.9551 10.3654 21.145 10.3653 17.6785C10.3653 17.4576 10.1863 17.2785 9.96534 17.2785H8.96534C8.85925 17.2785 8.75751 17.3207 8.68249 17.3957C8.60748 17.4707 8.56534 17.5725 8.56534 17.6785C8.56539 22.1391 12.1814 25.7551 16.642 25.7551C21.1026 25.7551 24.7187 22.1391 24.7187 17.6785C24.7187 13.6404 21.755 10.2944 17.8842 9.69677V7.27096C17.8842 7.09849 17.6805 7.00689 17.5515 7.12134L13.7407 10.5015Z%22 fill%3D%22white%22%2F%3E%3C%2Fsvg%3E\");\n  z-index: 260;\n  transform: translate(-50%, -50%);\n}\n";
styleInject(css_248z$2);

var wcUiDel = "wcUI_Del-1Gwbv";
var css_248z$1 = ".wcUI_Del-1Gwbv {\n  width: calc(var(--globalSize));\n  height: calc(var(--globalSize));\n  border-radius: 3px;\n  background: #dfdfdf;\n  background-repeat: no-repeat;\n  background-size: 54%;\n  text-align: center;\n  cursor: pointer;\n  background-position: center center;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2216%22 height%3D%2221%22 viewBox%3D%220 0 16 21%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M15.2784 3.0226H10.9717V2.08029C10.9717 1.35784 10.4151 0.72963 9.71198 0.72963H6.78229C6.10846 0.72963 5.52252 1.32643 5.52252 2.08029V3.0226H1.21588C0.981506 3.0226 0.776428 3.24248 0.776428 3.49376C0.776428 3.74505 0.981506 3.96492 1.21588 3.96492H2.18268V17.7542C2.18268 19.0734 3.17877 20.11 4.37994 20.11H12.1436C13.3741 20.11 14.3409 19.042 14.3409 17.7542V3.93351H15.3077C15.5714 3.93351 15.7764 3.71364 15.7764 3.46235C15.7764 3.17966 15.5421 3.0226 15.2784 3.0226ZM6.43073 2.08029C6.43073 1.829 6.6358 1.67195 6.78229 1.67195H9.71198C9.94635 1.67195 10.0928 1.86041 10.0928 2.08029V3.0226H6.43073V2.08029ZM13.462 17.7228C13.462 18.508 12.876 19.1363 12.1436 19.1363H4.37994C3.64752 19.1363 3.06158 18.508 3.06158 17.7228V3.96492H13.462V17.7228Z%22 fill%3D%22%234A4A4A%22%2F%3E%3Cpath d%3D%22M8.68658 6.82326V16.2464C8.68658 16.5291 8.5108 16.749 8.24713 16.749C7.98346 16.749 7.80768 16.5291 7.80768 16.2464V6.82326C7.80768 6.54056 8.04205 6.3521 8.24713 6.3521C8.48151 6.3521 8.68658 6.57197 8.68658 6.82326Z%22 fill%3D%22%234A4A4A%22%2F%3E%3Cpath d%3D%22M11.6456 6.82326V16.2464C11.6456 16.5291 11.4405 16.749 11.2061 16.749C10.9717 16.749 10.7667 16.5291 10.7667 16.2464V6.82326C10.7667 6.54056 10.9717 6.3521 11.2061 6.3521C11.4405 6.3521 11.6456 6.57197 11.6456 6.82326Z%22 fill%3D%22%234A4A4A%22%2F%3E%3Cpath d%3D%22M5.78619 6.82326V16.2464C5.78619 16.5291 5.58112 16.749 5.34674 16.749C5.11237 16.749 4.87799 16.5291 4.87799 16.2464V6.82326C4.87799 6.54056 5.08307 6.3521 5.31744 6.3521C5.55182 6.3521 5.78619 6.57197 5.78619 6.82326Z%22 fill%3D%22%234A4A4A%22%2F%3E%3C%2Fsvg%3E\");\n  z-index: 262;\n  transform: translate(-50%, -50%);\n}\n";
styleInject(css_248z$1);

var wcPlannerPosNr = "wcPlanner_PosNr-RBqyV";
var posNrAcc = "posNrAcc-hNhyN";
var wcPlannerPosNrSelected = "wcPlanner_PosNr_Selected-boByP";
var wcPlannerPosNrSelectable = "wcPlanner_PosNr_Selectable-SoSIj";
var wcPlannerPosNrSelectableArea = "wcPlanner_PosNr_Selectable_Area-jiYPo";
var wcPlannerPosNrUnSelectable = "wcPlanner_PosNr_UnSelectable-5I9n1";
var wcPlannerPosNrOnHover = "wcPlanner_PosNr_OnHover-pSfg2";
var css_248z = ".wcPlanner_PosNr-RBqyV {\n  min-width: var(--globalSize);\n  height: var(--globalSize);\n  border-radius: 3px;\n  font-size: calc(var(--globalSize) * 0.7);\n  line-height: var(--globalSize);\n  text-align: center;\n  z-index: 262;\n  transform: translate(-50%, -50%);\n}\n\n.posNrAcc-hNhyN {\n  min-width: 20px;\n  height: 20px;\n  font-size: 12px;\n  line-height: 20px;\n  padding: 0 3px;\n}\n\n.wcPlanner_PosNr_Selected-boByP {\n  background: var(--primaryColor);\n  color: #ffffff;\n  box-shadow: none;\n}\n.wcPlanner_PosNr_Selectable-SoSIj {\n  background: #dfdfdf;\n  color: #4a4a4a;\n}\n.wcPlanner_PosNr_Selectable_Area-jiYPo {\n  width: 50px;\n  height: 50px;\n  position: absolute;\n  transform: translate(-25%, -25%);\n  background-color: rgba(100, 100, 100, 0);\n  cursor: pointer;\n}\n\n.wcPlanner_PosNr_UnSelectable-5I9n1 {\n  background: #dfdfdf;\n  color: rgb(175, 172, 172);\n  cursor: inherit;\n}\n\n.wcPlanner_PosNr_UnSelectable-5I9n1:hover {\n  background: #dfdfdf;\n}\n\n.wcPlanner_PosNr_OnHover-pSfg2 {\n  background-color: #a3a3a3;\n  transition: background-color 0.15s ease;\n}\n";
styleInject(css_248z);

var GoldenPlannerUI = function GoldenPlannerUI() {
  var _useDivaCore = useDivaCore(),
    isMobile = _useDivaCore.state.dimensions.isMobile;
  var plannerUIProps = {
    classes: {
      buttonGeneral: classnames(wcPlannerButton, isMobile ? mobile : undefined),
      dockingPoint: {
        AVL: {
          avl: wcUi2DDpAvl,
          avlSel: wcUi2DDpAvlSel
        },
        AVR: {
          avr: wcUi2DDpAvr,
          avrSel: wcUi2DDpAvrSel
        },
        DPACC: {
          dp2DAccDocking: wcUi2DDpAvDocking,
          dp2DAccNotDocking: wcUi2DDpAvNotDocking,
          dp2DAccNotDockingSel: wcUi2DDpAvNotDockingSel,
          dp3DAccDocking: wcUi3DDpAvDocking,
          dp3DAccNotDocking: wcUi3DDpAvNotDocking,
          dp3DAccNotDockingSel: wcUi3DDpAvNotDockingSel
        }
      },
      copy: {
        BoxPlannerCopy: {
          copyGlobal: wcBoxPlannerAddElement,
          copyLeft: wcBoxPlannerAddElementLeft,
          copyTop: wcBoxPlannerAddElementTop,
          copyRight: wcBoxPlannerAddElementRight
        },
        ElementCopy: ''
      },
      outline: {
        outline2D: {
          draggable: wcUi2DOutlineDraggable,
          draggableActive: wcUi2DOutlineDraggableActive,
          selectable: wcUi2DOutlineSelectable
        },
        outline3D: {
          outlineSVG: wc3DOutlineSvg,
          outlinePolygon: wc3DOutlinePolygon,
          outlinePolygonContours: wc3DOutlinePolygonContours,
          outlinePolygonContoursSel: wc3DOutlinePolygonContoursSel
        }
      },
      posNr: {
        posNr: wcPlannerPosNr,
        posNrAcc: posNrAcc,
        posNrSelectable: wcPlannerPosNrSelectable,
        posNrSelectableArea: wcPlannerPosNrSelectableArea,
        posNrSelected: wcPlannerPosNrSelected,
        posNrUnSelectable: wcPlannerPosNrUnSelectable,
        posNrOnHover: wcPlannerPosNrOnHover
      },
      rotation: {
        rotClock: wc2DRotClock,
        rotCounterClock: wc2DRotCounterClock,
        rot3DGrid: wcPlanner3DRot
      },
      move3DGrid: {
        move3DGrid: wcPlanner3DMove
      },
      trash: {
        boxplanner: '',
        trashClass: wcUiDel
      },
      dimension: {
        distanceToGround: wcPlannerDistanceToGround,
        distanceToGroundIcon: wcPlannerArrowDistanceToGround
      }
    }
  };
  return /*#__PURE__*/jsx(PlannerUI, {
    plannerUIProps: plannerUIProps
  });
};

export { GoldenPlannerUI as default };
