import { u as useViewHandler, b, _ as _onClickCheckout, I as Icon } from './index-e560cd58.js';
import 'react';
import { observer } from 'mobx-react-lite';
import { w as wcFunctionsToolbar, s as mobile, b as wcFunctionsContainer } from './index.module-c1833ad7.js';
import classnames from 'classnames';
import { useTranslation } from '@crystaldesign/diva-core';
import { jsx, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var HeaderFunctions = function HeaderFunctions(props) {
  var _viewHandler$uiState$;
  var viewHandler = useViewHandler();
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  return /*#__PURE__*/jsx("ul", {
    className: classnames(wcFunctionsToolbar, viewHandler.getIsInMobileView() ? mobile : undefined),
    children: (_viewHandler$uiState$ = viewHandler.uiState.checkoutConfig) === null || _viewHandler$uiState$ === void 0 ? void 0 : _viewHandler$uiState$.buttons.map(function (b$1, index) {
      if (!evalVisible(b$1, viewHandler)) return /*#__PURE__*/jsx(Fragment, {});
      return /*#__PURE__*/jsx("li", {
        className: classnames(wcFunctionsContainer, b),
        onClick: function onClick() {
          return _onClickCheckout(b$1, viewHandler, index, t);
        },
        children: /*#__PURE__*/jsx(Icon, {
          checkoutButton: b$1,
          size: 32,
          showTitle: true
        })
      }, index);
    })
  });
};
var evalVisible = function evalVisible(button, viewHandler) {
  var rule = button.visibleHeaderFunction;
  if (button.visibleRule && !eval(button.visibleRule)) return false;
  if (rule === false || rule === undefined) return false;
  return rule === true || viewHandler.uiState.isMobileLandscape && rule.includes('MOBILE_L') || viewHandler.uiState.isMobilePortrait && rule.includes('MOBILE_P') || !viewHandler.getIsInMobileView() && rule.includes('DESKTOP');
};
var index = observer(HeaderFunctions);

export { index as default };
