import { s as styleInject } from './index-e560cd58.js';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import 'react';
import { useDivaCore, DivaUtils } from '@crystaldesign/diva-core';
import { jsx, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var configuratorSpec = "Configurator-spec-Pa0bu";
var configuratorSpecTextContainer = "Configurator-spec-text-Container-yp9wU";
var configuratorSpecTitle = "Configurator-spec-title-JDala";
var configuratorSpecPrice = "Configurator-spec-price-pOXke";
var css_248z = "/*Summary*/\n\n.Configurator-spec-Pa0bu {\n  border-bottom: 1px solid #dfdfdf;\n  font-family: var(--diva-typography-font-family);\n  font-weight: 100;\n  color: var(--secondaryColor);\n  overflow: hidden;\n  display: flex;\n  width: 100%;\n  word-break: normal;\n  flex-direction: column;\n  padding: 10px 0;\n}\n\n.Configurator-spec-text-Container-yp9wU {\n  display: flex;\n  position: relative;\n}\n.Configurator-spec-title-JDala {\n  font-size: 16px;\n  width: 70%;\n  margin-right: 20px;\n}\n\n.Configurator-spec-price-pOXke {\n  text-align: right;\n  width: 30%;\n  color: var(--primaryColor);\n  font-weight: 300;\n  line-height: 1.5;\n}\n\n.Configurator-spec-Codex-ESLPx {\n}\n";
styleInject(css_248z);

var SummaryPartlist = function SummaryPartlist(_ref) {
  var itemP = _ref.item;
  var item = itemP;
  var _useDivaCore = useDivaCore(),
    hidePrices = _useDivaCore.state.hidePrices;
  return /*#__PURE__*/jsx("div", {
    className: classnames(configuratorSpec),
    children: /*#__PURE__*/jsxs("div", {
      className: configuratorSpecTextContainer,
      children: [/*#__PURE__*/jsx("span", {
        className: configuratorSpecTitle,
        children: item.title
      }), /*#__PURE__*/jsx("span", {
        className: configuratorSpecTitle,
        children: item.description
      }), /*#__PURE__*/jsx("span", {
        className: configuratorSpecTitle,
        children: 'x' + item.posNr
      }), !hidePrices && !!item.price && /*#__PURE__*/jsx("span", {
        className: configuratorSpecPrice,
        children: DivaUtils.formatPrice(item.price)
      })]
    })
  });
};
var SummaryPartlist$1 = observer(SummaryPartlist);

export { SummaryPartlist$1 as default };
