import _objectDestructuringEmpty from '@babel/runtime/helpers/objectDestructuringEmpty';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { useEffect } from 'react';
import classnames from 'classnames';
import { jsx, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var checkoutButtonOne = "checkout-button-one-qwQE0";
var checkoutButtonTwo = "checkout-button-two-PbR3L";
var checkoutButtonThree = "checkout-button-three-oLcWo";
var css_248z = ".checkout-button-one-qwQE0 {\n  background-color: #0e2e5b;\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 enable-background%3D%22new 0 0 24 24%22 height%3D%2224px%22 viewBox%3D%220 0 24 24%22 width%3D%2224px%22 fill%3D%22%23FFFFFF%22%3E%3Cg%3E%3Cpath d%3D%22M0%2C0h24v24H0V0z%22 fill%3D%22none%22%2F%3E%3C%2Fg%3E%3Cg%3E%3Cpolygon points%3D%226.23%2C20.23 8%2C22 18%2C12 8%2C2 6.23%2C3.77 14.46%2C12%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n  background-repeat: no-repeat;\n  padding-left: 20px;\n  text-align: left;\n  background-position: 97% 50%;\n  background-size: 30px;\n  border-radius: 0;\n  border-radius: initial;\n}\n.checkout-button-two-PbR3L {\n  background-color: #f6a000;\n  background-repeat: no-repeat;\n  text-align: left;\n  padding-left: 20px;\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 viewBox%3D%220 0 27.891 24%22%3E  %3Cdefs%3E    %3Cstyle%3E      .cls-1 %7B        fill%3A %23fff%3B      %7D    %3C%2Fstyle%3E  %3C%2Fdefs%3E  %3Cg id%3D%22Gruppe_1481%22 data-name%3D%22Gruppe 1481%22 transform%3D%22translate(-610 -3077)%22%3E    %3Cpath id%3D%22Pfad_1150%22 data-name%3D%22Pfad 1150%22 class%3D%22cls-1%22 d%3D%22M27.734%2C3.881a.755.755%2C0%2C0%2C0-.591-.288H6.467L5.69.562A.743.743%2C0%2C0%2C0%2C4.966%2C0H.748a.748.748%2C0%2C0%2C0%2C0%2C1.5H4.389L8.911%2C19.161a.743.743%2C0%2C0%2C0%2C.723.562h14.1a.748.748%2C0%2C1%2C0%2C0-1.5H10.216l-.7-2.723H24.538a.747.747%2C0%2C0%2C0%2C.723-.567L27.866%2C4.521a.733.733%2C0%2C0%2C0-.132-.64M23.956%2C14H9.136L6.853%2C5.084H26.19Z%22 transform%3D%22translate(610 3077)%22%2F%3E    %3Cpath id%3D%22Pfad_1151%22 data-name%3D%22Pfad 1151%22 class%3D%22cls-1%22 d%3D%22M195.712%2C422.906a1.706%2C1.706%2C0%2C1%2C1-1.706-1.706%2C1.7%2C1.7%2C0%2C0%2C1%2C1.706%2C1.706%22 transform%3D%22translate(427.1 2676.388)%22%2F%3E    %3Cpath id%3D%22Pfad_1152%22 data-name%3D%22Pfad 1152%22 class%3D%22cls-1%22 d%3D%22M416.112%2C422.906a1.706%2C1.706%2C0%2C1%2C1-1.706-1.706%2C1.7%2C1.7%2C0%2C0%2C1%2C1.706%2C1.706%22 transform%3D%22translate(217.473 2676.388)%22%2F%3E  %3C%2Fg%3E%3C%2Fsvg%3E\");\n  background-position: 97% 50%;\n  background-size: 30px;\n  border-radius: 0;\n  border-radius: initial;\n}\n.checkout-button-three-oLcWo {\n  background-color: #00787f;\n  background-image: url(\"data:image/svg+xml,%3Csvg xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 viewBox%3D%220 0 27.67 24%22%3E  %3Cdefs%3E    %3Cstyle%3E      .cls-1 %7B        fill%3A %23fff%3B      %7D    %3C%2Fstyle%3E  %3C%2Fdefs%3E  %3Cpath id%3D%22Pfad_1783%22 data-name%3D%22Pfad 1783%22 class%3D%22cls-1%22 d%3D%22M27.509%2C9.046%2C25.048.431A.611.611%2C0%2C0%2C0%2C24.432%2C0H3.2a.741.741%2C0%2C0%2C0-.615.431L.124%2C9.046a3.042%2C3.042%2C0%2C0%2C0%2C.431%2C2.646%2C3.215%2C3.215%2C0%2C0%2C0%2C2.215%2C1.231v9.846A1.234%2C1.234%2C0%2C0%2C0%2C4%2C24H9.54a1.234%2C1.234%2C0%2C0%2C0%2C1.231-1.231V16.615h6.154v6.154A1.234%2C1.234%2C0%2C0%2C0%2C18.155%2C24h5.538a1.234%2C1.234%2C0%2C0%2C0%2C1.231-1.231V12.862a3.215%2C3.215%2C0%2C0%2C0%2C2.215-1.231A2.7%2C2.7%2C0%2C0%2C0%2C27.509%2C9.046Zm-7.754.246h0a1.917%2C1.917%2C0%2C0%2C1-.431%2C1.538%2C2.475%2C2.475%2C0%2C0%2C1-2.031.8%2C3.116%2C3.116%2C0%2C0%2C1-2.215-.862%2C2.235%2C2.235%2C0%2C0%2C1-.677-1.6V1.231h4.185l1.169%2C8Zm-6.523-.062a2.465%2C2.465%2C0%2C0%2C1-.677%2C1.6%2C3.116%2C3.116%2C0%2C0%2C1-2.215.862%2C2.68%2C2.68%2C0%2C0%2C1-2.031-.8%2C1.983%2C1.983%2C0%2C0%2C1-.431-1.538L9.048%2C1.231h4.185ZM1.54%2C10.954a1.658%2C1.658%2C0%2C0%2C1-.185-1.538L3.632%2C1.231H7.755L6.648%2C9.169a3.254%2C3.254%2C0%2C0%2C1-3.323%2C2.523A2.3%2C2.3%2C0%2C0%2C1%2C1.54%2C10.954ZM18.155%2C22.769V16.615a1.234%2C1.234%2C0%2C0%2C0-1.231-1.231H10.771A1.234%2C1.234%2C0%2C0%2C0%2C9.54%2C16.615v6.154H4V12.862A5.066%2C5.066%2C0%2C0%2C0%2C7.078%2C11.2c.123.185.185.308.308.492a3.849%2C3.849%2C0%2C0%2C0%2C2.954%2C1.231%2C4.222%2C4.222%2C0%2C0%2C0%2C3.077-1.231%2C3.518%2C3.518%2C0%2C0%2C0%2C.431-.492%2C3.082%2C3.082%2C0%2C0%2C0%2C.431.492%2C4.325%2C4.325%2C0%2C0%2C0%2C3.077%2C1.231%2C3.849%2C3.849%2C0%2C0%2C0%2C2.954-1.231%2C1.34%2C1.34%2C0%2C0%2C0%2C.308-.492%2C4.777%2C4.777%2C0%2C0%2C0%2C3.077%2C1.662v9.908Zm8-11.815a2.239%2C2.239%2C0%2C0%2C1-1.846.738%2C3.3%2C3.3%2C0%2C0%2C1-3.323-2.523L19.878%2C1.231H24L26.34%2C9.415A1.683%2C1.683%2C0%2C0%2C1%2C26.155%2C10.954Z%22 transform%3D%22translate(-0.004)%22%2F%3E%3C%2Fsvg%3E\");\n  background-repeat: no-repeat;\n  text-align: left;\n  padding-left: 20px;\n  background-position: 97% 50%;\n  background-size: 30px;\n  border-radius: 0;\n  border-radius: initial;\n}\n";
styleInject(css_248z);

var index = function index(_ref) {
  _objectDestructuringEmpty(_ref);
  var viewHandler = useViewHandler();
  useEffect(function () {
    viewHandler.uiState.setBarrierActions([{
      className: classnames(checkoutButtonOne)
    }, {
      className: classnames(checkoutButtonTwo)
    }, {
      className: classnames(checkoutButtonThree)
    }]);
  }, []);
  return /*#__PURE__*/jsx(Fragment, {});
};

export { index as default };
