import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { u as useViewHandler } from './index-e560cd58.js';
import classnames from 'classnames';
import { useState } from 'react';
import { useTranslation } from '@crystaldesign/diva-core';
import { observer } from 'mobx-react-lite';
import { jsxs, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var PlannerMsgItem = function PlannerMsgItem(_ref) {
  var item = _ref.item,
    codex = _ref.codex,
    wcPlannerMsgContainer = _ref.wcPlannerMsgContainer,
    wcPlannerWarningContainer = _ref.wcPlannerWarningContainer,
    wcPlannerInfoContainer = _ref.wcPlannerInfoContainer,
    wcPlannerInfoContainerCollapsed = _ref.wcPlannerInfoContainerCollapsed,
    wcPlannerMsgImg = _ref.wcPlannerMsgImg,
    wcPlannerMsgText = _ref.wcPlannerMsgText,
    wcPlannerWarningImg = _ref.wcPlannerWarningImg,
    wcPlannerInfoImg = _ref.wcPlannerInfoImg,
    wcPlannerWarningText = _ref.wcPlannerWarningText,
    wcPlannerInfoText = _ref.wcPlannerInfoText,
    wcClose = _ref.wcClose,
    wcCloseButton = _ref.wcCloseButton;
  var viewHandler = useViewHandler();
  var _useState = useState(null),
    _useState2 = _slicedToArray(_useState, 2),
    timeOut = _useState2[0],
    setTimeOut = _useState2[1];
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  if (!timeOut && item.autoHide == true) {
    setTimeOut(setTimeout(function () {
      return viewHandler.productState.updatePlannerMsgContainer(codex, false, item.type, item.content, item.autoHide);
    }, item.timeoutDuration));
  }
  return /*#__PURE__*/jsxs("div", {
    className: classnames(wcPlannerMsgContainer, item.collapsed ? wcPlannerInfoContainerCollapsed : undefined, item.type == 'INFO' ? wcPlannerInfoContainer : undefined, item.type == 'WARNING' ? wcPlannerWarningContainer : undefined),
    children: [/*#__PURE__*/jsx("div", {
      className: classnames(wcPlannerMsgImg, item.type == 'INFO' ? wcPlannerInfoImg : undefined, item.type == 'WARNING' ? wcPlannerWarningImg : undefined)
    }), /*#__PURE__*/jsx("div", {
      className: classnames(wcPlannerMsgText, item.type == 'INFO' ? wcPlannerInfoText : undefined, item.type == 'WARNING' ? wcPlannerWarningText : undefined),
      dangerouslySetInnerHTML: typeof item.content == 'string' ? {
        __html: t('configurator.' + item.content, item.content)
      } : undefined
    }), typeof item.content != 'string' && item.content, /*#__PURE__*/jsx("div", {
      className: wcClose,
      onClick: function onClick() {
        return viewHandler.productState.onPlannerMsgArrowClick(codex);
      },
      children: wcCloseButton != '' && /*#__PURE__*/jsx("div", {
        className: wcCloseButton
      })
    })]
  });
};
var PlannerMsgItem$1 = observer(PlannerMsgItem);

export { PlannerMsgItem$1 as default };
