import { s as styleInject, u as useViewHandler, _ as _onClickCheckout, I as Icon } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import 'react';
import classnames from 'classnames';
import { useDivaCore, useTranslation } from '@crystaldesign/diva-core';
import { c as checkoutButton } from './index.module-13e85f61.js';
import { jsxs, jsx, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wcConfiguratorAction = "wcConfigurator-action-1kRvz";
var wcConfiguratorActionButton = "wcConfigurator-action-Button-uCk2M";
var wcCheckoutButtonPrice = "wcCheckoutButtonPrice-S5Uqm";
var wcCheckoutButtonText = "wcCheckoutButtonText-AKaeu";
var css_248z = ".wcConfigurator-action-1kRvz {\n  background: rgba(242.2, 242.2, 242.2, 0.9);\n  transition: width 0.2s ease-in-out;\n  display: flex;\n}\n\n.wcConfigurator-action-Button-uCk2M {\n  background-color: var(--primaryColor);\n  background-color: var(--saveButton, var(--primaryColor));\n  border: 1px var(--primaryColor) solid;\n  border: 1px var(--saveButton, var(--primaryColor)) solid;\n  border-radius: var(--globalBorderRadius);\n  font-family: var(--diva-typography-font-family);\n  font-weight: 100;\n  line-height: var(--lineHeight1);\n  font-weight: var(--fontWeight1);\n  height: calc(100% - 2px);\n  font-size: 14px;\n  color: white;\n  flex-grow: 1;\n  -webkit-text-stroke: 0px;\n  -webkit-user-select: none;\n  -moz-user-select: none;\n  user-select: none;\n}\n\n.wcConfigurator-settings-actions-isOnFirstStepDisabled-4PqCh .wcConfigurator-action-Button-uCk2M {\n  pointer-events: none;\n  background-color: #c25353;\n  border-color: #c25353;\n}\n\n.wcConfigurator-action-Button-uCk2M:hover {\n  background-color: var(--diva-theme-palette-primary-dark);\n  border-color: var(--diva-theme-palette-primary-dark);\n  cursor: pointer;\n  transition:\n    box-shadow 0.3s ease,\n    background-color 0.3s ease,\n    border-color 0.3s ease;\n\n  box-shadow: 0px 1px 4px #707070;\n}\n\n.wcCheckoutButtonPrice-S5Uqm {\n  float: right;\n  margin-right: 10%;\n}\n.wcCheckoutButtonIcon-6TJQ5 {\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2224%22 height%3D%2222%22 viewBox%3D%220 0 24 22%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M1 1H3.70647C4.17122 1 4.57471 1.32018 4.68031 1.77277L5.66667 6M5.66667 6L7.81969 15.2272C7.92529 15.6798 8.32878 16 8.79353 16H19.7192C20.1781 16 20.5781 15.6877 20.6894 15.2425L22.6894 7.24253C22.8472 6.61139 22.3698 6 21.7192 6H5.66667Z%22 stroke%3D%22white%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Ccircle cx%3D%2210%22 cy%3D%2220%22 r%3D%221.25%22 stroke%3D%22white%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3Ccircle cx%3D%2218%22 cy%3D%2220%22 r%3D%221.25%22 stroke%3D%22white%22 stroke-width%3D%221.5%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  background-repeat: no-repeat;\n  background-position: center center;\n  background-size: contain;\n  width: 50%;\n  height: 50%;\n  transform: translate(-50%, -50%);\n  left: 50%;\n  top: 50%;\n  position: absolute;\n}\n\n.landscape-1LGy8 .wcConfigurator-action-1kRvz {\n  /*auser In die Zusammenfassung wird ausgeblendet*/\n  display: none;\n}\n.landscape-1LGy8 .wcConfigurator-Settings-hidden-kvVds.wcConfigurator-settings-actions-isOnLastStep-BV9rP .wcConfigurator-action-1kRvz {\n  display: none;\n}\n\n.landscape-1LGy8 .wcConfigurator-action-1kRvz .wcConfigurator-action-Button-uCk2M {\n  line-height: var(--configuratorActionHeight);\n}\n.wcConfigurator-action-Button-uCk2M .wcCheckoutButtonText-AKaeu {\n  margin-top: 0px;\n}\n\n.landscape-1LGy8 .wcConfigurator-action-Button-uCk2M .wcCheckoutButtonText-AKaeu,\n.portrait-ySRAg .wcConfigurator-action-Button-uCk2M .wcCheckoutButtonText-AKaeu {\n  margin-top: 0px;\n}\n\n.wcCheckoutButtonText-AKaeu {\n  float: left;\n  width: 100%;\n  height: 100%;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  text-align: center;\n}\n";
styleInject(css_248z);

var BasketActionStandard = function BasketActionStandard(_ref) {
  var _viewHandler$uiState$;
  var _ref$buttonTextClassN = _ref.buttonTextClassName,
    buttonTextClassName = _ref$buttonTextClassN === void 0 ? wcCheckoutButtonText : _ref$buttonTextClassN,
    _ref$buttonPriceClass = _ref.buttonPriceClassName,
    buttonPriceClassName = _ref$buttonPriceClass === void 0 ? wcCheckoutButtonPrice : _ref$buttonPriceClass,
    containerClassName = _ref.containerClassName,
    price = _ref.price,
    showCheckoutButtons = _ref.showCheckoutButtons;
  var viewHandler = useViewHandler();
  var _useDivaCore = useDivaCore(),
    hidePrices = _useDivaCore.state.hidePrices;
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  return /*#__PURE__*/jsxs("div", {
    className: classnames(wcConfiguratorAction, containerClassName),
    children: [showCheckoutButtons && ((_viewHandler$uiState$ = viewHandler.uiState.checkoutConfig) === null || _viewHandler$uiState$ === void 0 ? void 0 : _viewHandler$uiState$.buttons.map(function (b, index) {
      if (!evalVisible(b, viewHandler)) return /*#__PURE__*/jsx(Fragment, {});
      return /*#__PURE__*/jsx("div", {
        className: checkoutButton,
        onClick: function onClick() {
          return _onClickCheckout(b, viewHandler, index, t);
        },
        children: /*#__PURE__*/jsx(Icon, {
          checkoutButton: b,
          size: 32
        })
      }, index);
    })), /*#__PURE__*/jsxs("div", {
      className: wcConfiguratorActionButton,
      onClick: function onClick() {
        return viewHandler.actionButtonState.onClickAddToBasket(viewHandler);
      },
      id: "wcConfigurator-action-tobasket",
      children: [/*#__PURE__*/jsx("div", {
        className: buttonTextClassName,
        children: t('configurator.ADD_TO_BASKET')
      }), !hidePrices && viewHandler.tabGroupState.curTabGroupType == 'horizontal' && price && /*#__PURE__*/jsx("div", {
        className: buttonPriceClassName,
        children: price
      })]
    })]
  });
};
var BasketActionStandard$1 = observer(BasketActionStandard);
var evalVisible = function evalVisible(button, viewHandler) {
  var rule = button.visibleNavigatorFunction; //button.visibleNavigatorFunction;
  if (button.visibleRule && !eval(button.visibleRule)) return false;
  if (rule === false || rule === undefined) return false;
  return rule === true || viewHandler.uiState.isMobileLandscape && rule.includes('MOBILE_L') || viewHandler.uiState.isMobilePortrait && rule.includes('MOBILE_P') || !viewHandler.getIsInMobileView() && rule.includes('DESKTOP');
};

export { BasketActionStandard$1 as default };
