import { s as styleInject } from './index-e560cd58.js';
import classnames from 'classnames';
import 'react';
import Switch from 'react-switch';
import { jsx, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import 'mobx-react-lite';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var toggleText = "toggle-text-xzNMI";
var yes = "yes-Rq8uh";
var no = "no-ySZRX";
var css_248z = ".switch-wrapper-YZN6e {\n  display: flex;\n  font-weight: 300;\n  line-height: 40px;\n  gap: 24px;\n}\n\n.toggle-text-xzNMI {\n  padding-left: 16px;\n  color: white;\n  line-height: 40px;\n  font-weight: 300;\n}\n\n.yes-Rq8uh {\n  padding-left: 16px;\n}\n\n.no-ySZRX {\n  padding-left: 4px;\n}\n";
styleInject(css_248z);

var Toggle = function Toggle(_ref) {
  var _docStyle$getProperty;
  var _onChange = _ref.onChange,
    val = _ref.val,
    state = _ref.state,
    on = _ref.on,
    off = _ref.off,
    alwaysActiveColor = _ref.alwaysActiveColor,
    _ref$height = _ref.height,
    height = _ref$height === void 0 ? 40 : _ref$height,
    _ref$width = _ref.width,
    width = _ref$width === void 0 ? 80 : _ref$width,
    _ref$handleDiameter = _ref.handleDiameter,
    handleDiameter = _ref$handleDiameter === void 0 ? 32 : _ref$handleDiameter;
  var docStyle = getComputedStyle(document.documentElement);
  var myVarVal = (_docStyle$getProperty = docStyle.getPropertyValue('--primaryColor')) === null || _docStyle$getProperty === void 0 ? void 0 : _docStyle$getProperty.replace(/ /g, '');
  return /*#__PURE__*/jsx(Switch, {
    checkedIcon: on ? /*#__PURE__*/jsx("div", {
      className: classnames(toggleText, yes),
      children: on
    }) : /*#__PURE__*/jsx(Fragment, {}),
    uncheckedIcon: off ? /*#__PURE__*/jsx("div", {
      className: classnames(toggleText, no),
      children: off
    }) : /*#__PURE__*/jsx(Fragment, {}),
    onChange: function onChange() {
      return _onChange(val !== null && val !== void 0 ? val : !state);
    },
    checked: state,
    onColor: myVarVal,
    offColor: alwaysActiveColor ? myVarVal : '#CACACA',
    height: height,
    width: width,
    handleDiameter: handleDiameter
  });
};

export { Toggle as default };
