import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { u as useViewHandler } from './index-e560cd58.js';
import 'react';
import { s as shelfPlannerContainerRtv, a as shelfPlannerContainerHorizontal, b as shelfPlannerContainerVertical, e as expanded, c as shelfGrid, d as shelfGridBorder, w as warning, f as accessoires, g as configHeaderWrapper, h as closeButton, n as name, S as SelectedAcc, i as accessoireContainer } from './index-5ebc2f7a.js';
import { S as SettingsItem, c as collapsableInner } from './index-9ac352ac.js';
import ShelfAccessoires from './index-b4eb85dd.js';
import ShelfAccessoiresOld from './index-7954790a.js';
import GridList from './index-64c155c8.js';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import 'sift';
import './index-03ec1878.js';
import './index-bec7758a.js';
import './index-7f563f4a.js';
import './index-dab96ea8.js';
import './index-5ed724e9.js';
import './index.module-8b8e578d.js';
import './index-d9e0b8ab.js';
import 'react-switch';
import './index-a00c316e.js';
import './index-b813b7d7.js';
import './index-227ad099.js';
import 'react-dropdown';
import './index-18e04d12.js';
import '@babel/runtime/helpers/objectDestructuringEmpty';
import './index-d0cb686e.js';
import './index-98a94c2a.js';
import './index-c43b9bf6.js';
import '@crystaldesign/content-box';
import './index-a9750c3d.js';
import './index-576885e5.js';
import './index-ea0c61b7.js';
import './index-118cdb5f.js';
import './index-63a72d8c.js';
import './index-cbdc56a8.js';
import 'react-laag';
import './index-f7d87c9f.js';
import './index-a53f6c9e.js';
import './index-123dc27c.js';
import './index-5317aaf3.js';
import './index-79b89ba2.js';
import './index-60ade46e.js';
import './index-68efdadc.js';
import './index-1e6362c6.js';
import './index-b18bffae.js';
import './index-ab3f39ef.js';
import './index.module-eaa02037.js';
import './index-243b2e2c.js';
import './index-27943660.js';
import './index-ec30cce1.js';
import './index-a3492836.js';
import './index-c6c521c0.js';
import './index-b87282a4.js';
import './index-53b89034.js';
import './index.module-65919b33.js';
import './index-3dac3051.js';
import './index-b4b3a823.js';
import 'react-beautiful-dnd';
import './index-964b1dbd.js';

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var ShelfPlanner = function ShelfPlanner(_ref) {
  var _viewHandler$settings, _viewHandler$settings2, _viewHandler$settings3, _viewHandler$settings4, _item$shelfPlannerGri, _item$shelfPlannerGri2, _item$shelfPlannerGri3, _filteredGroups$0$ite, _filteredGroups$, _selAccItem, _selAccItem2;
  var item = _ref.item,
    style = _ref.style,
    filteredGroups = _ref.filteredGroups;
  var viewHandler = useViewHandler();
  var height = ((_viewHandler$settings = (_viewHandler$settings2 = viewHandler.settingsState.settingsScrollerElement) === null || _viewHandler$settings2 === void 0 ? void 0 : _viewHandler$settings2.getBoundingClientRect().height) !== null && _viewHandler$settings !== void 0 ? _viewHandler$settings : 0) - 10;
  var width = ((_viewHandler$settings3 = (_viewHandler$settings4 = viewHandler.settingsState.settingsScrollerElement) === null || _viewHandler$settings4 === void 0 ? void 0 : _viewHandler$settings4.getBoundingClientRect().width) !== null && _viewHandler$settings3 !== void 0 ? _viewHandler$settings3 : 0) - 16;
  var grid = (_item$shelfPlannerGri = item === null || item === void 0 || (_item$shelfPlannerGri2 = item.shelfPlannerGrids) === null || _item$shelfPlannerGri2 === void 0 ? void 0 : _item$shelfPlannerGri2.find(function (g) {
    return g.ActAccessoire;
  })) !== null && _item$shelfPlannerGri !== void 0 ? _item$shelfPlannerGri : item === null || item === void 0 || (_item$shelfPlannerGri3 = item.shelfPlannerGrids) === null || _item$shelfPlannerGri3 === void 0 ? void 0 : _item$shelfPlannerGri3[0];
  if (!grid) return /*#__PURE__*/jsx(Fragment, {});
  var items = (_filteredGroups$0$ite = (_filteredGroups$ = filteredGroups[0]) === null || _filteredGroups$ === void 0 ? void 0 : _filteredGroups$.items) !== null && _filteredGroups$0$ite !== void 0 ? _filteredGroups$0$ite : [];
  var selAcc = grid.ActAccessoire;
  var selAccItem = undefined;
  if (selAcc) {
    selAccItem = items.find(function (item) {
      return item.articleCodex == selAcc;
    });
  }
  var requiredWarning = grid.getRequiredWarning(viewHandler.configState.lang);
  var palettesOfSelectedAcc = [];
  if ((_selAccItem = selAccItem) !== null && _selAccItem !== void 0 && (_selAccItem = _selAccItem.configStepKeys) !== null && _selAccItem !== void 0 && _selAccItem.length) {
    var _loop = function _loop() {
      var stepKey = selAccItem.configStepKeys[i];
      var itemPalette = viewHandler.settingsState.itemPaletteArr.find(function (_ref2) {
        var _ref3 = _slicedToArray(_ref2, 2);
          _ref3[0];
          var itemPalette = _ref3[1];
        return itemPalette.configStepKey == stepKey.key;
      });
      if (!itemPalette) return 1; // continue
      if (viewHandler.settingsState.selectedShelfAccessoire == stepKey.basketId) palettesOfSelectedAcc.push(itemPalette[1]);
    };
    for (var i = 0; i < selAccItem.configStepKeys.length; i++) {
      if (_loop()) continue;
    }
  }
  return /*#__PURE__*/jsxs("div", {
    ref: function ref(_ref4) {
      return item.htmlRef = _ref4;
    },
    className: classnames(viewHandler.productState.shelfPlannerRTV ? shelfPlannerContainerRtv : undefined, grid.Direction == 'horizontal' ? shelfPlannerContainerHorizontal : shelfPlannerContainerVertical, viewHandler.uiState.configSettingsIsExpanded ? expanded : undefined),
    style: _objectSpread({
      height: height
    }, style),
    children: [!viewHandler.productState.shelfPlannerRTV && /*#__PURE__*/jsx("div", {
      className: shelfGrid,
      children: /*#__PURE__*/jsx("div", {
        className: shelfGridBorder,
        children: /*#__PURE__*/jsx(GridList, {
          item: item,
          direction: grid.Direction,
          width: width,
          height: height - 16 - 16
        })
      })
    }), requiredWarning && /*#__PURE__*/jsx("div", {
      className: warning,
      dangerouslySetInnerHTML: {
        __html: requiredWarning
      }
    }), /*#__PURE__*/jsxs("div", {
      className: accessoires,
      children: [!!palettesOfSelectedAcc.length && /*#__PURE__*/jsxs(Fragment, {
        children: [/*#__PURE__*/jsxs("div", {
          className: configHeaderWrapper,
          onClick: function onClick() {
            return viewHandler.paletteViewHandler.setSelectedShelfAccessoire();
          },
          children: [/*#__PURE__*/jsx("div", {
            className: closeButton
          }), /*#__PURE__*/jsx("div", {
            className: name,
            children: (_selAccItem2 = selAccItem) === null || _selAccItem2 === void 0 ? void 0 : _selAccItem2.name
          })]
        }), palettesOfSelectedAcc.map(function (item, index) {
          return /*#__PURE__*/jsx(SettingsItem, {
            item: item,
            id: item.id
          }, index);
        })]
      }), !palettesOfSelectedAcc.length && /*#__PURE__*/jsxs(Fragment, {
        children: [/*#__PURE__*/jsx(SelectedAcc, {
          selAccItem: selAccItem
        }), /*#__PURE__*/jsx("div", {
          className: classnames(accessoireContainer, collapsableInner),
          style: {
            height: grid.Direction == 'horizontal' ? height - 80 : ''
          },
          children: items.map(function (acc, key) {
            return /*#__PURE__*/jsxs(Fragment, {
              children: [viewHandler.productState.shelfPlannerRTV && /*#__PURE__*/jsx(ShelfAccessoires, {
                grids: item.shelfPlannerGrids,
                item: acc,
                sel: acc.articleCodex == selAcc
              }, key), !viewHandler.productState.shelfPlannerRTV && /*#__PURE__*/jsx(ShelfAccessoiresOld, {
                grids: item.shelfPlannerGrids,
                item: acc
              }, key)]
            });
          })
        })]
      })]
    })]
  });
};
var index = observer(ShelfPlanner);

export { index as default };
