import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import 'react';
import { observer } from 'mobx-react-lite';
import { jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var table = "table-JbkH8";
var sel = "sel-Ri--o";
var css_248z = ".tabHeader-9hw2V {\n  font-size: 20px;\n  font-weight: 300;\n}\n\n.table-JbkH8 {\n  border-collapse: collapse;\n  font-size: 0.9em;\n  font-family: sans-serif;\n  min-width: 400px;\n  width: 100%;\n  background: var(--thirdColor);\n  color: black;\n  text-align: left;\n  transition: background-color 0.3s;\n  border-radius: 5px;\n}\n.table-JbkH8 th {\n  width: 25%;\n  padding: 6px 10px;\n  font-weight: inherit;\n}\n.sel-Ri--o {\n  background-color: var(--primaryColor);\n  transition: background-color 0.3s;\n  border-radius: 5px;\n  color: #fff;\n}\n.background-6HSWH {\n  background-color: white;\n}\n";
styleInject(css_248z);

var _excluded = ["tabGroup"];
var TabGroups = function TabGroups(_ref) {
  var tabGroup = _ref.tabGroup;
    _objectWithoutProperties(_ref, _excluded);
  var viewHandler = useViewHandler();
  var currentTabGroup = viewHandler.tabGroupState.curTabGroup;
  return /*#__PURE__*/jsx("div", {
    onClick: function onClick() {
      viewHandler.tabGroupState.navigateToTabgroupByPosNr(tabGroup.posNr);
    },
    children: /*#__PURE__*/jsx("table", {
      className: table,
      children: /*#__PURE__*/jsx("tbody", {
        children: /*#__PURE__*/jsx("tr", {
          children: /*#__PURE__*/jsx("th", {
            className: tabGroup.title === (currentTabGroup === null || currentTabGroup === void 0 ? void 0 : currentTabGroup.title) ? sel : undefined,
            children: tabGroup.title
          })
        })
      })
    })
  });
};
var TabGroups$1 = observer(TabGroups);

export { TabGroups$1 as default };
