import './index-e560cd58.js';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import 'react';
import { jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var BoxCopy = function BoxCopy(_ref) {
  var rect = _ref.rect,
    item = _ref.item,
    plannerUIProps = _ref.plannerUIProps,
    invertLeftRight = _ref.invertLeftRight;
  return /*#__PURE__*/jsx("div", {
    onClick: function onClick() {
      var _item$clickFunction;
      (_item$clickFunction = item.clickFunction) === null || _item$clickFunction === void 0 || _item$clickFunction.call(item, item.setId, Number(item.elementId), item.type == 'BoxCopyLeft' ? 'LEFT' : item.type == 'BoxCopyRight' ? 'RIGHT' : item.type == 'BoxCopyTop' ? 'TOP' : 'STD');
    },
    style: {
      left: rect.left + '%',
      top: 100 - rect.top + '%'
    },
    className: classnames(plannerUIProps.classes.buttonGeneral, plannerUIProps.classes.copy.BoxPlannerCopy.copyGlobal, item.type == 'BoxCopyLeft' ? invertLeftRight ? plannerUIProps.classes.copy.BoxPlannerCopy.copyRight : plannerUIProps.classes.copy.BoxPlannerCopy.copyLeft : undefined, item.type == 'BoxCopyTop' ? plannerUIProps.classes.copy.BoxPlannerCopy.copyTop : undefined, item.type == 'BoxCopyRight' ? invertLeftRight ? plannerUIProps.classes.copy.BoxPlannerCopy.copyLeft : plannerUIProps.classes.copy.BoxPlannerCopy.copyRight : undefined)
  });
};
var BoxCopy$1 = observer(BoxCopy);

export { BoxCopy$1 as default };
