import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import 'react';
import { useDivaCore } from '@crystaldesign/diva-core';
import classnames from 'classnames';
import { jsx, Fragment } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var logo = "logo-h99KB";
var mobile = "mobile-W86xf";
var hidden = "hidden-uMA1f";
var notHidden = "not-hidden-88ft-";
var landscape = "landscape-gPEyU";
var css_248z = ".logo-h99KB {\n  right: 0px;\n  bottom: 0px;\n  position: absolute;\n  z-index: 600;\n  opacity: 1;\n  max-width: 30%;\n  max-height: 64px;\n  margin-bottom: 16px;\n  margin-right: 20px;\n}\n\n.mobile-W86xf {\n  right: auto;\n  right: initial;\n  left: 0px;\n  bottom: 36px;\n  margin-bottom: 10px;\n  margin-right: 0;\n  margin-right: initial;\n  margin-left: 20px;\n  max-height: 50px;\n}\n\n.hidden-uMA1f {\n  opacity: 0;\n}\n\n.not-hidden-88ft- {\n  transition: opacity 0.5s;\n}\n\n.landscape-gPEyU.logo-h99KB {\n  opacity: 0;\n}\n";
styleInject(css_248z);

var Logo = function Logo(props) {
  var viewHandler = useViewHandler();
  var _useDivaCore = useDivaCore(),
    logoUrl = _useDivaCore.state.organization.logoUrl;
  if (!viewHandler.uiState.isInMobileView && !viewHandler.uiState.ViewConfig.showLogoInProductDesktop || !viewHandler.uiState.ViewConfig.showLogoInProduct || !logoUrl) return /*#__PURE__*/jsx(Fragment, {});
  return /*#__PURE__*/jsx("img", {
    className: classnames(logo, viewHandler.getIsInMobileView() ? mobile : undefined, viewHandler.productState.orbitHidden ? notHidden : hidden, viewHandler.uiState.isMobileLandscape ? landscape : undefined),
    src: logoUrl
  });
};
var Logo$1 = observer(Logo);

export { Logo$1 as default };
