import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import classnames from 'classnames';
import { observer } from 'mobx-react-lite';
import 'react';
import { useTranslation, useDivaCore, DivaUtils } from '@crystaldesign/diva-core';
import { jsx, jsxs } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var configuratorTabGroup = "Configurator-tabGroup-DK2Gs";
var configuratorTabGroupTitle = "Configurator-tabGroupTitle-3xPwf";
var configuratorSpec = "Configurator-spec-oPYns";
var configuratorSpecThumb = "Configurator-spec-thumb-zZsc4";
var configuratorSpecTextContainer = "Configurator-spec-text-Container-qZRM5";
var configuratorSpecCat = "Configurator-spec-cat-qGdqW";
var configuratorSpecOption = "Configurator-spec-option-WwGgo";
var isNotDefined = "isNotDefined-EwkSz";
var configuratorSpecNotDefined = "configurator-spec-not-defined-oO1-l";
var configuratorSpecPrice = "Configurator-spec-price-IXdTc";
var configuratorSpecPosNr = "Configurator-spec-posNr-qjwMj";
var configuratorSpecBtn = "Configurator-spec-btn-LlCEw";
var configuratorSpecNotExpanded = "Configurator-spec-not-expanded--LVB-";
var css_248z = "/*Summary*/\n.Configurator-tabGroup-DK2Gs {\n  border-bottom: 1px solid #dfdfdf;\n  margin: 0.75rem 0 0;\n  padding-bottom: 0.75rem;\n}\n.Configurator-tabGroupTitle-3xPwf {\n  font-weight: 300;\n}\n\n.Configurator-spec-oPYns {\n  border-bottom: 1px solid #dfdfdf;\n  overflow: hidden;\n  padding: 0.5rem 0rem;\n  position: relative;\n  width: 100%;\n  height: 4rem;\n  font-family: var(--diva-typography-font-family);\n  font-weight: 100;\n  color: var(--secondaryColor);\n}\n\n.Configurator-spec-oPYns > div {\n  display: block;\n  position: relative;\n  clear: both;\n  width: calc(100% - 3.5rem);\n  height: 4rem;\n}\n\n.Configurator-spec-oPYns > div > span,\n.Configurator-spec-oPYns > div > div > span {\n  display: block;\n  top: 50%;\n  max-height: 4rem;\n}\n.Configurator-spec-thumb-zZsc4 {\n  max-width: 5rem;\n  width: 5rem;\n  background-repeat: no-repeat;\n  background-position: center center;\n  background-size: contain;\n  overflow: hidden;\n  height: 4rem;\n  float: left;\n}\n\n.Configurator-spec-text-Container-qZRM5 {\n  height: 4rem;\n  float: left;\n  margin-left: 0.7rem;\n  width: calc(100% - 5rem - 0.7rem);\n  position: relative;\n}\n.Configurator-spec-cat-qGdqW {\n  left: 0%;\n  width: 28%;\n  margin-left: 2%;\n  position: absolute;\n  font-size: 16px;\n  margin-right: 2%;\n  transform: translateY(-50%);\n  max-height: 3rem;\n  overflow-y: auto;\n  overflow-x: hidden;\n  z-index: 50;\n}\n\n.Configurator-spec-option-WwGgo {\n  left: 32%;\n  width: 28%;\n  margin-right: 2%;\n  transform: translateY(-50%);\n  position: absolute;\n  max-height: 3rem;\n  overflow-y: auto;\n  overflow-x: hidden;\n  z-index: 50;\n}\n.isNotDefined-EwkSz .Configurator-spec-option-WwGgo {\n  width: calc(28% - 3rem);\n}\n\n.configurator-spec-not-defined-oO1-l {\n  left: calc(62% - 3rem);\n  width: 48px;\n  height: 48px;\n  transform: translateY(-50%);\n  position: absolute;\n  overflow-y: auto;\n  overflow-x: hidden;\n  z-index: 50;\n  background-image: url(\"data:image/svg+xml,%3C%3Fxml version%3D%221.0%22 %3F%3E%3Csvg height%3D%2232px%22 version%3D%221.1%22 viewBox%3D%220 0 32 32%22 width%3D%2232px%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 xmlns%3Asketch%3D%22http%3A%2F%2Fwww.bohemiancoding.com%2Fsketch%2Fns%22 xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%3E%3Ctitle%2F%3E%3Cdesc%2F%3E%3Cdefs%2F%3E%3Cg fill%3D%22none%22 fill-rule%3D%22evenodd%22 id%3D%22Page-1%22 stroke%3D%22none%22 stroke-width%3D%221%22%3E%3Cg fill%3D%22%23929292%22 id%3D%22icon-61-warning%22%3E%3Cpath d%3D%22M15.4242327%2C5.14839275 C16.2942987%2C3.74072976 17.707028%2C3.74408442 18.5750205%2C5.14839275 L29.3601099%2C22.59738 C30.5216388%2C24.4765951 29.6755462%2C26 27.4714068%2C26 L6.5278464%2C26 C4.32321557%2C26 3.47386317%2C24.4826642 4.63914331%2C22.59738 L15.4242327%2C5.14839275 L15.4242327%2C5.14839275 Z M16.353181%2C5.5229211 C16.7005152%2C4.96165163 17.2647678%2C4.9634187 17.6110318%2C5.52292108 L28.6162937%2C23.3055078 C29.1954663%2C24.2413498 28.7622271%2C24.9999996 27.6746349%2C24.9999996 L6.29039231%2C25 C5.19115596%2C25 4.76644971%2C24.2463265 5.34866262%2C23.3055082 L16.353181%2C5.5229211 L16.353181%2C5.5229211 Z M17%2C11 C16.4477153%2C11 16%2C11.4530363 16%2C11.9970301 L16%2C18.0029699 C16%2C18.5536144 16.4438648%2C19 17%2C19 C17.5522847%2C19 18%2C18.5469637 18%2C18.0029699 L18%2C11.9970301 C18%2C11.4463856 17.5561352%2C11 17%2C11 L17%2C11 Z M17%2C23 C17.5522848%2C23 18%2C22.5522848 18%2C22 C18%2C21.4477152 17.5522848%2C21 17%2C21 C16.4477152%2C21 16%2C21.4477152 16%2C22 C16%2C22.5522848 16.4477152%2C23 17%2C23 L17%2C23 Z%22 id%3D%22warning%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n  background-repeat: no-repeat;\n  background-position: center center;\n  background-size: 34px;\n}\n\n.Configurator-spec-cat-qGdqW:hover,\n.Configurator-spec-option-WwGgo:hover {\n  overflow-x: visible;\n  z-index: 100;\n  word-break: break-word;\n}\n\n.Configurator-spec-price-IXdTc {\n  left: 62%;\n  width: 18%;\n  margin-right: 2%;\n  transform: translateY(-50%);\n  position: absolute;\n  height: 4rem;\n  line-height: 4rem;\n  text-align: center;\n}\n\nspan.Configurator-spec-posNr-qjwMj {\n  left: 82%;\n  width: 18%;\n  transform: translateY(-50%);\n  position: absolute;\n  max-height: 3rem;\n  overflow-y: auto;\n}\n\n.Configurator-spec-posNr-qjwMj span {\n  background: var(--thirdColor);\n  border-radius: var(--articlePosNrRadius);\n  color: var(--secondaryColor);\n  font-size: 16px;\n  line-height: 1.27rem;\n  min-width: 1.27rem;\n  width: 2rem;\n  width: -moz-fit-content;\n  width: fit-content;\n  text-align: center;\n  display: inline-block;\n  padding: 0 1px;\n  -webkit-text-stroke: 0.5px;\n  margin-bottom: 0.2rem;\n}\n\n.Configurator-spec-btn-LlCEw {\n  top: calc(50% - calc(2.2rem / 2));\n  position: absolute;\n  right: 0.7rem;\n  width: 2.1rem;\n  height: 2.1rem;\n  border: none;\n  box-sizing: border-box;\n  -webkit-text-stroke: 0px;\n  -webkit-font-smoothing: antialiased;\n  outline: medium none invert;\n  outline: initial;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2217%22 height%3D%2218%22 viewBox%3D%220 0 17 18%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M16.043 2.6653L14.9536 1.5645C14.0535 0.654099 12.5866 0.654099 11.6856 1.5645L1.88323 11.4709C1.82148 11.5333 1.77635 11.6101 1.7526 11.6949L0.300686 16.8317C0.249228 17.0133 0.299895 17.2077 0.431311 17.3413C0.529478 17.4405 0.660103 17.4933 0.794686 17.4933C0.842186 17.4933 0.889686 17.4869 0.935603 17.4733L6.0189 16.0053C6.10281 15.9813 6.1796 15.9357 6.24135 15.8733L16.043 5.9677C16.48 5.5269 16.7199 4.9405 16.7199 4.3165C16.7199 3.6925 16.48 3.1061 16.043 2.6653ZM5.60802 15.0453L1.54123 16.2189L2.70339 12.1101L10.5971 4.1333L13.5017 7.0685L5.60802 15.0453ZM15.317 5.2341L14.2277 6.3349L11.3231 3.3997L12.4124 2.2989C12.9127 1.7933 13.7274 1.7941 14.2285 2.2989L15.3178 3.3997C15.5609 3.6445 15.6939 3.9709 15.6939 4.3173C15.6931 4.6629 15.5593 4.9885 15.317 5.2341Z%22 fill%3D%22%236F6F6F%22%2F%3E%3C%2Fsvg%3E\");\n  background-repeat: no-repeat;\n  background-size: 1.1rem;\n  background-position: center center;\n}\n.Configurator-spec-btn-LlCEw:hover {\n  box-shadow: var(--boxShadowHover);\n  cursor: pointer;\n}\n\n/*falls die Configuratorleiste nicht expanded ist*/\n.Configurator-spec-not-expanded--LVB-,\n.Configurator-spec-not-expanded--LVB- .Configurator-spec-text-Container-qZRM5 {\n  height: -moz-fit-content;\n  height: fit-content;\n}\n\n.Configurator-spec-not-expanded--LVB- > div > div > span {\n  width: 100%;\n  position: relative;\n  height: 1.1rem;\n  left: auto;\n  left: initial;\n  top: auto;\n  top: initial;\n  transform: none;\n  margin: 0;\n  margin: initial;\n  font-size: 13px;\n  height: -moz-fit-content;\n  height: fit-content;\n  line-height: 1rem;\n  padding-bottom: 0.3rem;\n  word-break: break-word;\n}\n\n.Configurator-spec-not-expanded--LVB- > div > .isNotDefined-EwkSz .Configurator-spec-option-WwGgo {\n  width: 100%;\n}\n\n.Configurator-spec-not-expanded--LVB- > div > div.isNotDefined-EwkSz > span.configurator-spec-not-defined-oO1-l {\n  width: 28px;\n  height: 28px;\n  float: left;\n}\n\n.Configurator-spec-not-expanded--LVB- > div > div.isNotDefined-EwkSz > span.Configurator-spec-posNr-qjwMj {\n  width: calc(100% - 48px);\n  float: left;\n  padding-left: 10px;\n}\n\n.Configurator-spec-not-expanded--LVB- .Configurator-spec-cat-qGdqW:hover,\n.Configurator-spec-not-expanded--LVB- .Configurator-spec-option-WwGgo:hover {\n  overflow-y: auto;\n  background: none;\n  z-index: 100;\n  word-break: break-word;\n}\n\n@media all and (max-width: 1050px) and (orientation: landscape), all and (max-width: 600px) and (orientation: portrait) {\n  .Configurator-spec-oPYns,\n  .Configurator-spec-text-Container-qZRM5 {\n    height: -moz-fit-content;\n    height: fit-content;\n  }\n\n  .Configurator-spec-oPYns > div > div > span {\n    width: 100%;\n    position: relative;\n    height: 1.1rem;\n    left: auto;\n    left: initial;\n    top: auto;\n    top: initial;\n    transform: none;\n    margin: 0;\n    margin: initial;\n    font-size: 13px;\n    height: -moz-fit-content;\n    height: fit-content;\n    line-height: 1rem;\n    padding-bottom: 0.3rem;\n    word-break: break-word;\n  }\n\n  .Configurator-spec-cat-qGdqW:hover,\n  .Configurator-spec-option-WwGgo:hover {\n    overflow-y: auto;\n    background: none;\n    z-index: 100;\n    word-break: break-word;\n  }\n}\n";
styleInject(css_248z);

var Summary = function Summary(_ref) {
  var _item$targetArticlePo;
  var itemP = _ref.item;
  var item = itemP;
  var viewHandler = useViewHandler();
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  var _useDivaCore = useDivaCore(),
    hidePrices = _useDivaCore.state.hidePrices;
  if (item.isTabGroup) {
    return /*#__PURE__*/jsx("div", {
      className: configuratorTabGroup,
      children: /*#__PURE__*/jsx("span", {
        className: configuratorTabGroupTitle,
        children: t('configurator.' + item.title, item.title)
      })
    });
  }
  return /*#__PURE__*/jsxs("div", {
    className: classnames(configuratorSpec, viewHandler.uiState.configSettingsIsExpanded || viewHandler.uiState.configSettingsIsMaxExpanded ? undefined : configuratorSpecNotExpanded),
    children: [/*#__PURE__*/jsxs("div", {
      children: [/*#__PURE__*/jsx("span", {
        className: configuratorSpecThumb,
        style: {
          backgroundImage: item.image ? "url(".concat(item.image, ")") : 'none'
        }
      }), /*#__PURE__*/jsxs("div", {
        className: classnames(configuratorSpecTextContainer, !item.isDefined ? isNotDefined : undefined),
        children: [/*#__PURE__*/jsxs("span", {
          className: configuratorSpecCat,
          children: [item.quantity && '(x' + item.quantity + ') ', item.title]
        }), /*#__PURE__*/jsx("span", {
          className: configuratorSpecOption,
          dangerouslySetInnerHTML: {
            __html: item.description
          }
        }), !item.isDefined && /*#__PURE__*/jsx("span", {
          title: t('configurator.OPTION_NOT_DEFINED'),
          className: configuratorSpecNotDefined
        }), !hidePrices && !!item.price && /*#__PURE__*/jsx("span", {
          className: configuratorSpecPrice,
          children: DivaUtils.formatPrice(item.price)
        }), !viewHandler.uiState.ViewConfig.hideElementInfo && /*#__PURE__*/jsx("span", {
          className: configuratorSpecPosNr,
          children: (_item$targetArticlePo = item.targetArticlePosNrs) === null || _item$targetArticlePo === void 0 ? void 0 : _item$targetArticlePo.map(function (posNr, i) {
            return /*#__PURE__*/jsx("span", {
              children: posNr
            }, i);
          })
        })]
      })]
    }), /*#__PURE__*/jsx("button", {
      className: configuratorSpecBtn,
      type: "button",
      onClick: function onClick() {
        return viewHandler.paletteViewHandler.clickedOnSummaryPalette(item);
      }
    })]
  });
};
var index = observer(Summary);

export { index as default };
