import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import 'react';
import SettingsHeaderContainer from './index-d5750f25.js';
import SettingsScroller from './index-6a14c4ba.js';
import { observer } from 'mobx-react-lite';
import classnames from 'classnames';
import { jsxs, jsx, Fragment } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import './index-bec7758a.js';
import './index-f0b13a76.js';
import './index-9e5c6d0b.js';
import '@babel/runtime/helpers/objectDestructuringEmpty';
import './index-f919fe39.js';
import 'react-laag';
import './index-2bdd798a.js';
import './index-9ac352ac.js';
import 'sift';
import './index-03ec1878.js';
import './index-7f563f4a.js';
import './index-dab96ea8.js';
import './index-5ed724e9.js';
import './index.module-8b8e578d.js';
import './index-d9e0b8ab.js';
import 'react-switch';
import './index-a00c316e.js';
import './index-b813b7d7.js';
import './index-227ad099.js';
import 'react-dropdown';
import './index-18e04d12.js';
import './index-d0cb686e.js';
import './index-98a94c2a.js';
import './index-c43b9bf6.js';
import '@crystaldesign/content-box';
import './index-a9750c3d.js';
import './index-576885e5.js';
import './index-ea0c61b7.js';
import './index-118cdb5f.js';
import './index-63a72d8c.js';
import './index-cbdc56a8.js';
import './index-f7d87c9f.js';
import './index-a53f6c9e.js';
import './index-123dc27c.js';
import './index-5317aaf3.js';
import './index-79b89ba2.js';
import './index-60ade46e.js';
import './index-68efdadc.js';
import './index-1e6362c6.js';
import './index-b18bffae.js';
import './index-ab3f39ef.js';
import './index.module-eaa02037.js';
import './index-243b2e2c.js';
import './index-27943660.js';
import './index-ec30cce1.js';
import './index-a3492836.js';
import './index-c6c521c0.js';
import './index-b87282a4.js';
import './index-53b89034.js';
import './index.module-65919b33.js';
import './index-3dac3051.js';
import './index-b4b3a823.js';
import './index-46bea554.js';

var wcConfiguratorSettings = "wcConfigurator-settings-nB7sW";
var tabsHorizontal = "tabs-horizontal-052sb";
var wcConfiguratorSettingsExpander = "wcConfigurator-settings-expander-mf-Rs";
var expanded = "expanded-iYIJH";
var wcConfiguratorSettingsMinExpander = "wcConfigurator-settings-Min-expander-MkfBV";
var wcConfiguratorSettingsMaxExpander = "wcConfigurator-settings-Max-expander-3DqcZ";
var css_248z = ".wcConfigurator-settings-nB7sW {\n  display: flex;\n  flex-direction: column;\n  overflow: visible;\n\n  /*pfister positionierung*/\n  background-color: var(--settingsBackgroundColor);\n\n  border-radius: var(--globalBorderRadius) var(--globalBorderRadius) 0 0;\n}\n\n.tabs-horizontal-052sb .wcConfigurator-settings-nB7sW {\n  transition: height 0.45s ease, top 0.45s ease;\n}\n\n/* normal expander */\n.wcConfigurator-settings-expander-mf-Rs {\n  position: absolute;\n  top: calc(50% + 32px);\n  left: -32px;\n  width: 32px;\n  height: 48px;\n  background-color: var(--secondaryColor);\n  z-index: 300;\n  border-radius: var(--globalBorderRadius) 0 0 var(--globalBorderRadius);\n  background-repeat: no-repeat;\n  background-position: center center;\n  background-image: url(\"data:image/svg+xml,%3C%3Fxml version%3D%221.0%22 encoding%3D%22utf-8%22%3F%3E%3C!-- Generator%3A Adobe Illustrator 22.0.0%2C SVG Export Plug-In . SVG Version%3A 6.00 Build 0)  --%3E%3Csvg version%3D%221.1%22 id%3D%22Ebene_1%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22 x%3D%220px%22 y%3D%220px%22%09 viewBox%3D%220 0 8 13.5%22 style%3D%22enable-background%3Anew 0 0 8 13.5%3B%22 xml%3Aspace%3D%22preserve%22%3E%3Cstyle type%3D%22text%2Fcss%22%3E%09.st0%7Bfill%3A%23FFFFFF%3B%7D%3C%2Fstyle%3E%3Cg%3E%09%3Cpath class%3D%22st0%22 d%3D%22M6.5%2C11.7c-0.1%2C0-0.2%2C0-0.3-0.1l-5-4.3C1.1%2C7.2%2C1%2C7.1%2C1%2C7c0-0.1%2C0.1-0.3%2C0.2-0.4l5-4.7c0.2-0.2%2C0.5-0.2%2C0.7%2C0%09%09c0.2%2C0.2%2C0.2%2C0.5%2C0%2C0.7L2.3%2C6.9l4.6%2C3.9C7%2C11%2C7.1%2C11.4%2C6.9%2C11.6C6.8%2C11.7%2C6.7%2C11.7%2C6.5%2C11.7z%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E\");\n  background-size: 19.2px;\n}\n\n.expanded-iYIJH .wcConfigurator-settings-expander-mf-Rs {\n  transform: rotate(180deg);\n  border-radius: 0 3px 3px 0;\n}\n\n/*Min Max expander*/\n\n.wcConfigurator-settings-Min-expander-MkfBV,\n.wcConfigurator-settings-Max-expander-3DqcZ {\n  position: absolute;\n  top: calc(50% + 2rem);\n  width: 1rem;\n  height: 2rem;\n  z-index: 1060;\n  border-radius: var(--globalBorderRadius) 0 0 3px;\n  background-repeat: no-repeat;\n  background-image: url(\"data:image/svg+xml,%3Csvg width%3D%2213%22 height%3D%2238%22 viewBox%3D%220 0 13 38%22 fill%3D%22none%22 xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath d%3D%22M12 1L0.999998 19.1818L12 37%22 stroke%3D%22%234B4B4B%22 stroke-width%3D%221.2%22 stroke-linecap%3D%22round%22 stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E\");\n  background-size: 1.2rem;\n  background-position: left;\n  transition: left 0.1s ease 0.1s, width 0.2s ease;\n  cursor: pointer;\n}\n\n.wcConfigurator-settings-Max-expander-3DqcZ {\n  left: -1.1rem;\n}\n\n.wcConfigurator-settings-Min-expander-MkfBV {\n  left: 0.3rem;\n  transform: rotate(180deg);\n}\n\n.wcConfigurator-settings-Max-Expanded-zmWy6 .wcConfigurator-settings-Min-expander-MkfBV {\n  left: 0.5rem;\n  width: 1rem;\n}\n.wcConfigurator-settings-Min-Expanded-ZRHtW .wcConfigurator-settings-Max-expander-3DqcZ {\n  left: calc(-1 * calc(1.9rem));\n  width: 1rem;\n}\n";
styleInject(css_248z);

var _excluded = ["className"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var Settings = function Settings(_ref) {
  var _viewHandler$tabGroup, _viewHandler$tabGroup2;
  var className = _ref.className,
    props = _objectWithoutProperties(_ref, _excluded);
  var viewHandler = useViewHandler();
  return /*#__PURE__*/jsxs("div", _objectSpread(_objectSpread({}, props), {}, {
    className: classnames(className, wcConfiguratorSettings, viewHandler.tabGroupState.curTabGroupType == 'horizontal' ? tabsHorizontal : undefined, viewHandler.uiState.configSettingsIsExpanded ? expanded : undefined),
    children: [viewHandler.uiState.doShowConfSettingsExpander && !viewHandler.uiState.isInMobileView && /*#__PURE__*/jsx("div", {
      className: wcConfiguratorSettingsExpander,
      onClick: viewHandler.uiState.onClickExpandConfigSettings
    }), !viewHandler.uiState.isInMobileView && !viewHandler.settingsState.forceSettingsHeaderInScrollContainer && /*#__PURE__*/jsx(SettingsHeaderContainer, {}, (_viewHandler$tabGroup = (_viewHandler$tabGroup2 = viewHandler.tabGroupState.curTabGroup) === null || _viewHandler$tabGroup2 === void 0 ? void 0 : _viewHandler$tabGroup2.key) !== null && _viewHandler$tabGroup !== void 0 ? _viewHandler$tabGroup : 0), /*#__PURE__*/jsx(SettingsScroller, {}), !viewHandler.uiState.isInMobileView && viewHandler.uiState.doShowConfSettingsMaxMinExpander && /*#__PURE__*/jsxs(Fragment, {
      children: [!viewHandler.uiState.configSettingsIsMaxExpanded && /*#__PURE__*/jsx("div", {
        className: wcConfiguratorSettingsMaxExpander,
        onClick: viewHandler.uiState.onClickExpandMaxConfigSettings
      }), !viewHandler.uiState.configSettingsIsMinExpanded && /*#__PURE__*/jsx("div", {
        className: wcConfiguratorSettingsMinExpander,
        onClick: viewHandler.uiState.onClickExpandMinConfigSettings
      })]
    })]
  }));
};
var Settings$1 = observer(Settings);

export { Settings$1 as default };
