import { s as styleInject, u as useViewHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import 'react';
import { useTranslation } from '@crystaldesign/diva-core';
import { jsxs, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';

var wcConfigSingleDiv = "wcConfigSingleDiv-Vcdzw";
var wcConfigSingleText = "wcConfigSingleText-iKpxJ";
var css_248z = "#wcConfigSingleCheckbox-FeN-P input {\n  zoom: 1.2;\n  transform: scale(2);\n  -ms-transform: scale(2);\n  -webkit-transform: scale(1.2);\n  -o-transform: scale(2);\n  -moz-transform: scale(2);\n  transform-origin: 0 0;\n  -ms-transform-origin: 0 0;\n  -webkit-transform-origin: 0 0;\n  -o-transform-origin: 0 0;\n  -moz-transform-origin: 0 0;\n  margin: 3px 10px 3px 10px;\n}\n.wcConfigSingleDiv-Vcdzw {\n  min-height: 26px;\n  margin-top: 2px;\n  width: auto;\n}\n.wcConfigSingleText-iKpxJ {\n  line-height: 24px;\n}\n";
styleInject(css_248z);

var SettingsConfigSingle = function SettingsConfigSingle(props) {
  var viewHandler = useViewHandler();
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  var configSingleIsChanged = function configSingleIsChanged() {
    viewHandler.paletteViewHandler.configSingleIsChanged();
  };
  return /*#__PURE__*/jsxs("div", {
    className: wcConfigSingleDiv,
    id: "wcConfigSingleCheckbox",
    children: [/*#__PURE__*/jsx("input", {
      style: {
        "float": 'left'
      },
      type: "checkbox",
      checked: viewHandler.settingsState.doConfigSingle,
      onClick: configSingleIsChanged
    }), /*#__PURE__*/jsx("a", {
      className: wcConfigSingleText,
      onClick: configSingleIsChanged,
      children: t('configurator.CONFIG_SINGLE')
    })]
  });
};
var SettingsConfigSingle$1 = observer(SettingsConfigSingle);

export { SettingsConfigSingle$1 as default };
