import _toConsumableArray from '@babel/runtime/helpers/toConsumableArray';
import { a as usePlannerUIHandler } from './index-e560cd58.js';
import { observer } from 'mobx-react-lite';
import 'react';
import Outline3D from './index-93bd143d.js';
import ItemsContainer from './index-831b8abe.js';
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import '@crystaldesign/widget-contact-form';
import './index-1c76201d.js';
import './index-48300bf2.js';
import './index-b47706ce.js';
import './index-951a070a.js';
import './index-ff286eac.js';
import './index-7c069afc.js';
import './index-3ba6d4ce.js';
import './index-c8bb81dc.js';
import './index-221a1630.js';
import './index-de8c491e.js';
import './index-adbd3100.js';
import 'react-draggable';
import './index-b3e8cff0.js';
import './index-7435b475.js';
import './index-a8b51921.js';

var PlannerUI = function PlannerUI(_ref) {
  var plannerUIProps = _ref.plannerUIProps;
  var plannerUIHandler = usePlannerUIHandler();
  var uiItems = plannerUIHandler.getItems();
  var uiOutline3DItemsArr = plannerUIHandler.getItemsOutline3D();
  return /*#__PURE__*/jsxs(Fragment, {
    children: [_toConsumableArray(uiItems.keys()).map(function (setId) {
      return _toConsumableArray(uiItems.get(setId).keys()).map(function (elementId) {
        return /*#__PURE__*/jsx(ItemsContainer, {
          plannerUIProps: plannerUIProps,
          items: uiItems.get(setId).get(elementId)
        }, setId + '_' + elementId);
      });
    }), /*#__PURE__*/jsx(Outline3D, {
      items: uiOutline3DItemsArr,
      plannerUIProps: plannerUIProps
    })]
  });
};
var PlannerUI$1 = observer(PlannerUI);

export { PlannerUI$1 as default };
