import DivaViewHandler from '../../../model/DivaViewHandler';
import { BasketData } from '@crystaldesign/diva-core';
import React from 'react';
import { CheckoutButton } from '@crystaldesign/web-planner-logic/interface/API/Checkout';
export type State = 'SHARE' | 'APPOINTMENT' | 'SAVE';
type Props = {
    inModal?: boolean;
    index?: number;
    viewHandler: DivaViewHandler;
    basket?: BasketData;
};
declare const Checkout: (({ inModal, index, viewHandler, basket }: Props) => React.JSX.Element) & {
    displayName: string;
};
export declare const onClickCheckout: (buttonConfig: CheckoutButton, viewHandler: DivaViewHandler, index: number, t: any, dontCheckForModal?: boolean) => Promise<void>;
export declare const goBack: (viewHandler: DivaViewHandler, basket?: BasketData) => void;
export default Checkout;
//# sourceMappingURL=index.d.ts.map