import React, { ComponentProps } from 'react';
type SettingType = 'OPTIONSTATES' | 'DECISIONS' | 'CONFIGTREE' | 'J3D' | 'before' | 'after';
interface Props extends ComponentProps<'div'> {
    settings: {
        key: SettingType;
        name: string;
    }[];
    title: string;
    ChildComponent: (props: any) => JSX.Element;
}
declare const _default: (({ settings, title, ChildComponent, ...props }: Props) => React.JSX.Element) & {
    displayName: string;
};
export default _default;
//# sourceMappingURL=index.d.ts.map