import React from 'react';
export interface PlannerUIProps {
    classes: {
        buttonGeneral: string;
        dockingPoint: {
            AVL: {
                avl: string;
                avlSel: string;
            };
            AVR: {
                avr: string;
                avrSel: string;
            };
            DPACC: {
                dp2DAccDocking: string;
                dp2DAccNotDocking: string;
                dp2DAccNotDockingSel: string;
                dp3DAccDocking: string;
                dp3DAccNotDocking: string;
                dp3DAccNotDockingSel: string;
            };
        };
        copy: {
            BoxPlannerCopy: {
                copyGlobal: string;
                copyLeft: string;
                copyTop: string;
                copyRight: string;
            };
            ElementCopy: string;
        };
        outline: {
            outline2D: {
                draggable: string;
                draggableActive: string;
                selectable: string;
            };
            outline3D: {
                outlineSVG: string;
                outlinePolygon: string;
                outlinePolygonContours: string;
                outlinePolygonContoursSel: string;
            };
        };
        posNr: {
            posNr: string;
            posNrAcc: string;
            posNrSelectable: string;
            posNrSelectableArea: string;
            posNrSelected: string;
            posNrUnSelectable: string;
            posNrOnHover: string;
        };
        rotation: {
            rotClock: string;
            rotCounterClock: string;
            rot3DGrid: string;
        };
        move3DGrid: {
            move3DGrid: string;
        };
        trash: {
            trashClass: string;
            boxplanner: string;
        };
        dimension: {
            distanceToGround: string;
            distanceToGroundIcon: string;
        };
    };
}
interface Props {
    plannerUIProps: PlannerUIProps;
}
declare const _default: (({ plannerUIProps }: Props) => React.JSX.Element) & {
    displayName: string;
};
export default _default;
//# sourceMappingURL=index.d.ts.map